<?php

use Symfony\Component\Translation\MessageCatalogue;

$catalogue = new MessageCatalogue('da', array (
  'validators' => 
  array (
    'This value should be false.' => 'Værdien skal være falsk.',
    'This value should be true.' => 'Værdien skal være sand.',
    'This value should be of type {{ type }}.' => 'Værdien skal være af typen {{ type }}.',
    'This value should be blank.' => 'Værdien skal være blank.',
    'The value you selected is not a valid choice.' => 'Den valgte værdi er ikke gyldig.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.' => 'Du skal vælge mindst én mulighed.|Du skal vælge mindst {{ limit }} muligheder.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.' => 'Du kan højst vælge én mulighed.|Du kan højst vælge {{ limit }} muligheder.',
    'One or more of the given values is invalid.' => 'En eller flere af de angivne værdier er ugyldige.',
    'This field was not expected.' => 'Feltet blev ikke forventet.',
    'This field is missing.' => 'Dette felt mangler.',
    'This value is not a valid date.' => 'Værdien er ikke en gyldig dato.',
    'This value is not a valid datetime.' => 'Værdien er ikke et gyldigt tidspunkt.',
    'This value is not a valid email address.' => 'Værdien er ikke en gyldig e-mailadresse.',
    'The file could not be found.' => 'Filen kunne ikke findes.',
    'The file is not readable.' => 'Filen kan ikke læses.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.' => 'Filen er for stor ({{ size }} {{ suffix }}). Maksimale tilladte størrelse er {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.' => 'Filens MIME-type er ugyldig ({{ type }}). Tilladte MIME-typer er {{ types }}.',
    'This value should be {{ limit }} or less.' => 'Værdien skal være {{ limit }} eller mindre.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.' => 'Værdien er for lang. Den må højst indeholde {{ limit }} tegn.',
    'This value should be {{ limit }} or more.' => 'Værdien skal være {{ limit }} eller mere.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'Værdien er for kort. Den skal indeholde mindst {{ limit }} tegn.',
    'This value should not be blank.' => 'Værdien må ikke være blank.',
    'This value should not be null.' => 'Værdien må ikke være tom (null).',
    'This value should be null.' => 'Værdien skal være tom (null).',
    'This value is not valid.' => 'Værdien er ikke gyldig.',
    'This value is not a valid time.' => 'Værdien er ikke et gyldigt klokkeslæt.',
    'This value is not a valid URL.' => 'Værdien er ikke en gyldig URL.',
    'The two values should be equal.' => 'De to værdier skal være ens.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.' => 'Filen er for stor. Den maksimale størrelse er {{ limit }} {{ suffix }}.',
    'The file is too large.' => 'Filen er for stor.',
    'The file could not be uploaded.' => 'Filen kunne ikke uploades.',
    'This value should be a valid number.' => 'Værdien skal være et gyldigt tal.',
    'This file is not a valid image.' => 'Filen er ikke gyldigt billede.',
    'This is not a valid IP address.' => 'Denne værdi er ikke en gyldig IP-adresse.',
    'This value is not a valid language.' => 'Værdien er ikke et gyldigt sprog.',
    'This value is not a valid locale.' => 'Værdien er ikke en gyldig lokalitet.',
    'This value is not a valid country.' => 'Værdien er ikke et gyldigt land.',
    'This value is already used.' => 'Værdien er allerede i brug.',
    'The size of the image could not be detected.' => 'Størrelsen på billedet kunne ikke detekteres.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.' => 'Billedet er for bredt ({{ width }}px). Største tilladte bredde er {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.' => 'Billedet er for smalt ({{ width }}px). Mindste forventede bredde er {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.' => 'Billedet er for højt ({{ height }}px). Største tilladte højde er {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.' => 'Billedet er for lavt ({{ height }}px). Mindste forventede højde er {{ min_height }}px.',
    'This value should be the user\'s current password.' => 'Værdien skal være brugerens nuværende adgangskode.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.' => 'Værdien skal være på præcis {{ limit }} tegn.',
    'The file was only partially uploaded.' => 'Filen blev kun delvist uploadet.',
    'No file was uploaded.' => 'Ingen fil blev uploadet.',
    'No temporary folder was configured in php.ini.' => 'Der blev ikke konfigureret en midlertidig mappe i php.ini, eller den konfigurerede mappe eksisterer ikke.',
    'Cannot write temporary file to disk.' => 'Kan ikke skrive midlertidig fil til disk.',
    'A PHP extension caused the upload to fail.' => 'En PHP-udvidelse forårsagede fejl i upload.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.' => 'Denne samling skal indeholde mindst ét element.|Denne samling skal indeholde mindst {{ limit }} elementer.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.' => 'Denne samling skal indeholde højst ét element.|Denne samling skal indeholde højst {{ limit }} elementer.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.' => 'Denne samling skal indeholde præcis ét element.|Denne samling skal indeholde præcis {{ limit }} elementer.',
    'Invalid card number.' => 'Ugyldigt kortnummer.',
    'Unsupported card type or invalid card number.' => 'Ikke-understøttet korttype eller ugyldigt kortnummer.',
    'This is not a valid International Bank Account Number (IBAN).' => 'Denne værdi er ikke et gyldigt internationalt bankkontonummer (IBAN).',
    'This value is not a valid ISBN-10.' => 'Værdien er ikke en gyldig ISBN-10.',
    'This value is not a valid ISBN-13.' => 'Værdien er ikke en gyldig ISBN-13.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.' => 'Værdien er hverken en gyldig ISBN-10 eller en gyldig ISBN-13.',
    'This value is not a valid ISSN.' => 'Værdien er ikke en gyldig ISSN.',
    'This value is not a valid currency.' => 'Denne værdi er ikke en gyldig valuta.',
    'This value should be equal to {{ compared_value }}.' => 'Denne værdi skal være lig med {{ compared_value }}.',
    'This value should be greater than {{ compared_value }}.' => 'Denne værdi skal være større end {{ compared_value }}.',
    'This value should be greater than or equal to {{ compared_value }}.' => 'Denne værdi skal være større end eller lig med {{ compared_value }}.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.' => 'Denne værdi skal være identisk med {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.' => 'Denne værdi skal være mindre end {{ compared_value }}.',
    'This value should be less than or equal to {{ compared_value }}.' => 'Denne værdi skal være mindre end eller lig med {{ compared_value }}.',
    'This value should not be equal to {{ compared_value }}.' => 'Denne værdi bør ikke være lig med {{ compared_value }}.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.' => 'Denne værdi bør ikke være identisk med {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.' => 'Billedforholdet er for stort ({{ratio}}). Tilladt maksimumsforhold er {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.' => 'Billedforholdet er for lille ({{ ratio }}). Minimumsforventet forventet er {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.' => 'Billedet er firkantet ({{ width }} x {{ height }} px). Firkantede billeder er ikke tilladt.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.' => 'Billedet er landskabsorienteret ({{width}} x {{height}} px). Landskabsorienterede billeder er ikke tilladt',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.' => 'Billedet er portrætorienteret ({{ width }}x{{ height }}px). Portrætorienterede billeder er ikke tilladt.',
    'An empty file is not allowed.' => 'En tom fil er ikke tilladt.',
    'The host could not be resolved.' => 'Værten kunne ikke løses.',
    'This value does not match the expected {{ charset }} charset.' => 'Denne værdi stemmer ikke overens med den forventede {{ charset }} charset.',
    'This is not a valid Business Identifier Code (BIC).' => 'Denne værdi er ikke en gyldig forretningsidentifikationskode (BIC).',
    'Error' => 'Fejl',
    'This is not a valid UUID.' => 'Denne værdi er ikke en gyldig UUID.',
    'This value should be a multiple of {{ compared_value }}.' => 'Denne værdi skal være et multiplikation af {{ compared_value }}.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.' => 'Denne Business Identifier Code (BIC) er ikke forbundet med IBAN {{ iban }}.',
    'This value should be valid JSON.' => 'Denne værdi skal være gyldig JSON.',
    'This collection should contain only unique elements.' => 'Denne samling bør kun indeholde unikke elementer.',
    'This value should be positive.' => 'Denne værdi skal være positiv.',
    'This value should be either positive or zero.' => 'Denne værdi skal være enten positiv eller nul.',
    'This value should be negative.' => 'Denne værdi skal være negativ.',
    'This value should be either negative or zero.' => 'Denne værdi skal være enten negativ eller nul.',
    'This value is not a valid timezone.' => 'Denne værdi er ikke en gyldig tidszone.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.' => 'Denne adgangskode er blevet lækket i et databrud, det må ikke bruges. Brug venligst en anden adgangskode.',
    'This value should be between {{ min }} and {{ max }}.' => 'Værdien skal være mellem {{ min }} og {{ max }}.',
    'This value is not a valid hostname.' => 'Værdien er ikke et gyldigt værtsnavn.',
    'The number of elements in this collection should be a multiple of {{ compared_value }}.' => 'Antallet af elementer i denne samling skal være en multiplikation af {{ compared_value }}.',
    'This value should satisfy at least one of the following constraints:' => 'Værdien skal overholde mindst én af følgende krav:',
    'Each element of this collection should satisfy its own set of constraints.' => 'Hvert element i denne samling skal overholde dens egne krav.',
    'This value is not a valid International Securities Identification Number (ISIN).' => 'Værdien er ikke et gyldig International Securities Identification Number (ISIN).',
    'This value should be a valid expression.' => 'Værdien skal være et gyldigt udtryk.',
    'This value is not a valid CSS color.' => 'Værdien skal være en gyldig CSS farve.',
    'This value is not a valid CIDR notation.' => 'Værdien er ikke en gyldig CIDR notation.',
    'The value of the netmask should be between {{ min }} and {{ max }}.' => 'Værdien af netmasken skal være mellem {{ min }} og {{ max }}.',
    'The filename is too long. It should have {{ filename_max_length }} character or less.|The filename is too long. It should have {{ filename_max_length }} characters or less.' => 'Filnavnet er for langt. Det bør indeholde {{ filename_max_length }} tegn eller mindre.|Filnavnet er for langt. Det bør indeholde {{ filename_max_length }} tegn eller mindre.',
    'The password strength is too low. Please use a stronger password.' => 'Kodeordets styrke er for lav. Du bedes indtaste et stærkere kodeord.',
    'This value contains characters that are not allowed by the current restriction-level.' => 'Denne værdi indeholder tegn, som ikke er tilladt med det nuværende restriktionsniveau.',
    'Using invisible characters is not allowed.' => 'Brug af usynlige tegn er ikke tilladt.',
    'Mixing numbers from different scripts is not allowed.' => 'At blande numre fra forskellige scripts er ikke tilladt.',
    'Using hidden overlay characters is not allowed.' => 'At bruge skjulte overlejringstegn er ikke tilladt.',
    'The extension of the file is invalid ({{ extension }}). Allowed extensions are {{ extensions }}.' => 'Udvidelsen til filen er ugyldig ({{ extension }}). De tilladte udvidelser er {{ extensions }}.',
    'The detected character encoding is invalid ({{ detected }}). Allowed encodings are {{ encodings }}.' => 'Det registrerede tegnsæt er ugyldigt ({{ detected }}). De tilladte tegnsæt er {{ encodings }}.',
    'This value is not a valid MAC address.' => 'Denne værdi er ikke en gyldig MAC-adresse.',
    'This URL is missing a top-level domain.' => 'Denne URL mangler et topdomæne.',
    'This form should not contain extra fields.' => 'Feltgruppen må ikke indeholde ekstra felter.',
    'The uploaded file was too large. Please try to upload a smaller file.' => 'Den uploadede fil var for stor. Upload venligst en mindre fil.',
    'The CSRF token is invalid. Please try to resubmit the form.' => 'CSRF-token er ugyldig. Prøv venligst at genindsende.',
    'This value is not a valid HTML5 color.' => 'Værdien er ikke en gyldig HTML5 farve.',
    'Please enter a valid birthdate.' => 'Indtast venligst en gyldig fødselsdato.',
    'The selected choice is invalid.' => 'Den valgte mulighed er ugyldig .',
    'The collection is invalid.' => 'Samlingen er ugyldig.',
    'Please select a valid color.' => 'Vælg venligst en gyldig farve.',
    'Please select a valid country.' => 'Vælg venligst et gyldigt land.',
    'Please select a valid currency.' => 'Vælg venligst en gyldig valuta.',
    'Please choose a valid date interval.' => 'Vælg venligst et gyldigt datointerval.',
    'Please enter a valid date and time.' => 'Vælg venligst en gyldig dato og tid.',
    'Please enter a valid date.' => 'Vælg venligst en gyldig dato.',
    'Please select a valid file.' => 'Vælg venligst en gyldig fil.',
    'The hidden field is invalid.' => 'Det skjulte felt er ugyldigt.',
    'Please enter an integer.' => 'Indsæt veligst et heltal.',
    'Please select a valid language.' => 'Vælg venligst et gyldigt sprog.',
    'Please select a valid locale.' => 'Vælg venligst en gyldigt sprogkode.',
    'Please enter a valid money amount.' => 'Vælg venligst et gyldigt beløb.',
    'Please enter a number.' => 'Indtast venligst et nummer.',
    'The password is invalid.' => 'Passwordet er ugyldigt.',
    'Please enter a percentage value.' => 'Indtast venligst en procentværdi.',
    'The values do not match.' => 'Værdierne er ikke ens.',
    'Please enter a valid time.' => 'Indtast venligst en gyldig tid.',
    'Please select a valid timezone.' => 'Vælg venligst en gyldig tidszone.',
    'Please enter a valid URL.' => 'Indtast venligst en gyldig URL.',
    'Please enter a valid search term.' => 'Indtast venligst et gyldigt søgeord.',
    'Please provide a valid phone number.' => 'Giv venligst et gyldigt telefonnummer.',
    'The checkbox has an invalid value.' => 'Checkboxen har en ugyldigt værdi.',
    'Please enter a valid email address.' => 'Indtast venligst en gyldig e-mailadresse.',
    'Please select a valid option.' => 'Vælg venligst en gyldig mulighed.',
    'Please select a valid range.' => 'Vælg venligst et gyldigt interval .',
    'Please enter a valid week.' => 'Indtast venligst en gyldig uge.',
  ),
  'security' => 
  array (
    'An authentication exception occurred.' => 'En fejl indtraf ved godkendelse.',
    'Authentication credentials could not be found.' => 'Loginoplysninger kunne ikke findes.',
    'Authentication request could not be processed due to a system problem.' => 'Godkendelsesanmodningen kunne ikke behandles på grund af en systemfejl.',
    'Invalid credentials.' => 'Ugyldige loginoplysninger.',
    'Cookie has already been used by someone else.' => 'Cookie er allerede blevet brugt af en anden.',
    'Not privileged to request the resource.' => 'Ingen adgang til at forespørge ressourcen.',
    'Invalid CSRF token.' => 'Ugyldig CSRF-token.',
    'No authentication provider found to support the authentication token.' => 'Ingen godkendelsesudbyder blev fundet til at understøtte godkendelsestoken.',
    'No session available, it either timed out or cookies are not enabled.' => 'Ingen session er tilgængelig. Den er enten udløbet eller cookies er ikke aktiveret.',
    'No token could be found.' => 'Ingen token kunne findes.',
    'Username could not be found.' => 'Brugernavn kunne ikke findes.',
    'Account has expired.' => 'Brugerkonto er udløbet.',
    'Credentials have expired.' => 'Loginoplysninger er udløbet.',
    'Account is disabled.' => 'Brugerkonto er deaktiveret.',
    'Account is locked.' => 'Brugerkonto er låst.',
    'Too many failed login attempts, please try again later.' => 'For mange mislykkede loginforsøg. Prøv venligst igen senere.',
    'Invalid or expired login link.' => 'Ugyldigt eller udløbet login-link.',
    'Too many failed login attempts, please try again in %minutes% minute.' => 'For mange mislykkede loginforsøg. Prøv venligst igen om %minutes% minut.',
    'Too many failed login attempts, please try again in %minutes% minutes.' => 'For mange mislykkede loginforsøg, prøv igen om %minutes% minutter.',
  ),
  'KnpPaginatorBundle' => 
  array (
    'label_previous' => 'Forrige',
    'label_next' => 'Næste',
    'filter_searchword' => 'Søg...',
  ),
  'messages' => 
  array (
    'Signed in as' => 'Logget ind som',
    'Your Profile' => 'Din profil',
    'Create Ticket' => 'Opret billet',
    'Create Agent' => 'Opret agent',
    'Create Customer' => 'Opret kunde',
    'Sign Out' => 'Log ud',
    'Default Language (Optional)' => 'Standardsprog (valgfrit)',
    'Username/Email' => 'Brugernavn/Email',
    'create new' => 'lav ny',
    'Howdy!' => 'Hej!',
    'Ticket Information' => 'Billetinformation',
    'CC/BCC' => 'CC/BCC',
    'Success! Label created successfully.' => 'Succes! Etiket oprettet med succes.',
    'Success! Label removed successfully.' => 'Succes! Etiketten blev fjernet.',
    'Reports' => 'Rapporter',
    'Rating' => 'Bedømmelse',
    'Kudos Rating' => 'Kudos vurdering',
    'Choose your default timeformat' => 'Vælg dit standardtidsformat',
    'Remove profile picture' => 'Fjern profilbillede',
    'Success ! Profile updated successfully.' => 'Succes! Profilen blev opdateret.',
    'Howdy' => 'Hejsa',
    'Form successfully updated.' => 'Formularen blev opdateret.',
    'NEW FORM' => 'Ny Form',
    'Text Box' => 'Tekstboks',
    'Text Area' => 'Tekstområde',
    'Select' => 'Vælg',
    'Radio' => 'Radio',
    'Checkbox' => 'Afkrydsningsfelt',
    'File' => 'Fil',
    'Date' => 'Dato',
    'Both Date and Time' => 'Både dato og tid',
    'Choose a status' => 'Vælg en status',
    'Choose a group' => 'Vælg en gruppe',
    'Can manage Group\'s Saved Reply' => 'Kan administrere gruppens gemte svar',
    'Slug is the url identity of this article. We will help you to create valid slug at time of typing.' => 'Slug er url-identiteten for denne artikel. Vi hjælper dig med at oprette en gyldig slug på tidspunktet for indtastning.',
    'The URL for this article' => 'URL\'en til denne artikel',
    'Title tags and meta descriptions are bits of HTML code in the header of a web page. They help search engines understand the content on a page. A page\'s title tag and meta description are usually shown whenever that page appears in search engine results' => 'Titeltags og metabeskrivelser er stykker HTML-kode i overskriften på en webside. De hjælper søgemaskiner med at forstå indholdet på en side. En sides titeltag og metabeskrivelse vises normalt, hver gang siden vises i søgemaskinens resultater',
    'comma separated (,)' => 'komma separeret (,)',
    'Article Title' => 'Artikeltitel',
    'Start typing few charactors and add set of relevant article from the list' => 'Begynd at skrive nogle få tegn og tilføj et sæt relevante artikler fra listen',
    'Success! Announcement data saved successfully.' => 'Succes! Meddelelsesdata blev gemt.',
    'Success! Category has been added successfully.' => 'Succes! Kategori er blevet tilføjet.',
    'Success ! Agent added successfully.' => 'Succes! Agent tilføjet.',
    'Success! Privilege information saved successfully.' => 'Succes! Privilegiumoplysninger blev gemt.',
    'Edit Prepared Response' => 'Rediger forberedt svar',
    'Success! Type removed successfully.' => 'Succes! Type er blevet fjernet.',
    'No results available' => 'Ingen tilgængelige resultater',
    'Success ! Prepared Response applied successfully.' => 'Succes! Forberedt svar anvendt med succes.',
    'Note added to ticket successfully.' => 'Noten blev tilføjet til billetten.',
    'Ticket status update to Spam' => 'Billetstatusopdatering til spam',
    'Ticket status update to Closed' => 'Billetstatusopdatering til Lukket',
    'Success! Label updated successfully.' => 'Succes! Etiketten blev opdateret.',
    'Success ! Helpdesk details saved successfully' => 'Succes! Helpdesk-oplysningerne blev gemt',
    'Can manage agent activity' => 'Kan administrere agentaktivitet',
    'Can manage marketing announcement' => 'Kan administrere markedsføringsmeddelelser',
    'User Forgot Password' => 'Bruger Glemt adgangskode',
    'Agent Deleted' => 'Agent slettet',
    'Agent Update' => 'Agentopdatering',
    'Customer Update' => 'Kundeopdatering',
    'Customer Deleted' => 'Kunde slettet',
    'Agent Updated' => 'Agent opdateret',
    'Agent Reply' => 'Agent svar',
    'Collaborator Added' => 'Samarbejdspartner tilføjet',
    'Collaborator Reply' => 'Samarbejdspartners svar',
    'Customer Reply' => 'Kundesvar',
    'Ticket Deleted' => 'Billet slettet',
    'Group Updated' => 'Gruppe opdateret',
    'Note Added' => 'Bemærk tilføjet',
    'Priority Updated' => 'Prioritet opdateret',
    'Status Updated' => 'Status opdateret',
    'Team Updated' => 'Hold opdateret',
    'Thread Updated' => 'Tråd opdateret',
    'Type Updated' => 'Type opdateret',
    'From Email' => 'Fra e-mail',
    'To Email' => 'Til e-mail',
    'Is Equal To' => 'Er lig med',
    'Is Not Equal To' => 'Er ikke lig med',
    'Contains' => 'Indeholder',
    'Does Not Contain' => 'Indeholder ikke',
    'Starts With' => 'Starter med',
    'Ends With' => 'Ender med',
    'Before On' => 'Før On',
    'After On' => 'Efter On',
    'Permanently delete from Inbox' => 'Slet permanent fra indbakken',
    'Transfer Tickets' => 'Transfer billetter',
    'Mail To User' => 'Mail til bruger',
    'Agent Activity' => 'Agentaktivitet',
    'Report From' => 'Rapport fra',
    'Search Agent' => 'Søg agent',
    'Agent Last Reply' => 'Agent sidste svar',
    'View analytics and insights to serve a better experience for your customers' => 'Se analyse og indsigt for at give dine kunder en bedre oplevelse',
    'Marketing Announcement' => 'Marketingmeddelelse',
    'Advertisement' => 'Reklame',
    'Announcement' => 'Bekendtgørelse',
    'New Announcement' => 'Ny meddelelse',
    'Add Announcement' => 'Tilføj meddelelse',
    'Edit Announcement' => 'Rediger meddelelse',
    'Promo Text' => 'Kampagnetekst',
    'Promo Tag' => 'Kampagnekode',
    'Choose a promo tag' => 'Vælg et promotag',
    'Tag-Color' => 'Tag-farve',
    'Tag background color' => 'Tag baggrundsfarve',
    'Link Text' => 'Linktekst',
    'Link URL' => 'Link URL',
    'Apps' => 'Apps',
    'Integrate apps as per your needs to get things done faster than ever' => 'Integrer apps efter dine behov for at få tingene gjort hurtigere end nogensinde',
    'Explore Apps' => 'Udforsk apps',
    'Form Builder' => 'Formularbygger',
    'Knowledgebase' => 'Vidensdatabase',
    'Knowledgebase is a source of rigid and complex information which helps Customers to help themselves' => 'Knowledgebase er en kilde til stiv og kompleks information, der hjælper kunderne med at hjælpe sig selv',
    'Articles' => 'Artikler',
    'Categories' => 'Kategorier',
    'Folders' => 'mapper',
    'FOLDERS' => 'MAPPER',
    'Productivity' => 'Produktivitet',
    'Automate your processes by creating set of rules and presets to respond faster to the tickets' => 'Automatiser dine processer ved at oprette sæt regler og forudindstillinger for at reagere hurtigere på billetterne',
    'Prepared Responses' => 'Forberedte svar',
    'Saved Replies' => 'Gemte svar',
    'Edit Saved Reply' => 'Rediger gemt svar',
    'Ticket Types' => 'Billetyper',
    'Workflows' => 'Arbejdsprocesser',
    'Settings' => 'Indstillinger',
    'Manage your Brand Identity, Company Information and other details at a glance' => 'Administrer din brandidentitet, firmainformation og andre detaljer med et overblik',
    'Branding' => 'Branding',
    'Custom Fields' => 'Tilpassede felter',
    'Email Settings' => 'E-mail-indstillinger',
    'Email Templates' => 'E-mail-skabeloner',
    'Mailbox' => 'Postkasse',
    'Spam Settings' => 'Indstillinger for spam',
    'Swift Mailer' => 'Swift Mailer',
    'Tags' => 'Tags',
    'Users' => 'Brugere',
    'Control your Groups, Teams, Agents and Customers' => 'Kontroller dine grupper, hold, agenter og kunder',
    'Agents' => 'Agenter',
    'Customers' => 'kunder',
    'Groups' => 'grupper',
    'Privileges' => 'privilegier',
    'Teams' => 'Hold',
    'Applications' => 'Applikationer',
    'ECommerce Order Syncronization' => 'ECommerce ordresynkronisering',
    'Import ecommerce order details to your support tickets from different available platforms' => 'Importer detaljer om e-handelsordre til dine supportbilletter fra forskellige tilgængelige platforme',
    'Search' => 'Søg',
    'Sort By' => 'Sorter efter',
    'Sort By:' => 'Sorter efter:',
    'Status' => 'status',
    'Created At' => 'Oprettet ved',
    'Name' => 'Navn',
    'All' => 'Alle',
    'Published' => 'Udgivet',
    'Draft' => 'Udkast',
    'New Folder' => 'Ny mappe',
    'Create Knowledgebase Folder' => 'Opret vidensbaseret mappe',
    'You did not add any folder to your Knowledgebase yet, Create your first Folder and start adding Categories/Articles to make your customers help themselves.' => 'Du har ikke tilføjet nogen mappe til din vidensbase endnu, opret din første mappe og begynd at tilføje kategorier / artikler for at få dine kunder til at hjælpe sig selv.',
    'Clear Filters' => 'Ryd filtre',
    'Back' => 'Tilbage',
    'Open' => 'Åben',
    'Pending' => 'Verserende',
    'Answered' => 'besvaret',
    'Resolved' => 'løst',
    'Closed' => 'Lukket',
    'Spam' => 'Spam',
    'New' => 'Ny',
    'UnAssigned' => 'Ikke-tildelte',
    'UnAnswered' => 'ubesvarede',
    'My Tickets' => 'Mine billetter',
    'Starred' => 'Stjernemarkerede',
    'Trashed' => 'trashed',
    'New Label' => 'Ny etiket',
    'Tickets' => 'Billetter',
    'Ticket Id' => 'Billet-id',
    'Last Replied' => 'Sidst besvaret',
    'Assign To' => 'Tildel til',
    'After Reply' => 'Efter svar',
    'Customer Email' => 'Kundepost',
    'Customer Name' => 'Kundenavn',
    'Assets Visibility' => 'Aktiv synlighed',
    'Channel/Source' => 'Kanal / kilde',
    'Channel' => 'Kanal',
    'Website' => 'Internet side',
    'Timestamp' => 'Tidsstempel',
    'TimeStamp' => 'Tidsstempel',
    'Team' => 'Hold',
    'Type' => 'Type',
    'Replies' => 'Svar',
    'Agent' => 'Agent',
    'ID' => 'ID',
    'Subject' => 'Emne',
    'Last Reply' => 'Sidste svar',
    'Filter View' => 'Filtervisning',
    'Please select CAPTCHA' => 'Vælg CAPTCHA',
    'Warning ! Please select correct CAPTCHA !' => 'Advarsel! Vælg den korrekte CAPTCHA!',
    'reCAPTCHA Setting' => 'reCAPTCHA-indstilling',
    'reCAPTCHA Site Key' => 'reCAPTCHA Site Key',
    'reCAPTCHA Secret key' => 'reCAPTCHA Hemmelig nøgle',
    'reCAPTCHA Status' => 'reCAPTCHA-status',
    'reCAPTCHA is Active' => 'reCAPTCHA er aktiv',
    'Save set of filters as a preset to stay more productive' => 'Gem et sæt filtre som en forudindstilling for at forblive mere produktiv',
    'Saved Filters' => 'Gemte filtre',
    'No saved filter created' => 'Intet gemt filter oprettet',
    'Customer' => 'Kunde',
    'Priority' => 'Prioritet',
    'Tag' => 'tag',
    'Source' => 'Kilde',
    'Before' => 'Før',
    'After' => 'Efter',
    'Replies less than' => 'Svar mindre end',
    'Replies more than' => 'Svar mere end',
    'Clear All' => 'Slet alt',
    'Account' => 'Konto',
    'Profile' => 'Profil',
    'Upload a Profile Image (100px x 100px)<br> in PNG or JPG Format' => 'Upload et profilbillede (100px x 100px) <br> i PNG- eller JPG-format',
    'First Name' => 'Fornavn',
    'Last Name' => 'Efternavn',
    'Email' => 'E-mail',
    'Contact Number' => 'Kontakt nummer',
    'Timezone' => 'Tidszone',
    'Africa/Abidjan' => 'Afrika / Abidjan',
    'Africa/Accra' => 'Afrika / Accra',
    'Africa/Addis_Ababa' => 'Afrika / Addis_Ababa',
    'Africa/Algiers' => 'Afrika / Algiers',
    'Africa/Asmara' => 'Afrika / Asmara',
    'Africa/Bamako' => 'Afrika / Bamako',
    'Africa/Bangui' => 'Afrika / Bangui',
    'Africa/Banjul' => 'Afrika / Banjul',
    'Africa/Bissau' => 'Afrika / Bissau',
    'Africa/Blantyre' => 'Afrika / Blantyre',
    'Africa/Brazzaville' => 'Afrika / Brazzaville',
    'Africa/Bujumbura' => 'Afrika / Bujumbura',
    'Africa/Cairo' => 'Afrika / Cairo',
    'Africa/Casablanca' => 'Afrika / Casablanca',
    'Africa/Ceuta' => 'Afrika / Ceuta',
    'Africa/Conakry' => 'Afrika / Conakry',
    'Africa/Dakar' => 'Afrika / Dakar',
    'Africa/Dar_es_Salaam' => 'Afrika / Dar_es_Salaam',
    'Africa/Djibouti' => 'Afrika / Djibouti',
    'Africa/Douala' => 'Afrika / Douala',
    'Africa/El_Aaiun' => 'Afrika / El_Aaiun',
    'Africa/Freetown' => 'Afrika / Freetown',
    'Africa/Gaborone' => 'Afrika / Gaborone',
    'Africa/Harare' => 'Afrika / Harare',
    'Africa/Johannesburg' => 'Afrika / Johannesburg',
    'Africa/Juba' => 'Afrika / Juba',
    'Africa/Kampala' => 'Afrika / Kampala',
    'Africa/Khartoum' => 'Afrika / Khartoum',
    'Africa/Kigali' => 'Afrika / Kigali',
    'Africa/Kinshasa' => 'Afrika / Kinshasa',
    'Africa/Lagos' => 'Afrika / Lagos',
    'Africa/Libreville' => 'Afrika / Libreville',
    'Africa/Lome' => 'Afrika / Lome',
    'Africa/Luanda' => 'Afrika / Luanda',
    'Africa/Lubumbashi' => 'Afrika / Lubumbashi',
    'Africa/Lusaka' => 'Afrika / Lusaka',
    'Africa/Malabo' => 'Afrika / Malabo',
    'Africa/Maputo' => 'Afrika / Maputo',
    'Africa/Maseru' => 'Afrika / Maseru',
    'Africa/Mbabane' => 'Afrika / Mbabane',
    'Africa/Mogadishu' => 'Afrika / Mogadishu',
    'Africa/Monrovia' => 'Afrika / Monrovia',
    'Africa/Nairobi' => 'Afrika / Nairobi',
    'Africa/Ndjamena' => 'Afrika / Ndjamena',
    'Africa/Niamey' => 'Afrika / Niamey',
    'Africa/Nouakchott' => 'Afrika / Nouakchott',
    'Africa/Ouagadougou' => 'Afrika / Ouagadougou',
    'Africa/Porto-Novo' => 'Afrika / Porto-Novo',
    'Africa/Sao_Tome' => 'Afrika / Sao_Tome',
    'Africa/Tripoli' => 'Afrika / Tripoli',
    'Africa/Tunis' => 'Afrika / Tunis',
    'Africa/Windhoek' => 'Afrika / Windhoek',
    'America/Adak' => 'Amerika / Adak',
    'America/Anchorage' => 'Amerika / Anchorage',
    'America/Anguilla' => 'Amerika / Anguilla',
    'America/Antigua' => 'Amerika / Antigua',
    'America/Araguaina' => 'Amerika / Araguaina',
    'America/Argentina/Buenos_Aires' => 'Amerika / Argentina / Buenos_ Aires',
    'America/Argentina/Catamarca' => 'Amerika / Argentina / Catamarca',
    'America/Argentina/Cordoba' => 'Amerika / Argentina / Cordoba',
    'America/Argentina/Jujuy' => 'Amerika / Argentina / Jujuy',
    'America/Argentina/La_Rioja' => 'Amerika / Argentina / La_Rioja',
    'America/Argentina/Mendoza' => 'Amerika / Argentina / Mendoza',
    'America/Argentina/Rio_Gallegos' => 'Amerika / Argentina / Rio_Gallegos',
    'America/Argentina/Salta' => 'Amerika / Argentina / Salta',
    'America/Argentina/San_Juan' => 'Amerika / Argentina / San_Juan',
    'America/Argentina/San_Luis' => 'Amerika / Argentina / San_Luis',
    'America/Argentina/Tucuman' => 'Amerika / Argentina / Tucuman',
    'America/Argentina/Ushuaia' => 'Amerika / Argentina / Ushuaia',
    'America/Aruba' => 'Amerika / Aruba',
    'America/Asuncion' => 'Amerika / Asuncion',
    'America/Atikokan' => 'Amerika / Atikokan',
    'America/Bahia' => 'Amerika / Bahia',
    'America/Bahia_Banderas' => 'Amerika / Bahia_Banderas',
    'America/Barbados' => 'Amerika / Barbados',
    'America/Belem' => 'Amerika / Belem',
    'America/Belize' => 'Amerika / Belize',
    'America/Blanc-Sablon' => 'Amerika / Blanc-Sablon',
    'America/Boa_Vista' => 'Amerika / Boa_ Vista',
    'America/Bogota' => 'Amerika / Bogota',
    'America/Boise' => 'Amerika / Boise',
    'America/Cambridge_Bay' => 'Amerika / Cambridge_Bay',
    'America/Campo_Grande' => 'Amerika / Campo_Grande',
    'America/Cancun' => 'Amerika / Cancun',
    'America/Caracas' => 'Amerika / Caracas',
    'America/Cayenne' => 'Amerika / Cayenne',
    'America/Cayman' => 'Amerika / Cayman',
    'America/Chicago' => 'Amerika / Chicago',
    'America/Chihuahua' => 'Amerika / Chihuahua',
    'America/Costa_Rica' => 'Amerika / Costa_Rica',
    'America/Creston' => 'Amerika / Creston',
    'America/Cuiaba' => 'Amerika / Cuiaba',
    'America/Curacao' => 'Amerika / Curacao',
    'America/Danmarkshavn' => 'Amerika / Danmarkshavn',
    'America/Dawson' => 'Amerika / Dawson',
    'America/Dawson_Creek' => 'Amerika / Dawson_Creek',
    'America/Denver' => 'Amerika / Denver',
    'America/Detroit' => 'Amerika / Detroit',
    'America/Dominica' => 'Amerika / Dominica',
    'America/Edmonton' => 'Amerika / Edmonton',
    'America/Eirunepe' => 'Amerika / Eirunepe',
    'America/El_Salvador' => 'Amerika / El_Salvador',
    'America/Fort_Nelson' => 'Amerika / Fort_Nelson',
    'America/Fortaleza' => 'Amerika / Fortaleza',
    'America/Glace_Bay' => 'Amerika / Glace_Bay',
    'America/Godthab' => 'Amerika / Godthåb',
    'America/Goose_Bay' => 'Amerika / Goose_Bay',
    'America/Grand_Turk' => 'Amerika / Grand_Turk',
    'America/Grenada' => 'Amerika / Grenada',
    'America/Guadeloupe' => 'Amerika / Guadeloupe',
    'America/Guatemala' => 'Amerika / Guatemala',
    'America/Guayaquil' => 'Amerika / Guayaquil',
    'America/Guyana' => 'Amerika / Guyana',
    'America/Halifax' => 'Amerika / Halifax',
    'America/Havana' => 'Amerika / Havanna',
    'America/Hermosillo' => 'Amerika / Hermosillo',
    'America/Indiana/Indianapolis' => 'Amerika / Indiana / Indianapolis',
    'America/Indiana/Knox' => 'Amerika / Indiana / Knox',
    'America/Indiana/Marengo' => 'Amerika / Indiana / Marengo',
    'America/Indiana/Petersburg' => 'Amerika / Indiana / Petersburg',
    'America/Indiana/Tell_City' => 'Amerika / Indiana / Tell_City',
    'America/Indiana/Vevay' => 'Amerika / Indiana / Vevay',
    'America/Indiana/Vincennes' => 'Amerika / Indiana / Vincennes',
    'America/Indiana/Winamac' => 'Amerika / Indiana / Winamac',
    'America/Inuvik' => 'Amerika / Inuvik',
    'America/Iqaluit' => 'Amerika / Iqaluit',
    'America/Jamaica' => 'Amerika / Jamaica',
    'America/Juneau' => 'Amerika / Juneau',
    'America/Kentucky/Louisville' => 'Amerika / Kentucky / Louisville',
    'America/Kentucky/Monticello' => 'Amerika / Kentucky / Monticello',
    'America/Kralendijk' => 'Amerika / Kralendijk',
    'America/La_Paz' => 'Amerika / La_Paz',
    'America/Lima' => 'Amerika / Lima',
    'America/Los_Angeles' => 'Amerika / Los_Angeles',
    'America/Lower_Princes' => 'Amerika / Lower_Princes',
    'America/Maceio' => 'Amerika / Maceio',
    'America/Managua' => 'Amerika / Managua',
    'America/Manaus' => 'Amerika / Manaus',
    'America/Marigot' => 'Amerika / Marigot',
    'America/Martinique' => 'Amerika / Martinique',
    'America/Matamoros' => 'Amerika / Matamoros',
    'America/Mazatlan' => 'Amerika / Mazatlan',
    'America/Menominee' => 'Amerika / Menominee',
    'America/Merida' => 'Amerika / Merida',
    'America/Metlakatla' => 'Amerika / Metlakatla',
    'America/Mexico_City' => 'Amerika / Mexico_City',
    'America/Miquelon' => 'Amerika / Miquelon',
    'America/Moncton' => 'Amerika / Moncton',
    'America/Monterrey' => 'Amerika / Monterrey',
    'America/Montevideo' => 'Amerika / Montevideo',
    'America/Montserrat' => 'Amerika / Montserrat',
    'America/Nassau' => 'Amerika / Nassau',
    'America/New_York' => 'Amerika / New_York',
    'America/Nipigon' => 'Amerika / Nipigon',
    'America/Nome' => 'Amerika / Nome',
    'America/Noronha' => 'Amerika / Noronha',
    'America/North_Dakota/Beulah' => 'Amerika / North_ / Beulah',
    'America/North_Dakota' => 'Amerika / North_',
    'America/Ojinaga' => 'Amerika / Ojinaga',
    'America/Panama' => 'Amerika / Panama',
    'America/Pangnirtung' => 'Amerika / Pangnirtung',
    'America/Paramaribo' => 'Amerika / Paramaribo',
    'America/Phoenix' => 'Amerika / Phoenix',
    'America/Port-au-Prince' => 'Amerika / Port-au-Prince',
    'America/Port_of_Spain' => 'Amerika / Port_of_Spain',
    'America/Porto_Velho' => 'Amerika / Porto_Velho',
    'America/Puerto_Rico' => 'Amerika / Puerto_Rico',
    'America/Punta_Arenas' => 'Amerika / Punta_Arenas',
    'America/Rainy_River' => 'Amerika / Rainy_ River',
    'America/Rankin_Inlet' => 'Amerika / Rankin_Inlet',
    'America/Recife' => 'Amerika / Recife',
    'America/Regina' => 'Amerika / Regina',
    'America/Resolute' => 'Amerika / Resolute',
    'America/Rio_Branco' => 'Amerika / Rio_Branco',
    'America/Santarem' => 'Amerika / Santarem',
    'America/Santiago' => 'Amerika / Santiago',
    'America/Santo_Domingo' => 'Amerika / Santo_Domingo',
    'America/Sao_Paulo' => 'Amerika / Sao_Paulo',
    'America/Scoresbysund' => 'Amerika / Scoresbysund',
    'America/Sitka' => 'Amerika / Sitka',
    'America/St_Barthelemy' => 'Amerika / St_Barthelemy',
    'America/St_Johns' => 'Amerika / St_Johns',
    'America/St_Kitts' => 'Amerika / St_Kitts',
    'America/St_Lucia' => 'Amerika / St_Lucia',
    'America/St_Thomas' => 'Amerika / St_Thomas',
    'America/St_Vincent' => 'Amerika / St_Vincent',
    'America/Swift_Current' => 'Amerika / Swift_Current',
    'America/Tegucigalpa' => 'Amerika / Tegucigalpa',
    'America/Thule' => 'Amerika / Thule',
    'America/Thunder_Bay' => 'Amerika / Thunder_Bay',
    'America/Tijuana' => 'Amerika / Tijuana',
    'America/Toronto' => 'Amerika / Toronto',
    'America/Tortola' => 'Amerika / Tortola',
    'America/Vancouver' => 'Amerika / Vancouver',
    'America/Whitehorse' => 'Amerika / Whitehorse',
    'America/Winnipeg' => 'Amerika / Winnipeg',
    'America/Yakutat' => 'Amerika / Yakutat',
    'America/Yellowknife' => 'Amerika / Yellowknife',
    'Antarctica/Casey' => 'Antarktis / Casey',
    'Antarctica/Davis' => 'Antarktis / Davis',
    'Antarctica/DumontDUrville' => 'Antarktis / DumontDUrville',
    'Antarctica/Macquarie' => 'Antarktis / Macquarie',
    'Antarctica/McMurdo' => 'Antarktis / McMurdo',
    'Antarctica/Mawson' => 'Antarktis / Mawson',
    'Antarctica/Palmer' => 'Antarktis / Palmer',
    'Antarctica/Rothera' => 'Antarktis / Rothera',
    'Antarctica/Syowa' => 'Antarktis / Syowa',
    'Antarctica/Troll' => 'Antarktis / Troll',
    'Antarctica/Vostok' => 'Antarktis / Vostok',
    'Arctic/Longyearbyen' => 'Arctic / Longyearbyen',
    'Asia/Aden' => 'Asien / Aden',
    'Asia/Almaty' => 'Asien / Almaty',
    'Asia/Amman' => 'Asien / Amman',
    'Asia/Anadyr' => 'Asien / Anadyr',
    'Asia/Aqtau' => 'Asien / Aqtau',
    'Asia/Aqtobe' => 'Asien / Aqtobe',
    'Asia/Ashgabat' => 'Asien / Ashgabat',
    'Asia/Atyrau' => 'Asien / Atyrau',
    'Asia/Baghdad' => 'Asien / Bagdad',
    'Asia/Bahrain' => 'Asien / Bahrain',
    'Asia/Baku' => 'Asien / Baku',
    'Asia/Bangkok' => 'Asien / Bangkok',
    'Asia/Barnaul' => 'Asien / Barnaul',
    'Asia/Beirut' => 'Asien / Beirut',
    'Asia/Bishkek' => 'Asien / Bishkek',
    'Asia/Brunei' => 'Asien / Brunei',
    'Asia/Chita' => 'Asien / Chita',
    'Asia/Choibalsan' => 'Asien / Choibalsan',
    'Asia/Colombo' => 'Asien / Colombo',
    'Asia/Damascus' => 'Asien / Damaskus',
    'Asia/Dhaka' => 'Asien / Dhaka',
    'Asia/Dili' => 'Asien / Dili',
    'Asia/Dubai' => 'Asien / Dubai',
    'Asia/Dushanbe' => 'Asien / Dushanbe',
    'Asia/Famagusta' => 'Asien / Famagusta',
    'Asia/Gaza' => 'Asien / Gaza',
    'Asia/Hebron' => 'Asien / Hebron',
    'Asia/Ho_Chi_Minh' => 'Asien / Ho_Chi_Minh',
    'Asia/Hong_Kong' => 'Asien / Hong_Kong',
    'Asia/Hovd' => 'Asien / Hovd',
    'Asia/Irkutsk' => 'Asien / Irkutsk',
    'Asia/Jakarta' => 'Asien / Jakarta',
    'Asia/Jayapura' => 'Asien / Jayapura',
    'Asia/Jerusalem' => 'Asien / Jerusalem',
    'Asia/Kabul' => 'Asien / Kabul',
    'Asia/Kamchatka' => 'Asien / Kamchatka',
    'Asia/Karachi' => 'Asien / Karachi',
    'Asia/Kathmandu' => 'Asien / Kathmandu',
    'Asia/Khandyga' => 'Asien / Khandyga',
    'Asia/Kolkata' => 'Asien / Kolkata',
    'Asia/Krasnoyarsk' => 'Asien / Krasnoyarsk',
    'Asia/Kuala_Lumpur' => 'Asien / Kuala_Lumpur',
    'Asia/Kuching' => 'Asien / Kuching',
    'Asia/Kuwait' => 'Asien / Kuwait',
    'Asia/Macau' => 'Asien / Macau',
    'Asia/Magadan' => 'Asien / Magadan',
    'Asia/Makassar' => 'Asien / Makassar',
    'Asia/Manila' => 'Asien / Manila',
    'Asia/Muscat' => 'Asien / Muscat',
    'Asia/Nicosia' => 'Asien / Nicosia',
    'Asia/Novokuznetsk' => 'Asien / Novokuznetsk',
    'Asia/Novosibirsk' => 'Asien / Novosibirsk',
    'Asia/Omsk' => 'Asien / Omsk',
    'Asia/Oral' => 'Asien / Oral',
    'Asia/Phnom_Penh' => 'Asien / Phnom_Penh',
    'Asia/Pontianak' => 'Asien / Pontianak',
    'Asia/Pyongyang' => 'Asien / Pyongyang',
    'Asia/Qatar' => 'Asien / Qatar',
    'Asia/Qostanay' => 'Asien / Qostanay',
    'Asia/Qyzylorda' => 'Asien / Qyzylorda',
    'Asia/Riyadh' => 'Asien / Riyadh',
    'Asia/Sakhalin' => 'Asien / Sakhalin',
    'Asia/Samarkand' => 'Asien / Samarkand',
    'Asia/Seoul' => 'Asien / Seoul',
    'Asia/Shanghai' => 'Asien / Shanghai',
    'Asia/Singapore' => 'Asien / Singapore',
    'Asia/Srednekolymsk' => 'Asien / Srednekolymsk',
    'Asia/Taipei' => 'Asien / Taipei',
    'Asia/Tashkent' => 'Asien / Tashkent',
    'Asia/Tbilisi' => 'Asien / Tbilisi',
    'Asia/Tehran' => 'Asien / Tehran',
    'Asia/Thimphu' => 'Asien / Thimphu',
    'Asia/Tokyo' => 'Asien / Tokyo',
    'Asia/Tomsk' => 'Asien / Tomsk',
    'Asia/Ulaanbaatar' => 'Asien / Ulaanbaatar',
    'Asia/Urumqi' => 'Asien / Urumqi',
    'Asia/Ust-Nera' => 'Asien / Ust-Nera',
    'Asia/Vientiane' => 'Asien / Vientiane',
    'Asia/Vladivostok' => 'Asien / Vladivostok',
    'Asia/Yakutsk' => 'Asien / Yakutsk',
    'Asia/Yangon' => 'Asien / Yangon',
    'Asia/Yekaterinburg' => 'Asien / Jekaterinburg',
    'Asia/Yerevan' => 'Asien / Yerevan',
    'Atlantic/Azores' => 'Atlantic / Azores',
    'Atlantic/Bermuda' => 'Atlantic / Bermuda',
    'Atlantic/Canary' => 'Atlantic / Canary',
    'Atlantic/Cape_Verde' => 'Atlantic / Cape_Verde',
    'Atlantic/Faroe' => 'Atlantic / Faroe',
    'Atlantic/Madeira' => 'Atlantic / Madeira',
    'Atlantic/Reykjavik' => 'Atlantic / Reykjavik',
    'Atlantic/South_Georgia' => 'Atlantic / South_',
    'Atlantic/St_Helena' => 'Atlantic / St_Helena',
    'Atlantic/Stanley' => 'Atlantic / Stanley',
    'Australia/Adelaide' => 'Australien / Adelaide',
    'Australia/Brisbane' => 'Australien / Brisbane',
    'Australia/Broken_Hill' => 'Australien / Broken_Hill',
    'Australia/Currie' => 'Australien / Currie',
    'Australia/Darwin' => 'Australien / Darwin',
    'Australia/Eucla' => 'Australien / Eucla',
    'Australia/Hobart' => 'Australien / Hobart',
    'Australia/Lindeman' => 'Australien / Lindeman',
    'Australia/Lord_Howe' => 'Australien / Lord_Howe',
    'Australia/Melbourne' => 'Australien / Melbourne',
    'Australia/Perth' => 'Australien / Perth',
    'Australia/Sydney' => 'Australien / Sydney',
    'Europe/Amsterdam' => 'Europa / Amsterdam',
    'Europe/Andorra' => 'Europa / Andorra',
    'Europe/Astrakhan' => 'Europa / Astrakhan',
    'Europe/Athens' => 'Europa / Athen',
    'Europe/Belgrade' => 'Europa / Belgrade',
    'Europe/Berlin' => 'Europe / Berlin',
    'Europe/Bratislava' => 'Europa / Bratislava',
    'Europe/Brussels' => 'Europa / Bruxelles',
    'Europe/Bucharest' => 'Europa / Bukarest',
    'Europe/Budapest' => 'Europa / Budapest',
    'Europe/Busingen' => 'Europa / Busingen',
    'Europe/Chisinau' => 'Europa / Chisinau',
    'Europe/Copenhagen' => 'Europa / København',
    'Europe/Dublin' => 'Europa / Dublin',
    'Europe/Gibraltar' => 'Europa / Gibraltar',
    'Europe/Guernsey' => 'Europa / Guernsey',
    'Europe/Helsinki' => 'Europa / Helsinki',
    'Europe/Isle_of_Man' => 'Europa / Isle_of_Man',
    'Europe/Istanbul' => 'Europa / Istanbul',
    'Europe/Jersey' => 'Europa / Jersey',
    'Europe/Kaliningrad' => 'Europa / Kaliningrad',
    'Europe/Kiev' => 'Europa / Kiev',
    'Europe/Kirov' => 'Europa / Kirov',
    'Europe/Lisbon' => 'Europa / Lissabon',
    'Europe/Ljubljana' => 'Europa / Ljubljana',
    'Europe/London' => 'Europa / London',
    'Europe/Luxembourg' => 'Europa / Luxembourg',
    'Europe/Madrid' => 'Europa / Madrid',
    'Europe/Malta' => 'Europa / Malta',
    'Europe/Mariehamn' => 'Europa / Mariehamn',
    'Europe/Minsk' => 'Europa / Minsk',
    'Europe/Monaco' => 'Europa / Monaco',
    'Europe/Moscow' => 'Europa / Moskva',
    'Europe/Oslo' => 'Europa / Oslo',
    'Europe/Paris' => 'Europa / Paris',
    'Europe/Podgorica' => 'Europa / Podgorica',
    'Europe/Prague' => 'Europa / Prag',
    'Europe/Riga' => 'Europa / Riga',
    'Europe/Rome' => 'Europa / Rom',
    'Europe/Samara' => 'Europa / Samara',
    'Europe/San_Marino' => 'Europa / San_Marino',
    'Europe/Sarajevo' => 'Europa / Sarajevo',
    'Europe/Saratov' => 'Europa / Saratov',
    'Europe/Simferopol' => 'Europa / Simferopol',
    'Europe/Skopje' => 'Europa / Skopje',
    'Europe/Sofia' => 'Europa / Sofia',
    'Europe/Stockholm' => 'Europa / Stockholm',
    'Europe/Tallinn' => 'Europa / Tallinn',
    'Europe/Tirane' => 'Europa / Tirane',
    'Europe/Ulyanovsk' => 'Europa / Ulyanovsk',
    'Europe/Uzhgorod' => 'Europa / Uzhgorod',
    'Europe/Vaduz' => 'Europa / Vaduz',
    'Europe/Vatican' => 'Europa / Vatikanet',
    'Europe/Vienna' => 'Europa / Wien',
    'Europe/Vilnius' => 'Europa / Vilnius',
    'Europe/Volgograd' => 'Europa / Volgograd',
    'Europe/Warsaw' => 'Europa / Warszawa',
    'Europe/Zagreb' => 'Europa / Zagreb',
    'Europe/Zaporozhye' => 'Europa / Zaporozhye',
    'Europe/Zurich' => 'Europa / Zurich',
    'Indian/Antananarivo' => 'Indian / Antananarivo',
    'Indian/Chagos' => 'Indian / Chagos',
    'Indian/Christmas' => 'Indian / jul',
    'Indian/Cocos' => 'Indian / Cocos',
    'Indian/Comoro' => 'Indian / Comorerne',
    'Indian/Kerguelen' => 'Indian / Kerguelen',
    'Indian/Mahe' => 'Indian / Mahe',
    'Indian/Maldives' => 'Indian / Maldiverne',
    'Indian/Mauritius' => 'Indian / Mauritius',
    'Indian/Mayotte' => 'Indian / Mayotte',
    'Indian/Reunion' => 'Indian / Reunion',
    'Pacific/Apia' => 'Pacific / Apia',
    'Pacific/Auckland' => 'Pacific / Auckland',
    'Pacific/Bougainville' => 'Pacific / Bougainville',
    'Pacific/Chatham' => 'Pacific / Chatham',
    'Pacific/Chuuk' => 'Pacific / Chuuk',
    'Pacific/Easter' => 'Pacific / påske',
    'Pacific/Efate' => 'Pacific / Efate',
    'Pacific/Enderbury' => 'Pacific / Enderbury',
    'Pacific/Fakaofo' => 'Pacific / Fakaofo',
    'Pacific/Fiji' => 'Pacific / Fiji',
    'Pacific/Funafuti' => 'Pacific / Funafuti',
    'Pacific/Galapagos' => 'Pacific / Galapagos',
    'Pacific/Gambier' => 'Stillehavet / Gambier',
    'Pacific/Guadalcanal' => 'Stillehavet / Guadalcanal',
    'Pacific/Guam' => 'Pacific / Guam',
    'Pacific/Honolulu' => 'Pacific / Honolulu',
    'Pacific/Kiritimati' => 'Stillehavet / Kiritimati',
    'Pacific/Kosrae' => 'Pacific / Kosrae',
    'Pacific/Kwajalein' => 'Pacific / Kwajalein',
    'Pacific/Majuro' => 'Pacific / Majuro',
    'Pacific/Marquesas' => 'Pacific / Marquesas',
    'Pacific/Midway' => 'Pacific / Midway',
    'Pacific/Nauru' => 'Stillehavet / Nauru',
    'Pacific/Niue' => 'Pacific / Niue',
    'Pacific/Norfolk' => 'Pacific / Norfolk',
    'Pacific/Noumea' => 'Pacific / Noumea',
    'Pacific/Pago_Pago' => 'Pacific / Pago_Pago',
    'Pacific/Palau' => 'Pacific / Palau',
    'Pacific/Pitcairn' => 'Pacific / Pitcairn',
    'Pacific/Pohnpei' => 'Pacific / Pohnpei',
    'Pacific/Port_Moresby' => 'Pacific / Port_Moresby',
    'Pacific/Rarotonga' => 'Pacific / Rarotonga',
    'Pacific/Saipan' => 'Pacific / Saipan',
    'Pacific/Tahiti' => 'Pacific / Tahiti',
    'Pacific/Tarawa' => 'Pacific / Tarawa',
    'Pacific/Tongatapu' => 'Stillehavet / Tongatapu',
    'Pacific/Wake' => 'Pacific / Wake',
    'Pacific/Wallis' => 'Pacific / Wallis',
    'UTC' => 'UTC',
    'Time Format' => 'Tidsformat',
    'Choose your default timezone' => 'Vælg din standard tidszone',
    'Signature' => 'Underskrift',
    'User signature will be append at the bottom of ticket reply box' => 'Brugersignatur vil blive tilføjet i bunden af ​​billetsvareboksen',
    'Password' => 'Adgangskode',
    'Password will remain same if you are not entering something in this field' => 'Adgangskode forbliver det samme, hvis du ikke indtaster noget i dette felt',
    'Confirm Password' => 'Bekræft kodeord',
    'Password must contain minimum 8 character length, at least two letters (not case sensitive), one number, one special character(space is not allowed).' => 'Adgangskoden skal indeholde mindst 8 tegn, mindst to bogstaver (ikke store og små bogstaver), et tal, et specialtegn (mellemrum er ikke tilladt).',
    'Save Changes' => 'Gem ændringer',
    'SAVE CHANGES' => 'GEM ÆNDRINGER',
    'CREATE TICKET' => 'Opret TICKET',
    'Customer full name' => 'Kundens fulde navn',
    'Customer email address' => 'Kundens e-mail-adresse',
    'Select Type' => 'Vælg type',
    'Support' => 'Support',
    'Choose ticket type' => 'Vælg billetype',
    'Ticket subject' => 'Billetemne',
    'Message' => 'Besked',
    'Query Message' => 'Forespørgsel',
    'Add Attachment' => 'Tilføj vedhæftet fil',
    'This field is mandatory' => 'Dette felt er obligatorisk',
    'General' => 'Generel',
    'Designation' => 'Betegnelse',
    'Contant Number' => 'Indholdsnummer',
    'User signature will be append in the bottom of ticket reply box' => 'Brugersignatur vil blive tilføjet i bunden af ​​billetsvareboksen',
    'Account Status' => 'Kontostatus',
    'Account is Active' => 'Konto er aktiv',
    'Assigning group(s) to user to view tickets regardless assignment.' => 'Tildeling af gruppe (r) til bruger for at se billetter uanset opgave.',
    'Default' => 'Standard',
    'Select All' => 'Vælg alle',
    'Remove All' => 'Fjern alt',
    'Assigning team(s) to user to view tickets regardless assignment.' => 'Tildeling af team (er) til bruger for at se billetter uanset opgave.',
    'No Team added !' => 'Intet hold tilføjet!',
    'Permission' => 'Tilladelse',
    'Role' => 'rolle',
    'Administrator' => 'Administrator',
    'Select agent role' => 'Vælg agentrolle',
    'Add Customer' => 'Tilføj kunde',
    'Action' => 'Handling',
    'Account Owner' => 'Kontoejer',
    'Active' => 'Aktiv',
    'Edit' => 'Redigere',
    'Delete' => 'Slet',
    'Disabled' => 'handicappet',
    'New Group' => 'Ny gruppe',
    'Default Privileges' => 'Standardrettigheder',
    'New Privileges' => 'Nye privilegier',
    'NEW PRIVILEGE' => 'NY PRIVILEGE',
    'New Privilege' => 'Nyt privilegium',
    'New Team' => 'Nyt team',
    'No Record Found' => 'Ingen poster fundet',
    'Order Synchronization' => 'Bestillingssynkronisering',
    'Easily integrate different ecommerce platforms with your helpdesk which can then be later used to swiftly integrate ecommerce order details with your support tickets.' => 'Integrer nemt forskellige e-handelsplatforme med din helpdesk, som derefter senere kan bruges til hurtigt at integrere e-handelsordredetaljer med dine supportbilletter.',
    'BigCommerce' => 'BigCommerce',
    'No channels have been added.' => 'Ingen kanaler er tilføjet.',
    'Add BigCommerce Store' => 'Tilføj BigCommerce Store',
    'ADD BIGCOMMERCE STORE' => 'TILFØJ BIGCOMMERCE STORE',
    'Mangento' => 'Mangento',
    'Add Magento Store' => 'Tilføj Magento-butik',
    'OpenCart' => 'OpenCart',
    'Add OpenCart Store' => 'Tilføj OpenCart Store',
    'ADD OPENCART STORE' => 'TILFØJ OPENCART STORE',
    'Shopify' => 'Shopify',
    'Add Shopify Store' => 'Tilføj Shopify-butik',
    'ADD SHOPIFY STORE' => 'TILFØJ SHOPIFY BUTIK',
    'Integrate a new BigCommerce store' => 'Integrer en ny BigCommerce-butik',
    'Your BigCommerce Store Name' => 'Dit BigCommerce Store-navn',
    'Your BigCommerce Store Hash' => 'Din BigCommerce Store Hash',
    'Your BigCommerce Api Token' => 'Din BigCommerce Api-token',
    'Your BigCommerce Api Client ID' => 'Din BigCommerce Api-klient-id',
    'Enable Channel' => 'Aktivér kanal',
    'Add Store' => 'Tilføj butik',
    'ADD STORE' => 'TILFØJ BUTIK',
    'Integrate a new Magento store' => 'Integrer en ny Magento-butik',
    'Your Magento Api Username' => 'Dit Magento Api brugernavn',
    'Your Magento Api Password' => 'Dit Magento Api-adgangskode',
    'Integrate a new OpenCart store' => 'Integrer en ny OpenCart-butik',
    'Your OpenCart Api Key' => 'Din OpenCart Api-nøgle',
    'Your Shopify Store Name' => 'Dit Shopify-butiksnavn',
    'Your Shopify Api Key' => 'Din Shopify Api-nøgle',
    'Your Shopify Api Password' => 'Dit Shopify Api-adgangskode',
    'Easily embed custom form to help generate helpdesk tickets.' => 'Integrer let tilpasset form til at hjælpe med at generere helpdesk-billetter.',
    'Form-Builder' => 'Form-Builder',
    'Add Formbuilder' => 'Tilføj Formbuilder',
    'ADD FORMBUILDER' => 'TILFØJ FORBRUGER',
    'No FormBuilder have been added.' => 'Ingen FormBuilder er tilføjet.',
    'Create a New Custom Form Below' => 'Opret en ny brugerdefineret form nedenfor',
    'Form Name' => 'Form Navn',
    'It will be shown in the list of created forms' => 'Det vises på listen over oprettede formularer',
    'MANDATORY FIELDS' => 'OBLIGATORISKE FELTER',
    'These fields will be visible in form and cant be edited' => 'Disse felter vil være synlige i form og kan ikke redigeres ',
    'Reply' => 'Svar',
    'OPTIONAL FIELDS' => 'VALGFRIL',
    'Select These Fields to Add in your Form' => 'Vælg disse felter, der skal tilføjes i din form',
    'GDPR' => 'BNPR',
    'Order' => 'Bestille',
    'Categorybuilder' => 'Categorybuilder',
    'Add Form' => 'Tilføj formular',
    'ADD FORM' => 'TILFØJ FORM',
    'UPDATE FORM' => 'UPDATE FORM',
    'Update Form' => 'Opdateringsformular',
    'Embed' => 'Indlejre',
    'EMBED' => 'INDLEJRE',
    'EMBED FORMBUILDER' => 'EMBED FORMBUILDER',
    'Embed Formbuilder' => 'Embed Formbuilder',
    'Visit' => 'Besøg',
    'VISIT' => 'BESØG',
    'Code' => 'Kode',
    'Total Ticket(s)' => 'Total billet (er)',
    'Ticket Count' => 'Billetælling',
    'SwiftMailer Configurations' => 'SwiftMailer-konfigurationer',
    'No swiftmailer configurations found' => 'Ingen swiftmailer-konfigurationer fundet',
    'CREATE CONFIGURATION' => 'CREATE CONFIGURATION',
    'Add configuration' => 'Tilføj konfiguration',
    'Update configuration' => 'Opdater konfiguration',
    'Mailer ID' => 'Mailer ID',
    'Mailer ID - Leave blank to automatically create id' => 'Mailer ID - Lad være tom for automatisk at oprette id',
    'Transport Type' => 'Transporttype',
    'SMTP' => 'SMTP',
    'Enable Delivery' => 'Aktiver levering',
    'Server' => 'Server',
    'Port' => 'Havn',
    'Encryption Mode' => 'Krypteringstilstand',
    'ssl' => 'ssl',
    'tsl' => 'TSL',
    'None' => 'Ingen',
    'Authentication Mode' => 'Godkendelsestilstand',
    'login' => 'Log på',
    'API' => 'API',
    'Plain' => 'Almindeligt',
    'CRAM-MD5' => 'CRAM-MD5',
    'Sender Address' => 'Afsenderadresse',
    'Delivery Address' => 'Leveringsadresse',
    'Block Spam' => 'Bloker spam',
    'Black list' => 'Sort liste',
    'Comma (,) separated values (Eg. support@example.com, @example.com, 68.98.31.226)' => 'Komma (,) adskilte værdier (f.eks. Support@eksempel.com, @ eksempel.com, 68.98.31.226)',
    'White list' => 'Hvid liste',
    'Mailbox Settings' => 'Mailbox-indstillinger',
    'No mailbox configurations found' => 'Ingen postkassekonfigurationer fundet',
    'NEW MAILBOX' => 'NY MAILBOX',
    'New Mailbox' => 'NY MAILBOX',
    'Update Mailbox' => 'Opdater postkassen',
    'Add Mailbox' => 'Tilføj postkasse',
    'Mailbox ID - Leave blank to automatically create id' => 'Postkasse-id - lad det være tomt for automatisk at oprette id',
    'Mailbox Name' => 'Postkassenavn',
    'Enable Mailbox' => 'Aktivér postkasse',
    'Incoming Mail (IMAP) Server' => 'IMAP-server (indgående post)',
    'Configure your imap settings which will be used to fetch emails from your mailbox.' => 'Konfigurer dine imap-indstillinger, som vil blive brugt til at hente e-mails fra din postkasse.',
    'Transport' => 'Transportere',
    'IMAP' => 'IMAP',
    'Gmail' => 'Gmail',
    'Yahoo' => 'Yahoo',
    'Host' => 'Vært',
    'IMAP Host' => 'IMAP vært',
    'Email address' => 'Email adresse',
    'Associated Password' => 'Tilknyttet adgangskode',
    'Outgoing Mail (SMTP) Server' => 'Udgående mail (SMTP) server',
    'Select a valid Swift Mailer configuration which will be used to send emails through your mailbox.' => 'Vælg en gyldig Swift Mailer-konfiguration, der vil blive brugt til at sende e-mails gennem din postkasse.',
    'Swift Mailer ID' => 'Swift Mailer ID',
    'None Selected' => 'Ingen valgt',
    'Create Mailbox' => 'Opret postkasse',
    'CREATE MAILBOX' => 'CREATE MAILBOX',
    'New Template' => 'Ny skabelon',
    'NEW TEMPLATE' => 'NY TEMPLAT',
    'Customer Forgot Password' => 'Kunden har glemt password',
    'Customer Account Created' => 'Kundekonto oprettet',
    'Ticket generated success mail to customer' => 'Ticket genereret succes mail til kunden',
    'Customer Reply To The Agent' => 'Kundes svar til agenten',
    'Ticket Assign' => 'Billetildeling',
    'Agent Forgot Password' => 'Agent glemt adgangskode',
    'Agent Account Created' => 'Agentkonto oprettet',
    'Ticket generated by customer' => 'Billet genereret af kunden',
    'Agent Reply To The Customers ticket' => 'Agent svar til kundens billet',
    'Email template name' => 'Navn på e-mail-skabelon',
    'Email template subject' => 'E-mail-skabelonemne',
    'Template For' => 'Skabelon til',
    'Nothing Selected' => 'Intet valgt',
    'email template will be used for work related with selected option' => 'e-mail-skabelon bruges til arbejde relateret til den valgte indstilling',
    'Email template body' => 'Skabelon for e-mail',
    'Body' => 'Legeme',
    'placeholders' => 'pladsholdere',
    'Ticket Subject' => 'Ticket Subject',
    'Ticket Message' => 'Billetbesked',
    'Ticket Attachments' => 'Billetbilag',
    'Ticket Tags' => 'Billetmærker',
    'Ticket Source' => 'Billetkilde',
    'Ticket Status' => 'Billetstatus',
    'Ticket Priority' => 'Billetprioritet',
    'Ticket Group' => 'Billetgruppe',
    'Ticket Team' => 'Ticket Team',
    'Ticket Thread Message' => 'Billettrådbesked',
    'Ticket Customer Name' => 'Billetkundenavn',
    'Ticket Customer Email' => 'Billet-e-mail',
    'Ticket Agent Name' => 'Ticket Agent Name',
    'Ticket Agent Email' => 'Ticket Agent Email',
    'Ticket Agent Link' => 'Ticket Agent Link',
    'Ticket Customer Link' => 'Billetkundelink',
    'Last Collaborator Name' => 'Sidste samarbejdsnavn',
    'Last Collaborator Email' => 'Sidste samarbejds-e-mail',
    'Agent/ Customer Name' => 'Agent / kundenavn',
    'Account Validation Link' => 'Konto valideringslink',
    'Password Forgot Link' => 'Adgangskode glemt link',
    'Company Name' => 'Firmanavn',
    'Company Logo' => 'Virksomheds logo',
    'Company URL' => 'Virksomheds-URL',
    'Swiftmailer id (Select from drop down)' => 'Swiftmailer-id (vælg fra dropdown)',
    'SwiftMailer' => 'SwiftMailer',
    'PROCEED' => 'FORTSÆT',
    'Proceed' => 'Fortsæt',
    'Theme Color' => 'Tema farve',
    'Customer Created' => 'Kundeskabt',
    'Agent Created' => 'Agent oprettet',
    'Ticket Created' => 'Ticket oprettet',
    'Agent Replied on Ticket' => 'Agent svaret på billet',
    'Customer Replied on Ticket' => 'Kunden svarede på billet',
    'Workflow Status' => 'Arbejdsgangsstatus',
    'Workflow is Active' => 'Arbejdsgang er aktiv',
    'Events' => 'Begivenheder',
    'An event automatically triggers to check conditions and perform a respective pre-defined set of actions' => 'En begivenhed udløser automatisk for at kontrollere forholdene og udføre et respektive foruddefineret sæt handlinger',
    'Select an Event' => 'Vælg en begivenhed',
    'Add More' => 'Tilføj mere',
    'Conditions' => 'Betingelser',
    'Conditions are set of rules which checks for specific scenarios and are triggered on specific occasions' => 'Betingelser er sæt af regler, der kontrollerer for specifikke scenarier og udløses ved specifikke lejligheder',
    'Subject or Description' => 'Emne eller beskrivelse',
    'Actions' => 'Handlinger',
    'An action not only reduces the workload but also makes it quite easier for ticket automation' => 'En handling reducerer ikke kun arbejdsbyrden, men gør det også meget lettere for billetautomatisering',
    'Select an Action' => 'Vælg en handling',
    'Add Note' => 'Tilføj note',
    'Mail to agent' => 'Mail til agent',
    'Mail to customer' => 'Mail til kunde',
    'Mail to group' => 'Mail til gruppe',
    'Mail to last collaborator' => 'Mail til sidste samarbejdspartner',
    'Mail to team' => 'Mail til team',
    'Mark Spam' => 'Mark spam',
    'Assign to agent' => 'Tildel til agent',
    'Assign to group' => 'Tildel til gruppe',
    'Set Priority As' => 'Indstil prioritet som',
    'Set Status As' => 'Indstil status som',
    'Set Tag As' => 'Indstil tag som',
    'Set Label As' => 'Indstil etiket som',
    'Assign to team' => 'Tildel til team',
    'Set Type As' => 'Indstil type som',
    'Add Workflow' => 'Tilføj arbejdsgang',
    'ADD WORKFLOW' => 'TILFØJ ARBEJDSFLØDE',
    'Ticket Type code' => 'Billetypekode',
    'Ticket Type description' => 'Billetype beskrivelse',
    'Type Status' => 'Type Status',
    'Type is Active' => 'Type er aktiv',
    'Add Save Reply' => 'Tilføj Gem svar',
    'Saved reply name' => 'Gemt svarnavn',
    'Share saved reply with user(s) in these group(s)' => 'Del gemt svar med bruger (e) i denne gruppe (r)',
    'Share saved reply with user(s) in these teams(s)' => 'Del gemt svar med bruger (e) i disse hold (r)',
    'Saved reply Body' => 'Gemt svar organ',
    'New Prepared Response' => 'Ny forberedt svar',
    'Prepared Response Status' => 'Forberedt svarstatus',
    'Prepared Response is Active' => 'Forberedt svar er aktivt',
    'Share prepared response with user(s) in these group(s)' => 'Del forberedt svar med bruger (e) i denne gruppe (r)',
    'Share prepared response with user(s) in these teams(s)' => 'Del forberedt svar med bruger (e) i disse teams (r)',
    'ADD PREPARED RESPONSE' => 'TILFØJ FORBEREDET RESPONSE',
    'Add Prepared Response' => 'Tilføj forberedt svar',
    'Folder Name is shown upfront at Knowledge Base' => 'Mappenavn vises på forhånd ved Knowledge Base',
    'A small text about the folder helps user to navigate more easily' => 'En lille tekst om mappen hjælper brugeren med at navigere lettere',
    'Publish' => 'Offentliggøre',
    'Choose appropriate status' => 'Vælg passende status',
    'Folder Image' => 'Mappebillede',
    'An image is worth a thousands words and makes folder more accessible' => 'Et billede er værd tusinder ord og gør mappen mere tilgængelig',
    'Add Category' => 'Tilføj kategori',
    'Category Name is shown upfront at Knowledge Base' => 'Kategorinavn vises på forhånd ved Knowledge Base',
    'A small text about the category helps user to navigate more easily' => 'En lille tekst om kategorien hjælper brugeren med at navigere lettere',
    'Using Category Order, you can decide which category should display first' => 'Ved hjælp af kategorirækkefølge kan du bestemme, hvilken kategori der skal vises først',
    'Sorting' => 'Sortering',
    'Ascending Order (A-Z)' => 'Stigende ordre (A-Z)',
    'Descending Order (Z-A)' => 'Faldende rækkefølge (Z-A)',
    'Based on Popularity' => 'Baseret på popularitet',
    'Article of this category will display according to selected option' => 'Artikel i denne kategori vises efter den valgte indstilling',
    'Article' => 'Genstand',
    'Title' => 'Titel',
    'View' => 'Udsigt',
    'Make as Starred' => 'Lav som stjerne',
    'Yes' => 'Ja',
    'No' => 'Ingen',
    'Stared' => 'stared',
    'Revisions' => 'revisioner',
    'Related Articles' => 'relaterede artikler',
    'Delete Article' => 'Slet artikel',
    'Content' => 'Indhold',
    'Slug' => 'Slug',
    'Slug is the url identity of this article.' => 'Slug er url-identiteten til denne artikel.',
    'Meta Title' => 'Metatitel',
    '# Title tags and meta descriptions are bits of HTML code in the header of a web page. They help search engines understand the content on a page. A pages title tag and meta description are usually shown whenever that page appears in search engine results' => 'Titelkoder og metabeskrivelser er bit af HTML-kode i overskriften på en webside. De hjælper søgemaskiner med at forstå indholdet på en side. En sides titeltag og metabeskrivelse vises normalt, når denne side vises i søgemaskinens resultater ',
    'Meta Keywords' => 'Meta-nøgleord',
    'Meta Description' => 'Meta beskrivelse',
    'Description' => 'Beskrivelse',
    'Team Status' => 'Team Status',
    'Team is Active' => 'Team er aktivt',
    'Edit Privilege' => 'Rediger privilegium',
    'Can create ticket' => 'Kan oprette billet',
    'Can edit ticket' => 'Kan redigere billet',
    'Can delete ticket' => 'Kan slette billet',
    'Can restore trashed ticket' => 'Kan gendanne papirkurven',
    'Can assign ticket' => 'Kan tildele billet',
    'Can assign ticket group' => 'Kan tildele billetgruppe',
    'Can update ticket status' => 'Kan opdatere billetstatus',
    'Can update ticket priority' => 'Kan opdatere billetprioritet',
    'Can update ticket type' => 'Kan opdatere billetype',
    'Can add internal notes to ticket' => 'Kan tilføje interne noter til billetten',
    'Can edit thread/notes' => 'Kan redigere tråd / noter',
    'Can lock/unlock thread' => 'Kan låse / låse op tråd',
    'Can add collaborator to ticket' => 'Kan tilføje samarbejdspartner til billet',
    'Can delete collaborator from ticket' => 'Kan slette samarbejdspartner fra billet',
    'Can delete thread/notes' => 'Kan slette tråd / noter',
    'Can apply prepared response on ticket' => 'Kan anvende forberedt svar på billet',
    'Can add ticket tags' => 'Kan tilføje billetmærker',
    'Can delete ticket tags' => 'Kan slette billetmærker',
    'Can kick other ticket users' => 'Kan sparke andre billetbrugere',
    'Can manage email templates' => 'Kan administrere e-mail-skabeloner',
    'Can manage groups' => 'Kan administrere grupper',
    'Can manage Sub-Groups/ Teams' => 'Kan administrere undergrupper / hold',
    'Can manage agents' => 'Kan administrere agenter',
    'Can manage agent privileges' => 'Kan administrere agentrettigheder',
    'Can manage ticket types' => 'Kan administrere billettyper',
    'Can manage ticket custom fields' => 'Kan administrere brugerdefinerede billetfelter',
    'Can manage customers' => 'Kan administrere kunder',
    'Can manage Prepared Responses' => 'Kan administrere forberedte svar',
    'Can manage Automatic workflow' => 'Kan administrere automatisk arbejdsgang',
    'Can manage tags' => 'Kan administrere tags',
    'Can manage knowledgebase' => 'Kan administrere vidensbase',
    'Can manage Groups Saved Reply' => 'Kan administrere Gruppens gemte svar',
    'Add Privilege' => 'Tilføj privilegium',
    'Choose set of privileges which will be available to the agent.' => 'Vælg et sæt privilegier, der vil være tilgængelige for agenten.',
    'Advanced' => 'Fremskreden',
    'Privilege Name must have characters only' => 'Privilege-navn skal kun have tegn',
    'Maximum character length is 50' => 'Maksimal karakterlængde er 50',
    'Open Tickets' => 'Åbne billetter',
    'New Customer' => 'Ny kunde',
    'New Agent' => 'Ny agent',
    'Total Article(s)' => 'Samlede artikel (er)',
    'Please specify a valid email address' => 'Angiv venligst en gyldig e-mail-adresse',
    'Please enter the password associated with your email address' => 'Indtast det adgangskode, der er knyttet til din e-mail-adresse',
    'Please enter your server host address' => 'Indtast venligst din serverværtsadresse',
    'Please specify a port number to connect with your mail server' => 'Angiv venligst et portnummer for at oprette forbindelse til din mailserver',
    'Success ! Branding details saved successfully.' => 'Succes! Brandingdetaljer er gemt med succes. ',
    'Success ! Time details saved successfully.' => 'Succes! Tidsoplysninger er gemt med succes. ',
    'Spam setting saved successfully.' => 'Spamindstilling er gemt med succes.',
    'Please specify a valid name for your mailbox.' => 'Angiv venligst et gyldigt navn til din postkasse.',
    'Please select a valid swift-mailer configuration.' => 'Vælg en gyldig hurtig-mailer-konfiguration.',
    'Please specify a valid host address.' => 'Angiv venligst en gyldig værtadresse.',
    'Please specify a valid email address.' => 'Angiv venligst en gyldig e-mail-adresse.',
    'Please enter the associated account password.' => 'Indtast den tilknyttede kontoadgangskode.',
    'New Saved Reply' => 'Nyt gemt svar',
    'New Category' => 'Ny kategori',
    'Folder' => 'Folder',
    'Category' => 'Kategori',
    'Created' => 'Oprettet',
    'All Articles' => 'Alle artikler',
    'Viewed' => 'Har set',
    'New Article' => 'Ny artikel',
    'Thank you for your feedback!' => 'Tak for din feedback!',
    'Was this article helpful?' => 'Var denne artikel til hjælp?',
    'Helpdesk' => 'Helpdesk',
    'Support Center' => 'Support Center',
    'Mailboxes' => 'postkasser',
    'By' => 'Ved',
    'Search Tickets' => 'Søg billetter',
    'Customer Information' => 'Kunde information',
    'Total Replies' => 'Total svar',
    'Filter With' => 'Filtrer med',
    'Type email to add' => 'Skriv e-mail for at tilføje',
    'Collaborators' => 'Samarbejdspartnere',
    'Labels' => 'Etiketter',
    'Group' => 'Gruppe',
    'group' => 'gruppe',
    'Contact Team' => 'Kontakt Team',
    'Stay on ticket' => 'Bliv på billet',
    'Redirect to list' => 'Omdirigering til liste',
    'Nothing interesting here...' => 'Intet interessant her',
    'Previous Ticket' => 'Forrige billet',
    'Next Ticket' => 'Næste billet',
    'Forward' => 'Frem',
    'Note' => 'Bemærk',
    'Write a reply' => 'Skriv et svar',
    'Created Ticket' => 'Oprettet billet',
    'All Threads' => 'Alle tråde',
    'Forwards' => 'Fremad',
    'Notes' => 'Notes',
    'Pinned' => 'Pinned',
    'Edit Ticket' => 'Rediger billet',
    'Print Ticket' => 'Udskriv billet',
    'Mark as Spam' => 'Marker som spam',
    'Mark as Closed' => 'Markér som lukket',
    'Delete Ticket' => 'Slet billet',
    'View order details from different eCommerce channels' => 'Se ordredetaljer fra forskellige e-handelskanaler',
    'ECOMMERCE CHANNELS' => 'ECOMMERCE CHANNELS',
    'Select channel' => 'Vælg kanal',
    'Order Id' => 'Ordre ID',
    'Fetch Order' => 'Hent ordre',
    'No orders have been integrated to this ticket yet.' => 'Der er endnu ikke integreret nogen ordrer til denne billet.',
    'Enter your credentials below to gain access to your helpdesk account.' => 'Indtast dine legitimationsoplysninger nedenfor for at få adgang til din helpdesk-konto.',
    'Keep me logged in' => 'Lad mig forblive logget ind',
    'Forgot Password?' => 'Glemt kodeord?',
    'Log in to your' => 'Log ind på din',
    'Sign In' => 'Log ind',
    'Edit Customer' => 'Rediger kunde',
    'Update' => 'Opdater',
    'Discard' => 'Kassér',
    'Cancel' => 'Afbestille',
    'Not Assigned' => 'Ikke tildelt',
    'Submit' => 'Indsend',
    'Submit And Open' => 'Indsend og åben',
    'Submit And Pending' => 'Indsend og venter',
    'Submit And Answered' => 'Indsend og besvaret',
    'Submit And Resolved' => 'Indsend og løst',
    'Submit And Closed' => 'Indsend og lukket',
    'Choose a Color' => 'Vælg en farve',
    'Create' => 'Skab',
    'Edit Label' => 'Rediger etiket',
    'Add Label' => 'Tilføj etiket',
    'To' => 'Til',
    'Ticket' => 'Billet',
    'Your browser does not support JavaScript or You disabled JavaScript, Please enable those !' => 'Din browser understøtter ikke JavaScript eller du deaktiverede JavaScript. Aktivér venligst disse!',
    'Confirm Action' => 'Bekræft handling',
    'Confirm' => 'Bekræfte',
    'No result found' => 'Intet resultat fundet',
    'ticket delivery status' => 'billetleveringsstatus',
    'Warning! Select valid image file.' => 'Advarsel! Vælg gyldig billedfil. ',
    'Error' => 'Fejl',
    'Save' => 'Gemme',
    'SEO' => 'SEO',
    'Edit Saved Filter' => 'Rediger gemt filter',
    'Type atleast 2 letters' => 'Skriv mindst 2 bogstaver',
    'Remove Label' => 'Fjern etiket',
    'New Saved Filter' => 'Nyt gemt filter',
    'Is Default' => 'Er standard',
    'Remove Saved Filter' => 'Fjern gemt filter',
    'Ticket Info' => 'Billetinfo',
    'Last Replied Agent' => 'Sidste replikerede agent',
    'created Ticket' => 'oprettet billet',
    'Uploaded Files' => 'Uploadede filer',
    'Download (as .zip)' => 'Download (som .zip)',
    'made last reply' => 'lavet sidste svar',
    'N/A' => 'N / A',
    'Unassigned' => 'Utildelt',
    'Label' => 'Etiket',
    'Assigned to me' => 'Tildelt til mig',
    'Search Query' => 'Søgeforespørgsel',
    'Searching' => 'Søger',
    'Saved Filter' => 'Gemt filter',
    'No Label Created' => 'Ingen etiket oprettet',
    'Label with same name already exist.' => 'Etiket med samme navn findes allerede.',
    'Create New' => 'Lav ny',
    'Mail status' => 'Poststatus',
    'replied' => 'Svarede',
    'added note' => 'tilføjet note',
    'forwarded' => 'Videresendt',
    'TO' => 'TIL',
    'CC' => 'CC',
    'BCC' => 'BCC',
    'Locked' => 'Låst',
    'Edit Thread' => 'Rediger tråd',
    'Delete Thread' => 'Slet tråd',
    'Unpin Thread' => 'Fjern tråden',
    'Pin Thread' => 'Pin tråd',
    'Unlock Thread' => 'Lås tråd op',
    'Lock Thread' => 'Lås tråd',
    'Translate Thread' => 'Oversæt tråd',
    'Language' => 'Sprog',
    'English' => 'Engelsk',
    'French' => 'Fransk',
    'Italian' => 'Italiensk',
    'Arabic' => 'Arabisk',
    'German' => 'Tysk',
    'Spanish' => 'Spansk',
    'Turkish' => 'Tyrkisk',
    'Danish' => 'Dansk',
    'Chinese' => ':"KINESISK"',
    'Polish' => 'POLERE',
    'Hebrew' => 'hebraisk',
    'System' => 'System',
    'Open in Files' => 'Åbn i filer',
    'Email address is invalid' => 'Email adressen er ugyldig',
    'Tag with same name already exist' => 'Tag med samme navn findes allerede',
    'Text length should be less than 20 charactors' => 'Tekstlængde skal være mindre end 20 karakterer',
    'Label with same name already exist' => 'Etiket med samme navn findes allerede',
    'Agent Name' => 'Agentnavn',
    'Agent Email' => 'Agent-e-mail',
    'open' => 'åben',
    'Currently active agents on ticket' => 'Aktuelt aktive agenter på billet',
    'Edit Customer Information' => 'Rediger kundeoplysninger',
    'Restore' => 'Restore',
    'Delete Forever' => 'Slet for evigt',
    'Add Team' => 'Tilføj team',
    'delete' => 'Slet',
    'You didnt have any folder for current filter(s).' => 'Du havde ikke nogen mappe til aktuelle filter (er).',
    'Add Folder' => 'Tilføj mappe',
    'This field must have valid characters only' => 'Dette felt skal kun have gyldige tegn',
    'Can edit task' => 'Kan redigere opgave',
    'Can create task' => 'Kan oprette opgave',
    'Can delete task' => 'Kan slette opgave',
    'Can add member to task' => 'Kan tilføje medlem til opgaven',
    'Can remove member from task' => 'Kan fjerne medlem fra opgaven',
    'Agent Privileges' => 'Agent privilegier',
    'Agent Privilege represents overall permissions in System.' => 'Agent Privilege repræsenterer overordnede tilladelser i System.',
    'Ticket View' => 'Ticket View',
    'User can view tickets based on selected scope.' => 'Bruger kan se billetter baseret på det valgte omfang.',
    'If individual access then user can View assigned Ticket(s) only, If Team access then user can view all Ticket(s) in team(s) he belongs to and so on' => 'Hvis individuel adgang, kan brugeren kun se tildelte billet (er), hvis teamadgang, kan brugeren se alle billet (er) i team (er), han tilhører og så videre',
    'Global Access' => 'Global Access',
    'Group Access' => 'Gruppeadgang',
    'Team Access' => 'Team Access',
    'Individual Access' => 'Individuel adgang',
    'This field must have characters only' => 'Dette felt skal kun have tegn',
    'Maximum character length is 40' => 'Maksimal karakterlængde er 40',
    'This is not a valid email address' => 'Dette er ikke en gyldig e-mail-adresse',
    'Password must contains 8 Characters' => 'Adgangskode skal indeholde 8 tegn',
    'The passwords does not match' => 'Adgangskoderne stemmer ikke overens',
    'Enabled' => 'Aktiveret',
    'Create Configuration' => 'Opret konfiguration',
    'Swift Mailer Settings' => 'Swift Mailer-indstillinger',
    'Username' => 'Brugernavn',
    'Please select a swiftmailer id' => 'Vælg en hurtig-mail-id',
    'Please enter a valid e-mail id' => 'Indtast et gyldigt e-mail-id',
    'Please enter a mailer id' => 'Indtast en mailer-id',
    'Email Id' => 'E-mail-id',
    'Are you sure? You want to perform this action.' => 'Er du sikker? Du vil udføre denne handling. ',
    'Reorder' => 'Genbestil',
    'New Workflow' => 'Ny arbejdsgang',
    'OR' => 'ELLER',
    'AND' => 'OG',
    'Please enter a valid name.' => 'Indtast et gyldigt navn.',
    'Please select a value.' => 'Vælg en værdi.',
    'Please add a value.' => 'Tilføj en værdi.',
    'This field is required' => 'Dette felt er påkrævet',
    'or' => 'eller',
    'and' => 'og',
    'Select a Condition' => 'Vælg en betingelse',
    'Loading...' => 'Indlæser...',
    'Select Option' => 'Vælg mulighed',
    'Inactive' => 'Inaktiv',
    'New Type' => 'Ny type',
    'Placeholders' => 'Pladsholdere',
    'Ticket Link' => 'Billetlink',
    'Id' => 'Id',
    'Preview' => 'Preview',
    'Sort Order' => 'Sorteringsrækkefølge',
    'This field must be a number' => 'Dette felt skal være et tal',
    'User' => 'Bruger',
    'Edit Group' => 'Rediger gruppe',
    'Group Status' => 'Gruppestatus',
    'Group is Active' => 'Gruppen er aktiv',
    'Add Group' => 'Tilføj gruppe',
    'Contact number is invalid' => 'Kontaktnummer er ugyldigt',
    'Edit Agent' => 'Rediger agent',
    'No Privilege added, Please add Privilege(s) first !' => 'Intet privilegium tilføjet, skal du tilføje privilegier (e) først!',
    'Edit Email Template' => 'Rediger e-mail-skabelon',
    'Edit Workflow' => 'Rediger arbejdsgang',
    'Save Workflow' => 'Gem arbejdsgang',
    'Edit Ticket Type' => 'Rediger billetype',
    'Add Ticket Type' => 'Tilføj billetype',
    'Date Released' => 'Udgivet dato',
    'Free' => 'Ledig',
    'Premium' => 'Præmie',
    'Installed' => 'Installeret',
    'Installed Applications' => 'Installerede applikationer',
    'Apps Dashboard' => 'Apps Dashboard',
    'Dashboard' => 'Dashboard',
    'Nothing Interesting here' => 'Intet interessant her',
    'No Categories Added' => 'Ingen kategorier tilføjet',
    'ticket' => 'billet',
    'Add Email Template' => 'Tilføj e-mail-skabelon',
    'This field contain 100 characters only' => 'Dette felt indeholder kun 100 tegn',
    'This field contain characters only' => 'Dette felt indeholder kun tegn',
    'Name length must not be greater than 200 !!' => 'Navnets længde må ikke være større end 200 !!',
    'Warning! Correct all field values first!' => 'Advarsel! Korrekt alle feltværdier først! ',
    'Warning ! This is not a valid request' => 'Advarsel! Dette er ikke en gyldig anmodning ',
    'Success ! Tag removed successfully.' => 'Succes! Mærket blev fjernet. ',
    'Success ! Tags Saved successfully.' => 'Succes! Mærker er gemt med succes. ',
    'Success ! Revision restored successfully.' => 'Succes! Revision gendannet med succes. ',
    'Success ! Categories updated successfully.' => 'Succes! Kategorier opdateret med succes. ',
    'Success ! Article Related removed successfully.' => 'Succes! Artikelrelateret fjernet med succes. ',
    'Success ! Article Related is already added.' => 'Succes! Artikel relateret er allerede tilføjet. ',
    'Success ! Cannot add self as relative article.' => 'Succes! Kan ikke tilføje mig selv som relativ artikel. ',
    'Success ! Article Related updated successfully.' => 'Succes! Artikelrelateret opdateret med succes. ',
    'Success ! Articles removed successfully.' => 'Succes! Artikler fjernet med succes. ',
    'Success ! Article status updated successfully.' => 'Succes! Artikelstatus blev opdateret. ',
    'Success ! Article star updated successfully.' => 'Succes! Artikelstjernen er opdateret. ',
    'Success! Article updated successfully' => 'Succes! Artikel opdateret med succes ',
    'Success ! Category sort  order updated successfully.' => 'Succes! Kategorisorteringsrækkefølge blev opdateret. ',
    'Success ! Category status updated successfully.' => 'Succes! Kategoristatus blev opdateret. ',
    'Success ! Folders updated successfully.' => 'Succes! Mapper opdateret med succes. ',
    'Success ! Categories removed successfully.' => 'Succes! Kategorier fjernet med succes. ',
    'Success ! Category updated successfully.' => 'Succes! Kategori opdateret med succes. ',
    'Error ! Category is not exist.' => 'Fejl! Kategori findes ikke. ',
    'Warning ! Customer Login disabled by admin.' => 'Advarsel! Kunde login deaktiveret af admin. ',
    'This Email is not registered with us.' => 'Denne e-mail er ikke registreret hos os.',
    'Your password has been updated successfully.' => 'Din adgangskode er blevet opdateret.',
    'Password dont match.' => 'Adgangskode stemmer ikke overens.',
    'Error ! Profile image is not valid, please upload a valid format' => 'Fejl! Profilbillede er ikke gyldigt, skal du uploade et gyldigt format ',
    'Success! Folder has been added successfully.' => 'Succes! Mappen er tilføjet med succes. ',
    'Folder updated successfully.' => 'Mappen er opdateret.',
    'Success ! Folder status updated successfully.' => 'Succes! Mappestatus blev opdateret. ',
    'Error ! Folder is not exist.' => 'Fejl! Mappen findes ikke. ',
    'Success ! Folder updated successfully.' => 'Succes! Mappen er opdateret. ',
    'Error ! Folder does not exist.' => 'Fejl! Mappen findes ikke. ',
    'Success ! Folder deleted successfully.' => 'Succes! Mappen blev slettet. ',
    'Warning ! Folder doesnt exists!' => 'Advarsel! Mappen findes ikke!',
    'Warning ! Cannot create ticket, given email is blocked by admin.' => 'Advarsel! Kan ikke oprette billet, da den givne e-mail er blokeret af admin. ',
    'Success ! Ticket has been created successfully.' => 'Succes! Billetten er oprettet med succes. ',
    'Warning ! Can not create ticket, invalid details.' => 'Advarsel! Kan ikke oprette billet, ugyldige detaljer. ',
    'Warning ! Post size can not exceed 25MB' => 'Advarsel! Indlægsstørrelse kan ikke overstige 25 MB',
    'Create Ticket Request' => 'Opret billetanmodning',
    'Success ! Reply added successfully.' => 'Succes! Svar tilføjet med succes.',
    'Warning ! Reply field can not be blank.' => 'Advarsel! Svarfelt kan ikke være tomt.',
    'Success ! Rating has been successfully added.' => 'Succes! Bedømmelsen er tilføjet. ',
    'Warning ! Invalid rating.' => 'Advarsel! Ugyldig bedømmelse. ',
    'Error ! Can not add customer as a collaborator.' => 'Fejl! Kan ikke tilføje kunde som en samarbejdspartner. ',
    'Success ! Collaborator added successfully.' => 'Succes! Medarbejder tilføjet med succes. ',
    'Error ! Collaborator is already added.' => 'Fejl! Samarbejder er allerede tilføjet. ',
    'Success ! Collaborator removed successfully.' => 'Succes! Medarbejder blev fjernet. ',
    'Error ! Invalid Collaborator.' => 'Fejl! Ugyldig samarbejdspartner. ',
    'An unexpected error occurred. Please try again later.' => 'Der opstod en uventet fejl. Prøv igen senere.',
    'Feedback saved successfully.' => 'Feedback er gemt.',
    'Feedback updated successfully.' => 'Feedback er opdateret.',
    'Invalid feedback provided.' => 'Ugyldig feedback givet.',
    'Article not found.' => 'Artikel ikke fundet.',
    'You need to login to your account before can perform this action.' => 'Du skal logge ind på din konto før du kan udføre denne handling.',
    'Warning! Please add valid Actions!' => 'Advarsel! Tilføj venligst gyldige handlinger! ',
    'Warning! In Free Plan you can not change Events!' => 'Advarsel! I gratis plan kan du ikke ændre begivenheder! ',
    'Success! Prepared Response has been updated successfully.' => 'Succes! Den forberedte respons er blevet opdateret. ',
    'Success! Prepared Response has been added successfully.' => 'Succes! Forberedt svar er tilføjet med succes. ',
    'Warning  This is not a valid request' => 'Advarsel Dette er ikke en gyldig anmodning',
    'Use Default Colors' => 'Brug standardfarver',
    'Masonry' => 'Murværk',
    'Popular Article' => 'Populær artikel',
    'Manage Ticket Custom Fields' => 'Administrer brugerdefinerede billetfelter',
    'You dont have premission to edit this Prepared response' => 'Du har ikke forudsætning for at redigere dette forberedte svar',
    'Save Prepared Response' => 'Gem forberedt svar',
    'Success ! Prepared response removed successfully.' => 'Succes! Det forberedte svar blev fjernet. ',
    'Warning! You are not allowed to perform this action.' => 'Advarsel! Du har ikke tilladelse til at udføre denne handling. ',
    'Success! Workflow has been updated successfully.' => 'Succes! Arbejdsgang er blevet opdateret. ',
    'Success! Workflow has been added successfully.' => 'Succes! Arbejdsgang er tilføjet med succes. ',
    'Success! Order has been updated successfully.' => 'Succes! Bestillingen er blevet opdateret. ',
    'Success! Workflow has been removed successfully.' => 'Succes! Arbejdsgang er blevet fjernet. ',
    'Mailbox successfully created.' => 'Postkasse er oprettet.',
    'Mailbox successfully updated.' => 'Postkasse er opdateret.',
    'Warning ! Bad request !' => 'Advarsel! Dårlig anmodning !',
    'Error! Given current password is incorrect.' => 'Fejl! Givet den aktuelle adgangskode er forkert. ',
    'Success ! Profile update successfully.' => 'Succes! Profilopdatering med succes. ',
    'Error ! User with same email is already exist.' => 'Fejl! Bruger med samme e-mail findes allerede. ',
    'Success ! Agent updated successfully.' => 'Succes! Agent opdateret. ',
    'Success ! Agent removed successfully.' => 'Succes! Agent blev fjernet. ',
    'Warning ! You are allowed to remove account owners account.' => 'Advarsel! Du har tilladelse til at fjerne kontoejers konto.',
    'Error ! Invalid user id.' => 'Fejl! Ugyldigt bruger-id.',
    'Success ! Filter has been saved successfully.' => 'Succes! Filteret er gemt med succes.',
    'Success ! Filter has been updated successfully.' => 'Succes! Filteret er blevet opdateret.',
    'Success ! Filter has been removed successfully.' => 'Succes! Filter er blevet fjernet med succes.',
    'Please check your mail for password update.' => 'Kontroller venligst din mail for opdatering af adgangskode.',
    'This Email address is not registered with us.' => 'Denne e-mail-adresse er ikke registreret hos os.',
    'Success ! Customer saved successfully.' => 'Succes! Kunden er gemt med succes.',
    'Error ! User with same email already exist.' => 'Fejl! Bruger med samme e-mail findes allerede.',
    'Success ! Customer information updated successfully.' => 'Succes! Kundeinformation er opdateret med succes.',
    'Success ! Customer updated successfully.' => 'Succes! Kunden blev opdateret.',
    'Error ! Customer with same email already exist.' => 'Fejl! Kunde med samme e-mail findes allerede.',
    'unstarred Action Completed successfully' => 'ustjernet handling afsluttet med succes',
    'starred Action Completed successfully' => 'stjernemarkeret handling afsluttet med succes',
    'Success ! Customer removed successfully.' => 'Succes! Kunden blev fjernet med succes.',
    'Error ! Invalid customer id.' => 'Fejl! Ugyldigt kunde-id.',
    'Success! Template has been updated successfully.' => 'Succes! Skabelonen er blevet opdateret.',
    'Success! Template has been added successfully.' => 'Succes! Skabelon er tilføjet med succes.',
    'Success! Template has been deleted successfully.' => 'Succes! Skabelonen er blevet slettet.',
    'Warning! resource not found.' => 'Advarsel! Ressource ikke fundet.',
    'Warning! You can not remove predefined email template which is being used in workflow(s).' => 'Advarsel! Du kan ikke fjerne foruddefineret e-mail-skabelon, der bruges i arbejdsgang (er).',
    'Success ! Email settings are updated successfully.' => 'Succes! E-mail-indstillinger er opdateret med succes.',
    'Success ! Group information updated successfully.' => 'Succes! Gruppinformation er opdateret med succes.',
    'Success ! Group information saved successfully.' => 'Succes! Gruppens oplysninger er gemt med succes.',
    'Support Group removed successfully.' => 'Support Group blev fjernet med succes.',
    'Success ! Privilege information saved successfully.' => 'Succes! Oplysninger om privilegier er gemt med succes.',
    'Privilege updated successfully.' => 'Privilege blev opdateret.',
    'Support Privilege removed successfully.' => 'Support Privilege fjernet med succes.',
    'Success! Reply has been updated successfully.' => 'Succes! Svar er blevet opdateret.',
    'Success! Reply has been added successfully.' => 'Succes! Svar er tilføjet med succes.',
    'Success! Saved Reply has been deleted successfully' => 'Succes! Gemt svar er blevet slettet',
    'SwiftMailer configuration updated successfully.' => 'SwiftMailer-konfiguration blev opdateret med succes.',
    'Swiftmailer configuration removed successfully.' => 'Swiftmailer-konfiguration blev fjernet med succes.',
    'Success ! Team information saved successfully.' => 'Succes! Holdoplysninger er gemt med succes.',
    'Success ! Team information updated successfully.' => 'Succes! Holdoplysninger er opdateret med succes.',
    'Support Team removed successfully.' => 'Supportteamet blev fjernet med succes.',
    'Success! Reply has been added successfully' => 'Succes! Svar er tilføjet med succes',
    'Success ! Thread updated successfully.' => 'Succes! Tråden er opdateret med succes.',
    'Error ! Reply field can not be blank.' => 'Fejl! Svarfelt kan ikke være tomt.',
    'Success ! Thread removed successfully.' => 'Succes! Tråd fjernet med succes.',
    'Success ! Thread locked successfully' => 'Succes! Tråd låst med succes',
    'Success ! Thread unlocked successfully' => 'Succes! Tråd låst med succes',
    'Success ! Thread pinned successfully' => 'Succes! Tråd fastgjort med succes',
    'Error ! Invalid thread.' => 'Fejl! Ugyldig tråd.',
    'Could not create ticket, invalid details.' => 'Kunne ikke oprette billet, ugyldige detaljer.',
    'Success ! Tag updated successfully.' => 'Succes! Tag blev opdateret med succes.',
    'Error ! Customer can not be added as collaborator.' => 'Fejl! Kunden kan ikke tilføjes som samarbejdspartner.',
    'Success ! Tag unassigned successfully.' => 'Succes! Tag ikke tildelt med succes.',
    'Success ! Tag added successfully.' => 'Succes! Tag tilføjet med succes.',
    'Please enter tag name.' => 'Indtast tag-navn.',
    'Error ! Invalid tag.' => 'Fejl! Ugyldigt tag.',
    'Success ! Type removed successfully.' => 'Succes! Type fjernet med succes.',
    'Success ! Ticket to label removed successfully.' => 'Succes! Billet til etiketten blev fjernet med succes.',
    'Unable to retrieve support team details' => 'Kan ikke hente oplysninger om supportteam',
    'Ticket support group updated successfully' => 'Billet supportgruppe opdateret med succes',
    'Unable to retrieve status details' => 'Kan ikke hente statusoplysninger',
    'Insufficient details provided.' => 'Utilstrækkelige detaljer leveret.',
    'Error! Subject field is mandatory' => 'Fejl! Emnefelt er obligatorisk',
    'Error! Reply field is mandatory' => 'Fejl! Svarfelt er obligatorisk',
    'Success ! Ticket has been updated successfully.' => 'Succes! Billet er blevet opdateret.',
    'Success ! Label updated successfully.' => 'Succes! Etiketten blev opdateret med succes.',
    'Error ! Invalid label id.' => 'Fejl! Ugyldigt etiket-id.',
    'Success ! Label removed successfully.' => 'Succes! Etiketten blev fjernet.',
    'Success ! Label created successfully.' => 'Succes! Etiket oprettet med succes.',
    'Error ! Label name can not be blank.' => 'Fejl! Etiketnavnet kan ikke være tomt.',
    'Success ! Ticket moved to trash successfully.' => 'Succes! Billet flyttes til papirkurven med succes.',
    'Success! Ticket type saved successfully.' => 'Succes! Billetypen er gemt med succes.',
    'Success! Ticket type updated successfully.' => 'Succes! Billetypen blev opdateret med succes.',
    'Error! Ticket type with same name already exist' => 'Fejl! Billetype med samme navn findes allerede',
    'SAVE' => 'GEMME',
    'Title tags and meta descriptions are bits of HTML code in the header of a web page. They help search engines understand the content on a page. A pages title tag and meta description are usually shown whenever that page appears in search engine results' => 'Titelkoder og metabeskrivelser er bit af HTML-kode i overskriften på en webside. De hjælper søgemaskiner med at forstå indholdet på en side. En sides titeltag og metabeskrivelse vises normalt, når denne side vises i søgemaskinens resultater',
    'Ticket is already assigned to agent' => 'Billetten er allerede tildelt agenten',
    'Success ! Agent assigned successfully.' => 'Succes! Agent tildelt.',
    'Ticket status is already set' => 'Billetstatus er allerede indstillet',
    'Success ! Tickets status updated successfully.' => 'Succes! Billetstatus blev opdateret.',
    'Ticket priority is already set' => 'Billetprioritet er allerede indstillet',
    'Success ! Tickets priority updated successfully.' => 'Succes! Billetprioritet blev opdateret.',
    'Ticket group is updated successfully' => 'Billetgruppen er opdateret',
    'Ticket is already assigned to group' => 'Billet er allerede tildelt gruppen',
    'Success ! Tickets group updated successfully.' => 'Succes! Billetgruppen blev opdateret.',
    'Ticket team is updated successfully' => 'Billetteamet er opdateret',
    'Ticket is already assigned to team' => 'Billet er allerede tildelt holdet',
    'Success ! Tickets team updated successfully.' => 'Succes! Billetteamet blev opdateret.',
    'Ticket type is already set' => 'Billettype er allerede indstillet',
    'Success ! Tickets type updated successfully.' => 'Succes! Billettypen blev opdateret.',
    'Success ! Tickets label updated successfully.' => 'Succes! Billetetiketten blev opdateret.',
    'Success ! Tickets added to label successfully.' => 'Succes! Billetter blev tilføjet til etiketten.',
    'Success ! Tickets moved to trashed successfully.' => 'Succes! Billetter blev flyttet til papirkurven.',
    'Success ! Tickets removed successfully.' => 'Succes! Billetter blev fjernet.',
    'Success ! Tickets restored successfully.' => 'Succes! Billetter blev gendannet.',
    'Unable to retrieve group details' => 'Gruppeoplysningerne kunne ikke hentes',
    'Unable to retrieve team details' => 'Teamdetaljerne kunne ikke hentes',
    'Tickets details have been updated successfully' => 'Billetoplysninger er blevet opdateret',
    'Label added to ticket successfully' => 'Etiket blev føjet til billetten',
    'Label already added to ticket' => 'Etiket er allerede føjet til billetten',
    'New Ticket Request' => 'Ny billetanmodning',
    'Ticket Requests' => 'Billetanmodninger',
    'Tickets have been updated successfully' => 'Billetter er blevet opdateret',
    'Please check your mail for password update' => 'Kontroller din mail for opdatering af adgangskode',
    'This email address is not registered with us' => 'Denne e-mail-adresse er ikke registreret hos os',
    'You have already update password using this link if you wish to change password again click on forget password link here from login page' => 'Du har allerede opdateret adgangskode ved hjælp af dette link, hvis du ønsker at ændre adgangskode igen. Klik på glemt password-linket her fra login-siden',
    'Your password has been successfully updated. Login using updated password' => 'Din adgangskode er blevet opdateret. Login ved hjælp af opdateret adgangskode',
    'Please try again, The passwords do not match' => 'Prøv igen. Adgangskoderne stemmer ikke overens',
    'Support Privilege removed successfully' => 'Support Privilege fjernet med succes',
    'Success! Saved Reply has been deleted successfully.' => 'Succes! Gemt svar er blevet slettet.',
    'SwiftMailer configuration created successfully.' => 'SwiftMailer-konfiguration oprettet med succes.',
    'No swiftmailer configurations found for mailer id:' => 'Der blev ikke fundet nogen swiftmailer-konfigurationer til mail-id',
    'Reply content cannot be left blank.' => 'Svarindhold kan ikke efterlades tomt.',
    'Reply added to the ticket and forwarded successfully.' => 'Svar tilføjet billetten og videresendt med succes.',
    'Success ! Thread pinned successfully.' => 'Succes! Tråd fastgjort med succes.',
    'Success ! unpinned removed successfully.' => 'Succes! unpinned fjernet med succes.',
    'Unable to retrieve priority details' => 'Kan ikke hente prioritetsdetaljer',
    'Ticket support team updated successfully' => 'Billet supportteam opdateret med succes',
    'Ticket assigned to support group ' => 'Billet tildelt supportgruppe',
    'Mailbox configuration removed successfully.' => 'Mailbox-konfiguration blev fjernet.',
    'visit our website' => 'besøg vores hjemmeside',
    'Cookie Usage Policy' => 'Cookie-brugspolitik',
    'cookie' => 'Cookie',
    'cookies' => 'cookies',
    'HELP' => 'HJÆLP',
    'Home' => 'Hjem',
    'Cookie Policy' => 'Cookiepolitik',
    'Prev' => 'Forrige',
    'Ticket query message' => 'Billetforespørgselsmeddelelse',
    'Select type' => 'Vælg type',
    'Search KnowledgeBase' => 'Søg vidensbase',
    'You cant merge an account with itself.' => 'Du kan ikke flette en konto med sig selv.',
    'Edit Profile' => 'Rediger profil',
    'Customer Login' => 'Kundelogin',
    'Contact Us' => 'Kontakt os',
    'If you have ever contacted our support previously, your account would have already been created.' => 'Hvis du nogensinde har kontaktet vores support tidligere, ville din konto allerede være oprettet.',
    'support' => 'support',
    'HelpDesk' => 'HelpDesk',
    'Enter search keyword' => 'Indtast søgeord',
    'Browse via Folders' => 'Gennemse via mapper',
    'Looking for something that is queried generally? Choose a relevant folder from below to explore possible solutions' => 'Leder du efter noget, der generelt bliver forespurgt? Vælg en relevant mappe nedenunder for at udforske mulige løsninger',
    'Unable to find an answer?' => 'Kan du ikke finde et svar?',
    'Looking for anything specific article which resides in general queries? Just browse the various relevant folders and categories and then you will find the desired article.' => 'Leder du efter noget specifikt produkt, der findes i generelle spørgsmål? Gennemse blot de forskellige relevante mapper og kategorier, så finder du den ønskede artikel.',
    'Popular Articles ' => 'Populære artikler',
    'Here are some of the most popular articles, which helped number of users to get their queries and questions resolved. ' => 'Her er nogle af de mest populære artikler,som hjalp antal brugere med at få deres spørgsmål og spørgsmål løst.',
    'Browse via Categories' => 'Gennemse via kategorier',
    'Looking for something specific? Choose a relevant category from below to explore possible solutions' => 'Leder du efter noget specifikt? Vælg en relevant kategori nedenunder for at udforske mulige løsninger',
    'No Categories Found!' => 'Ingen kategorier fundet',
    'Powered by' => 'Drevet af',
    'Powered by %uvdesk%, an open-source project by %webkul%.' => '',
    'Forgot Password' => 'Glemt kodeord',
    'Enter your email address and we will send you an email with instructions to update your login credentials.' => 'Indtast din e-mail-adresse, så sender vi dig en e-mail med instruktioner til at opdatere dine loginoplysninger.',
    'Send Mail' => 'Send e-mail',
    'Status:' => 'Status:',
    'Sign In to %websitename%' => 'Log ind på %websitename%',
    'Enter your name' => 'Indtast dit navn',
    'Enter your email' => 'Indtast din e-mail',
    'Learn more about %deliveryStatus%.' => 'Lær mere om %deliveryStatus%.',
    'To know more about how our privacy policy works, please %websiteLink%.' => 'Hvis du vil vide mere om, hvordan vores privatlivspolitik fungerer, bedes du venligst %websiteLink%.',
    'Some of our site pages utilize %cookies% and other tracking technologies. A %cookie% is a small text file that may be used, for example, to collect information about site activity. Some cookies and other technologies may serve to recall personal information previously indicated by a site user. You may block cookies, or delete existing cookies, by adjusting the appropriate setting on your browser. Please consult the %help% menu of your browser to learn how to do this. If you block or delete %cookies% you may find the usefulness of our site to be impaired.' => 'Nogle af vores sidesider bruger %cookies% og andre sporingsteknologier. En %cookie% er en lille tekstfil, der f.eks. Kan bruges til at indsamle oplysninger om webstedsaktivitet. Nogle cookies og andre teknologier kan tjene til at huske personlige oplysninger, der tidligere er angivet af en webstedsbruger. Du kan blokere cookies eller slette eksisterende cookies ved at justere den korrekte indstilling i din browser. Se menuen %help% i din browser for at lære, hvordan du gør det. Hvis du blokerer eller sletter %cookies%, kan du finde ud af, om nytten af ​​vores websted er forringet.',
    'This field contain maximum 40 charectures.' => 'Dette felt indeholder maksimalt 40 karakterer.',
    'This field contain maximum 50 charectures.' => 'Dette felt indeholder maksimalt 50 karakterer.',
    'Time' => 'Tid',
    'Links' => 'Din profil',
    'Broadcast Message' => 'Opret billet',
    'Wide Logo' => 'Opret agent',
    'Upload an Image (200px x 48px) in</br> PNG or JPG Format' => 'Opret kunde',
    'It will be shown as Logo on Knowledgebase and Helpdesk' => 'Log ud',
    'Website Status' => 'Apps',
    'Enable front end website and knowledgebase for customer(s)' => 'Integrer apps efter dine behov for at få tingene gjort hurtigere end nogensinde',
    'Brand Color' => 'Udforsk apps',
    'Page Background Color' => 'Form Builder',
    'Header Background Color' => 'Vidensdatabase',
    'Banner Background Color' => 'Knowledgebase er en kilde til stiv og kompleks information, der hjælper kunderne med at hjælpe sig selv',
    'Page Link Color' => 'Artikler',
    'Page Link Hover Color' => 'Kategorier',
    'Article Text Color' => 'mapper',
    'Tag Line' => 'MAPPER',
    'Hi! how can we help?' => 'Produktivitet',
    'Layout' => 'Automatiser dine processer ved at oprette sæt regler og forudindstillinger for at reagere hurtigere på billetterne',
    'Ticket Create Option' => 'Forberedte svar',
    'Login Required To Create Tickets' => 'Gemte svar',
    'Remove Customer Login/Signin Button' => 'Billetyper',
    'Disable Customer Login' => 'Arbejdsprocesser',
    'Meta Description (Recommended)' => 'Indstillinger',
    'Meta Keywords (Recommended)' => 'Administrer din brandidentitet, firmainformation og andre detaljer med et overblik',
    'Header Link' => 'Branding',
    'URL (with http":/"/ or https":/"/)' => 'Tilpassede felter',
    'Footer Link' => 'E-mail-indstillinger',
    'Custom CSS (Optional)' => 'E-mail-skabeloner',
    'It will be add to the frontend knowledgebase only' => 'Postkasse',
    'Custom Javascript (Optional)' => 'Indstillinger for spam',
    'Broadcast message content to show on helpdesk' => 'Swift Mailer',
    'From' => 'Tags',
    'Time duration between which message will be displayed(if applicable)' => 'Brugere',
    'Broadcasting Status' => 'Kontroller dine grupper, hold, agenter og kunder',
    'Broadcasting is Active' => 'Agenter',
    'Choose a default company timezone' => 'kunder',
    'Date Time Format' => 'grupper',
    'Choose a format to convert date to specified date time format' => 'privilegier',
    'An empty file is not allowed.' => 'Hold',
    'File size must not be greater than 200KB !!' => 'Applikationer',
    'Please upload valid Image file (Only JPEG, JPG, PNG allowed)!!' => 'ECommerce ordresynkronisering',
    'comma "," separated' => 'komma separeret',
    'Provide a valid url(with protocol)' => 'Importer detaljer om e-handelsordre til dine supportbilletter fra forskellige tilgængelige platforme',
    'Low' => 'Lav',
    'Medium' => 'Medium',
    'High' => 'Høj',
    'Urgent' => 'Presserende',
    'Reset Password' => 'Nulstille kodeord',
    'Enter your new password below to update your login credentials' => 'Indtast din nye adgangskode nedenfor for at opdatere dine loginoplysninger',
    'Save Password' => 'Gem adgangskode',
    'Rate Support' => 'Bedøm support',
    'I am very Sad' => 'Jeg er meget trist',
    'I am Sad' => 'Jeg er ked af det',
    'I am Neutral' => 'Jeg er neutral',
    'I am Happy' => 'Jeg er glad',
    'I am Very Happy' => 'Jeg er meget glad',
    'Kudos' => 'Kudos',
    'kudos' => 'Kudos',
    'Very Sad' => 'Meget trist',
    'Sad' => 'Trist',
    'Neutral' => 'Neutral',
    'Happy' => 'Lykkelig',
    'Very Happy' => 'Meget glad',
    'Star(s)' => 'Stjerner',
    'Warning ! Swiftmailer not working. An error has occurred while sending emails!' => 'Advarsel! Swiftmailer virker ikke. Der opstod en fejl under afsendelse af e-mails!',
    'Invalid credentials.' => 'Ugyldige legitimationsoplysninger',
    'Success ! Project cache cleared successfully.' => 'Succes! Projektcachen blev ryddet.',
    'clear cache' => 'ryd cache',
    'Last Updated' => 'Sidst opdateret',
    'Error! Something went wrong.' => 'Fejl! Noget gik galt.',
    'We were not able to find the page you are looking for.' => 'Vi kunne ikke finde den side, du leder efter.',
    'Page not found' => 'Siden blev ikke fundet',
    'Forbidden' => 'Forbudt',
    'You don’t have the necessary permissions to access this Web page :(' => 'Du har ikke de nødvendige tilladelser til at få adgang til denne webside :(',
    'Internal server error' => 'Intern serverfejl',
    'Our system has goofed up for a while, but good part is it won\'t last long' => 'Vores system er gået i stå i et stykke tid, men det gode er, at det ikke varer længe',
    'Unknown Error' => 'Ukendt fejl',
    'We are quite confused about how did you land here:/' => 'Vi er ret forvirrede over, hvordan du landede her :/',
    'Few of the links which may help you to get back on the track -' => 'Nogle af de links, der kan hjælpe dig med at komme tilbage på sporet -',
    'Microsoft Apps' => 'Microsoft Apps',
    'Add a Microsoft app' => 'Tilføj en Microsoft-app',
    'Enable' => 'Aktiveret',
    'App Name' => 'App navn',
    'Tenant Id' => 'Lejer id',
    'Client Id' => 'Kunde-id',
    'Client Secret' => 'Klientens hemmelighed',
    'NEW APP' => 'NY APP',
    'UPDATE APP' => 'OPDATERING APP',
    'Guide on creating a new app in Azure Active Directory:' => 'Vejledning til oprettelse af en ny app i Azure Active Directory:',
    'To add a new Microsoft App to your azure active directory, follow the steps as given below:' => 'For at tilføje en ny Microsoft-app til dit azure aktive bibliotek skal du følge trinene som angivet nedenfor:',
    'Go to Azure Active Directory -> App registerations' => 'Gå til Azure Active Directory -> Appregistreringer',
    'Disable' => 'Deaktiver',
    'Please enter a valid name for your app.' => 'Indtast venligst et gyldigt navn til din app.',
    'Please enter a valid tenant id.' => 'Indtast venligst et gyldigt lejer-id.',
    'Please enter a valid client id.' => 'Indtast venligst et gyldigt klient-id.',
    'Please enter a valid client secret.' => 'Indtast venligst en gyldig klienthemmelighed.',
    'Microsoft app settings' => 'Microsoft app-indstillinger',
    'Unverified' => 'Ubekræftet',
    'Microsoft app has been updated successfully.' => 'Microsoft-appen er blevet opdateret.',
    'No microsoft apps found' => 'Ingen microsoft-apps fundet',
    'Microsoft app settings could not be verifired successfully. Please check your settings and try again later.' => 'Microsoft app-indstillinger kunne ikke bekræftes. Tjek venligst dine indstillinger og prøv igen senere.',
    'Microsoft app has been integrated successfully.' => 'Microsoft-appen er blevet slettet.',
    'Microsoft app has been deleted successfully.' => 'Microsoft-appen er blevet integreret med succes.',
    'Verified' => 'Verificeret',
    'Create a New Registration' => 'Opret en ny registrering',
    'Enter your app details as following:' => 'Indtast dine appoplysninger som følger:',
    'App Name: Enter an app name to easily help you identify its purpose' => 'Appnavn: Indtast et appnavn for nemt at hjælpe dig med at identificere dens formål',
    'Supported Account Types: Select whichever option works the best for you (Recommended: Accounts in any organizational directory and personal Microsoft accounts)' => 'Understøttede kontotyper: Vælg den mulighed, der fungerer bedst for dig (anbefalet: Konti i enhver organisationskatalog og personlige Microsoft-konti)',
    'Redirect URI:' => 'Omdirigerings-URI:',
    'Select Platform: Web' => 'Vælg Platform: Web',
    'Enter the following redirect uri:' => 'Indtast følgende omdirigerings-uri:',
    'Proceed to create your application' => 'Fortsæt med at oprette din ansøgning',
    'Once your app has been created, in your app overview section, continue with adding a client credential by clicking on "Add a certificate or secret"' => 'Når din app er oprettet, skal du i din appoversigtssektion fortsætte med at tilføje en klientlegitimationsoplysninger ved at klikke på Tilføj et certifikat eller en hemmelighed',
    'Create a new client secret' => 'Opret en ny klienthemmelighed',
    'Enter a description as per your preference to help identify the purpose of this client secret' => 'Indtast en beskrivelse efter dine præferencer for at hjælpe med at identificere formålet med denne klienthemmelighed',
    'Choose an expiration time as per your preference' => 'Vælg en udløbstid efter dine præferencer',
    'Proceed to add your client secret' => 'Fortsæt med at tilføje din klienthemmelighed',
    'Copy the client secret value which will be needed later and cannot be viewed again' => 'Kopier klientens hemmelige værdi, som vil være nødvendig senere og ikke kan ses igen',
    'Navigate to API permissions' => 'Naviger til API-tilladelser',
    'Click on "Add a permission" to add a new api permission. Add the following delegated permissions by selecting Microsoft APIs > Microsoft Graph > Delegate Permissions' => 'Klik på Tilføj en tilladelse for at tilføje en ny api-tilladelse Tilføj følgende delegerede tilladelser ved at vælge Microsoft API\'er > Microsoft Graph > Delegeret tilladelser',
    'Navigate to your app overview section' => 'Naviger til din appoversigtssektion',
    'Copy the Application (Client) Id' => 'Kopiér applikationens (klient)-id',
    'Copy the Directory (Tenant) Id' => 'Kopiér kataloget (lejer)-id',
    'Enter your client id, tenant id, and client secret in settings above as required.' => 'Indtast dit klient-id, lejer-id og klienthemmelighed i indstillingerne ovenfor efter behov.',
    'offline_access' => 'offline_adgang',
    'openid' => 'åbenid',
    'profile' => 'profil',
    'User.Read' => 'Bruger.Læs',
    'IMAP.AccessAsUser.All' => 'IMAP.AccessAsUser.All',
    'SMTP.Send' => 'SMTP.Send',
    'POP.AccessAsUser.All' => 'POP.AccessAsUser.All',
    'Mail.Read' => 'Mail.Læs',
    'Mail.ReadBasic' => 'Mail.ReadBasic',
    'Mail.Send' => 'Mail.Send',
    'Mail.Send.Shared' => 'Mail.Send.Delt',
    'Add App' => 'Tilføj app',
    'New App' => 'Ny App',
    'Disable email delivery' => 'Deaktiver levering af e-mail',
    'Use as default mailbox for sending emails' => 'Brug som standardpostkasse til at sende e-mails',
    'Inbound Emails' => 'Indgående e-mails',
    'Manage how you wish to retrieve and process emails from your mailbox.' => 'Administrer, hvordan du ønsker at hente og behandle e-mails fra din postkasse.',
    'Outbound Emails' => 'Udgående e-mails',
    'Manage how you wish to send emails from your mailbox.' => 'Administrer, hvordan du ønsker at sende e-mails fra din postkasse.',
    'Marketing Modules' => 'Marketing moduler',
    'New Marketing Module' => 'Nyt markedsføringsmodul',
    'Marketing Module' => 'Marketing modul',
  ),
));

$catalogueEn = new MessageCatalogue('en', array (
  'validators' => 
  array (
    'This value should be false.' => 'This value should be false.',
    'This value should be true.' => 'This value should be true.',
    'This value should be of type {{ type }}.' => 'This value should be of type {{ type }}.',
    'This value should be blank.' => 'This value should be blank.',
    'The value you selected is not a valid choice.' => 'The value you selected is not a valid choice.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.' => 'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.' => 'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.',
    'One or more of the given values is invalid.' => 'One or more of the given values is invalid.',
    'This field was not expected.' => 'This field was not expected.',
    'This field is missing.' => 'This field is missing.',
    'This value is not a valid date.' => 'This value is not a valid date.',
    'This value is not a valid datetime.' => 'This value is not a valid datetime.',
    'This value is not a valid email address.' => 'This value is not a valid email address.',
    'The file could not be found.' => 'The file could not be found.',
    'The file is not readable.' => 'The file is not readable.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.' => 'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.',
    'This value should be {{ limit }} or less.' => 'This value should be {{ limit }} or less.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.' => 'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.',
    'This value should be {{ limit }} or more.' => 'This value should be {{ limit }} or more.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.',
    'This value should not be blank.' => 'This value should not be blank.',
    'This value should not be null.' => 'This value should not be null.',
    'This value should be null.' => 'This value should be null.',
    'This value is not valid.' => 'This value is not valid.',
    'This value is not a valid time.' => 'This value is not a valid time.',
    'This value is not a valid URL.' => 'This value is not a valid URL.',
    'The two values should be equal.' => 'The two values should be equal.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The file is too large.' => 'The file is too large.',
    'The file could not be uploaded.' => 'The file could not be uploaded.',
    'This value should be a valid number.' => 'This value should be a valid number.',
    'This file is not a valid image.' => 'This file is not a valid image.',
    'This is not a valid IP address.' => 'This value is not a valid IP address.',
    'This value is not a valid language.' => 'This value is not a valid language.',
    'This value is not a valid locale.' => 'This value is not a valid locale.',
    'This value is not a valid country.' => 'This value is not a valid country.',
    'This value is already used.' => 'This value is already used.',
    'The size of the image could not be detected.' => 'The size of the image could not be detected.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.' => 'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.' => 'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.' => 'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.' => 'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.',
    'This value should be the user\'s current password.' => 'This value should be the user\'s current password.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.' => 'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.',
    'The file was only partially uploaded.' => 'The file was only partially uploaded.',
    'No file was uploaded.' => 'No file was uploaded.',
    'No temporary folder was configured in php.ini.' => 'No temporary folder was configured in php.ini, or the configured folder does not exist.',
    'Cannot write temporary file to disk.' => 'Cannot write temporary file to disk.',
    'A PHP extension caused the upload to fail.' => 'A PHP extension caused the upload to fail.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.' => 'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.' => 'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.' => 'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.',
    'Invalid card number.' => 'Invalid card number.',
    'Unsupported card type or invalid card number.' => 'Unsupported card type or invalid card number.',
    'This is not a valid International Bank Account Number (IBAN).' => 'This value is not a valid International Bank Account Number (IBAN).',
    'This value is not a valid ISBN-10.' => 'This value is not a valid ISBN-10.',
    'This value is not a valid ISBN-13.' => 'This value is not a valid ISBN-13.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.' => 'This value is neither a valid ISBN-10 nor a valid ISBN-13.',
    'This value is not a valid ISSN.' => 'This value is not a valid ISSN.',
    'This value is not a valid currency.' => 'This value is not a valid currency.',
    'This value should be equal to {{ compared_value }}.' => 'This value should be equal to {{ compared_value }}.',
    'This value should be greater than {{ compared_value }}.' => 'This value should be greater than {{ compared_value }}.',
    'This value should be greater than or equal to {{ compared_value }}.' => 'This value should be greater than or equal to {{ compared_value }}.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should be identical to {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.' => 'This value should be less than {{ compared_value }}.',
    'This value should be less than or equal to {{ compared_value }}.' => 'This value should be less than or equal to {{ compared_value }}.',
    'This value should not be equal to {{ compared_value }}.' => 'This value should not be equal to {{ compared_value }}.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.' => 'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.' => 'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.' => 'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.' => 'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.' => 'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.',
    'An empty file is not allowed.' => 'An empty file is not allowed.',
    'The host could not be resolved.' => 'The host could not be resolved.',
    'This value does not match the expected {{ charset }} charset.' => 'This value does not match the expected {{ charset }} charset.',
    'This is not a valid Business Identifier Code (BIC).' => 'This value is not a valid Business Identifier Code (BIC).',
    'Error' => 'Error',
    'This is not a valid UUID.' => 'This value is not a valid UUID.',
    'This value should be a multiple of {{ compared_value }}.' => 'This value should be a multiple of {{ compared_value }}.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.' => 'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.',
    'This value should be valid JSON.' => 'This value should be valid JSON.',
    'This collection should contain only unique elements.' => 'This collection should contain only unique elements.',
    'This value should be positive.' => 'This value should be positive.',
    'This value should be either positive or zero.' => 'This value should be either positive or zero.',
    'This value should be negative.' => 'This value should be negative.',
    'This value should be either negative or zero.' => 'This value should be either negative or zero.',
    'This value is not a valid timezone.' => 'This value is not a valid timezone.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.' => 'This password has been leaked in a data breach, it must not be used. Please use another password.',
    'This value should be between {{ min }} and {{ max }}.' => 'This value should be between {{ min }} and {{ max }}.',
    'This value is not a valid hostname.' => 'This value is not a valid hostname.',
    'The number of elements in this collection should be a multiple of {{ compared_value }}.' => 'The number of elements in this collection should be a multiple of {{ compared_value }}.',
    'This value should satisfy at least one of the following constraints:' => 'This value should satisfy at least one of the following constraints:',
    'Each element of this collection should satisfy its own set of constraints.' => 'Each element of this collection should satisfy its own set of constraints.',
    'This value is not a valid International Securities Identification Number (ISIN).' => 'This value is not a valid International Securities Identification Number (ISIN).',
    'This value should be a valid expression.' => 'This value should be a valid expression.',
    'This value is not a valid CSS color.' => 'This value is not a valid CSS color.',
    'This value is not a valid CIDR notation.' => 'This value is not a valid CIDR notation.',
    'The value of the netmask should be between {{ min }} and {{ max }}.' => 'The value of the netmask should be between {{ min }} and {{ max }}.',
    'The filename is too long. It should have {{ filename_max_length }} character or less.|The filename is too long. It should have {{ filename_max_length }} characters or less.' => 'The filename is too long. It should have {{ filename_max_length }} character or less.|The filename is too long. It should have {{ filename_max_length }} characters or less.',
    'The password strength is too low. Please use a stronger password.' => 'The password strength is too low. Please use a stronger password.',
    'This value contains characters that are not allowed by the current restriction-level.' => 'This value contains characters that are not allowed by the current restriction-level.',
    'Using invisible characters is not allowed.' => 'Using invisible characters is not allowed.',
    'Mixing numbers from different scripts is not allowed.' => 'Mixing numbers from different scripts is not allowed.',
    'Using hidden overlay characters is not allowed.' => 'Using hidden overlay characters is not allowed.',
    'The extension of the file is invalid ({{ extension }}). Allowed extensions are {{ extensions }}.' => 'The extension of the file is invalid ({{ extension }}). Allowed extensions are {{ extensions }}.',
    'The detected character encoding is invalid ({{ detected }}). Allowed encodings are {{ encodings }}.' => 'The detected character encoding is invalid ({{ detected }}). Allowed encodings are {{ encodings }}.',
    'This value is not a valid MAC address.' => 'This value is not a valid MAC address.',
    'This URL is missing a top-level domain.' => 'This URL is missing a top-level domain.',
    'This value is too short. It should contain at least one word.|This value is too short. It should contain at least {{ min }} words.' => 'This value is too short. It should contain at least one word.|This value is too short. It should contain at least {{ min }} words.',
    'This value is too long. It should contain one word.|This value is too long. It should contain {{ max }} words or less.' => 'This value is too long. It should contain one word.|This value is too long. It should contain {{ max }} words or less.',
    'This value does not represent a valid week in the ISO 8601 format.' => 'This value does not represent a valid week in the ISO 8601 format.',
    'This value is not a valid week.' => 'This value is not a valid week.',
    'This value should not be before week "{{ min }}".' => 'This value should not be before week "{{ min }}".',
    'This value should not be after week "{{ max }}".' => 'This value should not be after week "{{ max }}".',
    'This form should not contain extra fields.' => 'This form should not contain extra fields.',
    'The uploaded file was too large. Please try to upload a smaller file.' => 'The uploaded file was too large. Please try to upload a smaller file.',
    'The CSRF token is invalid. Please try to resubmit the form.' => 'The CSRF token is invalid. Please try to resubmit the form.',
    'This value is not a valid HTML5 color.' => 'This value is not a valid HTML5 color.',
    'Please enter a valid birthdate.' => 'Please enter a valid birthdate.',
    'The selected choice is invalid.' => 'The selected choice is invalid.',
    'The collection is invalid.' => 'The collection is invalid.',
    'Please select a valid color.' => 'Please select a valid color.',
    'Please select a valid country.' => 'Please select a valid country.',
    'Please select a valid currency.' => 'Please select a valid currency.',
    'Please choose a valid date interval.' => 'Please choose a valid date interval.',
    'Please enter a valid date and time.' => 'Please enter a valid date and time.',
    'Please enter a valid date.' => 'Please enter a valid date.',
    'Please select a valid file.' => 'Please select a valid file.',
    'The hidden field is invalid.' => 'The hidden field is invalid.',
    'Please enter an integer.' => 'Please enter an integer.',
    'Please select a valid language.' => 'Please select a valid language.',
    'Please select a valid locale.' => 'Please select a valid locale.',
    'Please enter a valid money amount.' => 'Please enter a valid money amount.',
    'Please enter a number.' => 'Please enter a number.',
    'The password is invalid.' => 'The password is invalid.',
    'Please enter a percentage value.' => 'Please enter a percentage value.',
    'The values do not match.' => 'The values do not match.',
    'Please enter a valid time.' => 'Please enter a valid time.',
    'Please select a valid timezone.' => 'Please select a valid timezone.',
    'Please enter a valid URL.' => 'Please enter a valid URL.',
    'Please enter a valid search term.' => 'Please enter a valid search term.',
    'Please provide a valid phone number.' => 'Please provide a valid phone number.',
    'The checkbox has an invalid value.' => 'The checkbox has an invalid value.',
    'Please enter a valid email address.' => 'Please enter a valid email address.',
    'Please select a valid option.' => 'Please select a valid option.',
    'Please select a valid range.' => 'Please select a valid range.',
    'Please enter a valid week.' => 'Please enter a valid week.',
  ),
  'security' => 
  array (
    'An authentication exception occurred.' => 'An authentication exception occurred.',
    'Authentication credentials could not be found.' => 'Authentication credentials could not be found.',
    'Authentication request could not be processed due to a system problem.' => 'Authentication request could not be processed due to a system problem.',
    'Invalid credentials.' => 'Invalid credentials.',
    'Cookie has already been used by someone else.' => 'Cookie has already been used by someone else.',
    'Not privileged to request the resource.' => 'Not privileged to request the resource.',
    'Invalid CSRF token.' => 'Invalid CSRF token.',
    'No authentication provider found to support the authentication token.' => 'No authentication provider found to support the authentication token.',
    'No session available, it either timed out or cookies are not enabled.' => 'No session available, it either timed out or cookies are not enabled.',
    'No token could be found.' => 'No token could be found.',
    'Username could not be found.' => 'Username could not be found.',
    'Account has expired.' => 'Account has expired.',
    'Credentials have expired.' => 'Credentials have expired.',
    'Account is disabled.' => 'Account is disabled.',
    'Account is locked.' => 'Account is locked.',
    'Too many failed login attempts, please try again later.' => 'Too many failed login attempts, please try again later.',
    'Invalid or expired login link.' => 'Invalid or expired login link.',
    'Too many failed login attempts, please try again in %minutes% minute.' => 'Too many failed login attempts, please try again in %minutes% minute.',
    'Too many failed login attempts, please try again in %minutes% minutes.' => 'Too many failed login attempts, please try again in %minutes% minutes.',
  ),
  'KnpPaginatorBundle' => 
  array (
    'label_previous' => 'Previous',
    'label_next' => 'Next',
    'filter_searchword' => 'Searchword...',
  ),
  'messages' => 
  array (
    'Signed in as' => 'Signed in as',
    'Your Profile' => 'Your Profile',
    'Create Ticket' => 'Create Ticket',
    'Create Agent' => 'Create Agent',
    'Create Customer' => 'Create Customer',
    'Sign Out' => 'Sign Out',
    'Default Language (Optional)' => 'Default Language (Optional)',
    'Username/Email' => 'Username/Email',
    'create new' => 'create new',
    'Ticket Information' => 'Ticket Information',
    'CC/BCC' => 'CC/BCC',
    'Success! Label created successfully.' => 'Success! Label created successfully.',
    'Success! Label removed successfully.' => 'Success! Label removed successfully.',
    'Reports' => 'Reports',
    'Rating' => 'Rating',
    'Kudos Rating' => 'Kudos Rating',
    'Remove profile picture' => 'Remove profile picture',
    'Success ! Profile updated successfully.' => 'Success ! Profile updated successfully.',
    'Howdy' => 'Howdy',
    'Form successfully updated.' => 'Form successfully updated.',
    'NEW FORM' => 'NEW FORM',
    'Text Box' => 'Text Box',
    'Text Area' => 'Text Area',
    'Select' => 'Select',
    'Radio' => 'Radio',
    'Checkbox' => 'Checkbox',
    'Date' => 'Date',
    'Both Date and Time' => 'Both Date and Time',
    'Choose a status' => 'Choose a status',
    'Choose a group' => 'Choose a group',
    'Choose your default timeformat' => 'Choose your default timeformat',
    'Can manage Group\'s Saved Reply' => 'Can manage Group\'s Saved Reply',
    'Can manage agent activity' => 'Can manage agent activity',
    'Slug is the url identity of this article. We will help you to create valid slug at time of typing.' => 'Slug is the url identity of this article. We will help you to create valid slug at time of typing.',
    'The URL for this article' => 'The URL for this article',
    'Title tags and meta descriptions are bits of HTML code in the header of a web page. They help search engines understand the content on a page. A page\'s title tag and meta description are usually shown whenever that page appears in search engine results' => 'Title tags and meta descriptions are bits of HTML code in the header of a web page. They help search engines understand the content on a page. A page\'s title tag and meta description are usually shown whenever that page appears in search engine results',
    'comma separated (,)' => 'comma separated (,)',
    'Article Title' => 'Article Title',
    'Start typing few charactors and add set of relevant article from the list' => 'Start typing few charactors and add set of relevant article from the list',
    'Success! Announcement data saved successfully.' => 'Success! Announcement data saved successfully.',
    'Success! Category has been added successfully.' => 'Success! Category has been added successfully.',
    'Success ! Agent added successfully.' => 'Success ! Agent added successfully.',
    'Success! Privilege information saved successfully.' => 'Success! Privilege information saved successfully.',
    'Edit Prepared Response' => 'Edit Prepared Response',
    'Success! Type removed successfully.' => 'Success! Type removed successfully.',
    'No results available' => 'No results available',
    'Success ! Prepared Response applied successfully.' => 'Success ! Prepared Response applied successfully.',
    'Note added to ticket successfully.' => 'Note added to ticket successfully.',
    'Ticket status update to Spam' => 'Ticket status update to Spam',
    'Ticket status update to Closed' => 'Ticket status update to Closed',
    'Success! Label updated successfully.' => 'Success! Label updated successfully.',
    'Success ! Helpdesk details saved successfully' => 'Success ! Helpdesk details saved successfully',
    'Can manage marketing announcement' => 'Can manage marketing announcement',
    'User Forgot Password' => 'User Forgot Password',
    'Agent Deleted' => 'Agent Deleted',
    'Agent Update' => 'Agent Update',
    'Customer Update' => 'Customer Update',
    'Customer Deleted' => 'Customer Deleted',
    'Agent Updated' => 'Agent Updated',
    'Agent Reply' => 'Agent Reply',
    'Collaborator Added' => 'Collaborator Added',
    'Collaborator Reply' => 'Collaborator Reply',
    'Customer Reply' => 'Customer Reply',
    'Ticket Deleted' => 'Ticket Deleted',
    'Group Updated' => 'Group Updated',
    'Note Added' => 'Note Added',
    'Priority Updated' => 'Priority Updated',
    'Status Updated' => 'Status Updated',
    'Team Updated' => 'Team Updated',
    'Thread Updated' => 'Thread Updated',
    'Type Updated' => 'Type Updated',
    'From Email' => 'From Email',
    'To Email' => 'To Email',
    'Is Equal To' => 'Is Equal To',
    'Is Not Equal To' => 'Is Not Equal To',
    'Contains' => 'Contains',
    'Does Not Contain' => 'Does Not Contain',
    'Starts With' => 'Starts With',
    'Ends With' => 'Ends With',
    'Before On' => 'Before On',
    'After On' => 'After On',
    'Mail To User' => 'Mail To User',
    'Transfer Tickets' => 'Transfer Tickets',
    'Mail To Customer' => 'Mail To Customer',
    'Permanently delete from Inbox' => 'Permanently delete from Inbox',
    'Agent Activity' => 'Agent Activity',
    'Report From' => 'Report From',
    'Search Agent' => 'Search Agent',
    'Agent Last Reply' => 'Agent Last Reply',
    'View analytics and insights to serve a better experience for your customers' => 'Analytics and insight regarding your workflow',
    'Marketing Announcement' => 'Marketing Announcement',
    'Advertisement' => 'Advertisement',
    'Announcement' => 'Announcement',
    'New Announcement' => 'New Announcement',
    'Add Announcement' => 'Add Announcement',
    'Edit Announcement' => 'Edit Announcement',
    'Promo Text' => 'Promo Text',
    'Promo Tag' => 'Promo Tag',
    'Choose a promo tag' => 'Choose a promo tag',
    'Tag-Color' => 'Tag-Color',
    'Tag background color' => 'Tag background color',
    'Link Text' => 'Link Text',
    'Link URL' => 'Link URL',
    'Apps' => 'Apps',
    'Integrate apps as per your needs to get things done faster than ever' => 'Install new custom apps to boost your productivity.',
    'Explore Apps' => 'Explore Apps',
    'Form Builder' => 'Form Builder',
    'Knowledgebase' => 'Knowledgebase',
    'Knowledgebase is a source of rigid and complex information which helps Customers to help themselves' => 'Help your customers help themselves! Save time on support by building your knowledge base.',
    'Articles' => 'Articles',
    'Categories' => 'Categories',
    'Folders' => 'Folders',
    'FOLDERS' => 'FOLDERS',
    'Productivity' => 'Productivity',
    'Automate your processes by creating set of rules and presets to respond faster to the tickets' => 'Create automation rules to speed up your workflow.',
    'Prepared Responses' => 'Prepared Responses',
    'Saved Replies' => 'Saved Replies',
    'Edit Saved Reply' => 'Edit Saved Reply',
    'Ticket Types' => 'Ticket Types',
    'Workflows' => 'Workflows',
    'Settings' => 'Settings',
    'Manage your Brand Identity, Company Information and other details at a glance' => 'Manage your Brand Identity, Company Information and other details at a glance',
    'Branding' => 'Branding',
    'Custom Fields' => 'Custom Fields',
    'Email Settings' => 'Email Settings',
    'Email Templates' => 'Email Templates',
    'Mailbox' => 'Mailbox',
    'Spam Settings' => 'Spam Settings',
    'Swift Mailer' => 'Swift Mailer',
    'Tags' => 'Tags',
    'Users' => 'Users',
    'Control your Groups, Teams, Agents and Customers' => 'Manage your Groups, Teams, Agents and Customers',
    'Agents' => 'Agents',
    'Customers' => 'Customers',
    'Groups' => 'Groups',
    'Privileges' => 'Privileges',
    'Teams' => 'Teams',
    'Applications' => 'Applications',
    'ECommerce Order Syncronization' => 'eCommerce Order Syncronization',
    'Import ecommerce order details to your support tickets from different available platforms' => 'Import eCommerce order details to your support tickets from different available platforms',
    'Search' => 'Search',
    'Sort By' => 'Sort By',
    'Sort By:' => 'Sort By:',
    'Status' => 'Status',
    'Created At' => 'Created At',
    'Name' => 'Name',
    'All' => 'All',
    'Published' => 'Published',
    'Draft' => 'Draft',
    'New Folder' => 'New Folder',
    'Create Knowledgebase Folder' => 'Create Knowledgebase Folder',
    'You did not add any folder to your Knowledgebase yet, Create your first Folder and start adding Categories/Articles to make your customers help themselves.' => 'You don\'t have any folders yet! Create your first folder and start adding articles.',
    'Clear Filters' => 'Clear Filters',
    'Back' => 'Back',
    'Open' => 'Open',
    'Pending' => 'Pending',
    'Answered' => 'Answered',
    'Resolved' => 'Resolved',
    'Closed' => 'Closed',
    'Spam' => 'Spam',
    'New' => 'New',
    'UnAssigned' => 'Unassigned',
    'UnAnswered' => 'Unanswered',
    'My Tickets' => 'My Tickets',
    'Starred' => 'Starred',
    'Trashed' => 'Trashed',
    'New Label' => 'New Label',
    'Tickets' => 'Tickets',
    'Ticket Id' => 'Ticket Id',
    'Last Replied' => 'Last Replied',
    'Assign To' => 'Assign To',
    'After Reply' => 'After Reply',
    'Customer Email' => 'Customer Email',
    'Customer Name' => 'Customer Name',
    'Assets Visibility' => 'Assets Visibility',
    'Channel/Source' => 'Channel/Source',
    'Channel' => 'Channel',
    'Website' => 'Website',
    'Timestamp' => 'Timestamp',
    'TimeStamp' => 'TimeStamp',
    'Team' => 'Team',
    'Type' => 'Type',
    'Replies' => 'Replies',
    'Agent' => 'Agent',
    'ID' => 'ID',
    'Subject' => 'Subject',
    'Last Reply' => 'Last Reply',
    'Filter View' => 'Filter View',
    'Please select CAPTCHA' => 'Please select CAPTCHA',
    'Warning ! Please select correct CAPTCHA !' => 'CAPTCHA Failed, please try again',
    'reCAPTCHA Setting' => 'reCAPTCHA Setting',
    'reCAPTCHA Site Key' => 'reCAPTCHA Site Key',
    'reCAPTCHA Secret key' => 'reCAPTCHA Secret key',
    'reCAPTCHA Status' => 'reCAPTCHA Status',
    'reCAPTCHA is Active' => 'reCAPTCHA is Active',
    'Save set of filters as a preset to stay more productive' => 'Save filters as preset',
    'Saved Filters' => 'Saved Filters',
    'No saved filter created' => 'No saved filter created',
    'Customer' => 'Customer',
    'Priority' => 'Priority',
    'Tag' => 'Tag',
    'Source' => 'Source',
    'Before' => 'Before',
    'After' => 'After',
    'Replies less than' => 'Replies less than',
    'Replies more than' => 'Replies more than',
    'Clear All' => 'Clear All',
    'Account' => 'Account',
    'Profile' => 'Profile',
    'Upload a Profile Image (100px x 100px)<br> in PNG or JPG Format' => 'Upload a Profile Image (100px x 100px)<br> in PNG or JPG Format',
    'First Name' => 'First Name',
    'Last Name' => 'Last Name',
    'Email' => 'Email',
    'Contact Number' => 'Contact Number',
    'Timezone' => 'Timezone',
    'Africa/Abidjan' => 'Africa/Abidjan',
    'Africa/Accra' => 'Africa/Accra',
    'Africa/Addis_Ababa' => 'Africa/Addis_Ababa',
    'Africa/Algiers' => 'Africa/Algiers',
    'Africa/Asmara' => 'Africa/Asmara',
    'Africa/Bamako' => 'Africa/Bamako',
    'Africa/Bangui' => 'Africa/Bangui',
    'Africa/Banjul' => 'Africa/Banjul',
    'Africa/Bissau' => 'Africa/Bissau',
    'Africa/Blantyre' => 'Africa/Blantyre',
    'Africa/Brazzaville' => 'Africa/Brazzaville',
    'Africa/Bujumbura' => 'Africa/Bujumbura',
    'Africa/Cairo' => 'Africa/Cairo',
    'Africa/Casablanca' => 'Africa/Casablanca',
    'Africa/Ceuta' => 'Africa/Ceuta',
    'Africa/Conakry' => 'Africa/Conakry',
    'Africa/Dakar' => 'Africa/Dakar',
    'Africa/Dar_es_Salaam' => 'Africa/Dar_es_Salaam',
    'Africa/Djibouti' => 'Africa/Djibouti',
    'Africa/Douala' => 'Africa/Douala',
    'Africa/El_Aaiun' => 'Africa/El_Aaiun',
    'Africa/Freetown' => 'Africa/Freetown',
    'Africa/Gaborone' => 'Africa/Gaborone',
    'Africa/Harare' => 'Africa/Harare',
    'Africa/Johannesburg' => 'Africa/Johannesburg',
    'Africa/Juba' => 'Africa/Juba',
    'Africa/Kampala' => 'Africa/Kampala',
    'Africa/Khartoum' => 'Africa/Khartoum',
    'Africa/Kigali' => 'Africa/Kigali',
    'Africa/Kinshasa' => 'Africa/Kinshasa',
    'Africa/Lagos' => 'Africa/Lagos',
    'Africa/Libreville' => 'Africa/Libreville',
    'Africa/Lome' => 'Africa/Lome',
    'Africa/Luanda' => 'Africa/Luanda',
    'Africa/Lubumbashi' => 'Africa/Lubumbashi',
    'Africa/Lusaka' => 'Africa/Lusaka',
    'Africa/Malabo' => 'Africa/Malabo',
    'Africa/Maputo' => 'Africa/Maputo',
    'Africa/Maseru' => 'Africa/Maseru',
    'Africa/Mbabane' => 'Africa/Mbabane',
    'Africa/Mogadishu' => 'Africa/Mogadishu',
    'Africa/Monrovia' => 'Africa/Monrovia',
    'Africa/Nairobi' => 'Africa/Nairobi',
    'Africa/Ndjamena' => 'Africa/Ndjamena',
    'Africa/Niamey' => 'Africa/Niamey',
    'Africa/Nouakchott' => 'Africa/Nouakchott',
    'Africa/Ouagadougou' => 'Africa/Ouagadougou',
    'Africa/Porto-Novo' => 'Africa/Porto-Novo',
    'Africa/Sao_Tome' => 'Africa/Sao_Tome',
    'Africa/Tripoli' => 'Africa/Tripoli',
    'Africa/Tunis' => 'Africa/Tunis',
    'Africa/Windhoek' => 'Africa/Windhoek',
    'America/Adak' => 'America/Adak',
    'America/Anchorage' => 'America/Anchorage',
    'America/Anguilla' => 'America/Anguilla',
    'America/Antigua' => 'America/Antigua',
    'America/Araguaina' => 'America/Araguaina',
    'America/Argentina/Buenos_Aires' => 'America/Argentina/Buenos_Aires',
    'America/Argentina/Catamarca' => 'America/Argentina/Catamarca',
    'America/Argentina/Cordoba' => 'America/Argentina/Cordoba',
    'America/Argentina/Jujuy' => 'America/Argentina/Jujuy',
    'America/Argentina/La_Rioja' => 'America/Argentina/La_Rioja',
    'America/Argentina/Mendoza' => 'America/Argentina/Mendoza',
    'America/Argentina/Rio_Gallegos' => 'America/Argentina/Rio_Gallegos',
    'America/Argentina/Salta' => 'America/Argentina/Salta',
    'America/Argentina/San_Juan' => 'America/Argentina/San_Juan',
    'America/Argentina/San_Luis' => 'America/Argentina/San_Luis',
    'America/Argentina/Tucuman' => 'America/Argentina/Tucuman',
    'America/Argentina/Ushuaia' => 'America/Argentina/Ushuaia',
    'America/Aruba' => 'America/Aruba',
    'America/Asuncion' => 'America/Asuncion',
    'America/Atikokan' => 'America/Atikokan',
    'America/Bahia' => 'America/Bahia',
    'America/Bahia_Banderas' => 'America/Bahia_Banderas',
    'America/Barbados' => 'America/Barbados',
    'America/Belem' => 'America/Belem',
    'America/Belize' => 'America/Belize',
    'America/Blanc-Sablon' => 'America/Blanc-Sablon',
    'America/Boa_Vista' => 'America/Boa_Vista',
    'America/Bogota' => 'America/Bogota',
    'America/Boise' => 'America/Boise',
    'America/Cambridge_Bay' => 'America/Cambridge_Bay',
    'America/Campo_Grande' => 'America/Campo_Grande',
    'America/Cancun' => 'America/Cancun',
    'America/Caracas' => 'America/Caracas',
    'America/Cayenne' => 'America/Cayenne',
    'America/Cayman' => 'America/Cayman',
    'America/Chicago' => 'America/Chicago',
    'America/Chihuahua' => 'America/Chihuahua',
    'America/Costa_Rica' => 'America/Costa_Rica',
    'America/Creston' => 'America/Creston',
    'America/Cuiaba' => 'America/Cuiaba',
    'America/Curacao' => 'America/Curacao',
    'America/Danmarkshavn' => 'America/Danmarkshavn',
    'America/Dawson' => 'America/Dawson',
    'America/Dawson_Creek' => 'America/Dawson_Creek',
    'America/Denver' => 'America/Denver',
    'America/Detroit' => 'America/Detroit',
    'America/Dominica' => 'America/Dominica',
    'America/Edmonton' => 'America/Edmonton',
    'America/Eirunepe' => 'America/Eirunepe',
    'America/El_Salvador' => 'America/El_Salvador',
    'America/Fort_Nelson' => 'America/Fort_Nelson',
    'America/Fortaleza' => 'America/Fortaleza',
    'America/Glace_Bay' => 'America/Glace_Bay',
    'America/Godthab' => 'America/Godthab',
    'America/Goose_Bay' => 'America/Goose_Bay',
    'America/Grand_Turk' => 'America/Grand_Turk',
    'America/Grenada' => 'America/Grenada',
    'America/Guadeloupe' => 'America/Guadeloupe',
    'America/Guatemala' => 'America/Guatemala',
    'America/Guayaquil' => 'America/Guayaquil',
    'America/Guyana' => 'America/Guyana',
    'America/Halifax' => 'America/Halifax',
    'America/Havana' => 'America/Havana',
    'America/Hermosillo' => 'America/Hermosillo',
    'America/Indiana/Indianapolis' => 'America/Indiana/Indianapolis',
    'America/Indiana/Knox' => 'America/Indiana/Knox',
    'America/Indiana/Marengo' => 'America/Indiana/Marengo',
    'America/Indiana/Petersburg' => 'America/Indiana/Petersburg',
    'America/Indiana/Tell_City' => 'America/Indiana/Tell_City',
    'America/Indiana/Vevay' => 'America/Indiana/Vevay',
    'America/Indiana/Vincennes' => 'America/Indiana/Vincennes',
    'America/Indiana/Winamac' => 'America/Indiana/Winamac',
    'America/Inuvik' => 'America/Inuvik',
    'America/Iqaluit' => 'America/Iqaluit',
    'America/Jamaica' => 'America/Jamaica',
    'America/Juneau' => 'America/Juneau',
    'America/Kentucky/Louisville' => 'America/Kentucky/Louisville',
    'America/Kentucky/Monticello' => 'America/Kentucky/Monticello',
    'America/Kralendijk' => 'America/Kralendijk',
    'America/La_Paz' => 'America/La_Paz',
    'America/Lima' => 'America/Lima',
    'America/Los_Angeles' => 'America/Los_Angeles',
    'America/Lower_Princes' => 'America/Lower_Princes',
    'America/Maceio' => 'America/Maceio',
    'America/Managua' => 'America/Managua',
    'America/Manaus' => 'America/Manaus',
    'America/Marigot' => 'America/Marigot',
    'America/Martinique' => 'America/Martinique',
    'America/Matamoros' => 'America/Matamoros',
    'America/Mazatlan' => 'America/Mazatlan',
    'America/Menominee' => 'America/Menominee',
    'America/Merida' => 'America/Merida',
    'America/Metlakatla' => 'America/Metlakatla',
    'America/Mexico_City' => 'America/Mexico_City',
    'America/Miquelon' => 'America/Miquelon',
    'America/Moncton' => 'America/Moncton',
    'America/Monterrey' => 'America/Monterrey',
    'America/Montevideo' => 'America/Montevideo',
    'America/Montserrat' => 'America/Montserrat',
    'America/Nassau' => 'America/Nassau',
    'America/New_York' => 'America/New_York',
    'America/Nipigon' => 'America/Nipigon',
    'America/Nome' => 'America/Nome',
    'America/Noronha' => 'America/Noronha',
    'America/North_Dakota/Beulah' => 'America/North_Dakota/Beulah',
    'America/North_Dakota' => 'America/North_Dakota',
    'America/Ojinaga' => 'America/Ojinaga',
    'America/Panama' => 'America/Panama',
    'America/Pangnirtung' => 'America/Pangnirtung',
    'America/Paramaribo' => 'America/Paramaribo',
    'America/Phoenix' => 'America/Phoenix',
    'America/Port-au-Prince' => 'America/Port-au-Prince',
    'America/Port_of_Spain' => 'America/Port_of_Spain',
    'America/Porto_Velho' => 'America/Porto_Velho',
    'America/Puerto_Rico' => 'America/Puerto_Rico',
    'America/Punta_Arenas' => 'America/Punta_Arenas',
    'America/Rainy_River' => 'America/Rainy_River',
    'America/Rankin_Inlet' => 'America/Rankin_Inlet',
    'America/Recife' => 'America/Recife',
    'America/Regina' => 'America/Regina',
    'America/Resolute' => 'America/Resolute',
    'America/Rio_Branco' => 'America/Rio_Branco',
    'America/Santarem' => 'America/Santarem',
    'America/Santiago' => 'America/Santiago',
    'America/Santo_Domingo' => 'America/Santo_Domingo',
    'America/Sao_Paulo' => 'America/Sao_Paulo',
    'America/Scoresbysund' => 'America/Scoresbysund',
    'America/Sitka' => 'America/Sitka',
    'America/St_Barthelemy' => 'America/St_Barthelemy',
    'America/St_Johns' => 'America/St_Johns',
    'America/St_Kitts' => 'America/St_Kitts',
    'America/St_Lucia' => 'America/St_Lucia',
    'America/St_Thomas' => 'America/St_Thomas',
    'America/St_Vincent' => 'America/St_Vincent',
    'America/Swift_Current' => 'America/Swift_Current',
    'America/Tegucigalpa' => 'America/Tegucigalpa',
    'America/Thule' => 'America/Thule',
    'America/Thunder_Bay' => 'America/Thunder_Bay',
    'America/Tijuana' => 'America/Tijuana',
    'America/Toronto' => 'America/Toronto',
    'America/Tortola' => 'America/Tortola',
    'America/Vancouver' => 'America/Vancouver',
    'America/Whitehorse' => 'America/Whitehorse',
    'America/Winnipeg' => 'America/Winnipeg',
    'America/Yakutat' => 'America/Yakutat',
    'America/Yellowknife' => 'America/Yellowknife',
    'Antarctica/Casey' => 'Antarctica/Casey',
    'Antarctica/Davis' => 'Antarctica/Davis',
    'Antarctica/DumontDUrville' => 'Antarctica/DumontDUrville',
    'Antarctica/Macquarie' => 'Antarctica/Macquarie',
    'Antarctica/McMurdo' => 'Antarctica/McMurdo',
    'Antarctica/Mawson' => 'Antarctica/Mawson',
    'Antarctica/Palmer' => 'Antarctica/Palmer',
    'Antarctica/Rothera' => 'Antarctica/Rothera',
    'Antarctica/Syowa' => 'Antarctica/Syowa',
    'Antarctica/Troll' => 'Antarctica/Troll',
    'Antarctica/Vostok' => 'Antarctica/Vostok',
    'Arctic/Longyearbyen' => 'Arctic/Longyearbyen',
    'Asia/Aden' => 'Asia/Aden',
    'Asia/Almaty' => 'Asia/Almaty',
    'Asia/Amman' => 'Asia/Amman',
    'Asia/Anadyr' => 'Asia/Anadyr',
    'Asia/Aqtau' => 'Asia/Aqtau',
    'Asia/Aqtobe' => 'Asia/Aqtobe',
    'Asia/Ashgabat' => 'Asia/Ashgabat',
    'Asia/Atyrau' => 'Asia/Atyrau',
    'Asia/Baghdad' => 'Asia/Baghdad',
    'Asia/Bahrain' => 'Asia/Bahrain',
    'Asia/Baku' => 'Asia/Baku',
    'Asia/Bangkok' => 'Asia/Bangkok',
    'Asia/Barnaul' => 'Asia/Barnaul',
    'Asia/Beirut' => 'Asia/Beirut',
    'Asia/Bishkek' => 'Asia/Bishkek',
    'Asia/Brunei' => 'Asia/Brunei',
    'Asia/Chita' => 'Asia/Chita',
    'Asia/Choibalsan' => 'Asia/Choibalsan',
    'Asia/Colombo' => 'Asia/Colombo',
    'Asia/Damascus' => 'Asia/Damascus',
    'Asia/Dhaka' => 'Asia/Dhaka',
    'Asia/Dili' => 'Asia/Dili',
    'Asia/Dubai' => 'Asia/Dubai',
    'Asia/Dushanbe' => 'Asia/Dushanbe',
    'Asia/Famagusta' => 'Asia/Famagusta',
    'Asia/Gaza' => 'Asia/Gaza',
    'Asia/Hebron' => 'Asia/Hebron',
    'Asia/Ho_Chi_Minh' => 'Asia/Ho_Chi_Minh',
    'Asia/Hong_Kong' => 'Asia/Hong_Kong',
    'Asia/Hovd' => 'Asia/Hovd',
    'Asia/Irkutsk' => 'Asia/Irkutsk',
    'Asia/Jakarta' => 'Asia/Jakarta',
    'Asia/Jayapura' => 'Asia/Jayapura',
    'Asia/Jerusalem' => 'Asia/Jerusalem',
    'Asia/Kabul' => 'Asia/Kabul',
    'Asia/Kamchatka' => 'Asia/Kamchatka',
    'Asia/Karachi' => 'Asia/Karachi',
    'Asia/Kathmandu' => 'Asia/Kathmandu',
    'Asia/Khandyga' => 'Asia/Khandyga',
    'Asia/Kolkata' => 'Asia/Kolkata',
    'Asia/Krasnoyarsk' => 'Asia/Krasnoyarsk',
    'Asia/Kuala_Lumpur' => 'Asia/Kuala_Lumpur',
    'Asia/Kuching' => 'Asia/Kuching',
    'Asia/Kuwait' => 'Asia/Kuwait',
    'Asia/Macau' => 'Asia/Macau',
    'Asia/Magadan' => 'Asia/Magadan',
    'Asia/Makassar' => 'Asia/Makassar',
    'Asia/Manila' => 'Asia/Manila',
    'Asia/Muscat' => 'Asia/Muscat',
    'Asia/Nicosia' => 'Asia/Nicosia',
    'Asia/Novokuznetsk' => 'Asia/Novokuznetsk',
    'Asia/Novosibirsk' => 'Asia/Novosibirsk',
    'Asia/Omsk' => 'Asia/Omsk',
    'Asia/Oral' => 'Asia/Oral',
    'Asia/Phnom_Penh' => 'Asia/Phnom_Penh',
    'Asia/Pontianak' => 'Asia/Pontianak',
    'Asia/Pyongyang' => 'Asia/Pyongyang',
    'Asia/Qatar' => 'Asia/Qatar',
    'Asia/Qostanay' => 'Asia/Qostanay',
    'Asia/Qyzylorda' => 'Asia/Qyzylorda',
    'Asia/Riyadh' => 'Asia/Riyadh',
    'Asia/Sakhalin' => 'Asia/Sakhalin',
    'Asia/Samarkand' => 'Asia/Samarkand',
    'Asia/Seoul' => 'Asia/Seoul',
    'Asia/Shanghai' => 'Asia/Shanghai',
    'Asia/Singapore' => 'Asia/Singapore',
    'Asia/Srednekolymsk' => 'Asia/Srednekolymsk',
    'Asia/Taipei' => 'Asia/Taipei',
    'Asia/Tashkent' => 'Asia/Tashkent',
    'Asia/Tbilisi' => 'Asia/Tbilisi',
    'Asia/Tehran' => 'Asia/Tehran',
    'Asia/Thimphu' => 'Asia/Thimphu',
    'Asia/Tokyo' => 'Asia/Tokyo',
    'Asia/Tomsk' => 'Asia/Tomsk',
    'Asia/Ulaanbaatar' => 'Asia/Ulaanbaatar',
    'Asia/Urumqi' => 'Asia/Urumqi',
    'Asia/Ust-Nera' => 'Asia/Ust-Nera',
    'Asia/Vientiane' => 'Asia/Vientiane',
    'Asia/Vladivostok' => 'Asia/Vladivostok',
    'Asia/Yakutsk' => 'Asia/Yakutsk',
    'Asia/Yangon' => 'Asia/Yangon',
    'Asia/Yekaterinburg' => 'Asia/Yekaterinburg',
    'Asia/Yerevan' => 'Asia/Yerevan',
    'Atlantic/Azores' => 'Atlantic/Azores',
    'Atlantic/Bermuda' => 'Atlantic/Bermuda',
    'Atlantic/Canary' => 'Atlantic/Canary',
    'Atlantic/Cape_Verde' => 'Atlantic/Cape_Verde',
    'Atlantic/Faroe' => 'Atlantic/Faroe',
    'Atlantic/Madeira' => 'Atlantic/Madeira',
    'Atlantic/Reykjavik' => 'Atlantic/Reykjavik',
    'Atlantic/South_Georgia' => 'Atlantic/South_Georgia',
    'Atlantic/St_Helena' => 'Atlantic/St_Helena',
    'Atlantic/Stanley' => 'Atlantic/Stanley',
    'Australia/Adelaide' => 'Australia/Adelaide',
    'Australia/Brisbane' => 'Australia/Brisbane',
    'Australia/Broken_Hill' => 'Australia/Broken_Hill',
    'Australia/Currie' => 'Australia/Currie',
    'Australia/Darwin' => 'Australia/Darwin',
    'Australia/Eucla' => 'Australia/Eucla',
    'Australia/Hobart' => 'Australia/Hobart',
    'Australia/Lindeman' => 'Australia/Lindeman',
    'Australia/Lord_Howe' => 'Australia/Lord_Howe',
    'Australia/Melbourne' => 'Australia/Melbourne',
    'Australia/Perth' => 'Australia/Perth',
    'Australia/Sydney' => 'Australia/Sydney',
    'Europe/Amsterdam' => 'Europe/Amsterdam',
    'Europe/Andorra' => 'Europe/Andorra',
    'Europe/Astrakhan' => 'Europe/Astrakhan',
    'Europe/Athens' => 'Europe/Athens',
    'Europe/Belgrade' => 'Europe/Belgrade',
    'Europe/Berlin' => 'Europe/Berlin',
    'Europe/Bratislava' => 'Europe/Bratislava',
    'Europe/Brussels' => 'Europe/Brussels',
    'Europe/Bucharest' => 'Europe/Bucharest',
    'Europe/Budapest' => 'Europe/Budapest',
    'Europe/Busingen' => 'Europe/Busingen',
    'Europe/Chisinau' => 'Europe/Chisinau',
    'Europe/Copenhagen' => 'Europe/Copenhagen',
    'Europe/Dublin' => 'Europe/Dublin',
    'Europe/Gibraltar' => 'Europe/Gibraltar',
    'Europe/Guernsey' => 'Europe/Guernsey',
    'Europe/Helsinki' => 'Europe/Helsinki',
    'Europe/Isle_of_Man' => 'Europe/Isle_of_Man',
    'Europe/Istanbul' => 'Europe/Istanbul',
    'Europe/Jersey' => 'Europe/Jersey',
    'Europe/Kaliningrad' => 'Europe/Kaliningrad',
    'Europe/Kiev' => 'Europe/Kiev',
    'Europe/Kirov' => 'Europe/Kirov',
    'Europe/Lisbon' => 'Europe/Lisbon',
    'Europe/Ljubljana' => 'Europe/Ljubljana',
    'Europe/London' => 'Europe/London',
    'Europe/Luxembourg' => 'Europe/Luxembourg',
    'Europe/Madrid' => 'Europe/Madrid',
    'Europe/Malta' => 'Europe/Malta',
    'Europe/Mariehamn' => 'Europe/Mariehamn',
    'Europe/Minsk' => 'Europe/Minsk',
    'Europe/Monaco' => 'Europe/Monaco',
    'Europe/Moscow' => 'Europe/Moscow',
    'Europe/Oslo' => 'Europe/Oslo',
    'Europe/Paris' => 'Europe/Paris',
    'Europe/Podgorica' => 'Europe/Podgorica',
    'Europe/Prague' => 'Europe/Prague',
    'Europe/Riga' => 'Europe/Riga',
    'Europe/Rome' => 'Europe/Rome',
    'Europe/Samara' => 'Europe/Samara',
    'Europe/San_Marino' => 'Europe/San_Marino',
    'Europe/Sarajevo' => 'Europe/Sarajevo',
    'Europe/Saratov' => 'Europe/Saratov',
    'Europe/Simferopol' => 'Europe/Simferopol',
    'Europe/Skopje' => 'Europe/Skopje',
    'Europe/Sofia' => 'Europe/Sofia',
    'Europe/Stockholm' => 'Europe/Stockholm',
    'Europe/Tallinn' => 'Europe/Tallinn',
    'Europe/Tirane' => 'Europe/Tirane',
    'Europe/Ulyanovsk' => 'Europe/Ulyanovsk',
    'Europe/Uzhgorod' => 'Europe/Uzhgorod',
    'Europe/Vaduz' => 'Europe/Vaduz',
    'Europe/Vatican' => 'Europe/Vatican',
    'Europe/Vienna' => 'Europe/Vienna',
    'Europe/Vilnius' => 'Europe/Vilnius',
    'Europe/Volgograd' => 'Europe/Volgograd',
    'Europe/Warsaw' => 'Europe/Warsaw',
    'Europe/Zagreb' => 'Europe/Zagreb',
    'Europe/Zaporozhye' => 'Europe/Zaporozhye',
    'Europe/Zurich' => 'Europe/Zurich',
    'Indian/Antananarivo' => 'Indian/Antananarivo',
    'Indian/Chagos' => 'Indian/Chagos',
    'Indian/Christmas' => 'Indian/Christmas',
    'Indian/Cocos' => 'Indian/Cocos',
    'Indian/Comoro' => 'Indian/Comoro',
    'Indian/Kerguelen' => 'Indian/Kerguelen',
    'Indian/Mahe' => 'Indian/Mahe',
    'Indian/Maldives' => 'Indian/Maldives',
    'Indian/Mauritius' => 'Indian/Mauritius',
    'Indian/Mayotte' => 'Indian/Mayotte',
    'Indian/Reunion' => 'Indian/Reunion',
    'Pacific/Apia' => 'Pacific/Apia',
    'Pacific/Auckland' => 'Pacific/Auckland',
    'Pacific/Bougainville' => 'Pacific/Bougainville',
    'Pacific/Chatham' => 'Pacific/Chatham',
    'Pacific/Chuuk' => 'Pacific/Chuuk',
    'Pacific/Easter' => 'Pacific/Easter',
    'Pacific/Efate' => 'Pacific/Efate',
    'Pacific/Enderbury' => 'Pacific/Enderbury',
    'Pacific/Fakaofo' => 'Pacific/Fakaofo',
    'Pacific/Fiji' => 'Pacific/Fiji',
    'Pacific/Funafuti' => 'Pacific/Funafuti',
    'Pacific/Galapagos' => 'Pacific/Galapagos',
    'Pacific/Gambier' => 'Pacific/Gambier',
    'Pacific/Guadalcanal' => 'Pacific/Guadalcanal',
    'Pacific/Guam' => 'Pacific/Guam',
    'Pacific/Honolulu' => 'Pacific/Honolulu',
    'Pacific/Kiritimati' => 'Pacific/Kiritimati',
    'Pacific/Kosrae' => 'Pacific/Kosrae',
    'Pacific/Kwajalein' => 'Pacific/Kwajalein',
    'Pacific/Majuro' => 'Pacific/Majuro',
    'Pacific/Marquesas' => 'Pacific/Marquesas',
    'Pacific/Midway' => 'Pacific/Midway',
    'Pacific/Nauru' => 'Pacific/Nauru',
    'Pacific/Niue' => 'Pacific/Niue',
    'Pacific/Norfolk' => 'Pacific/Norfolk',
    'Pacific/Noumea' => 'Pacific/Noumea',
    'Pacific/Pago_Pago' => 'Pacific/Pago_Pago',
    'Pacific/Palau' => 'Pacific/Palau',
    'Pacific/Pitcairn' => 'Pacific/Pitcairn',
    'Pacific/Pohnpei' => 'Pacific/Pohnpei',
    'Pacific/Port_Moresby' => 'Pacific/Port_Moresby',
    'Pacific/Rarotonga' => 'Pacific/Rarotonga',
    'Pacific/Saipan' => 'Pacific/Saipan',
    'Pacific/Tahiti' => 'Pacific/Tahiti',
    'Pacific/Tarawa' => 'Pacific/Tarawa',
    'Pacific/Tongatapu' => 'Pacific/Tongatapu',
    'Pacific/Wake' => 'Pacific/Wake',
    'Pacific/Wallis' => 'Pacific/Wallis',
    'UTC' => 'UTC',
    'Time Format' => 'Time Format',
    'Choose your default timezone' => 'Choose your default timezone',
    'Signature' => 'Signature',
    'User signature will be append at the bottom of ticket reply box' => 'Your signature will be appended to the bottom of every ticket reply you create.',
    'Password' => 'Password',
    'Password will remain same if you are not entering something in this field' => 'Password not changed!',
    'Confirm Password' => 'Confirm Password',
    'Password must contain minimum 8 character length, at least two letters (not case sensitive), one number, one special character(space is not allowed).' => 'Password must be at least 8 characters, two letters (not case-sensitive), one number, and one special character (space is not allowed).',
    'Save Changes' => 'Save Changes',
    'SAVE CHANGES' => 'SAVE CHANGES',
    'CREATE TICKET' => 'CREATE TICKET',
    'Customer full name' => 'Customer full name',
    'Customer email address' => 'Customer email address',
    'Select Type' => 'Select Type',
    'Support' => 'Support',
    'Choose ticket type' => 'Choose ticket type',
    'Ticket subject' => 'Ticket subject',
    'Message' => 'Message',
    'Query Message' => 'Query Message',
    'Add Attachment' => 'Add Attachment',
    'This field is mandatory' => 'This field is mandatory',
    'General' => 'General',
    'Designation' => 'Designation',
    'Contant Number' => 'Content Number',
    'User signature will be append in the bottom of ticket reply box' => 'Your signature will be appended to the bottom of every ticket reply you create.',
    'Account Status' => 'Account Status',
    'Account is Active' => 'Account is Active',
    'Assigning group(s) to user to view tickets regardless assignment.' => 'Add user to group to view tickets regardless of owner.',
    'Default' => 'Default',
    'Select All' => 'Select All',
    'Remove All' => 'Remove All',
    'Assigning team(s) to user to view tickets regardless assignment.' => 'Add user to team to view tickets regardless of owner.',
    'No Team added !' => 'No Team added!',
    'Permission' => 'Permission',
    'Role' => 'Role',
    'Administrator' => 'Administrator',
    'Select agent role' => 'Select agent role',
    'Add Customer' => 'Add Customer',
    'Action' => 'Action',
    'Account Owner' => 'Account Owner',
    'Active' => 'Active',
    'Edit' => 'Edit',
    'Delete' => 'Delete',
    'Disabled' => 'Disabled',
    'New Group' => 'New Group',
    'Default Privileges' => 'Default Privileges',
    'New Privileges' => 'New Privileges',
    'NEW PRIVILEGE' => 'NEW PRIVILEGE',
    'New Privilege' => 'New Privilege',
    'New Team' => 'New Team',
    'No Record Found' => 'No Record Found',
    'Order Synchronization' => 'Order Synchronization',
    'Easily integrate different ecommerce platforms with your helpdesk which can then be later used to swiftly integrate ecommerce order details with your support tickets.' => 'Easily integrate different eCommerce platforms with your helpdesk to show order details within support tickets.',
    'BigCommerce' => 'BigCommerce',
    'No channels have been added.' => 'No channels have been added.',
    'Add BigCommerce Store' => 'Add BigCommerce Store',
    'ADD BIGCOMMERCE STORE' => 'ADD BIGCOMMERCE STORE',
    'Mangento' => 'Mangento',
    'Add Magento Store' => 'Add Magento Store',
    'OpenCart' => 'OpenCart',
    'Add OpenCart Store' => 'Add OpenCart Store',
    'ADD OPENCART STORE' => 'ADD OPENCART STORE',
    'Shopify' => 'Shopify',
    'Add Shopify Store' => 'Add Shopify Store',
    'ADD SHOPIFY STORE' => 'ADD SHOPIFY STORE',
    'Integrate a new BigCommerce store' => 'Integrate a new BigCommerce store',
    'Your BigCommerce Store Name' => 'Your BigCommerce Store Name',
    'Your BigCommerce Store Hash' => 'Your BigCommerce Store Hash',
    'Your BigCommerce Api Token' => 'Your BigCommerce Api Token',
    'Your BigCommerce Api Client ID' => 'Your BigCommerce Api Client ID',
    'Enable Channel' => 'Enable Channel',
    'Add Store' => 'Add Store',
    'ADD STORE' => 'ADD STORE',
    'Integrate a new Magento store' => 'Integrate a new Magento store',
    'Your Magento Api Username' => 'Your Magento Api Username',
    'Your Magento Api Password' => 'Your Magento Api Password',
    'Integrate a new OpenCart store' => 'Integrate a new OpenCart store',
    'Your OpenCart Api Key' => 'Your OpenCart Api Key',
    'Your Shopify Store Name' => 'Your Shopify Store Name',
    'Your Shopify Api Key' => 'Your Shopify Api Key',
    'Your Shopify Api Password' => 'Your Shopify Api Password',
    'Easily embed custom form to help generate helpdesk tickets.' => 'Easily embed custom forms for creating helpdesk tickets.',
    'Form-Builder' => 'Form-Builder',
    'Add Formbuilder' => 'Add Formbuilder',
    'ADD FORMBUILDER' => 'ADD FORMBUILDER',
    'No FormBuilder have been added.' => 'No FormBuilder was added.',
    'Create a New Custom Form Below' => 'Create a New Custom Form Below',
    'Form Name' => 'Form Name',
    'It will be shown in the list of created forms' => 'Displayed in the list of created forms',
    'MANDATORY FIELDS' => 'MANDATORY FIELDS',
    'These fields will be visible in form and cant be edited' => 'These fields will be visible in this form and can\'t be edited',
    'Reply' => 'Reply',
    'OPTIONAL FIELDS' => 'OPTIONAL FIELDS',
    'Select These Fields to Add in your Form' => 'Select fields to add',
    'GDPR' => 'GDPR',
    'Order' => 'Order',
    'Categorybuilder' => 'Categorybuilder',
    'File' => 'File',
    'Add Form' => 'Add Form',
    'ADD FORM' => 'ADD FORM',
    'UPDATE FORM' => 'UPDATE FORM',
    'Update Form' => 'Update Form',
    'Embed' => 'Embed',
    'EMBED' => 'EMBED',
    'EMBED FORMBUILDER' => 'EMBED FORMBUILDER',
    'Embed Formbuilder' => 'Embed Formbuilder',
    'Visit' => 'Visit',
    'VISIT' => 'VISIT',
    'Code' => 'Code',
    'Total Ticket(s)' => 'Total Ticket(s)',
    'Ticket Count' => 'Ticket Count',
    'SwiftMailer Configurations' => 'SwiftMailer Configurations',
    'No swiftmailer configurations found' => 'No SwiftMailer configurations found',
    'CREATE CONFIGURATION' => 'CREATE CONFIGURATION',
    'Add configuration' => 'Add configuration',
    'Update configuration' => 'Update configuration',
    'Mailer ID' => 'Mailer ID',
    'Mailer ID - Leave blank to automatically create id' => 'Mailer ID - Leave blank to automatically create id',
    'Transport Type' => 'Transport Type',
    'SMTP' => 'SMTP',
    'Enable Delivery' => 'Enable Delivery',
    'Server' => 'Server',
    'Port' => 'Port',
    'Encryption Mode' => 'Encryption Mode',
    'ssl' => 'ssl',
    'tsl' => 'tsl',
    'None' => 'None',
    'Authentication Mode' => 'Authentication Mode',
    'login' => 'login',
    'API' => 'API',
    'Plain' => 'Plain',
    'CRAM-MD5' => 'CRAM-MD5',
    'Sender Address' => 'Sender Address',
    'Delivery Address' => 'Delivery Address',
    'Block Spam' => 'Block Spam',
    'Black list' => 'Black list',
    'Comma (,) separated values (Eg. support@example.com, @example.com, 68.98.31.226)' => 'Comma separated values (Eg. support@example.com, @example.com, 68.98.31.226)',
    'White list' => 'White list',
    'Mailbox Settings' => 'Mailbox Settings',
    'No mailbox configurations found' => 'No mailbox configurations found',
    'NEW MAILBOX' => 'NEW MAILBOX',
    'New Mailbox' => 'New Mailbox',
    'Update Mailbox' => 'Update Mailbox',
    'Add Mailbox' => 'Add Mailbox',
    'Mailbox ID - Leave blank to automatically create id' => 'Mailbox ID - Leave blank to automatically create id',
    'Mailbox Name' => 'Mailbox Name',
    'Enable Mailbox' => 'Enable Mailbox',
    'Incoming Mail (IMAP) Server' => 'Incoming Mail (IMAP) Server',
    'Configure your imap settings which will be used to fetch emails from your mailbox.' => 'Configure your imap settings in order to fetch new mail from your inbox.',
    'Transport' => 'Transport',
    'IMAP' => 'IMAP',
    'Gmail' => 'Gmail',
    'Yahoo' => 'Yahoo',
    'Host' => 'Host',
    'IMAP Host' => 'IMAP Host',
    'Email address' => 'Email address',
    'Associated Password' => 'Associated Password',
    'Outgoing Mail (SMTP) Server' => 'Outgoing Mail (SMTP) Server',
    'Select a valid Swift Mailer configuration which will be used to send emails through your mailbox.' => 'Select the SwiftMailer config to use for sending emails through your account.',
    'Swift Mailer ID' => 'Swift Mailer ID',
    'None Selected' => 'None Selected',
    'Create Mailbox' => 'Create Mailbox',
    'CREATE MAILBOX' => 'CREATE MAILBOX',
    'New Template' => 'New Template',
    'NEW TEMPLATE' => 'NEW TEMPLATE',
    'Customer Forgot Password' => 'Customer Forgot Password',
    'Customer Account Created' => 'Customer Account Created',
    'Ticket generated success mail to customer' => 'Ticket successfully generated and sent to customer',
    'Customer Reply To The Agent' => 'Customer reply',
    'Ticket Assign' => 'Ticket Assign',
    'Agent Forgot Password' => 'Agent Forgot Password',
    'Agent Account Created' => 'Agent Account Created',
    'Ticket generated by customer' => 'Ticket generated by customer',
    'Agent Reply To The Customers ticket' => 'Agent reply',
    'Email template name' => 'Email template name',
    'Email template subject' => 'Email template subject',
    'Template For' => 'Template For',
    'Nothing Selected' => 'Nothing Selected',
    'email template will be used for work related with selected option' => 'email template will be used for selected option',
    'Email template body' => 'Email template body',
    'Body' => 'Body',
    'placeholders' => 'placeholders',
    'Ticket Subject' => 'Ticket Subject',
    'Ticket Message' => 'Ticket Message',
    'Ticket Attachments' => 'Ticket Attachments',
    'Ticket Tags' => 'Ticket Tags',
    'Ticket Source' => 'Ticket Source',
    'Ticket Status' => 'Ticket Status',
    'Ticket Priority' => 'Ticket Priority',
    'Ticket Group' => 'Ticket Group',
    'Ticket Team' => 'Ticket Team',
    'Ticket Thread Message' => 'Ticket Thread Message',
    'Ticket Customer Name' => 'Ticket Customer Name',
    'Ticket Customer Email' => 'Ticket Customer Email',
    'Ticket Agent Name' => 'Ticket Agent Name',
    'Ticket Agent Email' => 'Ticket Agent Email',
    'Ticket Agent Link' => 'Ticket Agent Link',
    'Ticket Customer Link' => 'Ticket Customer Link',
    'Last Collaborator Name' => 'Last Collaborator Name',
    'Last Collaborator Email' => 'Last Collaborator Email',
    'Agent/ Customer Name' => 'Agent/ Customer Name',
    'Account Validation Link' => 'Account Validation Link',
    'Password Forgot Link' => 'Password Forgot Link',
    'Company Name' => 'Company Name',
    'Company Logo' => 'Company Logo',
    'Company URL' => 'Company URL',
    'Swiftmailer id (Select from drop down)' => 'Swiftmailer id (Select from drop down)',
    'SwiftMailer' => 'SwiftMailer',
    'PROCEED' => 'PROCEED',
    'Proceed' => 'Proceed',
    'Theme Color' => 'Theme Color',
    'Customer Created' => 'Customer Created',
    'Agent Created' => 'Agent Created',
    'Ticket Created' => 'Ticket Created',
    'Agent Replied on Ticket' => 'Agent replied to ticket',
    'Customer Replied on Ticket' => 'Customer replied to ticket',
    'Workflow Status' => 'Workflow status',
    'Workflow is Active' => 'Workflow is active',
    'Events' => 'Events',
    'An event automatically triggers to check conditions and perform a respective pre-defined set of actions' => 'An event automatically triggers to check conditions and perform a set of pre-defined actions',
    'Select an Event' => 'Select an Event',
    'Add More' => 'Add More',
    'Conditions' => 'Conditions',
    'Conditions are set of rules which checks for specific scenarios and are triggered on specific occasions' => 'Conditions are sets of rules which check for specific scenarios.',
    'Subject or Description' => 'Subject or description',
    'Actions' => 'Actions',
    'An action not only reduces the workload but also makes it quite easier for ticket automation' => 'Actions help you automate tickets',
    'Select an Action' => 'Select an action',
    'Add Note' => 'Add note',
    'Mail to agent' => 'Mail to agent',
    'Mail to customer' => 'Mail to customer',
    'Mail to group' => 'Mail to group',
    'Mail to last collaborator' => 'Mail to last collaborator',
    'Mail to team' => 'Mail to team',
    'Mark Spam' => 'Mark spam',
    'Assign to agent' => 'Assign to agent',
    'Assign to group' => 'Assign to group',
    'Set Priority As' => 'Set Priority As',
    'Set Status As' => 'Set Status As',
    'Set Tag As' => 'Set Tag As',
    'Set Label As' => 'Set Label As',
    'Assign to team' => 'Assign to team',
    'Set Type As' => 'Set Type As',
    'Add Workflow' => 'Add Workflow',
    'ADD WORKFLOW' => 'ADD WORKFLOW',
    'Ticket Type code' => 'Ticket Type code',
    'Ticket Type description' => 'Ticket Type description',
    'Type Status' => 'Type Status',
    'Type is Active' => 'Type is Active',
    'Add Save Reply' => 'Add Save Reply',
    'Saved reply name' => 'Saved reply name',
    'Share saved reply with user(s) in these group(s)' => 'Share saved reply with user(s) in these group(s)',
    'Share saved reply with user(s) in these teams(s)' => 'Share saved reply with user(s) in these teams(s)',
    'Saved reply Body' => 'Saved reply body',
    'New Prepared Response' => 'New Prepared Response',
    'Prepared Response Status' => 'Prepared Response Status',
    'Prepared Response is Active' => 'Prepared Response is Active',
    'Share prepared response with user(s) in these group(s)' => 'Share prepared response with user(s) in these group(s)',
    'Share prepared response with user(s) in these teams(s)' => 'Share prepared response with user(s) in these teams(s)',
    'ADD PREPARED RESPONSE' => 'ADD PREPARED RESPONSE',
    'Add Prepared Response' => 'Add Prepared Response',
    'Folder Name is shown upfront at Knowledge Base' => 'The folder name to show in the knowledge base',
    'A small text about the folder helps user to navigate more easily' => 'A bit more info about this folder',
    'Publish' => 'Publish',
    'Choose appropriate status' => 'Choose appropriate status',
    'Folder Image' => 'Folder Image',
    'An image is worth a thousands words and makes folder more accessible' => 'Help users identify the proper folder with a recognizable image.',
    'Add Category' => 'Add Category',
    'Category Name is shown upfront at Knowledge Base' => 'The category name to show in the knowledge base',
    'A small text about the category helps user to navigate more easily' => 'A bit more info about this category',
    'Using Category Order, you can decide which category should display first' => 'Using Category Order, you can decide which category should display first',
    'Sorting' => 'Sorting',
    'Ascending Order (A-Z)' => 'Ascending Order (A-Z)',
    'Descending Order (Z-A)' => 'Descending Order (Z-A)',
    'Based on Popularity' => 'Based on Popularity',
    'Article of this category will display according to selected option' => 'Articles in this category will display depending on selected option',
    'Article' => 'Article',
    'Title' => 'Title',
    'View' => 'View',
    'Make as Starred' => 'Mark as Starred',
    'Yes' => 'Yes',
    'No' => 'No',
    'Stared' => 'Stared',
    'Revisions' => 'Revisions',
    'Related Articles' => 'Related Articles',
    'Delete Article' => 'Delete Article',
    'Content' => 'Content',
    'Slug' => 'Slug',
    'Slug is the url identity of this article.' => 'The URL for this article',
    'Meta Title' => 'Meta Title',
    'Title tags and meta descriptions are bits of HTML code in the header of a web page. They help search engines understand the content on a page. A pages title tag and meta description are usually shown whenever that page appears in search engine results' => 'Title tags and meta descriptions are bits of HTML code in the header of a web page. They help search engines understand the content on a page. The title tag and meta description are usually shown in search engine results for the page.',
    'Meta Keywords' => 'Meta Keywords',
    'Meta Description' => 'Meta Description',
    'Description' => 'Description',
    'Team Status' => 'Team Status',
    'Team is Active' => 'Team is Active',
    'Edit Privilege' => 'Edit Privilege',
    'Can create ticket' => 'Can create ticket',
    'Can edit ticket' => 'Can edit ticket',
    'Can delete ticket' => 'Can delete ticket',
    'Can restore trashed ticket' => 'Can restore trashed ticket',
    'Can assign ticket' => 'Can assign ticket',
    'Can assign ticket group' => 'Can assign ticket group',
    'Can update ticket status' => 'Can update ticket status',
    'Can update ticket priority' => 'Can update ticket priority',
    'Can update ticket type' => 'Can update ticket type',
    'Can add internal notes to ticket' => 'Can add internal notes to ticket',
    'Can edit thread/notes' => 'Can edit thread/notes',
    'Can lock/unlock thread' => 'Can lock/unlock thread',
    'Can add collaborator to ticket' => 'Can add collaborator to ticket',
    'Can delete collaborator from ticket' => 'Can delete collaborator from ticket',
    'Can delete thread/notes' => 'Can delete thread/notes',
    'Can apply prepared response on ticket' => 'Can apply prepared response on ticket',
    'Can add ticket tags' => 'Can add ticket tags',
    'Can delete ticket tags' => 'Can delete ticket tags',
    'Can kick other ticket users' => 'Can kick other ticket users',
    'Can manage email templates' => 'Can manage email templates',
    'Can manage groups' => 'Can manage groups',
    'Can manage Sub-Groups/ Teams' => 'Can manage Sub-Groups/ Teams',
    'Can manage agents' => 'Can manage agents',
    'Can manage agent privileges' => 'Can manage agent privileges',
    'Can manage ticket types' => 'Can manage ticket types',
    'Can manage ticket custom fields' => 'Can manage ticket custom fields',
    'Can manage customers' => 'Can manage customers',
    'Can manage Prepared Responses' => 'Can manage Prepared Responses',
    'Can manage Automatic workflow' => 'Can manage Automatic workflow',
    'Can manage tags' => 'Can manage tags',
    'Can manage knowledgebase' => 'Can manage knowledgebase',
    'Can manage Groups Saved Reply' => 'Can manage Groups Saved Reply',
    'Add Privilege' => 'Add Privilege',
    'Choose set of privileges which will be available to the agent.' => 'Choose set of privileges which will be available to the agent.',
    'Advanced' => 'Advanced',
    'Privilege Name must have characters only' => 'Privilege Name must have characters only',
    'Maximum character length is 50' => 'Maximum character length is 50',
    'Open Tickets' => 'Open Tickets',
    'New Customer' => 'New Customer',
    'New Agent' => 'New Agent',
    'Total Article(s)' => 'Total Article(s)',
    'Please specify a valid email address' => 'Please specify a valid email address',
    'Please enter the password associated with your email address' => 'Please enter the password associated with your email address',
    'Please enter your server host address' => 'Please enter your server host address',
    'Please specify a port number to connect with your mail server' => 'Please specify the port number for your mail server',
    'Success ! Branding details saved successfully.' => 'Success! Branding details saved successfully.',
    'Success ! Time details saved successfully.' => 'Success! Time details saved successfully.',
    'Spam setting saved successfully.' => 'Spam setting saved successfully.',
    'Please specify a valid name for your mailbox.' => 'Please specify a valid name for your mailbox.',
    'Please select a valid swift-mailer configuration.' => 'Please select a valid swift-mailer configuration.',
    'Please specify a valid host address.' => 'Please specify a valid host address.',
    'Please specify a valid email address.' => 'Please specify a valid email address.',
    'Please enter the associated account password.' => 'Please enter the associated account password.',
    'New Saved Reply' => 'New Saved Reply',
    'New Category' => 'New Category',
    'Folder' => 'Folder',
    'Category' => 'Category',
    'Created' => 'Created',
    'All Articles' => 'All Articles',
    'Viewed' => 'Viewed',
    'New Article' => 'New Article',
    'Thank you for your feedback!' => 'Thank you for your feedback!',
    'Was this article helpful?' => 'Was this article helpful?',
    'Helpdesk' => 'Helpdesk',
    'Support Center' => 'Support Center',
    'Mailboxes' => 'Mailboxes',
    'By' => 'By',
    'Search Tickets' => 'Search Tickets',
    'Customer Information' => 'Customer Information',
    'Total Replies' => 'Total Replies',
    'Filter With' => 'Filter With',
    'Type email to add' => 'Type email to add',
    'Collaborators' => 'Collaborators',
    'Labels' => 'Labels',
    'Group' => 'Group',
    'group' => 'group',
    'Contact Team' => 'Contact Team',
    'Stay on ticket' => 'Stay on ticket',
    'Redirect to list' => 'Redirect to list',
    'Nothing interesting here...' => 'Nothing interesting here',
    'Previous Ticket' => 'Previous Ticket',
    'Next Ticket' => 'Next Ticket',
    'Forward' => 'Forward',
    'Note' => 'Note',
    'Write a reply' => 'Write a reply',
    'Created Ticket' => 'Created Ticket',
    'All Threads' => 'All Threads',
    'Forwards' => 'Forwards',
    'Notes' => 'Notes',
    'Pinned' => 'Pinned',
    'Edit Ticket' => 'Edit Ticket',
    'Print Ticket' => 'Print Ticket',
    'Mark as Spam' => 'Mark as Spam',
    'Mark as Closed' => 'Mark as Closed',
    'Delete Ticket' => 'Delete Ticket',
    'View order details from different eCommerce channels' => 'View order details from different eCommerce channels',
    'ECOMMERCE CHANNELS' => 'ECOMMERCE CHANNELS',
    'Select channel' => 'Select channel',
    'Order Id' => 'Order Id',
    'Fetch Order' => 'Fetch Order',
    'No orders have been integrated to this ticket yet.' => 'No orders have been associated with this ticket yet.',
    'Enter your credentials below to gain access to your helpdesk account.' => 'Enter your credentials below to sign in',
    'Keep me logged in' => 'Keep me logged in',
    'Forgot Password?' => 'Forgot Password?',
    'Log in to your' => 'Log in to your',
    'Sign In' => 'Sign In',
    'Edit Customer' => 'Edit Customer',
    'Update' => 'Update',
    'Discard' => 'Discard',
    'Cancel' => 'Cancel',
    'Not Assigned' => 'Not Assigned',
    'Submit' => 'Submit',
    'Submit And Open' => 'Submit And Open',
    'Submit And Pending' => 'Submit And Pending',
    'Submit And Answered' => 'Submit And Answered',
    'Submit And Resolved' => 'Submit And Resolved',
    'Submit And Closed' => 'Submit And Closed',
    'Choose a Color' => 'Choose a Color',
    'Create' => 'Create',
    'Edit Label' => 'Edit Label',
    'Add Label' => 'Add Label',
    'To' => 'To',
    'Ticket' => 'Ticket',
    'Your browser does not support JavaScript or You disabled JavaScript, Please enable those !' => 'Your browser does not support Javascript or Javascript is disabled. Please correct this!',
    'Confirm Action' => 'Confirm Action',
    'Confirm' => 'Confirm',
    'No result found' => 'No result found',
    'ticket delivery status' => 'ticket delivery status',
    'Warning! Select valid image file.' => 'Warning! Select valid image file.',
    'Error' => 'Error',
    'Save' => 'Save',
    'SEO' => 'SEO',
    'Edit Saved Filter' => 'Edit Saved Filter',
    'Type atleast 2 letters' => 'Type at least 2 letters',
    'Remove Label' => 'Remove Label',
    'New Saved Filter' => 'New Saved Filter',
    'Is Default' => 'Is Default',
    'Remove Saved Filter' => 'Remove Saved Filter',
    'Ticket Info' => 'Ticket Info',
    'Last Replied Agent' => 'Last Replied Agent',
    'created Ticket' => 'created Ticket',
    'Uploaded Files' => 'Uploaded Files',
    'Download (as .zip)' => 'Download ( as .zip)',
    'made last reply' => 'last reply',
    'N/A' => 'N/A',
    'Unassigned' => 'Unassigned',
    'Label' => 'Label',
    'Assigned to me' => 'Assigned to me',
    'Search Query' => 'Search Query',
    'Searching' => 'Searching',
    'Saved Filter' => 'Saved Filter',
    'No Label Created' => 'No Label Created',
    'Label with same name already exist.' => 'Label with same name already exists',
    'Create New' => 'Create New',
    'Mail status' => 'Mail status',
    'replied' => 'replied',
    'added note' => 'added note',
    'forwarded' => 'forwarded',
    'TO' => 'TO',
    'CC' => 'CC',
    'BCC' => 'BCC',
    'Locked' => 'Locked',
    'Edit Thread' => 'Edit Thread',
    'Delete Thread' => 'Delete Thread',
    'Unpin Thread' => 'Unpin Thread',
    'Pin Thread' => 'Pin Thread',
    'Unlock Thread' => 'Unlock Thread',
    'Lock Thread' => 'Lock Thread',
    'Translate Thread' => 'Translate Thread',
    'Language' => 'Language',
    'English' => 'English',
    'French' => 'French',
    'Italian' => 'Italian',
    'Arabic' => 'Arabic',
    'German' => 'German',
    'Spanish' => 'Spanish',
    'Turkish' => 'Turkish',
    'Danish' => 'Danish',
    'Chinese' => 'Chinese',
    'Polish' => 'Polish',
    'Hebrew' => 'Hebrew',
    'System' => 'System',
    'Open in Files' => 'Open in Files',
    'Email address is invalid' => 'Email address is invalid',
    'Tag with same name already exist' => 'Tag with this name already exist',
    'Text length should be less than 20 charactors' => 'Must be less than 20 characters',
    'Label with same name already exist' => 'Label with same name already exist',
    'Agent Name' => 'Agent Name',
    'Agent Email' => 'Agent Email',
    'open' => 'open',
    'Currently active agents on ticket' => 'Currently active agents on ticket',
    'Edit Customer Information' => 'Edit Customer Information',
    'Restore' => 'Restore',
    'Delete Forever' => 'Delete Forever',
    'Add Team' => 'Add Team',
    'delete' => 'delete',
    'You didnt have any folder for current filter(s).' => 'No folders match current filter(s).',
    'Add Folder' => 'Add Folder',
    'This field must have valid characters only' => 'This field must have valid characters only',
    'Can edit task' => 'Can edit task',
    'Can create task' => 'Can create task',
    'Can delete task' => 'Can delete task',
    'Can add member to task' => 'Can add member to task',
    'Can remove member from task' => 'Can remove member from task',
    'Agent Privileges' => 'Agent Privileges',
    'Agent Privilege represents overall permissions in System.' => 'Agent privilege represents overall permissions in your helpdesk.',
    'Ticket View' => 'Ticket View',
    'User can view tickets based on selected scope.' => 'User can view tickets based on selected scope.',
    'If individual access then user can View assigned Ticket(s) only, If Team access then user can view all Ticket(s) in team(s) he belongs to and so on' => 'If individual access then user can View assigned Ticket(s) only, If Team access then user can view all Ticket(s) in team(s) they belongs to, etc.',
    'Global Access' => 'Global Access',
    'Group Access' => 'Group Access',
    'Team Access' => 'Team Access',
    'Individual Access' => 'Individual Access',
    'This field must have characters only' => 'This field must have characters only',
    'Maximum character length is 40' => 'Maximum character length is 40',
    'This is not a valid email address' => 'This is not a valid email address',
    'Password must contains 8 Characters' => 'Password must contains 8 Characters',
    'The passwords does not match' => 'The passwords do not match',
    'Enabled' => 'Enabled',
    'Create Configuration' => 'Create Configuration',
    'Swift Mailer Settings' => 'Swift Mailer Settings',
    'Username' => 'Username',
    'Please select a swiftmailer id' => 'Please select a swiftmailer id',
    'Please enter a valid e-mail id' => 'Please enter a valid e-mail id',
    'Please enter a mailer id' => 'Please enter a mailer id',
    'Email Id' => 'Email Id',
    'Are you sure? You want to perform this action.' => 'Are you sure you want to perform this action?',
    'Reorder' => 'Reorder',
    'New Workflow' => 'New Workflow',
    'OR' => 'OR',
    'AND' => 'AND',
    'Please enter a valid name.' => 'Please enter a valid name.',
    'Please select a value.' => 'Please select a value.',
    'Please add a value.' => 'Please add a value.',
    'This field is required' => 'This field is required',
    'or' => 'or',
    'and' => 'and',
    'Select a Condition' => 'Select a Condition',
    'Loading...' => 'Loading...',
    'Select Option' => 'Select Option',
    'Inactive' => 'Inactive',
    'New Type' => 'New Type',
    'Placeholders' => 'Placeholders',
    'Ticket Link' => 'Ticket Link',
    'Id' => 'Id',
    'Preview' => 'Preview',
    'Sort Order' => 'Sort Order',
    'This field must be a number' => 'This field must be a number',
    'User' => 'User',
    'Edit Group' => 'Edit Group',
    'Group Status' => 'Group Status',
    'Group is Active' => 'Group is Active',
    'Add Group' => 'Add Group',
    'Contact number is invalid' => 'Contact number is invalid',
    'Edit Agent' => 'Edit Agent',
    'No Privilege added, Please add Privilege(s) first !' => 'No privilege added, please add privilege(s) first!',
    'Edit Email Template' => 'Edit Email Template',
    'Edit Workflow' => 'Edit Workflow',
    'Save Workflow' => 'Save Workflow',
    'Edit Ticket Type' => 'Edit Ticket Type',
    'Add Ticket Type' => 'Add Ticket Type',
    'Date Released' => '	Date Released',
    'Free' => 'Free',
    'Premium' => 'Premium',
    'Installed' => 'Installed',
    'Installed Applications' => 'Installed Applications',
    'Apps Dashboard' => 'Apps Dashboard',
    'Dashboard' => 'Dashboard',
    'Nothing Interesting here' => 'Nothing interesting here',
    'No Categories Added' => 'No Categories Added',
    'Error : Something went wrong, please try again later' => 'Error: Something went wrong, please try again later',
    'ticket' => 'ticket',
    'Add Email Template' => 'Add Email Template',
    'This field contain 100 characters only' => 'Max 100 characters',
    'This field contain characters only' => 'This field may contain characters only',
    'Name length must not be greater than 200 !!' => 'Name length must not be greater than 200!',
    'Warning! Correct all field values first!' => 'Warning! Correct all field values first!',
    'Warning ! This is not a valid request' => 'Warning! This is not a valid request',
    'Success ! Tag removed successfully.' => 'Success! Tag removed successfully.',
    'Success ! Tags Saved successfully.' => 'Success! Tags Saved successfully.',
    'Success ! Revision restored successfully.' => 'Success! Revision restored successfully.',
    'Success ! Categories updated successfully.' => 'Success! Categories updated successfully.',
    'Success ! Article Related removed successfully.' => 'Success! Related article removed successfully.',
    'Success ! Article Related is already added.' => 'Success! Related article added.',
    'Success ! Cannot add self as relative article.' => 'Success! Cannot add self as relative article.',
    'Success ! Article Related updated successfully.' => 'Success! Related article updated successfully.',
    'Success ! Articles removed successfully.' => 'Success! Articles removed successfully.',
    'Success ! Article status updated successfully.' => 'Success! Article status updated successfully.',
    'Success ! Article star updated successfully.' => 'Success! Article star updated successfully.',
    'Success! Article updated successfully' => 'Success! Article updated successfully',
    'Success ! Category sort  order updated successfully.' => 'Success! Category sort order updated successfully.',
    'Success ! Category status updated successfully.' => 'Success! Category status updated successfully.',
    'Success ! Folders updated successfully.' => 'Success! Folders updated successfully.',
    'Success ! Categories removed successfully.' => 'Success! Categories removed successfully.',
    'Success ! Category updated successfully.' => 'Success! Category updated successfully.',
    'Error ! Category is not exist.' => 'Error! Category does not exist.',
    'Warning ! Customer Login disabled by admin.' => 'Warning! Customer Login disabled by admin.',
    'This Email is not registered with us.' => 'This email is not registered with us.',
    'Your password has been updated successfully.' => 'Your password has been updated successfully.',
    'Password dont match.' => 'Password doesn\'t match.',
    'Error ! Profile image is not valid, please upload a valid format' => 'Error! Profile image is not valid, please upload a valid format',
    'Warning! Provide valid image file. (Recommened": "PNG, JPG or GIF Format).' => 'Warning! invalid image file. (Recommened": "PNG, JPG or GIF Format).',
    'Success! Folder has been added successfully.' => 'Success! Folder has been added successfully.',
    'Folder updated successfully.' => 'Folder updated successfully.',
    'Success ! Folder status updated successfully.' => 'Success! Folder status updated successfully.',
    'Error ! Folder is not exist.' => 'Error! Folder does not exist.',
    'Success ! Folder updated successfully.' => 'Success! Folder updated successfully.',
    'Error ! Folder does not exist.' => 'Error! Folder does not exist.',
    'Success ! Folder deleted successfully.' => 'Success! Folder deleted successfully.',
    'Warning ! Folder doesnt exists!' => 'Warning! Folder doesn\'t exists!',
    'Warning ! Cannot create ticket, given email is blocked by admin.' => 'Warning! Can\'t create ticket, given email is blocked by admin.',
    'Success ! Ticket has been created successfully.' => 'Success! Ticket has been created successfully.',
    'Warning ! Can not create ticket, invalid details.' => 'Warning! Can not create ticket, invalid details.',
    'Warning ! Post size can not exceed 25MB' => 'Warning! attachmment size can not exceed 25MB',
    'Create Ticket Request' => 'Create Ticket Request',
    'Success ! Reply added successfully.' => 'Success! Reply added successfully.',
    'Warning ! Reply field can not be blank.' => 'Warning! Reply field can not be blank.',
    'Success ! Rating has been successfully added.' => 'Success! Rating has been successfully added.',
    'Warning ! Invalid rating.' => 'Warning! Invalid rating.',
    'Error ! Can not add customer as a collaborator.' => 'Error! Can not add customer as a collaborator.',
    'Success ! Collaborator added successfully.' => 'Success! Collaborator added successfully.',
    'Error ! Collaborator is already added.' => 'Error! Collaborator is already added.',
    'Success ! Collaborator removed successfully.' => 'Success! Collaborator removed successfully.',
    'Error ! Invalid Collaborator.' => 'Error! Invalid Collaborator.',
    'An unexpected error occurred. Please try again later.' => 'An unexpected error occurred. Please try again later.',
    'Feedback saved successfully.' => 'Feedback saved successfully.',
    'Feedback updated successfully.' => 'Feedback updated successfully.',
    'Invalid feedback provided.' => 'Invalid feedback provided.',
    'Article not found.' => 'Article not found.',
    'You need to login to your account before can perform this action.' => 'You need to log in to your account before can perform this action.',
    'Warning! Please add valid Actions!' => 'Warning! Please add valid actions!',
    'Warning! In Free Plan you can not change Events!' => 'Warning! In free plan you can not change events!',
    'Success! Prepared Response has been updated successfully.' => 'Success! Prepared response has been updated successfully.',
    'Success! Prepared Response has been added successfully.' => 'Success! Prepared response has been added successfully.',
    'Warning  This is not a valid request' => 'Warning! This is not a valid request',
    'Use Default Colors' => 'Use Default Colors',
    'Masonry' => 'Masonry',
    'Popular Article' => 'Popular Article',
    'Manage Ticket Custom Fields' => 'Manage Ticket Custom Fields',
    'Mail status:' => 'Mail status:',
    'You dont have premission to edit this Prepared response' => 'You don\'t have premission to edit this prepared response',
    'Save Prepared Response' => 'Save prepared response',
    'Success ! Prepared response removed successfully.' => 'Success! Prepared response removed successfully.',
    'Warning! You are not allowed to perform this action.' => 'Warning! You are not allowed to perform this action.',
    'Success! Workflow has been updated successfully.' => 'Success! Workflow has been updated successfully.',
    'Success! Workflow has been added successfully.' => 'Success! Workflow has been added successfully.',
    'Success! Order has been updated successfully.' => 'Success! Order has been updated successfully.',
    'Success! Workflow has been removed successfully.' => 'Success! Workflow has been removed successfully.',
    'Mailbox successfully created.' => 'Mailbox successfully created.',
    'Mailbox successfully updated.' => 'Mailbox successfully updated.',
    'Warning ! Bad request !' => 'Warning! Bad request!',
    'Error! Given current password is incorrect.' => 'Error! Password is incorrect.',
    'Success ! Profile update successfully.' => 'Success! Profile update successfully.',
    'Error ! User with same email is already exist.' => 'Error! User with same email already exists.',
    'Success ! Agent updated successfully.' => 'Success! Agent updated successfully.',
    'Success ! Agent removed successfully.' => 'Success! Agent removed successfully.',
    'Warning ! You are allowed to remove account owners account.' => 'Warning! You are allowed to remove this account.',
    'Error ! Invalid user id.' => 'Error! Invalid user id.',
    'Success ! Filter has been saved successfully.' => 'Success! Filter has been saved successfully.',
    'Success ! Filter has been updated successfully.' => 'Success! Filter has been updated successfully.',
    'Success ! Filter has been removed successfully.' => 'Success! Filter has been removed successfully.',
    'Please check your mail for password update.' => 'Please check your inbox for a new password.',
    'This Email address is not registered with us.' => 'This email address is not registered with us.',
    'Success ! Customer saved successfully.' => 'Success! Customer saved successfully.',
    'Error ! User with same email already exist.' => 'Error! User with same email already exists.',
    'Success ! Customer information updated successfully.' => 'Success! Customer information updated successfully.',
    'Success ! Customer updated successfully.' => 'Success! Customer updated successfully.',
    'Error ! Customer with same email already exist.' => 'Error! Customer with same email already exists.',
    'unstarred Action Completed successfully' => 'unstarred action completed successfully',
    'starred Action Completed successfully' => 'starred action completed successfully',
    'Success ! Customer removed successfully.' => 'Success! Customer removed successfully.',
    'Error ! Invalid customer id.' => 'Error! Invalid customer id.',
    'Success! Template has been updated successfully.' => 'Success! Template has been updated successfully.',
    'Success! Template has been added successfully.' => 'Success! Template has been added successfully.',
    'Success! Template has been deleted successfully.' => 'Success! Template has been deleted successfully.',
    'Warning! resource not found.' => 'Warning! resource not found.',
    'Warning! You can not remove predefined email template which is being used in workflow(s).' => 'Warning! You can not remove an email template which is being used in workflow(s).',
    'Success ! Email settings are updated successfully.' => 'Success! Email settings successfully updated.',
    'Success ! Group information updated successfully.' => 'Success! Group information updated successfully.',
    'Success ! Group information saved successfully.' => 'Success! Group information saved successfully.',
    'Support Group removed successfully.' => 'Support Group removed successfully.',
    'Success ! Privilege information saved successfully.' => 'Success! Privilege information saved successfully.',
    'Privilege updated successfully.' => 'Privilege updated successfully.',
    'Support Privilege removed successfully.' => 'Support privilege removed successfully.',
    'Success! Reply has been updated successfully.' => 'Success! Reply has been updated successfully.',
    'Success! Reply has been added successfully.' => 'Success! Reply has been added successfully.',
    'Success! Saved Reply has been deleted successfully' => 'Success! Saved Reply has been deleted successfully',
    'SwiftMailer configuration updated successfully.' => 'SwiftMailer configuration updated successfully.',
    'Swiftmailer configuration removed successfully.' => 'Swiftmailer configuration removed successfully.',
    'Success ! Team information saved successfully.' => 'Success! Team information saved successfully.',
    'Success ! Team information updated successfully.' => 'Success! Team information updated successfully.',
    'Support Team removed successfully.' => 'Support Team removed successfully.',
    'Success! Reply has been added successfully' => 'Success! Reply has been added successfully',
    'Success ! Thread updated successfully.' => 'Success! Thread updated successfully.',
    'Error ! Reply field can not be blank.' => 'Error  Reply field can not be blank.',
    'Success ! Thread removed successfully.' => 'Success! Thread removed successfully.',
    'Success ! Thread locked successfully' => 'Success! Thread locked successfully',
    'Success ! Thread unlocked successfully' => 'Success! Thread unlocked successfully',
    'Success ! Thread pinned successfully' => 'Success! Thread unpinned successfully',
    'Error ! Invalid thread.' => 'Error! Invalid thread.',
    'Could not create ticket, invalid details.' => 'Could not create ticket, invalid details.',
    'Success ! Tag updated successfully.' => 'Success! Tag updated successfully.',
    'Error ! Customer can not be added as collaborator.' => 'Error! Customer can not be added as collaborator.',
    'Success ! Tag unassigned successfully.' => 'Success! Tag unassigned successfully.',
    'Success ! Tag added successfully.' => 'Success! Tag added successfully.',
    'Please enter tag name.' => 'Please enter tag name.',
    'Error ! Invalid tag.' => 'Error! Invalid tag.',
    'Success ! Type removed successfully.' => 'Success! Type removed successfully.',
    'Success ! Ticket to label removed successfully.' => 'Success! Ticket label removed successfully.',
    'Unable to retrieve support team details' => 'Unable to retrieve support team details',
    'Ticket support group updated successfully' => 'Ticket support group updated successfully',
    'Unable to retrieve status details' => 'Unable to retrieve status details',
    'Insufficient details provided.' => 'Insufficient details provided.',
    'Error! Subject field is mandatory' => 'Error! Subject field is mandatory',
    'Error! Reply field is mandatory' => 'Error! Reply field is mandatory',
    'Success ! Ticket has been updated successfully.' => 'Success! Ticket has been updated successfully.',
    'Success ! Label updated successfully.' => 'Success! Label updated successfully.',
    'Error ! Invalid label id.' => 'Error! Invalid label id.',
    'Success ! Label removed successfully.' => 'Success! Label removed successfully.',
    'Success ! Label created successfully.' => 'Success! Label created successfully.',
    'Error ! Label name can not be blank.' => 'Error! Label name can not be blank.',
    'Success ! Ticket moved to trash successfully.' => 'Success! Ticket moved to trash successfully.',
    'Success! Ticket type saved successfully.' => 'Success! Ticket type saved successfully.',
    'Success! Ticket type updated successfully.' => 'Success! Ticket type updated successfully.',
    'Error! Ticket type with same name already exist' => 'Error! Ticket type with same name already exist',
    'SAVE' => 'SAVE',
    'Ticket is already assigned to agent' => 'Ticket is already assigned to agent',
    'Success ! Agent assigned successfully.' => 'Success ! Agent assigned successfully.',
    'Ticket status is already set' => 'Ticket status is already set',
    'Success ! Tickets status updated successfully.' => 'Success ! Tickets status updated successfully.',
    'Ticket priority is already set' => 'Ticket priority is already set',
    'Success ! Tickets priority updated successfully.' => 'Success ! Tickets priority updated successfully.',
    'Ticket group is updated successfully' => 'Ticket group is updated successfully',
    'Ticket is already assigned to group' => 'Ticket is already assigned to group',
    'Success ! Tickets group updated successfully.' => 'Success ! Tickets group updated successfully.',
    'Ticket team is updated successfully' => 'Ticket team is updated successfully',
    'Ticket is already assigned to team' => 'Ticket is already assigned to team',
    'Success ! Tickets team updated successfully.' => 'Success ! Tickets team updated successfully.',
    'Ticket type is already set' => 'Ticket type is already set',
    'Success ! Tickets type updated successfully.' => 'Success ! Tickets type updated successfully.',
    'Success ! Tickets label updated successfully.' => 'Success ! Tickets label updated successfully.',
    'Success ! Tickets added to label successfully.' => 'Success ! Tickets added to label successfully.',
    'Success ! Tickets moved to trashed successfully.' => 'Success ! Tickets moved to trashed successfully.',
    'Success ! Tickets removed successfully.' => 'Success ! Tickets removed successfully.',
    'Success ! Tickets restored successfully.' => 'Success ! Tickets restored successfully.',
    'Unable to retrieve group details' => 'Unable to retrieve group details',
    'Unable to retrieve team details' => 'Unable to retrieve team details',
    'Tickets details have been updated successfully' => 'Tickets details have been updated successfully',
    'Label added to ticket successfully' => 'Label added to ticket successfully',
    'Label already added to ticket' => 'Label already added to ticket',
    'Howdy!' => 'Howdy!',
    'New Ticket Request' => 'New Ticket Request',
    'Ticket Requests' => 'Ticket Requests',
    'Tickets have been updated successfully' => 'Tickets have been updated successfully',
    'Please check your mail for password update' => 'Please check your inbox for a new password',
    'This email address is not registered with us' => 'This email address is not registered with us',
    'You have already update password using this link if you wish to change password again click on forget password link here from login page' => 'You have already updated your password using this link. If you wish to change your password again click on the forget password link on the login page.',
    'Your password has been successfully updated. Login using updated password' => 'Your password has been successfully updated. Please log in using your new password.',
    'Please try again, The passwords do not match' => 'Please try again, The passwords do not match',
    'Support Privilege removed successfully' => 'Support Privilege removed successfully',
    'Success! Saved Reply has been deleted successfully.' => 'Success! Saved Reply has been deleted successfully.',
    'SwiftMailer configuration created successfully.' => 'SwiftMailer configuration created successfully.',
    'No swiftmailer configurations found for mailer id:' => 'No swiftmailer configurations found for mailer id:',
    'Reply content cannot be left blank.' => 'Reply content cannot be left blank.',
    'Reply added to the ticket and forwarded successfully.' => 'Reply added to the ticket and forwarded successfully.',
    'Success ! Thread pinned successfully.' => 'Success! Thread pinned successfully.',
    'Success ! unpinned removed successfully.' => 'Success! Thread unpinned successfully.',
    'Unable to retrieve priority details' => 'Unable to retrieve priority details',
    'Ticket support team updated successfully' => 'Ticket support team updated successfully',
    'Ticket assigned to support group ' => 'Ticket assigned to support group ',
    'Mailbox configuration removed successfully.' => 'Mailbox configuration removed successfully.',
    'visit our website' => 'visit our website',
    'Cookie Usage Policy' => 'Cookie Usage Policy',
    'cookie' => 'cookie',
    'cookies' => 'cookies',
    'HELP' => 'HELP',
    'Home' => 'Home',
    'Cookie Policy' => 'Cookie Policy',
    'Prev' => 'Prev',
    'Ticket query message' => 'Ticket content',
    'Select type' => 'Select type',
    'Search KnowledgeBase' => 'Search KnowledgeBase',
    'You cant merge an account with itself.' => 'You can\'t merge an account with itself.',
    'Edit Profile' => 'Edit Profile',
    'Customer Login' => 'Customer Login',
    'Contact Us' => 'Contact Us',
    'If you have ever contacted our support previously, your account would have already been created.' => 'If you have ever contacted us previously, your account is more than likely already created.',
    'support' => 'support',
    'HelpDesk' => 'HelpDesk',
    'Enter search keyword' => 'Enter search keyword',
    'Browse via Folders' => 'Explore the knowledge base',
    'Looking for something that is queried generally? Choose a relevant folder from below to explore possible solutions' => 'Check out our knowledge base to see if your question has already been answered.',
    'Unable to find an answer?' => 'Contact Our Team',
    'Looking for anything specific article which resides in general queries? Just browse the various relevant folders and categories and then you will find the desired article.' => 'If you still can\'t find an answer to what you\'re looking for, or you have a specific question, open a new ticket and we\'d be happy to help!',
    'Popular Articles' => 'Popular Articles',
    'Here are some of the most popular articles, which helped number of users to get their queries and questions resolved.' => 'Some of the more popular articles in our knowledge base that have helped other customers.',
    'Browse via Categories' => 'Browse via Categories',
    'Looking for something specific? Choose a relevant category from below to explore possible solutions' => 'Choose a category from the list below to view articles.',
    'No Categories Found!' => 'No Categories Found!',
    'Powered by' => 'Powered by',
    'Powered by %uvdesk%, an open-source project by %webkul%.' => 'Powered by %uvdesk%, an open-source project by %webkul%.',
    'Forgot Password' => 'Forgot Password',
    'Enter your email address and we will send you an email with instructions to update your login credentials.' => 'Enter your email address and we will send you a message to update your login credentials.',
    'Send Mail' => 'Send Mail',
    'Sign In to %websitename%' => 'Sign In to %websitename%',
    'Enter your name' => 'Enter your name',
    'Enter your email' => 'Enter your email',
    'Learn more about %deliveryStatus%.' => 'Learn more about %deliveryStatus%.',
    'Some of our site pages utilize %cookies% and other tracking technologies. A %cookie% is a small text file that may be used, for example, to collect information about site activity. Some cookies and other technologies may serve to recall personal information previously indicated by a site user. You may block cookies, or delete existing cookies, by adjusting the appropriate setting on your browser. Please consult the %help% menu of your browser to learn how to do this. If you block or delete %cookies% you may find the usefulness of our site to be impaired.' => 'Some of our site pages utilize %cookies% and other tracking technologies. A %cookie% is a small text file that may be used, for example, to collect information about site activity. Some cookies and other technologies may serve to recall personal information previously indicated by a site user. You may block cookies, or delete existing cookies, by adjusting the appropriate setting on your browser. Please consult the %help% menu of your browser to learn how to do this. If you block or delete %cookies% you may find the usefulness of our site to be impaired.',
    'To know more about how our privacy policy works, please %websiteLink%.' => 'To know more about our privacy policy, please visit %websiteLink%.',
    'This field contain maximum 40 charectures.' => 'This field contain maximum 40 charectures.',
    'This field contain maximum 50 charectures.' => 'This field contain maximum 50 charectures.',
    'Time' => 'Time',
    'Links' => 'Links',
    'Broadcast Message' => 'Broadcast Message',
    'Wide Logo' => 'Wide Logo',
    'Upload an Image (200px x 48px) in</br> PNG or JPG Format' => 'Upload an Image (200px x 48px) in</br> PNG or JPG Format',
    'It will be shown as Logo on Knowledgebase and Helpdesk' => 'Your knowledge base / helpdesk logo',
    'Website Status' => 'Website Status',
    'Enable front end website and knowledgebase for customer(s)' => 'Enable front end website and knowledgebase for customer(s)',
    'Brand Color' => 'Brand Color',
    'Page Background Color' => 'Page Background Color',
    'Header Background Color' => 'Header Background Color',
    'Banner Background Color' => 'Banner Background Color',
    'Page Link Color' => 'Page Link Color',
    'Page Link Hover Color' => 'Page Link Hover Color',
    'Article Text Color' => 'Article Text Color',
    'Tag Line' => 'Tag Line',
    'Hi! how can we help?' => 'Hi! how can we help?',
    'Layout' => 'Layout',
    'Ticket Create Option' => 'Ticket Create Option',
    'Login Required To Create Tickets' => 'Login required To create tickets',
    'Remove Customer Login/Signin Button' => 'Remove customer log in / sign in button',
    'Disable Customer Login' => 'Disable Customer Login',
    'Meta Description (Recommended)' => 'Meta Description (Recommended)',
    'Meta Keywords (Recommended)' => 'Meta Keywords (Recommended)',
    'Header Link' => 'Header Link',
    'URL (with http":/"/ or https":/"/)' => 'URL (with http":/"/ or https":/"/)',
    'Footer Link' => 'Footer Link',
    'Custom CSS (Optional)' => 'Custom CSS (Optional)',
    'It will be add to the frontend knowledgebase only' => 'Displayed only in front end knowledge base',
    'Custom Javascript (Optional)' => 'Custom Javascript (Optional)',
    'Broadcast message content to show on helpdesk' => 'Broadcast message content to show on helpdesk',
    'From' => 'From',
    'Time duration between which message will be displayed(if applicable)' => 'How long should the message be displayed?',
    'Broadcasting Status' => 'Broadcasting Status',
    'Broadcasting is Active' => 'Broadcasting is Active',
    'Choose a default company timezone' => 'Choose a default companys timezone',
    'Date Time Format' => 'Date Time Format',
    'Choose a format to convert date to specified date time format' => 'Choose a format to convert date to specified date time format',
    'An empty file is not allowed.' => 'An empty file is not allowed.',
    'File size must not be greater than 200KB !!' => 'File size must not be greater than 200KB!',
    'Please upload valid Image file (Only JPEG, JPG, PNG allowed)!!' => 'Please upload valid Image file (Only JPEG, JPG, PNG allowed)!!',
    'Provide a valid url(with protocol)' => 'Provide a valid url (with protocol)',
    'ticket.message.placeHolders.info' => 'ticket.message.placeHolders.info',
    'ticket.attachments.placeHolders.info' => '	ticket.attachments.placeHolders.info',
    'ticket.threadMessage.placeHolders.info' => 'ticket.threadMessage.placeHolders.info',
    'ticket.tags.placeHolders.info' => 'ticket.tags.placeHolders.info',
    'ticket.source.placeHolders.info' => 'ticket.source.placeHolders.info',
    'ticket.collaborator.name.placeHolders.info' => 'ticket.collaborator.name.placeHolders.info',
    'ticket.collaborator.email.placeHolders.info' => 'ticket.collaborator.email.placeHolders.info',
    'user.name.info' => 'user.name.info',
    'user.email.info' => 'user.email.info',
    'user.account.validate.link.info' => 'user.account.validate.link.info',
    'user.password.forgot.link.info' => 'user.password.forgot.link.info',
    'global.companyName' => 'global.companyName',
    'global.companyLogo' => 'global.companyLogo',
    'global.companyUrl' => 'global.companyUrl',
    'ticket.priority.placeHolders.info' => '	ticket.priority.placeHolders.info',
    'ticket.group.placeHolders.info' => 'ticket.group.placeHolders.info',
    'ticket.team.placeHolders.info' => 'ticket.team.placeHolders.info',
    'ticket.customerName.placeHolders.info' => '	ticket.customerName.placeHolders.info',
    'ticket.customerEmail.placeHolders.info' => '	ticket.customerEmail.placeHolders.info',
    'ticket.agentName.placeHolders.info' => 'ticket.agentName.placeHolders.info',
    'ticket.agentEmail.placeHolders.info' => 'ticket.agentEmail.placeHolders.info',
    'ticket.link.placeHolders.info' => '	ticket.link.placeHolders.info ',
    'ticket.id.placeHolders.info' => 'ticket.id.placeHolders.info',
    'ticket.subject.placeHolders.info' => '	ticket.subject.placeHolders.info',
    'ticket.status.placeHolders.info' => 'ticket.status.placeHolders.info',
    'comma "," separated' => 'comma separated (,)',
    'Low' => 'Low',
    'Medium' => 'Medium',
    'High' => 'High',
    'Urgent' => 'Urgent',
    'Reset Password' => 'Reset Password',
    'Enter your new password below to update your login credentials' => 'Enter your new password below to update your login credentials',
    'Save Password' => 'Save Password',
    'Rate Support' => 'Rate Support',
    'I am very Sad' => 'I am very disappointed',
    'I am Sad' => 'I am disappointed',
    'I am Neutral' => 'I am satisfied',
    'I am Happy' => 'I am happy',
    'I am Very Happy' => 'I am very happy',
    'Kudos' => 'Kudos',
    'kudos' => 'Kudos',
    'Very Sad' => 'Very disappointed',
    'Sad' => 'Disappointed',
    'Neutral' => 'Satisfied',
    'Happy' => 'Happy',
    'Very Happy' => 'Very Happy',
    'Star(s)' => 'Star(s)',
    'Warning ! Swiftmailer not working. An error has occurred while sending emails!' => 'Warning ! Swiftmailer not working. An error has occurred while sending emails!',
    'Invalid credentials.' => 'Invalid credentials',
    'Success ! Project cache cleared successfully.' => 'Success! Project cache cleared successfully.',
    'clear cache' => 'clear cache',
    'Last Updated' => 'Last Updated',
    'Error! Something went wrong.' => 'Error! Something went wrong.',
    'We were not able to find the page you are looking for.' => 'We were not able to find the page you are looking for.',
    'Page not found' => 'Page not found',
    'Forbidden' => 'Forbidden',
    'You don’t have the necessary permissions to access this Web page :(' => 'You don’t have the necessary permissions to access this Web page :(',
    'Internal server error' => 'Internal server error',
    'Our system has goofed up for a while, but good part is it won\'t last long' => 'Our system has goofed up for a while, but good part is it won\'t last long',
    'Unknown Error' => 'Unknown Error',
    'We are quite confused about how did you land here:/' => 'We are quite confused about how did you land here :/',
    'Few of the links which may help you to get back on the track -' => 'Few of the links which may help you to get back on the track -',
    'Microsoft Apps' => 'Microsoft Apps',
    'Add a Microsoft app' => 'Add a Microsoft app',
    'Enable' => 'Enable',
    'App Name' => 'App Name',
    'Tenant Id' => 'Tenant Id',
    'Client Id' => 'Client Id',
    'Client Secret' => 'Client Secret',
    'NEW APP:' => 'NEW APP:',
    'UPDATE APP' => 'UPDATE APP',
    'Guide on creating a new app in Azure Active Directory:' => 'Guide on creating a new app in Azure Active Directory:',
    'To add a new Microsoft App to your azure active directory, follow the steps as given below:' => 'To add a new Microsoft App to your azure active directory, follow the steps as given below:',
    'Go to Azure Active Directory -> App registerations' => 'Go to Azure Active Directory -> App registerations',
    'Disable' => 'Disable',
    'Please enter a valid name for your app.' => 'Please enter a valid name for your app.',
    'Please enter a valid tenant id.' => 'Please enter a valid tenant id.',
    'Please enter a valid client id.' => 'Please enter a valid client id.',
    'Please enter a valid client secret.' => 'Please enter a valid client secret.',
    'Microsoft app settings' => 'Microsoft app settings',
    'Unverified' => 'Unverified',
    'Microsoft app has been updated successfully.' => 'Microsoft app has been updated successfully.',
    'No microsoft apps found' => 'No microsoft apps found',
    'Microsoft app settings could not be verifired successfully. Please check your settings and try again later.' => 'Microsoft app settings could not be verifired successfully. Please check your settings and try again later.',
    'Microsoft app has been integrated successfully.' => 'Microsoft app has been integrated successfully.',
    'Microsoft app has been deleted successfully.' => 'Microsoft app has been deleted successfully.',
    'Verified' => 'Verified',
    'Create a New Registration' => 'Create a New Registration',
    'Enter your app details as following:' => 'Enter your app details as following:',
    'App Name: Enter an app name to easily help you identify its purpose' => 'App Name: Enter an app name to easily help you identify its purpose',
    'Supported Account Types: Select whichever option works the best for you (Recommended: Accounts in any organizational directory and personal Microsoft accounts)' => 'Supported Account Types: Select whichever option works the best for you (Recommended: Accounts in any organizational directory and personal Microsoft accounts)',
    'Redirect URI:' => 'Redirect URI:',
    'Select Platform: Web' => 'Select Platform: Web',
    'Enter the following redirect uri:' => 'Enter the following redirect uri:',
    'Proceed to create your application' => 'Proceed to create your application',
    'Once your app has been created, in your app overview section, continue with adding a client credential by clicking on "Add a certificate or secret"' => 'Once your app has been created, in your app overview section, continue with adding a client credential by clicking on "Add a certificate or secret"',
    'Create a new client secret' => 'Create a new client secret',
    'Enter a description as per your preference to help identify the purpose of this client secret' => 'Enter a description as per your preference to help identify the purpose of this client secret',
    'Choose an expiration time as per your preference' => 'Choose an expiration time as per your preference',
    'Proceed to add your client secret' => 'Proceed to add your client secret',
    'Copy the client secret value which will be needed later and cannot be viewed again' => 'Copy the client secret value which will be needed later and cannot be viewed again',
    'Navigate to API permissions' => 'Navigate to API permissions',
    'Click on "Add a permission" to add a new api permission. Add the following delegated permissions by selecting Microsoft APIs > Microsoft Graph > Delegate Permissions' => 'Click on "Add a permission" to add a new api permission. Add the following delegated permissions by selecting Microsoft APIs > Microsoft Graph > Delegate Permissions',
    'Navigate to your app overview section' => 'Navigate to your app overview section',
    'Copy the Application (Client) Id' => 'Copy the Application (Client) Id',
    'Copy the Directory (Tenant) Id' => 'Copy the Directory (Tenant) Id',
    'Enter your client id, tenant id, and client secret in settings above as required.' => 'Enter your client id, tenant id, and client secret in settings above as required.',
    'offline_access' => 'offline_access',
    'openid' => 'openid',
    'profile' => 'profile',
    'User.Read' => 'User.Read',
    'IMAP.AccessAsUser.All' => 'IMAP.AccessAsUser.All',
    'SMTP.Send' => 'SMTP.Send',
    'POP.AccessAsUser.All' => 'POP.AccessAsUser.All',
    'Mail.Read' => 'Mail.Read',
    'Mail.ReadBasic' => 'Mail.ReadBasic',
    'Mail.Send' => 'Mail.Send',
    'Mail.Send.Shared' => 'Mail.Send.Shared',
    'Add App' => 'Add App',
    'New App' => 'New App',
    'Disable email delivery' => 'Disable email delivery',
    'Use as default mailbox for sending emails' => 'Use as default mailbox for sending emails',
    'Inbound Emails' => 'Inbound Emails',
    'Manage how you wish to retrieve and process emails from your mailbox.' => 'Manage how you wish to retrieve and process emails from your mailbox.',
    'Outbound Emails' => 'Outbound Emails',
    'Manage how you wish to send emails from your mailbox.' => 'Manage how you wish to send emails from your mailbox.',
    'Marketing Modules' => 'Marketing Modules',
    'New Marketing Module' => 'New Marketing Module',
    'Marketing Module' => 'Marketing Module',
    'Status:' => 'Status:',
  ),
));
$catalogue->addFallbackCatalogue($catalogueEn);

return $catalogue;
