<?php

use Symfony\Component\Translation\MessageCatalogue;

$catalogue = new MessageCatalogue('es', array (
  'validators' => 
  array (
    'This value should be false.' => 'Este valor debería ser falso.',
    'This value should be true.' => 'Este valor debería ser verdadero.',
    'This value should be of type {{ type }}.' => 'Este valor debería ser de tipo {{ type }}.',
    'This value should be blank.' => 'Este valor debería estar vacío.',
    'The value you selected is not a valid choice.' => 'El valor seleccionado no es una opción válida.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.' => 'Debe seleccionar al menos {{ limit }} opción.|Debe seleccionar al menos {{ limit }} opciones.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.' => 'Debe seleccionar como máximo {{ limit }} opción.|Debe seleccionar como máximo {{ limit }} opciones.',
    'One or more of the given values is invalid.' => 'Uno o más de los valores indicados no son válidos.',
    'This field was not expected.' => 'Este campo no se esperaba.',
    'This field is missing.' => 'Este campo falta.',
    'This value is not a valid date.' => 'Este valor no es una fecha válida.',
    'This value is not a valid datetime.' => 'Este valor no es una fecha y hora válida.',
    'This value is not a valid email address.' => 'Este valor no es una dirección de email válida.',
    'The file could not be found.' => 'No se pudo encontrar el archivo.',
    'The file is not readable.' => 'No se puede leer el archivo.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.' => 'El archivo es demasiado grande ({{ size }} {{ suffix }}). El tamaño máximo permitido es {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.' => 'El tipo mime del archivo no es válido ({{ type }}). Los tipos mime válidos son {{ types }}.',
    'This value should be {{ limit }} or less.' => 'Este valor debería ser {{ limit }} o menos.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.' => 'Este valor es demasiado largo. Debería tener {{ limit }} carácter o menos.|Este valor es demasiado largo. Debería tener {{ limit }} caracteres o menos.',
    'This value should be {{ limit }} or more.' => 'Este valor debería ser {{ limit }} o más.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'Este valor es demasiado corto. Debería tener {{ limit }} carácter o más.|Este valor es demasiado corto. Debería tener {{ limit }} caracteres o más.',
    'This value should not be blank.' => 'Este valor no debería estar vacío.',
    'This value should not be null.' => 'Este valor no debería ser nulo.',
    'This value should be null.' => 'Este valor debería ser nulo.',
    'This value is not valid.' => 'Este valor no es válido.',
    'This value is not a valid time.' => 'Este valor no es una hora válida.',
    'This value is not a valid URL.' => 'Este valor no es una URL válida.',
    'The two values should be equal.' => 'Los dos valores deberían ser iguales.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.' => 'El archivo es demasiado grande. El tamaño máximo permitido es {{ limit }} {{ suffix }}.',
    'The file is too large.' => 'El archivo es demasiado grande.',
    'The file could not be uploaded.' => 'No se pudo subir el archivo.',
    'This value should be a valid number.' => 'Este valor debería ser un número válido.',
    'This file is not a valid image.' => 'El archivo no es una imagen válida.',
    'This is not a valid IP address.' => 'Este valor no es una dirección IP válida.',
    'This value is not a valid language.' => 'Este valor no es un idioma válido.',
    'This value is not a valid locale.' => 'Este valor no es una localización válida.',
    'This value is not a valid country.' => 'Este valor no es un país válido.',
    'This value is already used.' => 'Este valor ya se ha utilizado.',
    'The size of the image could not be detected.' => 'No se pudo determinar el tamaño de la imagen.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.' => 'El ancho de la imagen es demasiado grande ({{ width }}px). El ancho máximo permitido es de {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.' => 'El ancho de la imagen es demasiado pequeño ({{ width }}px). El ancho mínimo requerido es {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.' => 'La altura de la imagen es demasiado grande ({{ height }}px). La altura máxima permitida es de {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.' => 'La altura de la imagen es demasiado pequeña ({{ height }}px). La altura mínima requerida es de {{ min_height }}px.',
    'This value should be the user\'s current password.' => 'Este valor debería ser la contraseña actual del usuario.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.' => 'Este valor debería tener exactamente {{ limit }} carácter.|Este valor debería tener exactamente {{ limit }} caracteres.',
    'The file was only partially uploaded.' => 'El archivo se cargó solo parcialmente.',
    'No file was uploaded.' => 'No se subió ningún archivo.',
    'No temporary folder was configured in php.ini.' => 'Ninguna carpeta temporal fue configurada en php.ini o la carpeta configurada no existe.',
    'Cannot write temporary file to disk.' => 'No se pudo escribir el archivo temporal en el disco.',
    'A PHP extension caused the upload to fail.' => 'Una extensión de PHP provocó que la carga fallara.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.' => 'Esta colección debe contener {{ limit }} elemento o más.|Esta colección debe contener {{ limit }} elementos o más.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.' => 'Esta colección debe contener {{ limit }} elemento o menos.|Esta colección debe contener {{ limit }} elementos o menos.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.' => 'Esta colección debe contener exactamente {{ limit }} elemento.|Esta colección debe contener exactamente {{ limit }} elementos.',
    'Invalid card number.' => 'Número de tarjeta inválido.',
    'Unsupported card type or invalid card number.' => 'Tipo de tarjeta no soportado o número de tarjeta inválido.',
    'This is not a valid International Bank Account Number (IBAN).' => 'Este valor no es un Número de Cuenta Bancaria Internacional (IBAN) válido.',
    'This value is not a valid ISBN-10.' => 'Este valor no es un ISBN-10 válido.',
    'This value is not a valid ISBN-13.' => 'Este valor no es un ISBN-13 válido.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.' => 'Este valor no es ni un ISBN-10 válido ni un ISBN-13 válido.',
    'This value is not a valid ISSN.' => 'Este valor no es un ISSN válido.',
    'This value is not a valid currency.' => 'Este valor no es una divisa válida.',
    'This value should be equal to {{ compared_value }}.' => 'Este valor debería ser igual que {{ compared_value }}.',
    'This value should be greater than {{ compared_value }}.' => 'Este valor debería ser mayor que {{ compared_value }}.',
    'This value should be greater than or equal to {{ compared_value }}.' => 'Este valor debería ser mayor o igual que {{ compared_value }}.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.' => 'Este valor debería ser idéntico a {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.' => 'Este valor debería ser menor que {{ compared_value }}.',
    'This value should be less than or equal to {{ compared_value }}.' => 'Este valor debería ser menor o igual que {{ compared_value }}.',
    'This value should not be equal to {{ compared_value }}.' => 'Este valor debería ser distinto de {{ compared_value }}.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.' => 'Este valor no debería ser idéntico a {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.' => 'La proporción de la imagen es demasiado grande ({{ ratio }}). La máxima proporción permitida es {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.' => 'La proporción de la imagen es demasiado pequeña ({{ ratio }}). La mínima proporción permitida es {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.' => 'La imagen es cuadrada ({{ width }}x{{ height }}px). Las imágenes cuadradas no están permitidas.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.' => 'La imagen está orientada horizontalmente ({{ width }}x{{ height }}px). Las imágenes orientadas horizontalmente no están permitidas.',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.' => 'La imagen está orientada verticalmente ({{ width }}x{{ height }}px). Las imágenes orientadas verticalmente no están permitidas.',
    'An empty file is not allowed.' => 'No se permite un archivo vacío.',
    'The host could not be resolved.' => 'No se puede resolver el host.',
    'This value does not match the expected {{ charset }} charset.' => 'La codificación de caracteres para este valor debería ser {{ charset }}.',
    'This is not a valid Business Identifier Code (BIC).' => 'Este valor no es un Código de Identificación de Negocios (BIC) válido.',
    'Error' => 'Error',
    'This is not a valid UUID.' => 'Este valor no es un UUID válido.',
    'This value should be a multiple of {{ compared_value }}.' => 'Este valor debería ser múltiplo de {{ compared_value }}.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.' => 'Este Código de Identificación Bancaria (BIC) no está asociado con el IBAN {{ iban }}.',
    'This value should be valid JSON.' => 'Este valor debería ser un JSON válido.',
    'This collection should contain only unique elements.' => 'Esta colección debería tener exclusivamente elementos únicos.',
    'This value should be positive.' => 'Este valor debería ser positivo.',
    'This value should be either positive or zero.' => 'Este valor debería ser positivo o igual a cero.',
    'This value should be negative.' => 'Este valor debería ser negativo.',
    'This value should be either negative or zero.' => 'Este valor debería ser negativo o igual a cero.',
    'This value is not a valid timezone.' => 'Este valor no es una zona horaria válida.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.' => 'Esta contraseña no se puede utilizar porque está incluida en un listado de contraseñas públicas obtenido gracias a fallos de seguridad de otros sitios y aplicaciones. Por favor, utilice otra contraseña.',
    'This value should be between {{ min }} and {{ max }}.' => 'Este valor debería estar entre {{ min }} y {{ max }}.',
    'This value is not a valid hostname.' => 'Este valor no es un nombre de host válido.',
    'The number of elements in this collection should be a multiple of {{ compared_value }}.' => 'El número de elementos en esta colección debería ser múltiplo de {{ compared_value }}.',
    'This value should satisfy at least one of the following constraints:' => 'Este valor debería satisfacer al menos una de las siguientes restricciones:',
    'Each element of this collection should satisfy its own set of constraints.' => 'Cada elemento de esta colección debería satisfacer su propio conjunto de restricciones.',
    'This value is not a valid International Securities Identification Number (ISIN).' => 'Este valor no es un número de identificación internacional de valores (ISIN) válido.',
    'This value should be a valid expression.' => 'Este valor debería ser una expresión válida.',
    'This value is not a valid CSS color.' => 'Este valor no es un color CSS válido.',
    'This value is not a valid CIDR notation.' => 'Este valor no es una notación CIDR válida.',
    'The value of the netmask should be between {{ min }} and {{ max }}.' => 'El valor de la máscara de red debería estar entre {{ min }} y {{ max }}.',
    'The filename is too long. It should have {{ filename_max_length }} character or less.|The filename is too long. It should have {{ filename_max_length }} characters or less.' => 'El nombre del archivo es demasiado largo. Debe tener {{ filename_max_length }} carácter o menos.|El nombre del archivo es demasiado largo. Debe tener {{ filename_max_length }} caracteres o menos.',
    'The password strength is too low. Please use a stronger password.' => 'La seguridad de la contraseña es demasiado baja. Por favor, utilice una contraseña más segura.',
    'This value contains characters that are not allowed by the current restriction-level.' => 'Este valor contiene caracteres que no están permitidos según el nivel de restricción actual.',
    'Using invisible characters is not allowed.' => 'No se permite el uso de caracteres invisibles.',
    'Mixing numbers from different scripts is not allowed.' => 'No está permitido mezclar números de diferentes scripts.',
    'Using hidden overlay characters is not allowed.' => 'No está permitido el uso de caracteres superpuestos ocultos.',
    'The extension of the file is invalid ({{ extension }}). Allowed extensions are {{ extensions }}.' => 'La extensión del archivo no es válida ({{ extension }}). Las extensiones permitidas son {{ extensions }}.',
    'The detected character encoding is invalid ({{ detected }}). Allowed encodings are {{ encodings }}.' => 'La codificación de los caracteres detectada es inválida ({{ detected }}). Las codificaciones permitidas son {{ encodings }}.',
    'This value is not a valid MAC address.' => 'Este valor no es una dirección MAC válida.',
    'This URL is missing a top-level domain.' => 'Esta URL no contiene una extensión de dominio (TLD).',
    'This value is too short. It should contain at least one word.|This value is too short. It should contain at least {{ min }} words.' => 'Este valor es demasiado corto. Debe contener al menos una palabra.|Este valor es demasiado corto. Debe contener al menos {{ min }} palabras.',
    'This value is too long. It should contain one word.|This value is too long. It should contain {{ max }} words or less.' => 'Este valor es demasiado largo. Debe contener una palabra.|Este valor es demasiado largo. Debe contener {{ max }} palabras o menos.',
    'This value does not represent a valid week in the ISO 8601 format.' => 'Este valor no representa una semana válida en formato ISO 8601.',
    'This value is not a valid week.' => 'Este valor no es una semana válida.',
    'This value should not be before week "{{ min }}".' => 'Este valor no debe ser anterior a la semana "{{ min }}".',
    'This value should not be after week "{{ max }}".' => 'Este valor no debe ser posterior a la semana "{{ max }}".',
    'This form should not contain extra fields.' => 'Este formulario no debería contener campos adicionales.',
    'The uploaded file was too large. Please try to upload a smaller file.' => 'El archivo subido es demasiado grande. Por favor, suba un archivo más pequeño.',
    'The CSRF token is invalid. Please try to resubmit the form.' => 'El token CSRF no es válido. Por favor, pruebe a enviar nuevamente el formulario.',
    'This value is not a valid HTML5 color.' => 'Este valor no es un color HTML5 válido.',
    'Please enter a valid birthdate.' => 'Por favor, ingrese una fecha de cumpleaños válida.',
    'The selected choice is invalid.' => 'La opción seleccionada no es válida.',
    'The collection is invalid.' => 'La colección no es válida.',
    'Please select a valid color.' => 'Por favor, seleccione un color válido.',
    'Please select a valid country.' => 'Por favor, seleccione un país válido.',
    'Please select a valid currency.' => 'Por favor, seleccione una moneda válida.',
    'Please choose a valid date interval.' => 'Por favor, elija un intervalo de fechas válido.',
    'Please enter a valid date and time.' => 'Por favor, ingrese una fecha y hora válidas.',
    'Please enter a valid date.' => 'Por favor, ingrese una fecha valida.',
    'Please select a valid file.' => 'Por favor, seleccione un archivo válido.',
    'The hidden field is invalid.' => 'El campo oculto no es válido.',
    'Please enter an integer.' => 'Por favor, ingrese un número entero.',
    'Please select a valid language.' => 'Por favor, seleccione un idioma válido.',
    'Please select a valid locale.' => 'Por favor, seleccione una configuración regional válida.',
    'Please enter a valid money amount.' => 'Por favor, ingrese una cantidad de dinero válida.',
    'Please enter a number.' => 'Por favor, ingrese un número.',
    'The password is invalid.' => 'La contraseña no es válida.',
    'Please enter a percentage value.' => 'Por favor, ingrese un valor porcentual.',
    'The values do not match.' => 'Los valores no coinciden.',
    'Please enter a valid time.' => 'Por favor, ingrese una hora válida.',
    'Please select a valid timezone.' => 'Por favor, seleccione una zona horaria válida.',
    'Please enter a valid URL.' => 'Por favor, ingrese una URL válida.',
    'Please enter a valid search term.' => 'Por favor, ingrese un término de búsqueda válido.',
    'Please provide a valid phone number.' => 'Por favor, proporcione un número de teléfono válido.',
    'The checkbox has an invalid value.' => 'La casilla de verificación tiene un valor inválido.',
    'Please enter a valid email address.' => 'Por favor, ingrese una dirección de correo electrónico válida.',
    'Please select a valid option.' => 'Por favor, seleccione una opción válida.',
    'Please select a valid range.' => 'Por favor, seleccione un rango válido.',
    'Please enter a valid week.' => 'Por favor, ingrese una semana válida.',
  ),
  'security' => 
  array (
    'An authentication exception occurred.' => 'Ocurrió un error de autenticación.',
    'Authentication credentials could not be found.' => 'No se encontraron las credenciales de autenticación.',
    'Authentication request could not be processed due to a system problem.' => 'La solicitud de autenticación no se pudo procesar debido a un problema del sistema.',
    'Invalid credentials.' => 'Credenciales no válidas.',
    'Cookie has already been used by someone else.' => 'La cookie ya ha sido usada por otra persona.',
    'Not privileged to request the resource.' => 'No tiene privilegios para solicitar el recurso.',
    'Invalid CSRF token.' => 'Token CSRF no válido.',
    'No authentication provider found to support the authentication token.' => 'No se encontró un proveedor de autenticación que soporte el token de autenticación.',
    'No session available, it either timed out or cookies are not enabled.' => 'No hay ninguna sesión disponible, ha expirado o las cookies no están habilitados.',
    'No token could be found.' => 'No se encontró ningún token.',
    'Username could not be found.' => 'No se encontró el nombre de usuario.',
    'Account has expired.' => 'La cuenta ha expirado.',
    'Credentials have expired.' => 'Las credenciales han expirado.',
    'Account is disabled.' => 'La cuenta está deshabilitada.',
    'Account is locked.' => 'La cuenta está bloqueada.',
    'Too many failed login attempts, please try again later.' => 'Demasiados intentos fallidos de inicio de sesión, inténtelo de nuevo más tarde.',
    'Invalid or expired login link.' => 'Enlace de inicio de sesión inválido o expirado.',
    'Too many failed login attempts, please try again in %minutes% minute.' => 'Demasiados intentos fallidos de inicio de sesión, inténtelo de nuevo en %minutes% minuto.',
    'Too many failed login attempts, please try again in %minutes% minutes.' => 'Demasiados intentos fallidos de inicio de sesión, inténtelo de nuevo en %minutes% minutos.',
  ),
  'KnpPaginatorBundle' => 
  array (
    'label_previous' => 'Anterior',
    'label_next' => 'Siguiente',
    'filter_searchword' => 'Buscar...',
  ),
  'messages' => 
  array (
    'Signed in as' => 'Registrado como',
    'Your Profile' => 'Tu perfil',
    'Create Ticket' => 'Crear Ticket',
    'Create Agent' => 'Crear agente',
    'Create Customer' => 'Crear cliente',
    'Sign Out' => 'Desconectar',
    'Default Language (Optional)' => 'Idioma predeterminado (opcional)',
    'Swift Mailer ID' => 'ID de envío rápido',
    'Username/Email' => 'Nombre de usuario/Correo electrónico',
    'create new' => 'crear nuevo',
    'Ticket Information' => 'Información de entradas',
    'CC/BCC' => 'CC/BCC',
    'Success! Label created successfully.' => 'Éxito! Etiqueta creada con éxito.',
    'Success! Label removed successfully.' => 'Éxito! Etiqueta eliminada con éxito.',
    'Reports' => 'Informes',
    'Rating' => 'Clasificación',
    'Kudos Rating' => 'Calificación de Kudos',
    'Choose your default timeformat' => 'Elija su formato de hora predeterminado',
    'Remove profile picture' => 'Quitar foto de perfil',
    'Success ! Profile updated successfully.' => 'Éxito ! Perfil actualizado con éxito.',
    'Howdy' => 'Hola',
    'Form successfully updated.' => 'Formulario actualizado correctamente.',
    'NEW FORM' => 'NUEVA FORMA',
    'Text Box' => 'Caja de texto',
    'Text Area' => 'Textbereich',
    'Select' => 'Seleccione',
    'Radio' => 'Radio',
    'Checkbox' => 'Caja',
    'Date' => 'Fecha',
    'Both Date and Time' => 'Tanto la fecha como la hora',
    'Choose a status' => 'Elige un estado',
    'Choose a group' => 'Elige un grupo',
    'Can manage Group\'s Saved Reply' => 'Puede administrar la respuesta guardada del grupo',
    'Can manage agent activity' => 'Puede administrar la actividad del agente',
    'Slug is the url identity of this article. We will help you to create valid slug at time of typing.' => 'Slug es la identidad URL de este artículo. Lo ayudaremos a crear un slug válido al momento de escribir.',
    'The URL for this article' => 'La URL de este artículo',
    'Title tags and meta descriptions are bits of HTML code in the header of a web page. They help search engines understand the content on a page. A page\'s title tag and meta description are usually shown whenever that page appears in search engine results' => 'Las etiquetas de título y las metadescripciones son fragmentos de código HTML en el encabezado de una página web. Ayudan a los motores de búsqueda a comprender el contenido de una página. La etiqueta de título y la meta descripción de una página generalmente se muestran cada vez que esa página aparece en los resultados del motor de búsqueda.',
    'comma separated (,)' => 'separado por comas (,)',
    'Article Title' => 'Título del artículo',
    'Start typing few charactors and add set of relevant article from the list' => 'Comience a escribir algunos caracteres y agregue un conjunto de artículos relevantes de la lista',
    'Success! Announcement data saved successfully.' => '¡Éxito! Los datos del anuncio se guardaron correctamente.',
    'Success ! Agent added successfully.' => 'Éxito ! Agente añadido con éxito.',
    'Success! Privilege information saved successfully.' => '¡Éxito! La información de privilegios se guardó correctamente.',
    'Edit Prepared Response' => 'Editar respuesta preparada',
    'Success! Type removed successfully.' => '¡Éxito! Tipo eliminado con éxito.',
    'No results available' => 'No hay resultados disponibles',
    'Success ! Prepared Response applied successfully.' => 'Éxito ! Respuesta preparada aplicada con éxito.',
    'Note added to ticket successfully.' => 'Nota añadida al ticket con éxito.',
    'Ticket status update to Spam' => 'Actualización del estado del ticket a Spam',
    'Ticket status update to Closed' => 'Actualización del estado del ticket a Cerrado',
    'Success! Label updated successfully.' => '¡Éxito! Etiqueta actualizada con éxito.',
    'Success ! Helpdesk details saved successfully' => 'Éxito ! Detalles del servicio de asistencia guardados con éxito',
    'Can manage marketing announcement' => 'Puede gestionar anuncios de marketing',
    'User Forgot Password' => 'Usuario Olvidó Contraseña',
    'Agent Deleted' => 'Agente eliminada',
    'Agent Update' => 'Actualización del agente',
    'Customer Update' => 'Actualización del cliente',
    'Customer Deleted' => 'Cliente eliminada',
    'Agent Updated' => 'Agente actualizada',
    'Agent Reply' => 'Respuesta de la agente',
    'Collaborator Added' => 'Colaboradora agregada',
    'Collaborator Reply' => 'Respuesta del colaborador',
    'Customer Reply' => 'Respuesta del cliente',
    'Ticket Deleted' => 'Ticket eliminado',
    'Group Updated' => 'Grupo actualizado',
    'Note Added' => 'Nota agregada',
    'Priority Updated' => 'Prioridad actualizada',
    'Status Updated' => 'Estado actualizado',
    'Team Updated' => 'Equipo actualizado',
    'Thread Updated' => 'Hilo actualizado',
    'Type Updated' => 'Tipo actualizado',
    'From Email' => 'Desde el e-mail',
    'To Email' => 'Al correo electrónico',
    'Is Equal To' => 'Es igual a',
    'Is Not Equal To' => 'No es igual a',
    'Contains' => 'Contiene',
    'Does Not Contain' => 'No contiene',
    'Starts With' => 'Comienza con',
    'Ends With' => 'Termina con',
    'Before On' => 'Antes de',
    'After On' => 'Después de On',
    'Mail To User' => 'Correo a la usuaria',
    'Transfer Tickets' => 'Billetes de transferencia',
    'Agent Activity' => 'Actividad del agente',
    'Report From' => 'Informe desde',
    'Search Agent' => 'Agente de búsqueda',
    'Agent Last Reply' => 'Última respuesta del agente',
    'View analytics and insights to serve a better experience for your customers' => 'Vea análisis e información para brindar una mejor experiencia a sus clientes',
    'Marketing Announcement' => 'Anuncio de marketing',
    'Advertisement' => 'Publicidad',
    'Announcement' => 'Anuncio',
    'New Announcement' => 'Nuevo anuncio',
    'Add Announcement' => 'Agregar anuncio',
    'Edit Announcement' => 'Editar anuncio',
    'Promo Text' => 'Texto promocional',
    'Promo Tag' => 'Etiqueta de promoción',
    'Choose a promo tag' => 'Elija una etiqueta de promoción',
    'Tag-Color' => 'Color de la etiqueta',
    'Tag background color' => 'Color de fondo de la etiqueta',
    'Link Text' => 'Texto del enlace',
    'Link URL' => 'URL del enlace',
    'Apps' => 'Aplicaciones',
    'Integrate apps as per your needs to get things done faster than ever' => 'Integre aplicaciones según sus necesidades para hacer las cosas más rápido que nunca',
    'Explore Apps' => 'Explorar aplicaciones',
    'Form Builder' => 'Creador de formularios',
    'Knowledgebase' => 'Base de conocimientos',
    'Knowledgebase is a source of rigid and complex information which helps Customers to help themselves' => 'La base de conocimiento es una fuente de información rígida y compleja que ayuda a los clientes a ayudarse a sí mismos',
    'Articles' => 'Artículos',
    'Categories' => 'Categorias',
    'Folders' => 'Carpetas',
    'FOLDERS' => 'CARPETAS',
    'Productivity' => 'Productividad',
    'Automate your processes by creating set of rules and presets to respond faster to the tickets' => 'Automatice sus procesos creando un conjunto de reglas y ajustes preestablecidos para responder más rápido a los tickets',
    'Prepared Responses' => 'Respuestas preparadas',
    'Saved Replies' => 'Respuestas guardadas',
    'Edit Saved Reply' => 'Editar respuesta guardada',
    'Ticket Types' => 'Tipos de entradas',
    'Workflows' => 'Flujos de trabajo',
    'Settings' => 'Configuraciones',
    'Manage your Brand Identity, Company Information and other details at a glance' => 'Administre su identidad de marca, información de la empresa y otros detalles de un vistazo',
    'Branding' => 'Marca',
    'Custom Fields' => 'Campos Personalizados',
    'Email Settings' => 'Ajustes del correo electrónico',
    'Email Templates' => 'Plantillas de correo electrónico',
    'Mailbox' => 'Buzón',
    'Spam Settings' => 'Configuración de spam',
    'Swift Mailer' => 'Swift Mailer',
    'Tags' => 'Etiquetas',
    'Users' => 'Los usuarios',
    'Control your Groups, Teams, Agents and Customers' => 'Controle sus grupos, equipos, agentes y clientes',
    'Agents' => 'Agentes',
    'Customers' => 'Clientes',
    'Groups' => 'Grupos',
    'Privileges' => 'Privilegios',
    'Teams' => 'Equipos',
    'Applications' => 'Aplicaciones',
    'ECommerce Order Syncronization' => 'Sincronización de pedidos de comercio electrónico',
    'Import ecommerce order details to your support tickets from different available platforms' => 'Importar detalles de pedidos de comercio electrónico a sus tickets de soporte desde diferentes plataformas disponibles',
    'Search' => 'Buscar',
    'Sort By' => 'Ordenar por',
    'Sort By:' => 'Ordenar por:',
    'Status:' => 'Estado:',
    'Created At' => 'Creado en',
    'Name' => 'Nombre',
    'All' => 'Todas',
    'Published' => 'Publicado',
    'Draft' => 'Sequía',
    'New Folder' => 'Nueva carpeta',
    'Create Knowledgebase Folder' => 'Crear carpeta de base de conocimiento',
    'You did not add any folder to your Knowledgebase yet, Create your first Folder and start adding Categories/Articles to make your customers help themselves.' => 'Todavía no ha agregado ninguna carpeta a su base de conocimiento, cree su primera carpeta y comience a agregar categorías / artículos para que sus clientes se ayuden a sí mismos',
    'Clear Filters' => 'Borrar filtros',
    'Back' => 'atrás',
    'Open' => 'Abierto',
    'Pending' => 'Pendiente',
    'Answered' => 'Contestadas',
    'Resolved' => 'Resuelto',
    'Closed' => 'Cerrado',
    'Spam' => 'Correo no deseado',
    'New' => 'Nuevo',
    'UnAssigned' => 'Sin asignar',
    'UnAnswered' => 'Sin respuesta',
    'My Tickets' => 'Mis entradas',
    'Starred' => 'Sembrado de estrellas',
    'Trashed' => 'Basura',
    'New Label' => 'Nueva etiqueta',
    'Tickets' => 'Entradas',
    'Ticket Id' => 'Identificación de entradas',
    'Last Replied' => 'Última respuesta',
    'Assign To' => 'Asignar a',
    'After Reply' => 'Después de la respuesta',
    'Customer Email' => 'Correo electrónico del cliente',
    'Customer Name' => 'Nombre del cliente',
    'Assets Visibility' => 'Visibilidad de los activos',
    'Channel/Source' => 'Canal / Fuente',
    'Channel' => 'Canal',
    'Website' => 'Sitio web',
    'Timestamp' => 'Marca de tiempo',
    'TimeStamp' => 'Sello de tiempo',
    'Team' => 'Equipo',
    'Type' => 'Tipo',
    'Replies' => 'Respuestas',
    'Agent' => 'Agente',
    'ID' => 'CARNÉ DE IDENTIDAD',
    'Subject' => 'Tema',
    'Last Reply' => 'Última respuesta',
    'Filter View' => 'Vista de filtro',
    'Please select CAPTCHA' => 'Seleccione CAPTCHA',
    'Warning ! Please select correct CAPTCHA !' => '¡Advertencia! ¡Seleccione el CAPTCHA correcto!',
    'reCAPTCHA Setting' => 'Configuración reCAPTCHA',
    'reCAPTCHA Site Key' => 'Clave del sitio reCAPTCHA',
    'reCAPTCHA Secret key' => 'reCAPTCHA Clave secreta',
    'reCAPTCHA Status' => 'Estado de reCAPTCHA',
    'reCAPTCHA is Active' => 'reCAPTCHA está activo',
    'Save set of filters as a preset to stay more productive' => 'Guardar conjunto de filtros como un preajuste para mantenerse más productivo',
    'Saved Filters' => 'Filtros guardados',
    'No saved filter created' => 'No se ha creado un filtro guardado',
    'Customer' => 'Cliente',
    'Priority' => 'Prioridad',
    'Tag' => 'Etiqueta',
    'Source' => 'Fuente',
    'Before' => 'antes de',
    'After' => 'Después',
    'Replies less than' => 'Respuestas menos de',
    'Replies more than' => 'Responde más que',
    'Clear All' => 'Limpiar todo',
    'Account' => 'Cuenta',
    'Profile' => 'Perfil',
    'Upload a Profile Image (100px x 100px)<br> in PNG or JPG Format' => 'Cargar una imagen de perfil (100px x 100px) <br> en formato PNG o JPG',
    'First Name' => 'Primer nombre',
    'Last Name' => 'Apellido',
    'Email' => 'Email',
    'Contact Number' => 'Número de contacto',
    'Timezone' => 'Zona horaria',
    'Africa/Abidjan' => 'África / Abidjan',
    'Africa/Accra' => 'África / Accra',
    'Africa/Addis_Ababa' => 'África / Addis_Ababa',
    'Africa/Algiers' => 'África / Argel',
    'Africa/Asmara' => 'África / Asmara',
    'Africa/Bamako' => 'África / Bamako',
    'Africa/Bangui' => 'África / Bangui',
    'Africa/Banjul' => 'África / Banjul',
    'Africa/Bissau' => 'África / Bissau',
    'Africa/Blantyre' => 'África / Blantyre',
    'Africa/Brazzaville' => 'África / Brazzaville',
    'Africa/Bujumbura' => 'África / Bujumbura',
    'Africa/Cairo' => 'África / El Cairo',
    'Africa/Casablanca' => 'África / Casablanca',
    'Africa/Ceuta' => 'África / Ceuta',
    'Africa/Conakry' => 'África / Conakry',
    'Africa/Dakar' => 'África / Dakar',
    'Africa/Dar_es_Salaam' => 'África / Dar_es_Salaam',
    'Africa/Djibouti' => 'África / Djibouti',
    'Africa/Douala' => 'África / Douala',
    'Africa/El_Aaiun' => 'África / El_Aaiun',
    'Africa/Freetown' => 'África / Freetown',
    'Africa/Gaborone' => 'África / Gaborone',
    'Africa/Harare' => 'África / Harare',
    'Africa/Johannesburg' => 'África / Johannesburgo',
    'Africa/Juba' => 'África / Juba',
    'Africa/Kampala' => 'África / Kampala',
    'Africa/Khartoum' => 'África / Jartum',
    'Africa/Kigali' => 'África / Kigali',
    'Africa/Kinshasa' => 'África / Kinshasa',
    'Africa/Lagos' => 'África / Lagos',
    'Africa/Libreville' => 'África / Libreville',
    'Africa/Lome' => 'África / Lomé',
    'Africa/Luanda' => 'África / Luanda',
    'Africa/Lubumbashi' => 'África / Lubumbashi',
    'Africa/Lusaka' => 'África / Lusaka',
    'Africa/Malabo' => 'África / Malabo',
    'Africa/Maputo' => 'África / Maputo',
    'Africa/Maseru' => 'África / Maseru',
    'Africa/Mbabane' => 'África / Mbabane',
    'Africa/Mogadishu' => 'África / Mogadiscio',
    'Africa/Monrovia' => 'África / Monrovia',
    'Africa/Nairobi' => 'África / Nairobi',
    'Africa/Ndjamena' => 'África / Yamena',
    'Africa/Niamey' => 'África / Niamey',
    'Africa/Nouakchott' => 'África / Nouakchott',
    'Africa/Ouagadougou' => 'África / Uagadugú',
    'Africa/Porto-Novo' => 'África / Porto-Novo',
    'Africa/Sao_Tome' => 'Africa / Sao_Tome',
    'Africa/Tripoli' => 'África / Trípoli',
    'Africa/Tunis' => 'África / Túnez',
    'Africa/Windhoek' => 'África / Windhoek',
    'America/Adak' => 'America / Adak',
    'America/Anchorage' => 'América / Anchorage',
    'America/Anguilla' => 'América / Anguila',
    'America/Antigua' => 'America / Antigua',
    'America/Araguaina' => 'America / Araguaina',
    'America/Argentina/Buenos_Aires' => 'América / Argentina / Buenos Aires',
    'America/Argentina/Catamarca' => 'América / Argentina / Catamarca',
    'America/Argentina/Cordoba' => 'América / Argentina / Córdoba',
    'America/Argentina/Jujuy' => 'América / Argentina / Jujuy',
    'America/Argentina/La_Rioja' => 'América / Argentina / La_Rioja',
    'America/Argentina/Mendoza' => 'América / Argentina / Mendoza',
    'America/Argentina/Rio_Gallegos' => 'América / Argentina / Río_Gallegos',
    'America/Argentina/Salta' => 'América / Argentina / Salta',
    'America/Argentina/San_Juan' => 'América / Argentina / San_Juan',
    'America/Argentina/San_Luis' => 'América / Argentina / San_Luis',
    'America/Argentina/Tucuman' => 'América / Argentina / Tucumán',
    'America/Argentina/Ushuaia' => 'América / Argentina / Ushuaia',
    'America/Aruba' => 'América / Aruba',
    'America/Asuncion' => 'America / Asuncion',
    'America/Atikokan' => 'America / Atikokan',
    'America/Bahia' => 'America / Bahia',
    'America/Bahia_Banderas' => 'America / Bahia_Banderas',
    'America/Barbados' => 'América / Barbados',
    'America/Belem' => 'America / Belem',
    'America/Belize' => 'América / Belice',
    'America/Blanc-Sablon' => 'América / Blanc-Sablon',
    'America/Boa_Vista' => 'America / Boa_Vista',
    'America/Bogota' => 'America / Bogota',
    'America/Boise' => 'America / Boise',
    'America/Cambridge_Bay' => 'America / Cambridge_Bay',
    'America/Campo_Grande' => 'America / Campo_Grande',
    'America/Cancun' => 'America / Cancun',
    'America/Caracas' => 'America / Caracas',
    'America/Cayenne' => 'America / Cayenne',
    'America/Cayman' => 'America / Cayman',
    'America/Chicago' => 'America / Chicago',
    'America/Chihuahua' => 'America / Chihuahua',
    'America/Costa_Rica' => 'America / Costa_Rica',
    'America/Creston' => 'America / Creston',
    'America/Cuiaba' => 'America / Cuiaba',
    'America/Curacao' => 'America / Curacao',
    'America/Danmarkshavn' => 'America / Danmarkshavn',
    'America/Dawson' => 'America / Dawson',
    'America/Dawson_Creek' => 'America / Dawson_Creek',
    'America/Denver' => 'America / Denver',
    'America/Detroit' => 'América / Detroit',
    'America/Dominica' => 'America / Dominica',
    'America/Edmonton' => 'America / Edmonton',
    'America/Eirunepe' => 'America / Eirunepe',
    'America/El_Salvador' => 'America / El_Salvador',
    'America/Fort_Nelson' => 'America / Fort_Nelson',
    'America/Fortaleza' => 'America / Fortaleza',
    'America/Glace_Bay' => 'America / Glace_Bay',
    'America/Godthab' => 'America / Godthab',
    'America/Goose_Bay' => 'America / Goose_Bay',
    'America/Grand_Turk' => 'America / Grand_Turk',
    'America/Grenada' => 'América / Granada',
    'America/Guadeloupe' => 'América / Guadalupe',
    'America/Guatemala' => 'América / Guatemala',
    'America/Guayaquil' => 'America / Guayaquil',
    'America/Guyana' => 'America / Guyana',
    'America/Halifax' => 'America / Halifax',
    'America/Havana' => 'América / La Habana',
    'America/Hermosillo' => 'America / Hermosillo',
    'America/Indiana/Indianapolis' => 'América / Indiana / Indianápolis',
    'America/Indiana/Knox' => 'América / Indiana / Knox',
    'America/Indiana/Marengo' => 'América / Indiana / Marengo',
    'America/Indiana/Petersburg' => 'América / Indiana / Petersburgo',
    'America/Indiana/Tell_City' => 'América / Indiana / Tell_City',
    'America/Indiana/Vevay' => 'América / Indiana / Vevay',
    'America/Indiana/Vincennes' => 'América / Indiana / Vincennes',
    'America/Indiana/Winamac' => 'América / Indiana / Winamac',
    'America/Inuvik' => 'America / Inuvik',
    'America/Iqaluit' => 'America / Iqaluit',
    'America/Jamaica' => 'América / Jamaica',
    'America/Juneau' => 'America / Juneau',
    'America/Kentucky/Louisville' => 'América / Kentucky / Louisville',
    'America/Kentucky/Monticello' => 'América / Kentucky / Monticello',
    'America/Kralendijk' => 'America / Kralendijk',
    'America/La_Paz' => 'America / La_Paz',
    'America/Lima' => 'America / Lima',
    'America/Los_Angeles' => 'America / Los_Angeles',
    'America/Lower_Princes' => 'America / Lower_Princes',
    'America/Maceio' => 'America / Maceio',
    'America/Managua' => 'America / Managua',
    'America/Manaus' => 'América / Manaus',
    'America/Marigot' => 'America / Marigot',
    'America/Martinique' => 'América / Martinica',
    'America/Matamoros' => 'America / Matamoros',
    'America/Mazatlan' => 'América / Mazatlán',
    'America/Menominee' => 'America / Menominee',
    'America/Merida' => 'América / Mérida',
    'America/Metlakatla' => 'America / Metlakatla',
    'America/Mexico_City' => 'America / Mexico_City',
    'America/Miquelon' => 'America / Miquelon',
    'America/Moncton' => 'America / Moncton',
    'America/Monterrey' => 'America / Monterrey',
    'America/Montevideo' => 'America / Montevideo',
    'America/Montserrat' => 'América / Montserrat',
    'America/Nassau' => 'America / Nassau',
    'America/New_York' => 'América / Nueva_York',
    'America/Nipigon' => 'América / Nipigon',
    'America/Nome' => 'America / Nome',
    'America/Noronha' => 'America / Noronha',
    'America/North_Dakota/Beulah' => 'América / Norte_Dakota / Beulah',
    'America/North_Dakota' => 'América / Norte_Dakota',
    'America/Ojinaga' => 'America / Ojinaga',
    'America/Panama' => 'America / Panama',
    'America/Pangnirtung' => 'America / Pangnirtung',
    'America/Paramaribo' => 'America / Paramaribo',
    'America/Phoenix' => 'America / Phoenix',
    'America/Port-au-Prince' => 'América / Puerto Príncipe',
    'America/Port_of_Spain' => 'America / Port_of_Spain',
    'America/Porto_Velho' => 'America / Porto_Velho',
    'America/Puerto_Rico' => 'America / Puerto_Rico',
    'America/Punta_Arenas' => 'America / Punta_Arenas',
    'America/Rainy_River' => 'America / Rainy_River',
    'America/Rankin_Inlet' => 'America / Rankin_Inlet',
    'America/Recife' => 'America / Recife',
    'America/Regina' => 'America / Regina',
    'America/Resolute' => 'America / Resolute',
    'America/Rio_Branco' => 'America / Rio_Branco',
    'America/Santarem' => 'America / Santarem',
    'America/Santiago' => 'America / Santiago',
    'America/Santo_Domingo' => 'America / Santo_Domingo',
    'America/Sao_Paulo' => 'America / Sao_Paulo',
    'America/Scoresbysund' => 'America / Scoresbysund',
    'America/Sitka' => 'America / Sitka',
    'America/St_Barthelemy' => 'América / St_Barthelemy',
    'America/St_Johns' => 'America / St_Johns',
    'America/St_Kitts' => 'America / St_Kitts',
    'America/St_Lucia' => 'America / St_Lucia',
    'America/St_Thomas' => 'America / St_Thomas',
    'America/St_Vincent' => 'América / San Vicente',
    'America/Swift_Current' => 'America / Swift_Current',
    'America/Tegucigalpa' => 'America / Tegucigalpa',
    'America/Thule' => 'America / Thule',
    'America/Thunder_Bay' => 'America / Thunder_Bay',
    'America/Tijuana' => 'America / Tijuana',
    'America/Toronto' => 'América / Toronto',
    'America/Tortola' => 'America / Tortola',
    'America/Vancouver' => 'América / Vancouver',
    'America/Whitehorse' => 'América / Whitehorse',
    'America/Winnipeg' => 'América / Winnipeg',
    'America/Yakutat' => 'America / Yakutat',
    'America/Yellowknife' => 'America / Yellowknife',
    'Antarctica/Casey' => 'Antártida / Casey',
    'Antarctica/Davis' => 'Antártida / Davis',
    'Antarctica/DumontDUrville' => 'Antártida / DumontDUrville',
    'Antarctica/Macquarie' => 'Antártida / Macquarie',
    'Antarctica/McMurdo' => 'Antártida / McMurdo',
    'Antarctica/Mawson' => 'Antártida / Mawson',
    'Antarctica/Palmer' => 'Antártida / Palmer',
    'Antarctica/Rothera' => 'Antártida / Rothera',
    'Antarctica/Syowa' => 'Antártida / Syowa',
    'Antarctica/Troll' => 'Antártida / Troll',
    'Antarctica/Vostok' => 'Antártida / Vostok',
    'Arctic/Longyearbyen' => 'Ártico / Longyearbyen',
    'Asia/Aden' => 'Asia / Adén',
    'Asia/Almaty' => 'Asia / Almaty',
    'Asia/Amman' => 'Asia / Amman',
    'Asia/Anadyr' => 'Asia / Anadyr',
    'Asia/Aqtau' => 'Asia / Aqtau',
    'Asia/Aqtobe' => 'Asia / Aqtobe',
    'Asia/Ashgabat' => 'Asia / Ashgabat',
    'Asia/Atyrau' => 'Asia / Atyrau',
    'Asia/Baghdad' => 'Asia / Bagdad',
    'Asia/Bahrain' => 'Asia / Bahrein',
    'Asia/Baku' => 'Asia / Bakú',
    'Asia/Bangkok' => 'Asia / Bangkok',
    'Asia/Barnaul' => 'Asia / Barnaul',
    'Asia/Beirut' => 'Asia / Beirut',
    'Asia/Bishkek' => 'Asia / Bishkek',
    'Asia/Brunei' => 'Asia / Brunei',
    'Asia/Chita' => 'Asia / Chita',
    'Asia/Choibalsan' => 'Asia / Choibalsan',
    'Asia/Colombo' => 'Asia / Colombo',
    'Asia/Damascus' => 'Asia / Damasco',
    'Asia/Dhaka' => 'Asia / Dhaka',
    'Asia/Dili' => 'Asia / Dili',
    'Asia/Dubai' => 'Asia / Dubai',
    'Asia/Dushanbe' => 'Asia / Dushanbe',
    'Asia/Famagusta' => 'Asia / Famagusta',
    'Asia/Gaza' => 'Asia / Gaza',
    'Asia/Hebron' => 'Asia / Hebrón',
    'Asia/Ho_Chi_Minh' => 'Asia / Ho_Chi_Minh',
    'Asia/Hong_Kong' => 'Asia / Hong_Kong',
    'Asia/Hovd' => 'Asia / Hovd',
    'Asia/Irkutsk' => 'Asia / Irkutsk',
    'Asia/Jakarta' => 'Asia / Yakarta',
    'Asia/Jayapura' => 'Asia / Jayapura',
    'Asia/Jerusalem' => 'Asia / Jerusalén',
    'Asia/Kabul' => 'Asia / Kabul',
    'Asia/Kamchatka' => 'Asia / Kamchatka',
    'Asia/Karachi' => 'Asia / Karachi',
    'Asia/Kathmandu' => 'Asia / Katmandú',
    'Asia/Khandyga' => 'Asia / Khandyga',
    'Asia/Kolkata' => 'Asia / Kolkata',
    'Asia/Krasnoyarsk' => 'Asia / Krasnoyarsk',
    'Asia/Kuala_Lumpur' => 'Asia / Kuala_Lumpur',
    'Asia/Kuching' => 'Asia / Kuching',
    'Asia/Kuwait' => 'Asia / Kuwait',
    'Asia/Macau' => 'Asia / Macao',
    'Asia/Magadan' => 'Asia / Magadán',
    'Asia/Makassar' => 'Asia / Makassar',
    'Asia/Manila' => 'Asia / Manila',
    'Asia/Muscat' => 'Asia / Muscat',
    'Asia/Nicosia' => 'Asia / Nicosia',
    'Asia/Novokuznetsk' => 'Asia / Novokuznetsk',
    'Asia/Novosibirsk' => 'Asia / Novosibirsk',
    'Asia/Omsk' => 'Asia / Omsk',
    'Asia/Oral' => 'Asia / oral',
    'Asia/Phnom_Penh' => 'Asia / Phnom_Penh',
    'Asia/Pontianak' => 'Asia / Pontianak',
    'Asia/Pyongyang' => 'Asia / Pyongyang',
    'Asia/Qatar' => 'Asia / Qatar',
    'Asia/Qostanay' => 'Asia / Qostanay',
    'Asia/Qyzylorda' => 'Asia / Qyzylorda',
    'Asia/Riyadh' => 'Asia / Riad',
    'Asia/Sakhalin' => 'Asia / Sakhalin',
    'Asia/Samarkand' => 'Asia / Samarcanda',
    'Asia/Seoul' => 'Asia / Seúl',
    'Asia/Shanghai' => 'Asia / Shanghai',
    'Asia/Singapore' => 'Asia / Singapur',
    'Asia/Srednekolymsk' => 'Asia / Srednekolymsk',
    'Asia/Taipei' => 'Asia / Taipei',
    'Asia/Tashkent' => 'Asia / Tashkent',
    'Asia/Tbilisi' => 'Asia / Tbilisi',
    'Asia/Tehran' => 'Asia / Teherán',
    'Asia/Thimphu' => 'Asia / Timbu',
    'Asia/Tokyo' => 'Asia / Tokio',
    'Asia/Tomsk' => 'Asia / Tomsk',
    'Asia/Ulaanbaatar' => 'Asia / Ulán Bator',
    'Asia/Urumqi' => 'Asia / Urumqi',
    'Asia/Ust-Nera' => 'Asia / Ust-Nera',
    'Asia/Vientiane' => 'Asia / Vientiane',
    'Asia/Vladivostok' => 'Asia / Vladivostok',
    'Asia/Yakutsk' => 'Asia / Yakutsk',
    'Asia/Yangon' => 'Asia / Yangon',
    'Asia/Yekaterinburg' => 'Asia / Ekaterimburgo',
    'Asia/Yerevan' => 'Asia / Ereván',
    'Atlantic/Azores' => 'Atlántico / Azores',
    'Atlantic/Bermuda' => 'Atlántico / Bermudas',
    'Atlantic/Canary' => 'Atlántico / Canarias',
    'Atlantic/Cape_Verde' => 'Atlántico / Cabo_Verde',
    'Atlantic/Faroe' => 'Atlántico / Feroe',
    'Atlantic/Madeira' => 'Atlántico / Madeira',
    'Atlantic/Reykjavik' => 'Atlántico / Reykjavik',
    'Atlantic/South_Georgia' => 'Atlántico / Sur_Georgia',
    'Atlantic/St_Helena' => 'Atlántico / Santa Elena',
    'Atlantic/Stanley' => 'Atlántico / Stanley',
    'Australia/Adelaide' => 'Australia / Adelaida',
    'Australia/Brisbane' => 'Australia / Brisbane',
    'Australia/Broken_Hill' => 'Australia / Broken_Hill',
    'Australia/Currie' => 'Australia / Currie',
    'Australia/Darwin' => 'Australia / Darwin',
    'Australia/Eucla' => 'Australia / Eucla',
    'Australia/Hobart' => 'Australia / Hobart',
    'Australia/Lindeman' => 'Australia / Lindeman',
    'Australia/Lord_Howe' => 'Australia / Lord_Howe',
    'Australia/Melbourne' => 'Australia / Melbourne',
    'Australia/Perth' => 'Australia / Perth',
    'Australia/Sydney' => 'Australia / Sydney',
    'Europe/Amsterdam' => 'Europa / Amsterdam',
    'Europe/Andorra' => 'Europa / Andorra',
    'Europe/Astrakhan' => 'Europa / Astrakhan',
    'Europe/Athens' => 'Europa / Atenas',
    'Europe/Belgrade' => 'Europa / Belgrado',
    'Europe/Berlin' => 'Europa / Berlín',
    'Europe/Bratislava' => 'Europa / Bratislava',
    'Europe/Brussels' => 'Europa / Bruselas',
    'Europe/Bucharest' => 'Europa / Bucarest',
    'Europe/Budapest' => 'Europa / Budapest',
    'Europe/Busingen' => 'Europa / Busingen',
    'Europe/Chisinau' => 'Europa / Chisinau',
    'Europe/Copenhagen' => 'Europa / Copenhague',
    'Europe/Dublin' => 'Europa / Dublín',
    'Europe/Gibraltar' => 'Europa / Gibraltar',
    'Europe/Guernsey' => 'Europa / Guernsey',
    'Europe/Helsinki' => 'Europa / Helsinki',
    'Europe/Isle_of_Man' => 'Europe / Isle_of_Man',
    'Europe/Istanbul' => 'Europa / Estambul',
    'Europe/Jersey' => 'Europa / Jersey',
    'Europe/Kaliningrad' => 'Europa / Kaliningrado',
    'Europe/Kiev' => 'Europa / Kiev',
    'Europe/Kirov' => 'Europa / Kirov',
    'Europe/Lisbon' => 'Europa / Lisboa',
    'Europe/Ljubljana' => 'Europa / Liubliana',
    'Europe/London' => 'Europa / Londres',
    'Europe/Luxembourg' => 'Europa / Luxemburgo',
    'Europe/Madrid' => 'Europa / Madrid',
    'Europe/Malta' => 'Europa / Malta',
    'Europe/Mariehamn' => 'Europa / Mariehamn',
    'Europe/Minsk' => 'Europa / Minsk',
    'Europe/Monaco' => 'Europa / Mónaco',
    'Europe/Moscow' => 'Europa / Moscú',
    'Europe/Oslo' => 'Europa / Oslo',
    'Europe/Paris' => 'Europa / Paris',
    'Europe/Podgorica' => 'Europa / Podgorica',
    'Europe/Prague' => 'Europa / Praga',
    'Europe/Riga' => 'Europa / Riga',
    'Europe/Rome' => 'Europa / Roma',
    'Europe/Samara' => 'Europa / Samara',
    'Europe/San_Marino' => 'Europa / San_Marino',
    'Europe/Sarajevo' => 'Europa / Sarajevo',
    'Europe/Saratov' => 'Europa / Saratov',
    'Europe/Simferopol' => 'Europa / Simferopol',
    'Europe/Skopje' => 'Europa / Skopje',
    'Europe/Sofia' => 'Europa / Sofía',
    'Europe/Stockholm' => 'Europa / Estocolmo',
    'Europe/Tallinn' => 'Europa / Tallin',
    'Europe/Tirane' => 'Europa / Tirane',
    'Europe/Ulyanovsk' => 'Europa / Ulyanovsk',
    'Europe/Uzhgorod' => 'Europa / Uzhgorod',
    'Europe/Vaduz' => 'Europa / Vaduz',
    'Europe/Vatican' => 'Europa / Vaticano',
    'Europe/Vienna' => 'Europa / Viena',
    'Europe/Vilnius' => 'Europa / Vilnius',
    'Europe/Volgograd' => 'Europa / Volgogrado',
    'Europe/Warsaw' => 'Europa / Varsovia',
    'Europe/Zagreb' => 'Europa / Zagreb',
    'Europe/Zaporozhye' => 'Europa / Zaporozhye',
    'Europe/Zurich' => 'Europa / Zurich',
    'Indian/Antananarivo' => 'Indio / Antananarivo',
    'Indian/Chagos' => 'Indio / Chagos',
    'Indian/Christmas' => 'Indio / Navidad',
    'Indian/Cocos' => 'Indio / Cocos',
    'Indian/Comoro' => 'Indio / Comoro',
    'Indian/Kerguelen' => 'Indio / Kerguelen',
    'Indian/Mahe' => 'Indio / Mahé',
    'Indian/Maldives' => 'India / Maldivas',
    'Indian/Mauritius' => 'India / Mauricio',
    'Indian/Mayotte' => 'Indio / Mayotte',
    'Indian/Reunion' => 'Indio / Reunión',
    'Pacific/Apia' => 'Pacífico / Apia',
    'Pacific/Auckland' => 'Pacífico / Auckland',
    'Pacific/Bougainville' => 'Pacífico / Bougainville',
    'Pacific/Chatham' => 'Pacífico / Chatham',
    'Pacific/Chuuk' => 'Pacífico / Chuuk',
    'Pacific/Easter' => 'Pacífico / Pascua',
    'Pacific/Efate' => 'Pacífico / Efate',
    'Pacific/Enderbury' => 'Pacífico / Enderbury',
    'Pacific/Fakaofo' => 'Pacífico / Fakaofo',
    'Pacific/Fiji' => 'Pacífico / Fiji',
    'Pacific/Funafuti' => 'Pacífico / Funafuti',
    'Pacific/Galapagos' => 'Pacífico / Galápagos',
    'Pacific/Gambier' => 'Pacífico / Gambier',
    'Pacific/Guadalcanal' => 'Pacífico / Guadalcanal',
    'Pacific/Guam' => 'Pacífico / Guam',
    'Pacific/Honolulu' => 'Pacífico / Honolulu',
    'Pacific/Kiritimati' => 'Pacífico / Kiritimati',
    'Pacific/Kosrae' => 'Pacífico / Kosrae',
    'Pacific/Kwajalein' => 'Pacífico / Kwajalein',
    'Pacific/Majuro' => 'Pacífico / Majuro',
    'Pacific/Marquesas' => 'Pacífico / Marquesas',
    'Pacific/Midway' => 'Pacífico / Midway',
    'Pacific/Nauru' => 'Pacífico / Nauru',
    'Pacific/Niue' => 'Pacífico / Niue',
    'Pacific/Norfolk' => 'Pacífico / Norfolk',
    'Pacific/Noumea' => 'Pacífico / Numea',
    'Pacific/Pago_Pago' => 'Pacific / Pago_Pago',
    'Pacific/Palau' => 'Pacífico / Palau',
    'Pacific/Pitcairn' => 'Pacífico / Pitcairn',
    'Pacific/Pohnpei' => 'Pacífico / Pohnpei',
    'Pacific/Port_Moresby' => 'Pacífico / Port_Moresby',
    'Pacific/Rarotonga' => 'Pacífico / Rarotonga',
    'Pacific/Saipan' => 'Pacífico / Saipan',
    'Pacific/Tahiti' => 'Pacífico / Tahití',
    'Pacific/Tarawa' => 'Pacífico / Tarawa',
    'Pacific/Tongatapu' => 'Pacífico / Tongatapu',
    'Pacific/Wake' => 'Pacífico / Wake',
    'Pacific/Wallis' => 'Pacífico / Wallis',
    'UTC' => 'UTC',
    'Time Format' => 'Formato de tiempo',
    'Choose your default timezone' => 'Elige tu zona horaria predeterminada',
    'Signature' => 'Firma',
    'User signature will be append at the bottom of ticket reply box' => 'La firma del usuario se agregará en la parte inferior del cuadro de respuesta del ticket',
    'Password' => 'Contraseña',
    'Password will remain same if you are not entering something in this field' => 'La contraseña seguirá siendo la misma si no está ingresando algo en este campo',
    'Confirm Password' => 'Confirmar contraseña',
    'Password must contain minimum 8 character length, at least two letters (not case sensitive), one number, one special character(space is not allowed).' => 'La contraseña debe contener un mínimo de 8 caracteres, al menos dos letras (no distingue entre mayúsculas y minúsculas), un número, un carácter especial (no se permiten espacios).',
    'Save Changes' => 'Guardar cambios',
    'SAVE CHANGES' => 'GUARDAR CAMBIOS',
    'CREATE TICKET' => 'CREAR TICKET',
    'Customer full name' => 'Nombre completo del cliente',
    'Customer email address' => 'Dirección de correo electrónico del cliente',
    'Select Type' => 'Seleccione tipo',
    'Support' => 'Apoyo',
    'Choose ticket type' => 'Elegir tipo de ticket',
    'Ticket subject' => 'Asunto del boleto',
    'Message' => 'Mensaje',
    'Query Message' => 'Mensaje de consulta',
    'Add Attachment' => 'Añadir un adjunto',
    'This field is mandatory' => 'Este campo es obligatorio',
    'General' => 'General',
    'Designation' => 'Designacion',
    'Contant Number' => 'Número de contenido',
    'User signature will be append in the bottom of ticket reply box' => 'La firma del usuario se agregará en la parte inferior del cuadro de respuesta del ticket',
    'Account Status' => 'Estado de la cuenta',
    'Account is Active' => 'La cuenta está activa',
    'Assigning group(s) to user to view tickets regardless assignment.' => 'Asignación de grupo (s) al usuario para ver tickets independientemente de la asignación',
    'Default' => 'Defecto',
    'Select All' => 'Seleccionar todo',
    'Remove All' => 'Eliminar todo',
    'Assigning team(s) to user to view tickets regardless assignment.' => 'Asignación de equipo (s) al usuario para ver tickets independientemente de la asignación',
    'No Team added !' => '¡No se agregó ningún equipo!',
    'Permission' => 'Permiso',
    'Role' => 'Papel',
    'Administrator' => 'Administrador',
    'Select agent role' => 'Seleccionar rol de agente',
    'Add Customer' => 'Agregar cliente',
    'Action' => 'Acción',
    'Account Owner' => 'Propietario de la cuenta',
    'Active' => 'Activo',
    'Edit' => 'Editar',
    'Delete' => 'Eliminar',
    'Disabled' => 'Discapacitado',
    'New Group' => 'Nuevo grupo',
    'Default Privileges' => 'Privilegios predeterminados',
    'New Privileges' => 'Nuevos privilegios',
    'NEW PRIVILEGE' => 'NUEVO PRIVILEGIO',
    'New Privilege' => 'Nuevo privilegio',
    'New Team' => 'Nuevo equipo',
    'No Record Found' => 'Ningún record fue encontrado',
    'Order Synchronization' => 'Sincronización de pedidos',
    'Easily integrate different ecommerce platforms with your helpdesk which can then be later used to swiftly integrate ecommerce order details with your support tickets.' => 'Integre fácilmente diferentes plataformas de comercio electrónico con su servicio de asistencia que luego se puede utilizar para integrar rápidamente los detalles de los pedidos de comercio electrónico con sus tickets de soporte',
    'BigCommerce' => 'BigCommerce',
    'No channels have been added.' => 'No se han agregado canales',
    'Add BigCommerce Store' => 'Agregar tienda BigCommerce',
    'ADD BIGCOMMERCE STORE' => 'AGREGAR TIENDA BIGCOMMERCE',
    'Mangento' => 'Mangento',
    'Add Magento Store' => 'Agregar tienda Magento',
    'OpenCart' => 'OpenCart',
    'Add OpenCart Store' => 'Agregar tienda OpenCart',
    'ADD OPENCART STORE' => 'AGREGAR TIENDA OPENCART',
    'Shopify' => 'Shopify',
    'Add Shopify Store' => 'Agregar tienda Shopify',
    'ADD SHOPIFY STORE' => 'AGREGAR COMPRAR TIENDA',
    'Integrate a new BigCommerce store' => 'Integrar una nueva tienda BigCommerce',
    'Your BigCommerce Store Name' => 'El nombre de su tienda BigCommerce',
    'Your BigCommerce Store Hash' => 'El hash de tu tienda BigCommerce',
    'Your BigCommerce Api Token' => 'Tu token de BigCommerce Api',
    'Your BigCommerce Api Client ID' => 'Su ID de cliente de BigCommerce Api',
    'Enable Channel' => 'Habilitar canal',
    'Add Store' => 'Agregar tienda',
    'ADD STORE' => 'AGREGAR TIENDA',
    'Integrate a new Magento store' => 'Integrar una nueva tienda Magento',
    'Your Magento Api Username' => 'Su nombre de usuario de Magento Api',
    'Your Magento Api Password' => 'Su contraseña de Magento Api',
    'Integrate a new OpenCart store' => 'Integrar una nueva tienda OpenCart',
    'Your OpenCart Api Key' => 'Su clave de API OpenCart',
    'Your Shopify Store Name' => 'El nombre de su tienda Shopify',
    'Your Shopify Api Key' => 'Tu clave de API de Shopify',
    'Your Shopify Api Password' => 'Tu contraseña de Shopify Api',
    'Easily embed custom form to help generate helpdesk tickets.' => 'Incruste fácilmente un formulario personalizado para ayudar a generar tickets de servicio de asistencia',
    'Form-Builder' => 'Generador de formularios',
    'Add Formbuilder' => 'Agregar Formbuilder',
    'ADD FORMBUILDER' => 'AGREGAR FORMBUILDER',
    'No FormBuilder have been added.' => 'No se ha agregado FormBuilder',
    'Create a New Custom Form Below' => 'Crear un nuevo formulario personalizado a continuación',
    'Form Name' => 'Nombre del formulario',
    'It will be shown in the list of created forms' => 'Se mostrará en la lista de formularios creados',
    'MANDATORY FIELDS' => 'CAMPOS OBLIGATORIOS',
    'These fields will be visible in form and cant be edited' => 'Estos campos serán visibles en forma y no se pueden editar',
    'Reply' => 'Respuesta',
    'OPTIONAL FIELDS' => 'CAMPOS OPCIONALES',
    'Select These Fields to Add in your Form' => 'Seleccione estos campos para agregar en su formulario',
    'GDPR' => 'GDPR',
    'Order' => 'Orden',
    'Categorybuilder' => 'Constructor de categorías',
    'File' => 'Expediente',
    'Add Form' => 'Agregar formulario',
    'ADD FORM' => 'AGREGAR FORMULARIO',
    'UPDATE FORM' => 'FORMULARIO DE ACTUALIZACIÓN',
    'Update Form' => 'Formulario de actualización',
    'Embed' => 'Empotrar',
    'EMBED' => 'EMPOTRAR',
    'EMBED FORMBUILDER' => 'FORMBUILDER EMPOTRADO',
    'Embed Formbuilder' => 'Constructor de incrustaciones',
    'Visit' => 'Visitar',
    'VISIT' => 'VISITAR',
    'Code' => 'Código',
    'Total Ticket(s)' => 'Total de entradas',
    'Ticket Count' => 'Conteo de entradas',
    'SwiftMailer Configurations' => 'Configuraciones de SwiftMailer',
    'No swiftmailer configurations found' => 'No se encontraron configuraciones de swiftmailer',
    'CREATE CONFIGURATION' => 'CREAR CONFIGURACIÓN',
    'Add configuration' => 'Agregar configuración',
    'Update configuration' => 'Actualizar configuración',
    'Mailer ID' => 'Identificación del remitente',
    'Mailer ID - Leave blank to automatically create id' => 'Identificación del remitente: déjelo en blanco para crear automáticamente la identificación',
    'Transport Type' => 'Tipo de transporte',
    'SMTP' => 'SMTP',
    'Enable Delivery' => 'Habilitar entrega',
    'Server' => 'Servidor',
    'Port' => 'Puerto',
    'Encryption Mode' => 'Modo de encriptación',
    'ssl' => 'ssl',
    'tsl' => 'tsl',
    'None' => 'Ninguna',
    'Authentication Mode' => 'Modo de autenticación',
    'login' => 'iniciar sesión',
    'API' => 'API',
    'Plain' => 'Llanura',
    'CRAM-MD5' => 'CRAM-MD5',
    'Sender Address' => 'Dirección del remitente',
    'Delivery Address' => 'Dirección de entrega',
    'Block Spam' => 'Bloquear spam',
    'Black list' => 'Lista negra',
    'Comma (,) separated values (Eg. support@example.com, @example.com, 68.98.31.226)' => 'Valores separados por comas (,) (p. Ej. Support@example.com, @ example.com, 68.98.31.226)',
    'White list' => 'Lista blanca',
    'Mailbox Settings' => 'Configuración del buzón',
    'No mailbox configurations found' => 'No se encontraron configuraciones de buzón',
    'NEW MAILBOX' => 'NUEVA CAJA DE CORREO',
    'New Mailbox' => 'Nuevo buzón',
    'Update Mailbox' => 'Actualizar buzón',
    'Add Mailbox' => 'Agregar buzón',
    'Mailbox ID - Leave blank to automatically create id' => 'ID de buzón: déjelo en blanco para crear automáticamente la identificación',
    'Mailbox Name' => 'Nombre del buzón',
    'Enable Mailbox' => 'Habilitar buzón',
    'Permanently delete from Inbox' => 'Eliminar permanentemente de la bandeja de entrada',
    'Incoming Mail (IMAP) Server' => 'Servidor de correo entrante (IMAP)',
    'Configure your imap settings which will be used to fetch emails from your mailbox.' => 'Configure los ajustes de imap que se usarán para recuperar correos electrónicos de su buzón',
    'Transport' => 'Transporte',
    'IMAP' => 'IMAP',
    'Gmail' => 'Gmail',
    'Yahoo' => 'Yahoo',
    'Host' => 'Anfitrión',
    'IMAP Host' => 'Host IMAP',
    'Email address' => 'Dirección de correo electrónico',
    'Associated Password' => 'Contraseña asociada',
    'Outgoing Mail (SMTP) Server' => 'Servidor de correo saliente (SMTP)',
    'Select a valid Swift Mailer configuration which will be used to send emails through your mailbox.' => 'Seleccione una configuración válida de Swift Mailer que se utilizará para enviar correos electrónicos a través de su buzón',
    'None Selected' => 'Ninguna seleccionada',
    'Create Mailbox' => 'Crear buzón',
    'CREATE MAILBOX' => 'CREAR BUZÓN DE CORREO',
    'New Template' => 'Nueva plantilla',
    'NEW TEMPLATE' => 'NUEVA PLANTILLA',
    'Customer Forgot Password' => 'El cliente olvidó la contraseña',
    'Customer Account Created' => 'Cuenta de cliente creada',
    'Ticket generated success mail to customer' => 'Ticket generado correo exitoso al cliente',
    'Customer Reply To The Agent' => 'Respuesta del cliente al agente',
    'Ticket Assign' => 'Asignación de entradas',
    'Agent Forgot Password' => 'El agente olvidó la contraseña',
    'Agent Account Created' => 'Cuenta de agente creada',
    'Ticket generated by customer' => 'Ticket generado por el cliente',
    'Agent Reply To The Customers ticket' => 'Respuesta del agente al ticket del cliente',
    'Email template name' => 'Nombre de plantilla de correo electrónico',
    'Email template subject' => 'Asunto de plantilla de correo electrónico',
    'Template For' => 'Plantilla para',
    'Nothing Selected' => 'Nada seleccionado',
    'email template will be used for work related with selected option' => 'la plantilla de correo electrónico se usará para el trabajo relacionado con la opción seleccionada',
    'Email template body' => 'Cuerpo de plantilla de correo electrónico',
    'Body' => 'Cuerpo',
    'placeholders' => 'marcadores de posición',
    'Ticket Subject' => 'Asunto del boleto',
    'Ticket Message' => 'Mensaje de ticket',
    'Ticket Attachments' => 'Adjuntos de entradas',
    'Ticket Tags' => 'Etiquetas de entradas',
    'Ticket Source' => 'Origen del ticket',
    'Ticket Status' => 'Estado del ticket',
    'Ticket Priority' => 'Prioridad de entradas',
    'Ticket Group' => 'Grupo de entradas',
    'Ticket Team' => 'Ticket Team',
    'Ticket Thread Message' => 'Mensaje de hilo de ticket',
    'Ticket Customer Name' => 'Nombre del cliente del ticket',
    'Ticket Customer Email' => 'Ticket Email del cliente',
    'Ticket Agent Name' => 'Nombre del agente del ticket',
    'Ticket Agent Email' => 'Correo electrónico del agente de tickets',
    'Ticket Agent Link' => 'Ticket Agent Link',
    'Ticket Customer Link' => 'Ticket Customer Link',
    'Last Collaborator Name' => 'Apellido del colaborador',
    'Last Collaborator Email' => 'Último correo electrónico de colaborador',
    'Agent/ Customer Name' => 'Nombre del agente / cliente',
    'Account Validation Link' => 'Enlace de validación de cuenta',
    'Password Forgot Link' => 'Contraseña Olvidó el enlace',
    'Company Name' => 'Nombre de empresa',
    'Company Logo' => 'Logo de la compañía',
    'Company URL' => 'URL de la compañía',
    'Swiftmailer id (Select from drop down)' => 'Identificación de Swiftmailer (Seleccionar del menú desplegable)',
    'SwiftMailer' => 'Correo rápido',
    'PROCEED' => 'PROCEDER',
    'Proceed' => 'Proceder',
    'Theme Color' => 'Color del tema',
    'Customer Created' => 'Cliente creado',
    'Agent Created' => 'Agente creado',
    'Ticket Created' => 'Ticket creado',
    'Agent Replied on Ticket' => 'Agente respondido en el ticket',
    'Customer Replied on Ticket' => 'Cliente respondido en el boleto',
    'Workflow Status' => 'Estado del flujo de trabajo',
    'Workflow is Active' => 'El flujo de trabajo está activo',
    'Events' => 'Eventos',
    'An event automatically triggers to check conditions and perform a respective pre-defined set of actions' => 'Un evento se activa automáticamente para verificar las condiciones y realizar un conjunto de acciones predefinido respectivo',
    'Select an Event' => 'Seleccionar un evento',
    'Add More' => 'Añadir más',
    'Conditions' => 'Condiciones',
    'Conditions are set of rules which checks for specific scenarios and are triggered on specific occasions' => 'Las condiciones son un conjunto de reglas que verifica escenarios específicos y se activan en ocasiones específicas',
    'Subject or Description' => 'Asunto o descripción',
    'Actions' => 'Comportamiento',
    'An action not only reduces the workload but also makes it quite easier for ticket automation' => 'Una acción no solo reduce la carga de trabajo, sino que también facilita la automatización de tickets',
    'Select an Action' => 'Seleccionar una acción',
    'Add Note' => 'Añadir la nota',
    'Mail to agent' => 'Enviar al agente',
    'Mail to customer' => 'Enviar al cliente',
    'Mail to group' => 'Enviar al grupo',
    'Mail to last collaborator' => 'Enviar al último colaborador',
    'Mail to team' => 'Enviar al equipo',
    'Mark Spam' => 'Mark Spam',
    'Assign to agent' => 'Asignar a agente',
    'Assign to group' => 'Asignar a grupo',
    'Set Priority As' => 'Establecer prioridad como',
    'Set Status As' => 'Establecer estado como',
    'Set Tag As' => 'Establecer etiqueta como',
    'Set Label As' => 'Establecer etiqueta como',
    'Assign to team' => 'Asignar al equipo',
    'Set Type As' => 'Establecer tipo como',
    'Add Workflow' => 'Agregar flujo de trabajo',
    'ADD WORKFLOW' => 'AGREGAR FLUJO DE TRABAJO',
    'Ticket Type code' => 'Código de tipo de ticket',
    'Ticket Type description' => 'Descripción del tipo de ticket',
    'Type Status' => 'Tipo de estado',
    'Type is Active' => 'El tipo está activo',
    'Add Save Reply' => 'Agregar Guardar respuesta',
    'Saved reply name' => 'Nombre de respuesta guardado',
    'Share saved reply with user(s) in these group(s)' => 'Compartir respuesta guardada con usuario (s) en estos grupos',
    'Share saved reply with user(s) in these teams(s)' => 'Compartir respuesta guardada con usuario (s) en estos equipos',
    'Saved reply Body' => 'Cuerpo de respuesta guardado',
    'New Prepared Response' => 'Nueva respuesta preparada',
    'Prepared Response Status' => 'Estado de respuesta preparado',
    'Prepared Response is Active' => 'La respuesta preparada está activa',
    'Share prepared response with user(s) in these group(s)' => 'Compartir la respuesta preparada con los usuarios de estos grupos',
    'Share prepared response with user(s) in these teams(s)' => 'Compartir la respuesta preparada con los usuarios de estos equipos',
    'ADD PREPARED RESPONSE' => 'AGREGAR RESPUESTA PREPARADA',
    'Add Prepared Response' => 'Agregar respuesta preparada',
    'Folder Name is shown upfront at Knowledge Base' => 'El nombre de la carpeta se muestra por adelantado en Knowledge Base',
    'A small text about the folder helps user to navigate more easily' => 'Un pequeño texto sobre la carpeta ayuda al usuario a navegar más fácilmente',
    'Publish' => 'Publicar',
    'Choose appropriate status' => 'Elegir estado apropiado',
    'Folder Image' => 'Imagen de carpeta',
    'An image is worth a thousands words and makes folder more accessible' => 'Una imagen vale más que mil palabras y hace que la carpeta sea más accesible',
    'Add Category' => 'Añadir categoría',
    'Category Name is shown upfront at Knowledge Base' => 'El nombre de la categoría se muestra por adelantado en la Base de conocimiento',
    'A small text about the category helps user to navigate more easily' => 'Un pequeño texto sobre la categoría ayuda al usuario a navegar más fácilmente',
    'Using Category Order, you can decide which category should display first' => 'Usando el orden de categoría, puede decidir qué categoría debe mostrarse primero',
    'Sorting' => 'Clasificación',
    'Ascending Order (A-Z)' => 'Orden ascendente (A-Z)',
    'Descending Order (Z-A)' => 'Orden descendente (Z-A)',
    'Based on Popularity' => 'Basado en popularidad',
    'Article of this category will display according to selected option' => 'El artículo de esta categoría se mostrará según la opción seleccionada',
    'Article' => 'Artículo',
    'Title' => 'Título',
    'View' => 'Ver',
    'Make as Starred' => 'Hacer como protagonizado',
    'Yes' => 'si',
    'No' => 'No',
    'Stared' => 'Mirado',
    'Revisions' => 'Revisiones',
    'Related Articles' => 'Artículos relacionados',
    'Delete Article' => 'Eliminar artículo',
    'Content' => 'Contenido',
    'Slug' => 'Babosa',
    'Slug is the url identity of this article.' => 'Slug es la identidad de URL de este artículo',
    'Meta Title' => 'Meta título',
    'Meta Keywords' => 'Meta palabras clave',
    'Meta Description' => 'Metadescripción',
    'Description' => 'Descripción',
    'Team Status' => 'Estado del equipo',
    'Team is Active' => 'El equipo está activo',
    'Edit Privilege' => 'Editar privilegio',
    'Can create ticket' => 'Puede crear boleto',
    'Can edit ticket' => 'Puede editar el boleto',
    'Can delete ticket' => 'Puede borrar el boleto',
    'Can restore trashed ticket' => 'Puede restaurar el boleto basura',
    'Can assign ticket' => 'Puede asignar boleto',
    'Can assign ticket group' => 'Puede asignar grupo de tickets',
    'Can update ticket status' => 'Puede actualizar el estado del ticket',
    'Can update ticket priority' => 'Puede actualizar la prioridad del ticket',
    'Can update ticket type' => 'Puede actualizar el tipo de ticket',
    'Can add internal notes to ticket' => 'Puede agregar notas internas al ticket',
    'Can edit thread/notes' => 'Puede editar hilo / notas',
    'Can lock/unlock thread' => 'Puede bloquear / desbloquear hilo',
    'Can add collaborator to ticket' => 'Puede agregar un colaborador al ticket',
    'Can delete collaborator from ticket' => 'Puede eliminar al colaborador del ticket',
    'Can delete thread/notes' => 'Puede eliminar hilos / notas',
    'Can apply prepared response on ticket' => 'Puede aplicar una respuesta preparada en el boleto',
    'Can add ticket tags' => 'Puede agregar etiquetas de ticket',
    'Can delete ticket tags' => 'Puede eliminar etiquetas de ticket',
    'Can kick other ticket users' => 'Puede patear a otros usuarios de boletos',
    'Can manage email templates' => 'Puede administrar plantillas de correo electrónico',
    'Can manage groups' => 'Puede administrar grupos',
    'Can manage Sub-Groups/ Teams' => 'Puede administrar subgrupos / equipos',
    'Can manage agents' => 'Puede administrar agentes',
    'Can manage agent privileges' => 'Puede administrar privilegios de agente',
    'Can manage ticket types' => 'Puede administrar tipos de tickets',
    'Can manage ticket custom fields' => 'Puede administrar campos personalizados de tickets',
    'Can manage customers' => 'Puede administrar clientes',
    'Can manage Prepared Responses' => 'Puede gestionar respuestas preparadas',
    'Can manage Automatic workflow' => 'Puede administrar el flujo de trabajo automático',
    'Can manage tags' => 'Puede administrar etiquetas',
    'Can manage knowledgebase' => 'Puede administrar la base de conocimiento',
    'Can manage Groups Saved Reply' => 'Puede administrar la respuesta guardada del grupo',
    'Add Privilege' => 'Agregar privilegio',
    'Choose set of privileges which will be available to the agent.' => 'Elija un conjunto de privilegios que estarán disponibles para el agente',
    'Advanced' => 'Avanzado',
    'Privilege Name must have characters only' => 'El nombre de privilegio debe tener solo caracteres',
    'Maximum character length is 50' => 'La longitud máxima de caracteres es 50',
    'Open Tickets' => 'Entradas Abiertas',
    'New Customer' => 'Nuevo cliente',
    'New Agent' => 'Nuevo agente',
    'Total Article(s)' => 'Total de artículo (s)',
    'Please specify a valid email address' => 'Por favor, especifique una dirección de correo electrónico válida',
    'Please enter the password associated with your email address' => 'Ingrese la contraseña asociada con su dirección de correo electrónico',
    'Please enter your server host address' => 'Ingrese la dirección de host del servidor',
    'Please specify a port number to connect with your mail server' => 'Especifique un número de puerto para conectarse con su servidor de correo',
    'Success ! Branding details saved successfully.' => '¡Éxito! Los detalles de la marca se guardaron correctamente ',
    'Success ! Time details saved successfully.' => '¡Éxito! Detalles del tiempo guardados con éxito.',
    'Spam setting saved successfully.' => 'Configuración de spam guardada con éxito',
    'Please specify a valid name for your mailbox.' => 'Especifique un nombre válido para su buzón',
    'Please select a valid swift-mailer configuration.' => 'Seleccione una configuración válida de correo rápido',
    'Please specify a valid host address.' => 'Especifique una dirección de host válida',
    'Please specify a valid email address.' => 'Especifique una dirección de correo electrónico válida',
    'Please enter the associated account password.' => 'Ingrese la contraseña de la cuenta asociada',
    'New Saved Reply' => 'Nueva respuesta guardada',
    'New Category' => 'Nueva categoría',
    'Folder' => 'Carpeta',
    'Category' => 'Categoría',
    'Created' => 'Creado',
    'All Articles' => 'Todos los artículos',
    'Viewed' => 'Visto',
    'New Article' => 'Articulo nuevo',
    'Thank you for your feedback!' => '¡Gracias por tus comentarios!',
    'Was this article helpful?' => '¿Te resultó útil este artículo?',
    'Helpdesk' => 'Mesa de ayuda',
    'Support Center' => 'Centro de Apoyo',
    'Mailboxes' => 'Buzones',
    'By' => 'Por',
    'Search Tickets' => 'Buscar entradas',
    'Customer Information' => 'Información al cliente',
    'Total Replies' => 'Respuestas totales',
    'Filter With' => 'Filtrar con',
    'Type email to add' => 'Escriba correo electrónico para agregar',
    'Collaborators' => 'Colaboradores',
    'Labels' => 'Etiquetas',
    'Group' => 'Grupo',
    'group' => 'grupo',
    'Contact Team' => 'Equipo de contacto',
    'Stay on ticket' => 'Permanecer en boleto',
    'Redirect to list' => 'Redirigir a la lista',
    'Nothing interesting here...' => 'Nada interesante aquí',
    'Previous Ticket' => 'Ticket anterior',
    'Next Ticket' => 'Próximo ticket',
    'Forward' => 'Adelante',
    'Note' => 'Nota',
    'Write a reply' => 'Escribe una respuesta',
    'Created Ticket' => 'Ticket creado',
    'All Threads' => 'Todos los temas',
    'Forwards' => 'Hacia adelante',
    'Notes' => 'Notas',
    'Pinned' => 'Fijado',
    'Edit Ticket' => 'Editar ticket',
    'Print Ticket' => 'Imprimir boleto',
    'Mark as Spam' => 'Marcar como correo no deseado',
    'Mark as Closed' => 'Marcar como cerrado',
    'Delete Ticket' => 'Eliminar ticket',
    'View order details from different eCommerce channels' => 'Ver detalles de pedidos de diferentes canales de comercio electrónico',
    'ECOMMERCE CHANNELS' => 'CANALES DE COMERCIO',
    'Select channel' => 'Seleccionar canal',
    'Order Id' => 'Solicitar ID',
    'Fetch Order' => 'Obtener orden',
    'No orders have been integrated to this ticket yet.' => 'Aún no se han integrado pedidos a este ticket',
    'Enter your credentials below to gain access to your helpdesk account.' => 'Ingrese sus credenciales a continuación para obtener acceso a su cuenta del servicio de asistencia',
    'Keep me logged in' => 'Mantenme conectado',
    'Forgot Password?' => '¿Se te olvidó tu contraseña?',
    'Log in to your' => 'Inicie sesión en su',
    'Sign In' => 'Registrarse',
    'Edit Customer' => 'Editar cliente',
    'Update' => 'Actualizar',
    'Discard' => 'Descarte',
    'Cancel' => 'Cancelar',
    'Not Assigned' => 'No asignado',
    'Submit' => 'Enviar',
    'Submit And Open' => 'Enviar y abrir',
    'Submit And Pending' => 'Enviar y pendiente',
    'Submit And Answered' => 'Enviar y respondido',
    'Submit And Resolved' => 'Enviar y resuelto',
    'Submit And Closed' => 'Enviar y cerrado',
    'Choose a Color' => 'Elige un color',
    'Create' => 'Crear',
    'Edit Label' => 'Editar etiqueta',
    'Add Label' => 'Agregar etiqueta',
    'To' => 'A',
    'Ticket' => 'Boleto',
    'Your browser does not support JavaScript or You disabled JavaScript, Please enable those !' => 'Su navegador no es compatible con JavaScript o Ha desactivado JavaScript, ¡habilítelos!',
    'Confirm Action' => 'Confirmar acción',
    'Confirm' => 'Confirmar',
    'No result found' => 'No se han encontrado resultados',
    'ticket delivery status' => 'estado de entrega del boleto',
    'Warning! Select valid image file.' => '¡Advertencia! Seleccione un archivo de imagen válido.',
    'SEO' => 'SEO',
    'Edit Saved Filter' => 'Editar filtro guardado',
    'Type atleast 2 letters' => 'Escriba al menos 2 letras',
    'Remove Label' => 'Eliminar etiqueta',
    'New Saved Filter' => 'Nuevo filtro guardado',
    'Is Default' => 'Es predeterminado',
    'Remove Saved Filter' => 'Eliminar filtro guardado',
    'Ticket Info' => 'Información del boleto',
    'Last Replied Agent' => 'Último agente respondido',
    'created Ticket' => 'Ticket creado',
    'Uploaded Files' => 'Archivos subidos',
    'Download (as .zip)' => 'Descargar como zip)',
    'made last reply' => 'hizo la última respuesta',
    'N/A' => 'N / A',
    'Unassigned' => 'Sin asignar',
    'Label' => 'Etiqueta',
    'Assigned to me' => 'Asignado a mí',
    'Search Query' => 'Consulta de busqueda',
    'Searching' => 'Buscando',
    'Saved Filter' => 'Filtro guardado',
    'No Label Created' => 'Sin etiqueta creada',
    'Label with same name already exist.' => 'Ya existe una etiqueta con el mismo nombre',
    'Create New' => 'Crear nuevo',
    'Mail status' => 'Estado del correo',
    'replied' => 'respondido',
    'added note' => 'nota agregada',
    'forwarded' => 'reenviado',
    'TO' => 'A',
    'CC' => 'CC',
    'BCC' => 'BCC',
    'Locked' => 'Bloqueado',
    'Edit Thread' => 'Editar hilo',
    'Delete Thread' => 'Eliminar hilo',
    'Unpin Thread' => 'Desanclar hilo',
    'Pin Thread' => 'Hilo de alfiler',
    'Unlock Thread' => 'Desbloquear hilo',
    'Lock Thread' => 'Bloquear hilo',
    'Translate Thread' => 'Traducir hilo',
    'Language' => 'Idioma',
    'English' => 'Inglés',
    'French' => 'Francés',
    'Italian' => 'Italiano',
    'Arabic' => 'Arábica',
    'German' => 'Alemán',
    'Spanish' => 'Español',
    'Turkish' => 'Turco',
    'Danish' => 'Danés',
    'Chinese' => 'CHINO',
    'Polish' => 'POLACO',
    'Hebrew' => 'hebreo',
    'System' => 'Sistema',
    'Open in Files' => 'Abrir en archivos',
    'Email address is invalid' => 'Dirección de correo electrónico es inválida',
    'Tag with same name already exist' => 'Ya existe una etiqueta con el mismo nombre',
    'Text length should be less than 20 charactors' => 'La longitud del texto debe ser inferior a 20 caracteres',
    'Label with same name already exist' => 'Ya existe una etiqueta con el mismo nombre',
    'Agent Name' => 'Nombre del agente',
    'Agent Email' => 'Correo electrónico del agente',
    'open' => 'abierto',
    'Currently active agents on ticket' => 'Agentes actualmente activos en ticket',
    'Edit Customer Information' => 'Editar información del cliente',
    'Restore' => 'Restaurar',
    'Delete Forever' => 'Borrar para siempre',
    'Add Team' => 'Agregar equipo',
    'delete' => 'Eliminar',
    'You didnt have any folder for current filter(s).' => 'No tenía ninguna carpeta para los filtros actuales',
    'Add Folder' => 'Agregar carpeta',
    'This field must have valid characters only' => 'Este campo debe tener solo caracteres válidos',
    'Can edit task' => 'Puede editar tarea',
    'Can create task' => 'Puede crear tarea',
    'Can delete task' => 'Puede eliminar tarea',
    'Can add member to task' => 'Puede agregar miembro a la tarea',
    'Can remove member from task' => 'Puede eliminar miembro de la tarea',
    'Agent Privileges' => 'Privilegios de agente',
    'Agent Privilege represents overall permissions in System.' => 'El privilegio del agente representa los permisos generales en el sistema',
    'Ticket View' => 'Vista de entradas',
    'User can view tickets based on selected scope.' => 'El usuario puede ver los tickets en función del alcance seleccionado',
    'If individual access then user can View assigned Ticket(s) only, If Team access then user can view all Ticket(s) in team(s) he belongs to and so on' => 'Si el acceso individual, entonces el usuario puede ver los tickets asignados únicamente, si el acceso del equipo, el usuario puede ver todos los tickets en el equipo al que pertenece y así sucesivamente',
    'Global Access' => 'Acceso global',
    'Group Access' => 'Acceso grupal',
    'Team Access' => 'Acceso de equipo',
    'Individual Access' => 'Acceso individual',
    'This field must have characters only' => 'Este campo debe tener solo caracteres',
    'Maximum character length is 40' => 'La longitud máxima de caracteres es 40',
    'This is not a valid email address' => 'Esta no es una dirección de correo electrónico válida',
    'Password must contains 8 Characters' => 'La contraseña debe contener 8 caracteres',
    'The passwords does not match' => 'Las contraseñas no coinciden',
    'Enabled' => 'Habilitado',
    'Create Configuration' => 'Crear configuración',
    'Swift Mailer Settings' => 'Configuración de correo rápido',
    'Username' => 'Nombre de usuario',
    'Please select a swiftmailer id' => 'Seleccione una identificación de swiftmailer',
    'Please enter a valid e-mail id' => 'Por favor ingrese una identificación de correo electrónico válida',
    'Please enter a mailer id' => 'Por favor, introduzca una identificación de correo',
    'Email Id' => 'Identificación de correo',
    'Are you sure? You want to perform this action.' => '¿Estás seguro? Quieres realizar esta acción?',
    'Reorder' => 'Reordenar',
    'New Workflow' => 'Nuevo flujo de trabajo',
    'OR' => 'O',
    'AND' => 'Y',
    'Please enter a valid name.' => 'Por favor ingrese un nombre valido.',
    'Please select a value.' => 'Por favor seleccione un valor.',
    'Please add a value.' => 'Por favor agregue un valor',
    'This field is required' => 'Este campo es requerido',
    'or' => 'o',
    'and' => 'y',
    'Select a Condition' => 'Seleccionar una condición',
    'Loading...' => 'Cargando...',
    'Select Option' => 'Seleccionar opción',
    'Inactive' => 'Inactivo',
    'New Type' => 'Nuevo tipo',
    'Placeholders' => 'Marcadores de posición',
    'Ticket Link' => 'Ticket Link',
    'Id' => 'Carné de identidad',
    'Preview' => 'Avance',
    'Sort Order' => 'Orden de clasificación',
    'This field must be a number' => 'Este campo debe ser un número',
    'User' => 'Usuario',
    'Edit Group' => 'Editar grupo',
    'Group Status' => 'Estado del grupo',
    'Group is Active' => 'El grupo está activo',
    'Add Group' => 'Añadir grupo',
    'Contact number is invalid' => 'El número de contacto no es válido',
    'Edit Agent' => 'Editar agente',
    'No Privilege added, Please add Privilege(s) first !' => 'No se ha agregado ningún privilegio, ¡por favor agregue privilegios primero!',
    'Edit Email Template' => 'Editar plantilla de correo electrónico',
    'Edit Workflow' => 'Editar flujo de trabajo',
    'Save Workflow' => 'Guardar flujo de trabajo',
    'Edit Ticket Type' => 'Editar tipo de ticket',
    'Add Ticket Type' => 'Agregar tipo de ticket',
    'Date Released' => 'Fecha de publicación',
    'Free' => 'Gratis',
    'Premium' => 'Prima',
    'Installed' => 'Instalado',
    'Installed Applications' => 'Aplicaciones instaladas',
    'Apps Dashboard' => 'Panel de aplicaciones',
    'Dashboard' => 'Tablero',
    'Nothing Interesting here' => 'Nada interesante aquí',
    'No Categories Added' => 'No se agregaron categorías',
    'ticket' => 'boleto',
    'Add Email Template' => 'Agregar plantilla de correo electrónico',
    'This field contain 100 characters only' => 'Este campo contiene solo 100 caracteres',
    'This field contain characters only' => 'Este campo contiene solo caracteres',
    'Name length must not be greater than 200 !!' => '¡La longitud del nombre no debe ser mayor de 200 !',
    'Warning! Correct all field values first!' => '¡Advertencia! ¡Corrija todos los valores de campo primero!',
    'Warning ! This is not a valid request' => 'Advertencia ! Esta no es una solicitud válida ',
    'Success ! Tag removed successfully.' => '¡Éxito! Etiqueta eliminada con éxito.',
    'Success ! Tags Saved successfully.' => '¡Éxito! Etiquetas guardadas correctamente.',
    'Success ! Revision restored successfully.' => '¡Éxito! Revisión restaurada con éxito.',
    'Success ! Categories updated successfully.' => '¡Éxito! Categorías actualizadas con éxito.',
    'Success ! Article Related removed successfully.' => '¡Éxito! Artículo relacionado eliminado con éxito.',
    'Success ! Article Related is already added.' => '¡Éxito! Artículo relacionado ya se ha añadido.',
    'Success ! Cannot add self as relative article.' => '¡Éxito! No se puede agregar uno mismo como artículo relativo.',
    'Success ! Article Related updated successfully.' => '¡Éxito! Artículo relacionado actualizado con éxito.',
    'Success ! Articles removed successfully.' => '¡Éxito! Artículos eliminados con éxito.',
    'Success ! Article status updated successfully.' => '¡Éxito! Estado del artículo actualizado correctamente.',
    'Success ! Article star updated successfully.' => '¡Éxito! Artículo estrella actualizado con éxito.',
    'Success! Article updated successfully' => '¡Éxito! Artículo actualizado correctamente ',
    'Success ! Category sort  order updated successfully.' => '¡Éxito! El orden de clasificación de categoría se actualizó correctamente.',
    'Success ! Category status updated successfully.' => '¡Éxito! El estado de la categoría se actualizó correctamente.',
    'Success ! Folders updated successfully.' => '¡Éxito! Carpetas actualizadas con éxito.',
    'Success ! Categories removed successfully.' => '¡Éxito! Categorías eliminadas con éxito.',
    'Success ! Category updated successfully.' => '¡Éxito! Categoría actualizada con éxito.',
    'Error ! Category is not exist.' => 'Error! La categoría no existe.',
    'Warning ! Customer Login disabled by admin.' => 'Advertencia ! Inicio de sesión del cliente deshabilitado por el administrador.',
    'This Email is not registered with us.' => 'Este correo electrónico no está registrado con nosotros',
    'Your password has been updated successfully.' => 'Su contraseña se ha actualizado correctamente.',
    'Password dont match.' => 'La contraseña no coincide',
    'Error ! Profile image is not valid, please upload a valid format' => 'Error! La imagen de perfil no es válida, cargue un formato válido ',
    'Success! Folder has been added successfully.' => '¡Éxito! La carpeta se ha agregado correctamente.',
    'Folder updated successfully.' => 'Carpeta actualizada con éxito',
    'Success ! Folder status updated successfully.' => '¡Éxito! El estado de la carpeta se actualizó correctamente.',
    'Error ! Folder is not exist.' => 'Error! La carpeta no existe.',
    'Success ! Folder updated successfully.' => '¡Éxito! Carpeta actualizada con éxito.',
    'Error ! Folder does not exist.' => 'Error! La carpeta no existe.',
    'Success ! Folder deleted successfully.' => '¡Éxito! Carpeta eliminada con éxito.',
    'Warning ! Folder doesnt exists!' => '¡Advertencia! ¡La carpeta no existe!',
    'Warning ! Cannot create ticket, given email is blocked by admin.' => 'Advertencia ! No se puede crear el ticket, dado que el administrador bloquea el correo electrónico dado ',
    'Success ! Ticket has been created successfully.' => '¡Éxito! El boleto ha sido creado con éxito.',
    'Warning ! Can not create ticket, invalid details.' => 'Advertencia ! No se puede crear el ticket, detalles no válidos ',
    'Warning ! Post size can not exceed 25MB' => '¡Advertencia! El tamaño de la publicación no puede superar los 25 MB',
    'Create Ticket Request' => 'Crear solicitud de ticket',
    'Success ! Reply added successfully.' => '¡Éxito! Respuesta agregada con éxito',
    'Warning ! Reply field can not be blank.' => '¡Advertencia! El campo de respuesta no puede estar en blanco',
    'Success ! Rating has been successfully added.' => '¡Éxito! La calificación se ha agregado con éxito.',
    'Warning ! Invalid rating.' => 'Advertencia ! Calificación inválida.',
    'Error ! Can not add customer as a collaborator.' => 'Error! No se puede agregar al cliente como colaborador ',
    'Success ! Collaborator added successfully.' => '¡Éxito! Colaborador agregado con éxito.',
    'Error ! Collaborator is already added.' => 'Error! El colaborador ya está agregado ',
    'Success ! Collaborator removed successfully.' => '¡Éxito! Colaborador eliminado con éxito.',
    'Error ! Invalid Collaborator.' => 'Error! Colaborador inválido.',
    'An unexpected error occurred. Please try again later.' => 'Ocurrió un error inesperado. Por favor, inténtelo de nuevo más tarde.',
    'Feedback saved successfully.' => 'Comentarios guardados correctamente',
    'Feedback updated successfully.' => 'Comentarios actualizados correctamente',
    'Invalid feedback provided.' => 'Comentarios no válidos proporcionados',
    'Article not found.' => 'Artículo no encontrado',
    'You need to login to your account before can perform this action.' => 'Debe iniciar sesión en su cuenta antes de poder realizar esta acción',
    'Warning! Please add valid Actions!' => '¡Advertencia! ¡Agregue acciones válidas!',
    'Warning! In Free Plan you can not change Events!' => '¡Advertencia! ¡En Free Plan no puedes cambiar los Eventos! ',
    'Success! Prepared Response has been updated successfully.' => '¡Éxito! La respuesta preparada se ha actualizado correctamente.',
    'Success! Prepared Response has been added successfully.' => '¡Éxito! La respuesta preparada se ha agregado con éxito.',
    'Warning  This is not a valid request' => 'Advertencia Esta no es una solicitud válida',
    'Use Default Colors' => 'Usar colores predeterminados',
    'Masonry' => 'Albañilería',
    'Popular Article' => 'Artículo popular',
    'Manage Ticket Custom Fields' => 'Administrar campos personalizados de tickets',
    'You dont have premission to edit this Prepared response' => 'No tiene permiso para editar esta respuesta preparada',
    'Save Prepared Response' => 'Guardar respuesta preparada',
    'Success ! Prepared response removed successfully.' => '¡Éxito! Respuesta preparada eliminada con éxito',
    'Warning! You are not allowed to perform this action.' => '¡Advertencia! No tienes permiso para realizar esta acción',
    'Success! Workflow has been updated successfully.' => '¡Éxito! El flujo de trabajo se ha actualizado correctamente',
    'Success! Workflow has been added successfully.' => '¡Éxito! El flujo de trabajo se ha agregado con éxito',
    'Success! Order has been updated successfully.' => '¡Éxito! El pedido se ha actualizado correctamente',
    'Success! Workflow has been removed successfully.' => '¡Éxito! El flujo de trabajo se ha eliminado con éxito',
    'Mailbox successfully created.' => 'Buzón creado con éxito',
    'Mailbox successfully updated.' => 'Buzón actualizado correctamente',
    'Warning ! Bad request !' => 'Advertencia ! Solicitud incorrecta !',
    'Error! Given current password is incorrect.' => '¡Error! La contraseña actual dada es incorrecta.',
    'Success ! Profile update successfully.' => '¡Éxito! Actualización de perfil exitosa.',
    'Error ! User with same email is already exist.' => 'Error! El usuario con el mismo correo electrónico ya existe.',
    'Success ! Agent updated successfully.' => '¡Éxito! Agente actualizado con éxito.',
    'Success ! Agent removed successfully.' => '¡Éxito! Agente eliminado con éxito.',
    'Warning ! You are allowed to remove account owners account.' => '¡Advertencia! Se le permite eliminar la cuenta del propietario de la cuenta',
    'Error ! Invalid user id.' => '¡Error! Identificación de usuario no válida',
    'Success ! Filter has been saved successfully.' => '¡Éxito! El filtro se ha guardado correctamente',
    'Success ! Filter has been updated successfully.' => '¡Éxito! El filtro se ha actualizado correctamente',
    'Success ! Filter has been removed successfully.' => '¡Éxito! El filtro se ha eliminado con éxito',
    'Please check your mail for password update.' => 'Por favor revise su correo para la actualización de la contraseña',
    'This Email address is not registered with us.' => 'Esta dirección de correo electrónico no está registrada con nosotros',
    'Success ! Customer saved successfully.' => '¡Éxito! El cliente se guardó correctamente',
    'Error ! User with same email already exist.' => '¡Error! Ya existe un usuario con el mismo correo electrónico',
    'Success ! Customer information updated successfully.' => '¡Éxito! La información del cliente se actualizó correctamente',
    'Success ! Customer updated successfully.' => '¡Éxito! Cliente actualizado con éxito',
    'Error ! Customer with same email already exist.' => '¡Error! Ya existe un cliente con el mismo correo electrónico',
    'unstarred Action Completed successfully' => 'Acción no destacada completada con éxito',
    'starred Action Completed successfully' => 'Acción destacada completada con éxito',
    'Success ! Customer removed successfully.' => '¡Éxito! Cliente eliminado con éxito',
    'Error ! Invalid customer id.' => '¡Error! Identificación de cliente no válida',
    'Success! Template has been updated successfully.' => '¡Éxito! La plantilla se ha actualizado correctamente',
    'Success! Template has been added successfully.' => '¡Éxito! La plantilla se ha agregado con éxito',
    'Success! Template has been deleted successfully.' => '¡Éxito! La plantilla se ha eliminado con éxito',
    'Warning! resource not found.' => '¡Advertencia! Recurso no encontrado',
    'Warning! You can not remove predefined email template which is being used in workflow(s).' => '¡Advertencia! No puede eliminar la plantilla de correo electrónico predefinida que se está utilizando en los flujos de trabajo',
    'Success ! Email settings are updated successfully.' => '¡Éxito! La configuración del correo electrónico se actualizó correctamente',
    'Success ! Group information updated successfully.' => '¡Éxito! La información del grupo se actualizó correctamente',
    'Success ! Group information saved successfully.' => '¡Éxito! La información del grupo se guardó correctamente',
    'Support Group removed successfully.' => 'Grupo de soporte eliminado con éxito',
    'Success ! Privilege information saved successfully.' => '¡Éxito! La información de privilegio se guardó correctamente',
    'Privilege updated successfully.' => 'Privilegio actualizado con éxito',
    'Support Privilege removed successfully.' => 'El privilegio de soporte se eliminó correctamente',
    'Success! Reply has been updated successfully.' => '¡Éxito! La respuesta se ha actualizado correctamente',
    'Success! Reply has been added successfully.' => '¡Éxito! La respuesta se ha agregado correctamente',
    'Success! Saved Reply has been deleted successfully' => '¡Éxito! La respuesta guardada se ha eliminado correctamente',
    'SwiftMailer configuration updated successfully.' => 'La configuración de SwiftMailer se actualizó correctamente',
    'Swiftmailer configuration removed successfully.' => 'La configuración de Swiftmailer se eliminó correctamente',
    'Success ! Team information saved successfully.' => '¡Éxito! La información del equipo se guardó correctamente',
    'Success ! Team information updated successfully.' => '¡Éxito! La información del equipo se actualizó correctamente',
    'Support Team removed successfully.' => 'Equipo de soporte eliminado con éxito',
    'Success! Reply has been added successfully' => '¡Éxito! La respuesta se ha agregado correctamente',
    'Success ! Thread updated successfully.' => '¡Éxito! Hilo actualizado correctamente',
    'Error ! Reply field can not be blank.' => '¡Error! El campo de respuesta no puede estar en blanco',
    'Success ! Thread removed successfully.' => '¡Éxito! Hilo eliminado con éxito',
    'Success ! Thread locked successfully' => '¡Éxito! Hilo bloqueado correctamente',
    'Success ! Thread unlocked successfully' => '¡Éxito! Hilo desbloqueado con éxito',
    'Success ! Thread pinned successfully' => '¡Éxito! Hilo fijado correctamente',
    'Error ! Invalid thread.' => '¡Error! Hilo no válido',
    'Could not create ticket, invalid details.' => 'No se pudo crear el ticket, detalles no válidos',
    'Success ! Tag updated successfully.' => '¡Éxito! Etiqueta actualizada con éxito',
    'Error ! Customer can not be added as collaborator.' => '¡Error! No se puede agregar al cliente como colaborador',
    'Success ! Tag unassigned successfully.' => '¡Éxito! Etiqueta no asignada con éxito',
    'Success ! Tag added successfully.' => '¡Éxito! Etiqueta añadida con éxito',
    'Please enter tag name.' => 'Ingrese el nombre de la etiqueta',
    'Error ! Invalid tag.' => '¡Error! Etiqueta no válida',
    'Success ! Type removed successfully.' => '¡Éxito! Tipo eliminado con éxito',
    'Success ! Ticket to label removed successfully.' => '¡Éxito! Boleto para etiquetar eliminado con éxito',
    'Unable to retrieve support team details' => 'No se pueden recuperar los detalles del equipo de soporte',
    'Ticket support group updated successfully' => 'El grupo de soporte de tickets se actualizó correctamente',
    'Unable to retrieve status details' => 'No se pueden recuperar los detalles del estado',
    'Insufficient details provided.' => 'Detalles insuficientes proporcionados',
    'Error! Subject field is mandatory' => '¡Error! El campo de asunto es obligatorio',
    'Error! Reply field is mandatory' => '¡Error! El campo de respuesta es obligatorio',
    'Success ! Ticket has been updated successfully.' => '¡Éxito! El ticket se ha actualizado correctamente',
    'Success ! Label updated successfully.' => '¡Éxito! Etiqueta actualizada con éxito',
    'Error ! Invalid label id.' => '¡Error! Identificación de etiqueta no válida',
    'Success ! Label removed successfully.' => '¡Éxito! Etiqueta eliminada con éxito',
    'Success ! Label created successfully.' => '¡Éxito! Etiqueta creada con éxito',
    'Error ! Label name can not be blank.' => '¡Error! El nombre de la etiqueta no puede estar en blanco',
    'Success ! Ticket moved to trash successfully.' => '¡Éxito! El boleto se movió a la basura con éxito',
    'Success! Ticket type saved successfully.' => '¡Éxito! Tipo de ticket guardado correctamente',
    'Success! Ticket type updated successfully.' => '¡Éxito! Tipo de ticket actualizado correctamente',
    'Error! Ticket type with same name already exist' => '¡Error! El tipo de ticket con el mismo nombre ya existe',
    'SAVE' => 'SALVAR',
    'Save' => 'Salvar',
    'Title tags and meta descriptions are bits of HTML code in the header of a web page. They help search engines understand the content on a page. A pages title tag and meta description are usually shown whenever that page appears in search engine results' => 'Las etiquetas de título y las metadescripciones son bits de código HTML en el encabezado de una página web. Ayudan a los motores de búsqueda a comprender el contenido de una página. La etiqueta del título y la meta descripción de una página generalmente se muestran cuando esa página aparece en los resultados del motor de búsqueda',
    'Success! Category has been added successfully.' => '¡Éxito! La categoría se ha agregado con éxito.',
    'Ticket is already assigned to agent' => 'El ticket ya está asignado al agente',
    'Success ! Agent assigned successfully.' => 'Éxito ! Agente asignado con éxito.',
    'Ticket status is already set' => 'El estado del ticket ya está configurado',
    'Success ! Tickets status updated successfully.' => 'Éxito ! Estado de los tickets actualizado con éxito.',
    'Ticket priority is already set' => 'La prioridad del ticket ya está configurada',
    'Success ! Tickets priority updated successfully.' => 'Éxito ! Prioridad de entradas actualizada con éxito.',
    'Ticket group is updated successfully' => 'El grupo de tickets se actualizó correctamente',
    'Ticket is already assigned to group' => 'El ticket ya está asignado al grupo',
    'Success ! Tickets group updated successfully.' => 'Éxito ! Grupo de tickets actualizado con éxito.',
    'Ticket team is updated successfully' => 'El equipo de tickets se actualizó con éxito',
    'Ticket is already assigned to team' => 'El ticket ya está asignado al equipo',
    'Success ! Tickets team updated successfully.' => 'Éxito ! El equipo de tickets se actualizó con éxito.',
    'Ticket type is already set' => 'El tipo de boleto ya está configurado',
    'Success ! Tickets type updated successfully.' => 'Éxito ! Tipo de ticket actualizado con éxito.',
    'Success ! Tickets label updated successfully.' => 'Éxito ! Etiqueta de entradas actualizada con éxito.',
    'Success ! Tickets added to label successfully.' => 'Éxito ! Entradas añadidas a la etiqueta con éxito.',
    'Success ! Tickets moved to trashed successfully.' => 'Éxito ! Los tickets se movieron a la papelera con éxito.',
    'Success ! Tickets removed successfully.' => 'Éxito ! Entradas eliminadas con éxito.',
    'Success ! Tickets restored successfully.' => 'Éxito ! Entradas restauradas con éxito.',
    'Unable to retrieve group details' => 'No se pueden recuperar los detalles del grupo',
    'Unable to retrieve team details' => 'No se pueden recuperar los detalles del equipo',
    'Tickets details have been updated successfully' => 'Los detalles de las entradas se han actualizado con éxito',
    'Label added to ticket successfully' => 'Etiqueta añadida al ticket con éxito',
    'Label already added to ticket' => 'Etiqueta ya añadida al ticket',
    'Howdy! ' => 'Hola!',
    'New Ticket Request' => 'Solicitud de nueva entrada',
    'Ticket Requests' => 'Solicitudes de entradas',
    'Tickets have been updated successfully' => 'Las entradas se han actualizado correctamente',
    'Please check your mail for password update' => 'Por favor revise su correo para actualizar la contraseña',
    'This email address is not registered with us' => 'Esta dirección de correo electrónico no está registrada con nosotros.',
    'You have already update password using this link if you wish to change password again click on forget password link here from login page' => 'Ya ha actualizado la contraseña usando este enlace si desea cambiar la contraseña nuevamente, haga clic en el enlace para olvidar la contraseña aquí desde la página de inicio de sesión',
    'Your password has been successfully updated. Login using updated password' => 'Su contraseña ha sido actualizada satisfactoriamente. Inicie sesión con una contraseña actualizada',
    'Please try again, The passwords do not match' => 'Inténtalo de nuevo. Las contraseñas no coinciden.',
    'Support Privilege removed successfully' => 'Privilegio de soporte eliminado con éxito',
    'Success! Saved Reply has been deleted successfully.' => '¡Éxito! La respuesta guardada se ha eliminado correctamente.',
    'SwiftMailer configuration created successfully.' => 'Configuración de SwiftMailer creada con éxito.',
    'No swiftmailer configurations found for mailer id:' => 'No se encontraron configuraciones de swiftmailer para la identificación de correo',
    'Reply content cannot be left blank.' => 'El contenido de respuesta no se puede dejar en blanco.',
    'Reply added to the ticket and forwarded successfully.' => 'Respuesta agregada al ticket y enviada correctamente.',
    'Success ! Thread pinned successfully.' => 'Éxito! Hilo fijado correctamente.',
    'Success ! unpinned removed successfully.' => 'Éxito! desanclado eliminado con éxito.',
    'Unable to retrieve priority details' => 'No se pueden recuperar detalles de prioridad',
    'Ticket support team updated successfully' => 'El equipo de soporte de tickets se actualizó correctamente',
    'Ticket assigned to support group ' => 'Ticket asignado al grupo de apoyo',
    'Mailbox configuration removed successfully.' => 'La configuración del buzón se eliminó correctamente.',
    'visit our website' => 'Visite nuestro sitio web',
    'Cookie Usage Policy' => 'Política de uso de cookies',
    'cookie' => 'Galleta',
    'cookies' => 'galletas',
    'HELP' => 'AYUDA',
    'Home' => 'Casa',
    'Cookie Policy' => 'Política de cookies',
    'Prev' => 'Anterior',
    'Ticket query message' => 'Mensaje de consulta de ticket',
    'Select type' => 'Seleccione tipo',
    'Search KnowledgeBase' => 'Buscar en KnowledgeBase',
    'You cant merge an account with itself.' => 'No puede fusionar una cuenta consigo misma',
    'Edit Profile' => 'Editar perfil',
    'Customer Login' => 'Inicio de sesión del cliente',
    'Contact Us' => 'Contáctenos',
    'If you have ever contacted our support previously, your account would have already been created.' => 'Si alguna vez ha contactado con nuestro soporte anteriormente, su cuenta ya se habría creado',
    'support' => 'apoyo',
    'HelpDesk' => 'Mesa de ayuda',
    'Enter search keyword' => 'Ingrese la palabra clave de búsqueda',
    'Browse via Folders' => 'Navegar a través de carpetas',
    'Looking for something that is queried generally? Choose a relevant folder from below to explore possible solutions' => '¿Busca algo que se consulta en general? Elija una carpeta relevante de abajo para explorar posibles soluciones',
    'Unable to find an answer?' => '¿No puede encontrar una respuesta?',
    'Looking for anything specific article which resides in general queries? Just browse the various relevant folders and categories and then you will find the desired article.' => '¿Está buscando algo específico que resida en consultas generales? Simplemente explore las diversas carpetas y categorías relevantes y luego encontrará el artículo deseado?',
    'Popular Articles ' => 'articulos populares',
    'Here are some of the most popular articles, which helped number of users to get their queries and questions resolved. ' => 'Estos son algunos de los artículos más populares, que ayudaron a varios usuarios a resolver sus consultas y preguntas.',
    'Browse via Categories' => 'Navegar por las categorías',
    'Looking for something specific? Choose a relevant category from below to explore possible solutions' => '¿Buscando algo específico? Elija una categoría relevante a continuación para explorar posibles soluciones',
    'No Categories Found!' => 'No se encontraron categorías',
    'Powered by' => 'Energizado por',
    'Powered by %uvdesk%, an open-source project by %webkul%.' => 'Desarrollado por %uvdesk%, un proyecto de código abierto de %webkul%.',
    'Forgot Password' => 'Se te olvidó tu contraseña',
    'Enter your email address and we will send you an email with instructions to update your login credentials.' => 'Ingrese su dirección de correo electrónico y le enviaremos un correo electrónico con instrucciones para actualizar sus credenciales de inicio de sesión.',
    'Send Mail' => 'Enviar correo electrónico',
    'Status' => 'Estado',
    'Sign In to %websitename%' => 'Registrarse en %websitename%',
    'Enter your name' => 'Introduzca su nombre',
    'Enter your email' => 'Introduce tu correo electrónico',
    'Learn more about %deliveryStatus%.' => 'Aprender más sobre  %deliveryStatus%.',
    'To know more about how our privacy policy works, please %websiteLink%.' => 'Para más información sobre el funcionamiento de la política de confidencialidad, veuillez %websiteLink%.',
    'Some of our site pages utilize %cookies% and other tracking technologies. A %cookie% is a small text file that may be used, for example, to collect information about site activity. Some cookies and other technologies may serve to recall personal information previously indicated by a site user. You may block cookies, or delete existing cookies, by adjusting the appropriate setting on your browser. Please consult the %help% menu of your browser to learn how to do this. If you block or delete %cookies% you may find the usefulness of our site to be impaired.' => 'Algunas de las páginas de nuestro sitio utilizan %cookies% y otras tecnologías de seguimiento. Un %cookie% es un pequeño archivo de texto que se puede utilizar, por ejemplo, para recopilar información sobre la actividad del sitio. Algunas cookies y otras tecnologías pueden servir para recuperar información personal previamente indicada por un usuario del sitio. Puede bloquear las cookies o eliminar las cookies existentes, ajustando la configuración adecuada en su navegador. Consulte el menú %help% de su navegador para obtener información sobre cómo hacerlo. Si bloquea o elimina %cookies%, es posible que la utilidad de nuestro sitio se vea afectada.',
    'This field contain maximum 40 charectures.' => 'Este campo contiene un máximo de 40 correcciones.',
    'This field contain maximum 50 charectures.' => 'Este campo contiene un máximo de 50 correcciones.',
    'Time' => 'Registrado como',
    'Links' => 'Tu perfil',
    'Broadcast Message' => 'Crear Ticket',
    'Wide Logo' => 'Crear agente',
    'Upload an Image (200px x 48px) in</br> PNG or JPG Format' => 'Crear cliente',
    'It will be shown as Logo on Knowledgebase and Helpdesk' => 'Desconectar',
    'Website Status' => 'Aplicaciones',
    'Enable front end website and knowledgebase for customer(s)' => 'Integre aplicaciones según sus necesidades para hacer las cosas más rápido que nunca',
    'Brand Color' => 'Explorar aplicaciones',
    'Page Background Color' => 'Creador de formularios',
    'Header Background Color' => 'Base de conocimientos',
    'Banner Background Color' => 'La base de conocimiento es una fuente de información rígida y compleja que ayuda a los clientes a ayudarse a sí mismos',
    'Page Link Color' => 'Artículos',
    'Page Link Hover Color' => 'Categorias',
    'Article Text Color' => 'Carpetas',
    'Tag Line' => 'CARPETAS',
    'Hi! how can we help?' => 'Productividad',
    'Layout' => 'Automatice sus procesos creando un conjunto de reglas y ajustes preestablecidos para responder más rápido a los tickets',
    'Ticket Create Option' => 'Respuestas preparadas',
    'Login Required To Create Tickets' => 'Respuestas guardadas',
    'Remove Customer Login/Signin Button' => 'Tipos de entradas',
    'Disable Customer Login' => 'Flujos de trabajo',
    'Meta Description (Recommended)' => 'Configuraciones',
    'Meta Keywords (Recommended)' => 'Administre su identidad de marca, información de la empresa y otros detalles de un vistazo',
    'Header Link' => 'Marca',
    'URL (with http":/"/ or https://)' => 'Campos Personalizados',
    'Footer Link' => 'Ajustes del correo electrónico',
    'Custom CSS (Optional)' => 'Plantillas de correo electrónico',
    'It will be add to the frontend knowledgebase only' => 'Buzón',
    'Custom Javascript (Optional)' => 'Configuración de spam',
    'Broadcast message content to show on helpdesk' => 'Swift Mailer',
    'From' => 'Etiquetas',
    'Time duration between which message will be displayed(if applicable)' => 'Los usuarios',
    'Broadcasting Status' => 'Controle sus grupos, equipos, agentes y clientes',
    'Broadcasting is Active' => 'Agentes',
    'Choose a default company timezone' => 'Clientes',
    'Date Time Format' => 'Grupos',
    'Choose a format to convert date to specified date time format' => 'Privilegios',
    'An empty file is not allowed.' => 'Equipos',
    'File size must not be greater than 200KB !!' => 'Aplicaciones',
    'Please upload valid Image file (Only JPEG, JPG, PNG allowed)!!' => 'Sincronización de pedidos de comercio electrónico',
    'comma "," separated' => 'Coma "," separado',
    'Provide a valid url(with protocol)' => 'Importar detalles de pedidos de comercio electrónico a sus tickets de soporte desde diferentes plataformas disponibles',
    'Low' => 'Bajo',
    'Medium' => 'Medio',
    'High' => 'Alto',
    'Urgent' => 'Urgente',
    'Reset Password' => 'Restablecer la contraseña',
    'Enter your new password below to update your login credentials' => 'Ingrese su nueva contraseña a continuación para actualizar sus credenciales de inicio de sesión',
    'Save Password' => 'Guardar contraseña',
    'Rate Support' => 'Soporte de tarifas',
    'I am very Sad' => 'Estoy muy triste',
    'I am Sad' => 'Estoy triste',
    'I am Neutral' => 'Soy neutral',
    'I am Happy' => 'Yo estoy feliz',
    'I am Very Happy' => 'Estoy muy feliz',
    'Kudos' => 'Prestigio',
    'kudos' => 'Prestigio',
    'Very Sad' => 'Muy triste',
    'Sad' => 'Triste',
    'Neutral' => 'Neutral',
    'Happy' => 'Contenta',
    'Very Happy' => 'Muy feliz',
    'Star(s)' => 'Estrellas',
    'Warning ! Swiftmailer not working. An error has occurred while sending emails!' => 'Advertencia ! Swiftmailer no funciona. ¡Se produjo un error al enviar correos electrónicos!',
    'Invalid credentials.' => 'Credenciales no válidas',
    'Success ! Project cache cleared successfully.' => 'Éxito ! La caché del proyecto se borró correctamente.',
    'clear cache' => 'limpiar cache',
    'Last Updated' => 'Última actualización',
    'Error! Something went wrong.' => '¡Error! Algo salió mal.',
    'We were not able to find the page you are looking for.' => 'No pudimos encontrar la página que busca.',
    'Page not found' => 'Página no encontrada',
    'Forbidden' => 'Prohibido',
    'You don’t have the necessary permissions to access this Web page :(' => 'No tiene los permisos necesarios para acceder a esta página web :(',
    'Internal server error' => 'Error de servidor interno',
    'Our system has goofed up for a while, but good part is it won\'t last long' => 'Nuestro sistema ha fallado por un tiempo, pero lo bueno es que no durará mucho',
    'Unknown Error' => 'Error desconocido',
    'We are quite confused about how did you land here:/' => 'Estamos bastante confundidas sobre cómo aterrizaste aquí :/',
    'Few of the links which may help you to get back on the track -' => 'Algunos de los enlaces que pueden ayudarlo a volver a la pista:',
    'Microsoft Apps' => 'Aplicaciones de Microsoft',
    'Add a Microsoft app' => 'Agregar una aplicación de Microsoft',
    'Enable' => 'Activado',
    'App Name' => 'Nombre de la aplicación',
    'Tenant Id' => 'Identificación del inquilino',
    'Client Id' => 'Identificación del cliente',
    'Client Secret' => 'Secreto del cliente',
    'NEW APP' => 'NUEVA APLICACIÓN',
    'UPDATE APP' => 'ACTUALIZAR APLICACIÓN',
    'Guide on creating a new app in Azure Active Directory:' => 'Guía sobre cómo crear una nueva aplicación en Azure Active Directory:',
    'To add a new Microsoft App to your azure active directory, follow the steps as given below:' => 'Para agregar una nueva aplicación de Microsoft a su directorio activo de Azure, siga los pasos que se indican a continuación:',
    'Go to Azure Active Directory -> App registerations' => 'Vaya a Azure Active Directory -> Registros de aplicaciones',
    'Disable' => 'Deshabilitar',
    'Please enter a valid name for your app.' => 'Introduzca un nombre válido para su aplicación.',
    'Please enter a valid tenant id.' => 'Ingrese una identificación de inquilino válida.',
    'Please enter a valid client id.' => 'Ingrese una identificación de cliente válida.',
    'Please enter a valid client secret.' => 'Introduzca un secreto de cliente válido.',
    'Microsoft app settings' => 'Configuración de la aplicación de Microsoft',
    'Unverified' => 'Inconfirmado',
    'Microsoft app has been updated successfully.' => 'La aplicación de Microsoft se ha actualizado correctamente.',
    'No microsoft apps found' => 'No se encontraron aplicaciones de Microsoft',
    'Microsoft app settings could not be verifired successfully. Please check your settings and try again later.' => 'La configuración de la aplicación de Microsoft no se pudo verificar correctamente. Verifique su configuración y vuelva a intentarlo más tarde.',
    'Microsoft app has been integrated successfully.' => 'La aplicación de Microsoft se ha eliminado correctamente.',
    'Microsoft app has been deleted successfully.' => 'La aplicación de Microsoft se ha integrado correctamente.',
    'Verified' => 'Verificado',
    'Create a New Registration' => 'Crear un nuevo registro',
    'Enter your app details as following:' => 'Ingrese los detalles de su aplicación de la siguiente manera:',
    'App Name: Enter an app name to easily help you identify its purpose' => 'Nombre de la aplicación: ingrese un nombre de aplicación para ayudarlo a identificar fácilmente su propósito',
    'Supported Account Types: Select whichever option works the best for you (Recommended: Accounts in any organizational directory and personal Microsoft accounts)' => 'Tipos de cuenta admitidos: seleccione la opción que mejor se adapte a sus necesidades (recomendado: cuentas en cualquier directorio de la organización y cuentas personales de Microsoft)',
    'Redirect URI:' => 'URI de redirección:',
    'Select Platform: Web' => 'Seleccione Plataforma: Web',
    'Enter the following redirect uri:' => 'Introduzca el siguiente uri de redirección:',
    'Proceed to create your application' => 'Procede a crear tu aplicación',
    'Once your app has been created, in your app overview section, continue with adding a client credential by clicking on "Add a certificate or secret"' => 'Una vez que se haya creado su aplicación, en la sección de descripción general de su aplicación, continúe agregando una credencial de cliente haciendo clic en Agregar un certificado o secreto',
    'Create a new client secret' => 'Crear un nuevo secreto de cliente',
    'Enter a description as per your preference to help identify the purpose of this client secret' => 'Ingrese una descripción según su preferencia para ayudar a identificar el propósito de este secreto de cliente',
    'Choose an expiration time as per your preference' => 'Elija un tiempo de caducidad según su preferencia',
    'Proceed to add your client secret' => 'Proceda a agregar su secreto de cliente',
    'Copy the client secret value which will be needed later and cannot be viewed again' => 'Copie el valor del secreto del cliente que se necesitará más adelante y no se puede volver a ver',
    'Navigate to API permissions' => 'Navegue a los permisos de la API',
    'Click on "Add a permission" to add a new api permission. Add the following delegated permissions by selecting Microsoft APIs > Microsoft Graph > Delegate Permissions' => 'Haga clic en Agregar un permiso para agregar un nuevo permiso de API. Agregue los siguientes permisos delegados seleccionando API de Microsoft > Microsoft Graph > Permisos delegados',
    'Navigate to your app overview section' => 'Vaya a la sección de descripción general de su aplicación',
    'Copy the Application (Client) Id' => 'Copie la identificación de la aplicación (cliente)',
    'Copy the Directory (Tenant) Id' => 'Copie la identificación del directorio (inquilino)',
    'Enter your client id, tenant id, and client secret in settings above as required.' => 'Ingrese su identificación de cliente, identificación de inquilino y secreto de cliente en la configuración anterior según sea necesario.',
    'offline_access' => 'acceso_sin_conexión',
    'openid' => 'abierto',
    'profile' => 'perfil',
    'User.Read' => 'Usuario.Leer',
    'IMAP.AccessAsUser.All' => 'IMAP.AccessAsUser.All',
    'SMTP.Send' => 'SMTP.Enviar',
    'POP.AccessAsUser.All' => 'POP.AccessAsUser.All',
    'Mail.Read' => 'Correo.Leer',
    'Mail.ReadBasic' => 'Mail.ReadBasic',
    'Mail.Send' => 'Correo.Enviar',
    'Mail.Send.Shared' => 'Correo.Enviar.Compartido',
    'Add App' => 'Agregar aplicación',
    'New App' => 'NUEVA APLICACIÓN',
    'Disable email delivery' => 'Deshabilitar la entrega de correo electrónico',
    'Use as default mailbox for sending emails' => 'Usar como buzón de correo predeterminado para enviar correos electrónicos',
    'Inbound Emails' => 'Correos electrónicos entrantes',
    'Manage how you wish to retrieve and process emails from your mailbox.' => 'Administre cómo desea recuperar y procesar los correos electrónicos de su buzón.',
    'Outbound Emails' => 'Correos electrónicos salientes',
    'Manage how you wish to send emails from your mailbox.' => 'Administre cómo desea enviar correos electrónicos desde su buzón.',
    'Marketing Modules' => 'Módulos de marketing',
    'New Marketing Module' => 'Nuevo módulo de marketing',
    'Marketing Module' => 'Módulo de Mercadotecnia',
  ),
));

$catalogueEn = new MessageCatalogue('en', array (
  'validators' => 
  array (
    'This value should be false.' => 'This value should be false.',
    'This value should be true.' => 'This value should be true.',
    'This value should be of type {{ type }}.' => 'This value should be of type {{ type }}.',
    'This value should be blank.' => 'This value should be blank.',
    'The value you selected is not a valid choice.' => 'The value you selected is not a valid choice.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.' => 'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.' => 'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.',
    'One or more of the given values is invalid.' => 'One or more of the given values is invalid.',
    'This field was not expected.' => 'This field was not expected.',
    'This field is missing.' => 'This field is missing.',
    'This value is not a valid date.' => 'This value is not a valid date.',
    'This value is not a valid datetime.' => 'This value is not a valid datetime.',
    'This value is not a valid email address.' => 'This value is not a valid email address.',
    'The file could not be found.' => 'The file could not be found.',
    'The file is not readable.' => 'The file is not readable.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.' => 'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.',
    'This value should be {{ limit }} or less.' => 'This value should be {{ limit }} or less.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.' => 'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.',
    'This value should be {{ limit }} or more.' => 'This value should be {{ limit }} or more.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.',
    'This value should not be blank.' => 'This value should not be blank.',
    'This value should not be null.' => 'This value should not be null.',
    'This value should be null.' => 'This value should be null.',
    'This value is not valid.' => 'This value is not valid.',
    'This value is not a valid time.' => 'This value is not a valid time.',
    'This value is not a valid URL.' => 'This value is not a valid URL.',
    'The two values should be equal.' => 'The two values should be equal.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The file is too large.' => 'The file is too large.',
    'The file could not be uploaded.' => 'The file could not be uploaded.',
    'This value should be a valid number.' => 'This value should be a valid number.',
    'This file is not a valid image.' => 'This file is not a valid image.',
    'This is not a valid IP address.' => 'This value is not a valid IP address.',
    'This value is not a valid language.' => 'This value is not a valid language.',
    'This value is not a valid locale.' => 'This value is not a valid locale.',
    'This value is not a valid country.' => 'This value is not a valid country.',
    'This value is already used.' => 'This value is already used.',
    'The size of the image could not be detected.' => 'The size of the image could not be detected.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.' => 'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.' => 'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.' => 'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.' => 'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.',
    'This value should be the user\'s current password.' => 'This value should be the user\'s current password.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.' => 'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.',
    'The file was only partially uploaded.' => 'The file was only partially uploaded.',
    'No file was uploaded.' => 'No file was uploaded.',
    'No temporary folder was configured in php.ini.' => 'No temporary folder was configured in php.ini, or the configured folder does not exist.',
    'Cannot write temporary file to disk.' => 'Cannot write temporary file to disk.',
    'A PHP extension caused the upload to fail.' => 'A PHP extension caused the upload to fail.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.' => 'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.' => 'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.' => 'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.',
    'Invalid card number.' => 'Invalid card number.',
    'Unsupported card type or invalid card number.' => 'Unsupported card type or invalid card number.',
    'This is not a valid International Bank Account Number (IBAN).' => 'This value is not a valid International Bank Account Number (IBAN).',
    'This value is not a valid ISBN-10.' => 'This value is not a valid ISBN-10.',
    'This value is not a valid ISBN-13.' => 'This value is not a valid ISBN-13.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.' => 'This value is neither a valid ISBN-10 nor a valid ISBN-13.',
    'This value is not a valid ISSN.' => 'This value is not a valid ISSN.',
    'This value is not a valid currency.' => 'This value is not a valid currency.',
    'This value should be equal to {{ compared_value }}.' => 'This value should be equal to {{ compared_value }}.',
    'This value should be greater than {{ compared_value }}.' => 'This value should be greater than {{ compared_value }}.',
    'This value should be greater than or equal to {{ compared_value }}.' => 'This value should be greater than or equal to {{ compared_value }}.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should be identical to {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.' => 'This value should be less than {{ compared_value }}.',
    'This value should be less than or equal to {{ compared_value }}.' => 'This value should be less than or equal to {{ compared_value }}.',
    'This value should not be equal to {{ compared_value }}.' => 'This value should not be equal to {{ compared_value }}.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.' => 'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.' => 'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.' => 'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.' => 'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.' => 'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.',
    'An empty file is not allowed.' => 'An empty file is not allowed.',
    'The host could not be resolved.' => 'The host could not be resolved.',
    'This value does not match the expected {{ charset }} charset.' => 'This value does not match the expected {{ charset }} charset.',
    'This is not a valid Business Identifier Code (BIC).' => 'This value is not a valid Business Identifier Code (BIC).',
    'Error' => 'Error',
    'This is not a valid UUID.' => 'This value is not a valid UUID.',
    'This value should be a multiple of {{ compared_value }}.' => 'This value should be a multiple of {{ compared_value }}.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.' => 'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.',
    'This value should be valid JSON.' => 'This value should be valid JSON.',
    'This collection should contain only unique elements.' => 'This collection should contain only unique elements.',
    'This value should be positive.' => 'This value should be positive.',
    'This value should be either positive or zero.' => 'This value should be either positive or zero.',
    'This value should be negative.' => 'This value should be negative.',
    'This value should be either negative or zero.' => 'This value should be either negative or zero.',
    'This value is not a valid timezone.' => 'This value is not a valid timezone.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.' => 'This password has been leaked in a data breach, it must not be used. Please use another password.',
    'This value should be between {{ min }} and {{ max }}.' => 'This value should be between {{ min }} and {{ max }}.',
    'This value is not a valid hostname.' => 'This value is not a valid hostname.',
    'The number of elements in this collection should be a multiple of {{ compared_value }}.' => 'The number of elements in this collection should be a multiple of {{ compared_value }}.',
    'This value should satisfy at least one of the following constraints:' => 'This value should satisfy at least one of the following constraints:',
    'Each element of this collection should satisfy its own set of constraints.' => 'Each element of this collection should satisfy its own set of constraints.',
    'This value is not a valid International Securities Identification Number (ISIN).' => 'This value is not a valid International Securities Identification Number (ISIN).',
    'This value should be a valid expression.' => 'This value should be a valid expression.',
    'This value is not a valid CSS color.' => 'This value is not a valid CSS color.',
    'This value is not a valid CIDR notation.' => 'This value is not a valid CIDR notation.',
    'The value of the netmask should be between {{ min }} and {{ max }}.' => 'The value of the netmask should be between {{ min }} and {{ max }}.',
    'The filename is too long. It should have {{ filename_max_length }} character or less.|The filename is too long. It should have {{ filename_max_length }} characters or less.' => 'The filename is too long. It should have {{ filename_max_length }} character or less.|The filename is too long. It should have {{ filename_max_length }} characters or less.',
    'The password strength is too low. Please use a stronger password.' => 'The password strength is too low. Please use a stronger password.',
    'This value contains characters that are not allowed by the current restriction-level.' => 'This value contains characters that are not allowed by the current restriction-level.',
    'Using invisible characters is not allowed.' => 'Using invisible characters is not allowed.',
    'Mixing numbers from different scripts is not allowed.' => 'Mixing numbers from different scripts is not allowed.',
    'Using hidden overlay characters is not allowed.' => 'Using hidden overlay characters is not allowed.',
    'The extension of the file is invalid ({{ extension }}). Allowed extensions are {{ extensions }}.' => 'The extension of the file is invalid ({{ extension }}). Allowed extensions are {{ extensions }}.',
    'The detected character encoding is invalid ({{ detected }}). Allowed encodings are {{ encodings }}.' => 'The detected character encoding is invalid ({{ detected }}). Allowed encodings are {{ encodings }}.',
    'This value is not a valid MAC address.' => 'This value is not a valid MAC address.',
    'This URL is missing a top-level domain.' => 'This URL is missing a top-level domain.',
    'This value is too short. It should contain at least one word.|This value is too short. It should contain at least {{ min }} words.' => 'This value is too short. It should contain at least one word.|This value is too short. It should contain at least {{ min }} words.',
    'This value is too long. It should contain one word.|This value is too long. It should contain {{ max }} words or less.' => 'This value is too long. It should contain one word.|This value is too long. It should contain {{ max }} words or less.',
    'This value does not represent a valid week in the ISO 8601 format.' => 'This value does not represent a valid week in the ISO 8601 format.',
    'This value is not a valid week.' => 'This value is not a valid week.',
    'This value should not be before week "{{ min }}".' => 'This value should not be before week "{{ min }}".',
    'This value should not be after week "{{ max }}".' => 'This value should not be after week "{{ max }}".',
    'This form should not contain extra fields.' => 'This form should not contain extra fields.',
    'The uploaded file was too large. Please try to upload a smaller file.' => 'The uploaded file was too large. Please try to upload a smaller file.',
    'The CSRF token is invalid. Please try to resubmit the form.' => 'The CSRF token is invalid. Please try to resubmit the form.',
    'This value is not a valid HTML5 color.' => 'This value is not a valid HTML5 color.',
    'Please enter a valid birthdate.' => 'Please enter a valid birthdate.',
    'The selected choice is invalid.' => 'The selected choice is invalid.',
    'The collection is invalid.' => 'The collection is invalid.',
    'Please select a valid color.' => 'Please select a valid color.',
    'Please select a valid country.' => 'Please select a valid country.',
    'Please select a valid currency.' => 'Please select a valid currency.',
    'Please choose a valid date interval.' => 'Please choose a valid date interval.',
    'Please enter a valid date and time.' => 'Please enter a valid date and time.',
    'Please enter a valid date.' => 'Please enter a valid date.',
    'Please select a valid file.' => 'Please select a valid file.',
    'The hidden field is invalid.' => 'The hidden field is invalid.',
    'Please enter an integer.' => 'Please enter an integer.',
    'Please select a valid language.' => 'Please select a valid language.',
    'Please select a valid locale.' => 'Please select a valid locale.',
    'Please enter a valid money amount.' => 'Please enter a valid money amount.',
    'Please enter a number.' => 'Please enter a number.',
    'The password is invalid.' => 'The password is invalid.',
    'Please enter a percentage value.' => 'Please enter a percentage value.',
    'The values do not match.' => 'The values do not match.',
    'Please enter a valid time.' => 'Please enter a valid time.',
    'Please select a valid timezone.' => 'Please select a valid timezone.',
    'Please enter a valid URL.' => 'Please enter a valid URL.',
    'Please enter a valid search term.' => 'Please enter a valid search term.',
    'Please provide a valid phone number.' => 'Please provide a valid phone number.',
    'The checkbox has an invalid value.' => 'The checkbox has an invalid value.',
    'Please enter a valid email address.' => 'Please enter a valid email address.',
    'Please select a valid option.' => 'Please select a valid option.',
    'Please select a valid range.' => 'Please select a valid range.',
    'Please enter a valid week.' => 'Please enter a valid week.',
  ),
  'security' => 
  array (
    'An authentication exception occurred.' => 'An authentication exception occurred.',
    'Authentication credentials could not be found.' => 'Authentication credentials could not be found.',
    'Authentication request could not be processed due to a system problem.' => 'Authentication request could not be processed due to a system problem.',
    'Invalid credentials.' => 'Invalid credentials.',
    'Cookie has already been used by someone else.' => 'Cookie has already been used by someone else.',
    'Not privileged to request the resource.' => 'Not privileged to request the resource.',
    'Invalid CSRF token.' => 'Invalid CSRF token.',
    'No authentication provider found to support the authentication token.' => 'No authentication provider found to support the authentication token.',
    'No session available, it either timed out or cookies are not enabled.' => 'No session available, it either timed out or cookies are not enabled.',
    'No token could be found.' => 'No token could be found.',
    'Username could not be found.' => 'Username could not be found.',
    'Account has expired.' => 'Account has expired.',
    'Credentials have expired.' => 'Credentials have expired.',
    'Account is disabled.' => 'Account is disabled.',
    'Account is locked.' => 'Account is locked.',
    'Too many failed login attempts, please try again later.' => 'Too many failed login attempts, please try again later.',
    'Invalid or expired login link.' => 'Invalid or expired login link.',
    'Too many failed login attempts, please try again in %minutes% minute.' => 'Too many failed login attempts, please try again in %minutes% minute.',
    'Too many failed login attempts, please try again in %minutes% minutes.' => 'Too many failed login attempts, please try again in %minutes% minutes.',
  ),
  'KnpPaginatorBundle' => 
  array (
    'label_previous' => 'Previous',
    'label_next' => 'Next',
    'filter_searchword' => 'Searchword...',
  ),
  'messages' => 
  array (
    'Signed in as' => 'Signed in as',
    'Your Profile' => 'Your Profile',
    'Create Ticket' => 'Create Ticket',
    'Create Agent' => 'Create Agent',
    'Create Customer' => 'Create Customer',
    'Sign Out' => 'Sign Out',
    'Default Language (Optional)' => 'Default Language (Optional)',
    'Username/Email' => 'Username/Email',
    'create new' => 'create new',
    'Ticket Information' => 'Ticket Information',
    'CC/BCC' => 'CC/BCC',
    'Success! Label created successfully.' => 'Success! Label created successfully.',
    'Success! Label removed successfully.' => 'Success! Label removed successfully.',
    'Reports' => 'Reports',
    'Rating' => 'Rating',
    'Kudos Rating' => 'Kudos Rating',
    'Remove profile picture' => 'Remove profile picture',
    'Success ! Profile updated successfully.' => 'Success ! Profile updated successfully.',
    'Howdy' => 'Howdy',
    'Form successfully updated.' => 'Form successfully updated.',
    'NEW FORM' => 'NEW FORM',
    'Text Box' => 'Text Box',
    'Text Area' => 'Text Area',
    'Select' => 'Select',
    'Radio' => 'Radio',
    'Checkbox' => 'Checkbox',
    'Date' => 'Date',
    'Both Date and Time' => 'Both Date and Time',
    'Choose a status' => 'Choose a status',
    'Choose a group' => 'Choose a group',
    'Choose your default timeformat' => 'Choose your default timeformat',
    'Can manage Group\'s Saved Reply' => 'Can manage Group\'s Saved Reply',
    'Can manage agent activity' => 'Can manage agent activity',
    'Slug is the url identity of this article. We will help you to create valid slug at time of typing.' => 'Slug is the url identity of this article. We will help you to create valid slug at time of typing.',
    'The URL for this article' => 'The URL for this article',
    'Title tags and meta descriptions are bits of HTML code in the header of a web page. They help search engines understand the content on a page. A page\'s title tag and meta description are usually shown whenever that page appears in search engine results' => 'Title tags and meta descriptions are bits of HTML code in the header of a web page. They help search engines understand the content on a page. A page\'s title tag and meta description are usually shown whenever that page appears in search engine results',
    'comma separated (,)' => 'comma separated (,)',
    'Article Title' => 'Article Title',
    'Start typing few charactors and add set of relevant article from the list' => 'Start typing few charactors and add set of relevant article from the list',
    'Success! Announcement data saved successfully.' => 'Success! Announcement data saved successfully.',
    'Success! Category has been added successfully.' => 'Success! Category has been added successfully.',
    'Success ! Agent added successfully.' => 'Success ! Agent added successfully.',
    'Success! Privilege information saved successfully.' => 'Success! Privilege information saved successfully.',
    'Edit Prepared Response' => 'Edit Prepared Response',
    'Success! Type removed successfully.' => 'Success! Type removed successfully.',
    'No results available' => 'No results available',
    'Success ! Prepared Response applied successfully.' => 'Success ! Prepared Response applied successfully.',
    'Note added to ticket successfully.' => 'Note added to ticket successfully.',
    'Ticket status update to Spam' => 'Ticket status update to Spam',
    'Ticket status update to Closed' => 'Ticket status update to Closed',
    'Success! Label updated successfully.' => 'Success! Label updated successfully.',
    'Success ! Helpdesk details saved successfully' => 'Success ! Helpdesk details saved successfully',
    'Can manage marketing announcement' => 'Can manage marketing announcement',
    'User Forgot Password' => 'User Forgot Password',
    'Agent Deleted' => 'Agent Deleted',
    'Agent Update' => 'Agent Update',
    'Customer Update' => 'Customer Update',
    'Customer Deleted' => 'Customer Deleted',
    'Agent Updated' => 'Agent Updated',
    'Agent Reply' => 'Agent Reply',
    'Collaborator Added' => 'Collaborator Added',
    'Collaborator Reply' => 'Collaborator Reply',
    'Customer Reply' => 'Customer Reply',
    'Ticket Deleted' => 'Ticket Deleted',
    'Group Updated' => 'Group Updated',
    'Note Added' => 'Note Added',
    'Priority Updated' => 'Priority Updated',
    'Status Updated' => 'Status Updated',
    'Team Updated' => 'Team Updated',
    'Thread Updated' => 'Thread Updated',
    'Type Updated' => 'Type Updated',
    'From Email' => 'From Email',
    'To Email' => 'To Email',
    'Is Equal To' => 'Is Equal To',
    'Is Not Equal To' => 'Is Not Equal To',
    'Contains' => 'Contains',
    'Does Not Contain' => 'Does Not Contain',
    'Starts With' => 'Starts With',
    'Ends With' => 'Ends With',
    'Before On' => 'Before On',
    'After On' => 'After On',
    'Mail To User' => 'Mail To User',
    'Transfer Tickets' => 'Transfer Tickets',
    'Mail To Customer' => 'Mail To Customer',
    'Permanently delete from Inbox' => 'Permanently delete from Inbox',
    'Agent Activity' => 'Agent Activity',
    'Report From' => 'Report From',
    'Search Agent' => 'Search Agent',
    'Agent Last Reply' => 'Agent Last Reply',
    'View analytics and insights to serve a better experience for your customers' => 'Analytics and insight regarding your workflow',
    'Marketing Announcement' => 'Marketing Announcement',
    'Advertisement' => 'Advertisement',
    'Announcement' => 'Announcement',
    'New Announcement' => 'New Announcement',
    'Add Announcement' => 'Add Announcement',
    'Edit Announcement' => 'Edit Announcement',
    'Promo Text' => 'Promo Text',
    'Promo Tag' => 'Promo Tag',
    'Choose a promo tag' => 'Choose a promo tag',
    'Tag-Color' => 'Tag-Color',
    'Tag background color' => 'Tag background color',
    'Link Text' => 'Link Text',
    'Link URL' => 'Link URL',
    'Apps' => 'Apps',
    'Integrate apps as per your needs to get things done faster than ever' => 'Install new custom apps to boost your productivity.',
    'Explore Apps' => 'Explore Apps',
    'Form Builder' => 'Form Builder',
    'Knowledgebase' => 'Knowledgebase',
    'Knowledgebase is a source of rigid and complex information which helps Customers to help themselves' => 'Help your customers help themselves! Save time on support by building your knowledge base.',
    'Articles' => 'Articles',
    'Categories' => 'Categories',
    'Folders' => 'Folders',
    'FOLDERS' => 'FOLDERS',
    'Productivity' => 'Productivity',
    'Automate your processes by creating set of rules and presets to respond faster to the tickets' => 'Create automation rules to speed up your workflow.',
    'Prepared Responses' => 'Prepared Responses',
    'Saved Replies' => 'Saved Replies',
    'Edit Saved Reply' => 'Edit Saved Reply',
    'Ticket Types' => 'Ticket Types',
    'Workflows' => 'Workflows',
    'Settings' => 'Settings',
    'Manage your Brand Identity, Company Information and other details at a glance' => 'Manage your Brand Identity, Company Information and other details at a glance',
    'Branding' => 'Branding',
    'Custom Fields' => 'Custom Fields',
    'Email Settings' => 'Email Settings',
    'Email Templates' => 'Email Templates',
    'Mailbox' => 'Mailbox',
    'Spam Settings' => 'Spam Settings',
    'Swift Mailer' => 'Swift Mailer',
    'Tags' => 'Tags',
    'Users' => 'Users',
    'Control your Groups, Teams, Agents and Customers' => 'Manage your Groups, Teams, Agents and Customers',
    'Agents' => 'Agents',
    'Customers' => 'Customers',
    'Groups' => 'Groups',
    'Privileges' => 'Privileges',
    'Teams' => 'Teams',
    'Applications' => 'Applications',
    'ECommerce Order Syncronization' => 'eCommerce Order Syncronization',
    'Import ecommerce order details to your support tickets from different available platforms' => 'Import eCommerce order details to your support tickets from different available platforms',
    'Search' => 'Search',
    'Sort By' => 'Sort By',
    'Sort By:' => 'Sort By:',
    'Status' => 'Status',
    'Created At' => 'Created At',
    'Name' => 'Name',
    'All' => 'All',
    'Published' => 'Published',
    'Draft' => 'Draft',
    'New Folder' => 'New Folder',
    'Create Knowledgebase Folder' => 'Create Knowledgebase Folder',
    'You did not add any folder to your Knowledgebase yet, Create your first Folder and start adding Categories/Articles to make your customers help themselves.' => 'You don\'t have any folders yet! Create your first folder and start adding articles.',
    'Clear Filters' => 'Clear Filters',
    'Back' => 'Back',
    'Open' => 'Open',
    'Pending' => 'Pending',
    'Answered' => 'Answered',
    'Resolved' => 'Resolved',
    'Closed' => 'Closed',
    'Spam' => 'Spam',
    'New' => 'New',
    'UnAssigned' => 'Unassigned',
    'UnAnswered' => 'Unanswered',
    'My Tickets' => 'My Tickets',
    'Starred' => 'Starred',
    'Trashed' => 'Trashed',
    'New Label' => 'New Label',
    'Tickets' => 'Tickets',
    'Ticket Id' => 'Ticket Id',
    'Last Replied' => 'Last Replied',
    'Assign To' => 'Assign To',
    'After Reply' => 'After Reply',
    'Customer Email' => 'Customer Email',
    'Customer Name' => 'Customer Name',
    'Assets Visibility' => 'Assets Visibility',
    'Channel/Source' => 'Channel/Source',
    'Channel' => 'Channel',
    'Website' => 'Website',
    'Timestamp' => 'Timestamp',
    'TimeStamp' => 'TimeStamp',
    'Team' => 'Team',
    'Type' => 'Type',
    'Replies' => 'Replies',
    'Agent' => 'Agent',
    'ID' => 'ID',
    'Subject' => 'Subject',
    'Last Reply' => 'Last Reply',
    'Filter View' => 'Filter View',
    'Please select CAPTCHA' => 'Please select CAPTCHA',
    'Warning ! Please select correct CAPTCHA !' => 'CAPTCHA Failed, please try again',
    'reCAPTCHA Setting' => 'reCAPTCHA Setting',
    'reCAPTCHA Site Key' => 'reCAPTCHA Site Key',
    'reCAPTCHA Secret key' => 'reCAPTCHA Secret key',
    'reCAPTCHA Status' => 'reCAPTCHA Status',
    'reCAPTCHA is Active' => 'reCAPTCHA is Active',
    'Save set of filters as a preset to stay more productive' => 'Save filters as preset',
    'Saved Filters' => 'Saved Filters',
    'No saved filter created' => 'No saved filter created',
    'Customer' => 'Customer',
    'Priority' => 'Priority',
    'Tag' => 'Tag',
    'Source' => 'Source',
    'Before' => 'Before',
    'After' => 'After',
    'Replies less than' => 'Replies less than',
    'Replies more than' => 'Replies more than',
    'Clear All' => 'Clear All',
    'Account' => 'Account',
    'Profile' => 'Profile',
    'Upload a Profile Image (100px x 100px)<br> in PNG or JPG Format' => 'Upload a Profile Image (100px x 100px)<br> in PNG or JPG Format',
    'First Name' => 'First Name',
    'Last Name' => 'Last Name',
    'Email' => 'Email',
    'Contact Number' => 'Contact Number',
    'Timezone' => 'Timezone',
    'Africa/Abidjan' => 'Africa/Abidjan',
    'Africa/Accra' => 'Africa/Accra',
    'Africa/Addis_Ababa' => 'Africa/Addis_Ababa',
    'Africa/Algiers' => 'Africa/Algiers',
    'Africa/Asmara' => 'Africa/Asmara',
    'Africa/Bamako' => 'Africa/Bamako',
    'Africa/Bangui' => 'Africa/Bangui',
    'Africa/Banjul' => 'Africa/Banjul',
    'Africa/Bissau' => 'Africa/Bissau',
    'Africa/Blantyre' => 'Africa/Blantyre',
    'Africa/Brazzaville' => 'Africa/Brazzaville',
    'Africa/Bujumbura' => 'Africa/Bujumbura',
    'Africa/Cairo' => 'Africa/Cairo',
    'Africa/Casablanca' => 'Africa/Casablanca',
    'Africa/Ceuta' => 'Africa/Ceuta',
    'Africa/Conakry' => 'Africa/Conakry',
    'Africa/Dakar' => 'Africa/Dakar',
    'Africa/Dar_es_Salaam' => 'Africa/Dar_es_Salaam',
    'Africa/Djibouti' => 'Africa/Djibouti',
    'Africa/Douala' => 'Africa/Douala',
    'Africa/El_Aaiun' => 'Africa/El_Aaiun',
    'Africa/Freetown' => 'Africa/Freetown',
    'Africa/Gaborone' => 'Africa/Gaborone',
    'Africa/Harare' => 'Africa/Harare',
    'Africa/Johannesburg' => 'Africa/Johannesburg',
    'Africa/Juba' => 'Africa/Juba',
    'Africa/Kampala' => 'Africa/Kampala',
    'Africa/Khartoum' => 'Africa/Khartoum',
    'Africa/Kigali' => 'Africa/Kigali',
    'Africa/Kinshasa' => 'Africa/Kinshasa',
    'Africa/Lagos' => 'Africa/Lagos',
    'Africa/Libreville' => 'Africa/Libreville',
    'Africa/Lome' => 'Africa/Lome',
    'Africa/Luanda' => 'Africa/Luanda',
    'Africa/Lubumbashi' => 'Africa/Lubumbashi',
    'Africa/Lusaka' => 'Africa/Lusaka',
    'Africa/Malabo' => 'Africa/Malabo',
    'Africa/Maputo' => 'Africa/Maputo',
    'Africa/Maseru' => 'Africa/Maseru',
    'Africa/Mbabane' => 'Africa/Mbabane',
    'Africa/Mogadishu' => 'Africa/Mogadishu',
    'Africa/Monrovia' => 'Africa/Monrovia',
    'Africa/Nairobi' => 'Africa/Nairobi',
    'Africa/Ndjamena' => 'Africa/Ndjamena',
    'Africa/Niamey' => 'Africa/Niamey',
    'Africa/Nouakchott' => 'Africa/Nouakchott',
    'Africa/Ouagadougou' => 'Africa/Ouagadougou',
    'Africa/Porto-Novo' => 'Africa/Porto-Novo',
    'Africa/Sao_Tome' => 'Africa/Sao_Tome',
    'Africa/Tripoli' => 'Africa/Tripoli',
    'Africa/Tunis' => 'Africa/Tunis',
    'Africa/Windhoek' => 'Africa/Windhoek',
    'America/Adak' => 'America/Adak',
    'America/Anchorage' => 'America/Anchorage',
    'America/Anguilla' => 'America/Anguilla',
    'America/Antigua' => 'America/Antigua',
    'America/Araguaina' => 'America/Araguaina',
    'America/Argentina/Buenos_Aires' => 'America/Argentina/Buenos_Aires',
    'America/Argentina/Catamarca' => 'America/Argentina/Catamarca',
    'America/Argentina/Cordoba' => 'America/Argentina/Cordoba',
    'America/Argentina/Jujuy' => 'America/Argentina/Jujuy',
    'America/Argentina/La_Rioja' => 'America/Argentina/La_Rioja',
    'America/Argentina/Mendoza' => 'America/Argentina/Mendoza',
    'America/Argentina/Rio_Gallegos' => 'America/Argentina/Rio_Gallegos',
    'America/Argentina/Salta' => 'America/Argentina/Salta',
    'America/Argentina/San_Juan' => 'America/Argentina/San_Juan',
    'America/Argentina/San_Luis' => 'America/Argentina/San_Luis',
    'America/Argentina/Tucuman' => 'America/Argentina/Tucuman',
    'America/Argentina/Ushuaia' => 'America/Argentina/Ushuaia',
    'America/Aruba' => 'America/Aruba',
    'America/Asuncion' => 'America/Asuncion',
    'America/Atikokan' => 'America/Atikokan',
    'America/Bahia' => 'America/Bahia',
    'America/Bahia_Banderas' => 'America/Bahia_Banderas',
    'America/Barbados' => 'America/Barbados',
    'America/Belem' => 'America/Belem',
    'America/Belize' => 'America/Belize',
    'America/Blanc-Sablon' => 'America/Blanc-Sablon',
    'America/Boa_Vista' => 'America/Boa_Vista',
    'America/Bogota' => 'America/Bogota',
    'America/Boise' => 'America/Boise',
    'America/Cambridge_Bay' => 'America/Cambridge_Bay',
    'America/Campo_Grande' => 'America/Campo_Grande',
    'America/Cancun' => 'America/Cancun',
    'America/Caracas' => 'America/Caracas',
    'America/Cayenne' => 'America/Cayenne',
    'America/Cayman' => 'America/Cayman',
    'America/Chicago' => 'America/Chicago',
    'America/Chihuahua' => 'America/Chihuahua',
    'America/Costa_Rica' => 'America/Costa_Rica',
    'America/Creston' => 'America/Creston',
    'America/Cuiaba' => 'America/Cuiaba',
    'America/Curacao' => 'America/Curacao',
    'America/Danmarkshavn' => 'America/Danmarkshavn',
    'America/Dawson' => 'America/Dawson',
    'America/Dawson_Creek' => 'America/Dawson_Creek',
    'America/Denver' => 'America/Denver',
    'America/Detroit' => 'America/Detroit',
    'America/Dominica' => 'America/Dominica',
    'America/Edmonton' => 'America/Edmonton',
    'America/Eirunepe' => 'America/Eirunepe',
    'America/El_Salvador' => 'America/El_Salvador',
    'America/Fort_Nelson' => 'America/Fort_Nelson',
    'America/Fortaleza' => 'America/Fortaleza',
    'America/Glace_Bay' => 'America/Glace_Bay',
    'America/Godthab' => 'America/Godthab',
    'America/Goose_Bay' => 'America/Goose_Bay',
    'America/Grand_Turk' => 'America/Grand_Turk',
    'America/Grenada' => 'America/Grenada',
    'America/Guadeloupe' => 'America/Guadeloupe',
    'America/Guatemala' => 'America/Guatemala',
    'America/Guayaquil' => 'America/Guayaquil',
    'America/Guyana' => 'America/Guyana',
    'America/Halifax' => 'America/Halifax',
    'America/Havana' => 'America/Havana',
    'America/Hermosillo' => 'America/Hermosillo',
    'America/Indiana/Indianapolis' => 'America/Indiana/Indianapolis',
    'America/Indiana/Knox' => 'America/Indiana/Knox',
    'America/Indiana/Marengo' => 'America/Indiana/Marengo',
    'America/Indiana/Petersburg' => 'America/Indiana/Petersburg',
    'America/Indiana/Tell_City' => 'America/Indiana/Tell_City',
    'America/Indiana/Vevay' => 'America/Indiana/Vevay',
    'America/Indiana/Vincennes' => 'America/Indiana/Vincennes',
    'America/Indiana/Winamac' => 'America/Indiana/Winamac',
    'America/Inuvik' => 'America/Inuvik',
    'America/Iqaluit' => 'America/Iqaluit',
    'America/Jamaica' => 'America/Jamaica',
    'America/Juneau' => 'America/Juneau',
    'America/Kentucky/Louisville' => 'America/Kentucky/Louisville',
    'America/Kentucky/Monticello' => 'America/Kentucky/Monticello',
    'America/Kralendijk' => 'America/Kralendijk',
    'America/La_Paz' => 'America/La_Paz',
    'America/Lima' => 'America/Lima',
    'America/Los_Angeles' => 'America/Los_Angeles',
    'America/Lower_Princes' => 'America/Lower_Princes',
    'America/Maceio' => 'America/Maceio',
    'America/Managua' => 'America/Managua',
    'America/Manaus' => 'America/Manaus',
    'America/Marigot' => 'America/Marigot',
    'America/Martinique' => 'America/Martinique',
    'America/Matamoros' => 'America/Matamoros',
    'America/Mazatlan' => 'America/Mazatlan',
    'America/Menominee' => 'America/Menominee',
    'America/Merida' => 'America/Merida',
    'America/Metlakatla' => 'America/Metlakatla',
    'America/Mexico_City' => 'America/Mexico_City',
    'America/Miquelon' => 'America/Miquelon',
    'America/Moncton' => 'America/Moncton',
    'America/Monterrey' => 'America/Monterrey',
    'America/Montevideo' => 'America/Montevideo',
    'America/Montserrat' => 'America/Montserrat',
    'America/Nassau' => 'America/Nassau',
    'America/New_York' => 'America/New_York',
    'America/Nipigon' => 'America/Nipigon',
    'America/Nome' => 'America/Nome',
    'America/Noronha' => 'America/Noronha',
    'America/North_Dakota/Beulah' => 'America/North_Dakota/Beulah',
    'America/North_Dakota' => 'America/North_Dakota',
    'America/Ojinaga' => 'America/Ojinaga',
    'America/Panama' => 'America/Panama',
    'America/Pangnirtung' => 'America/Pangnirtung',
    'America/Paramaribo' => 'America/Paramaribo',
    'America/Phoenix' => 'America/Phoenix',
    'America/Port-au-Prince' => 'America/Port-au-Prince',
    'America/Port_of_Spain' => 'America/Port_of_Spain',
    'America/Porto_Velho' => 'America/Porto_Velho',
    'America/Puerto_Rico' => 'America/Puerto_Rico',
    'America/Punta_Arenas' => 'America/Punta_Arenas',
    'America/Rainy_River' => 'America/Rainy_River',
    'America/Rankin_Inlet' => 'America/Rankin_Inlet',
    'America/Recife' => 'America/Recife',
    'America/Regina' => 'America/Regina',
    'America/Resolute' => 'America/Resolute',
    'America/Rio_Branco' => 'America/Rio_Branco',
    'America/Santarem' => 'America/Santarem',
    'America/Santiago' => 'America/Santiago',
    'America/Santo_Domingo' => 'America/Santo_Domingo',
    'America/Sao_Paulo' => 'America/Sao_Paulo',
    'America/Scoresbysund' => 'America/Scoresbysund',
    'America/Sitka' => 'America/Sitka',
    'America/St_Barthelemy' => 'America/St_Barthelemy',
    'America/St_Johns' => 'America/St_Johns',
    'America/St_Kitts' => 'America/St_Kitts',
    'America/St_Lucia' => 'America/St_Lucia',
    'America/St_Thomas' => 'America/St_Thomas',
    'America/St_Vincent' => 'America/St_Vincent',
    'America/Swift_Current' => 'America/Swift_Current',
    'America/Tegucigalpa' => 'America/Tegucigalpa',
    'America/Thule' => 'America/Thule',
    'America/Thunder_Bay' => 'America/Thunder_Bay',
    'America/Tijuana' => 'America/Tijuana',
    'America/Toronto' => 'America/Toronto',
    'America/Tortola' => 'America/Tortola',
    'America/Vancouver' => 'America/Vancouver',
    'America/Whitehorse' => 'America/Whitehorse',
    'America/Winnipeg' => 'America/Winnipeg',
    'America/Yakutat' => 'America/Yakutat',
    'America/Yellowknife' => 'America/Yellowknife',
    'Antarctica/Casey' => 'Antarctica/Casey',
    'Antarctica/Davis' => 'Antarctica/Davis',
    'Antarctica/DumontDUrville' => 'Antarctica/DumontDUrville',
    'Antarctica/Macquarie' => 'Antarctica/Macquarie',
    'Antarctica/McMurdo' => 'Antarctica/McMurdo',
    'Antarctica/Mawson' => 'Antarctica/Mawson',
    'Antarctica/Palmer' => 'Antarctica/Palmer',
    'Antarctica/Rothera' => 'Antarctica/Rothera',
    'Antarctica/Syowa' => 'Antarctica/Syowa',
    'Antarctica/Troll' => 'Antarctica/Troll',
    'Antarctica/Vostok' => 'Antarctica/Vostok',
    'Arctic/Longyearbyen' => 'Arctic/Longyearbyen',
    'Asia/Aden' => 'Asia/Aden',
    'Asia/Almaty' => 'Asia/Almaty',
    'Asia/Amman' => 'Asia/Amman',
    'Asia/Anadyr' => 'Asia/Anadyr',
    'Asia/Aqtau' => 'Asia/Aqtau',
    'Asia/Aqtobe' => 'Asia/Aqtobe',
    'Asia/Ashgabat' => 'Asia/Ashgabat',
    'Asia/Atyrau' => 'Asia/Atyrau',
    'Asia/Baghdad' => 'Asia/Baghdad',
    'Asia/Bahrain' => 'Asia/Bahrain',
    'Asia/Baku' => 'Asia/Baku',
    'Asia/Bangkok' => 'Asia/Bangkok',
    'Asia/Barnaul' => 'Asia/Barnaul',
    'Asia/Beirut' => 'Asia/Beirut',
    'Asia/Bishkek' => 'Asia/Bishkek',
    'Asia/Brunei' => 'Asia/Brunei',
    'Asia/Chita' => 'Asia/Chita',
    'Asia/Choibalsan' => 'Asia/Choibalsan',
    'Asia/Colombo' => 'Asia/Colombo',
    'Asia/Damascus' => 'Asia/Damascus',
    'Asia/Dhaka' => 'Asia/Dhaka',
    'Asia/Dili' => 'Asia/Dili',
    'Asia/Dubai' => 'Asia/Dubai',
    'Asia/Dushanbe' => 'Asia/Dushanbe',
    'Asia/Famagusta' => 'Asia/Famagusta',
    'Asia/Gaza' => 'Asia/Gaza',
    'Asia/Hebron' => 'Asia/Hebron',
    'Asia/Ho_Chi_Minh' => 'Asia/Ho_Chi_Minh',
    'Asia/Hong_Kong' => 'Asia/Hong_Kong',
    'Asia/Hovd' => 'Asia/Hovd',
    'Asia/Irkutsk' => 'Asia/Irkutsk',
    'Asia/Jakarta' => 'Asia/Jakarta',
    'Asia/Jayapura' => 'Asia/Jayapura',
    'Asia/Jerusalem' => 'Asia/Jerusalem',
    'Asia/Kabul' => 'Asia/Kabul',
    'Asia/Kamchatka' => 'Asia/Kamchatka',
    'Asia/Karachi' => 'Asia/Karachi',
    'Asia/Kathmandu' => 'Asia/Kathmandu',
    'Asia/Khandyga' => 'Asia/Khandyga',
    'Asia/Kolkata' => 'Asia/Kolkata',
    'Asia/Krasnoyarsk' => 'Asia/Krasnoyarsk',
    'Asia/Kuala_Lumpur' => 'Asia/Kuala_Lumpur',
    'Asia/Kuching' => 'Asia/Kuching',
    'Asia/Kuwait' => 'Asia/Kuwait',
    'Asia/Macau' => 'Asia/Macau',
    'Asia/Magadan' => 'Asia/Magadan',
    'Asia/Makassar' => 'Asia/Makassar',
    'Asia/Manila' => 'Asia/Manila',
    'Asia/Muscat' => 'Asia/Muscat',
    'Asia/Nicosia' => 'Asia/Nicosia',
    'Asia/Novokuznetsk' => 'Asia/Novokuznetsk',
    'Asia/Novosibirsk' => 'Asia/Novosibirsk',
    'Asia/Omsk' => 'Asia/Omsk',
    'Asia/Oral' => 'Asia/Oral',
    'Asia/Phnom_Penh' => 'Asia/Phnom_Penh',
    'Asia/Pontianak' => 'Asia/Pontianak',
    'Asia/Pyongyang' => 'Asia/Pyongyang',
    'Asia/Qatar' => 'Asia/Qatar',
    'Asia/Qostanay' => 'Asia/Qostanay',
    'Asia/Qyzylorda' => 'Asia/Qyzylorda',
    'Asia/Riyadh' => 'Asia/Riyadh',
    'Asia/Sakhalin' => 'Asia/Sakhalin',
    'Asia/Samarkand' => 'Asia/Samarkand',
    'Asia/Seoul' => 'Asia/Seoul',
    'Asia/Shanghai' => 'Asia/Shanghai',
    'Asia/Singapore' => 'Asia/Singapore',
    'Asia/Srednekolymsk' => 'Asia/Srednekolymsk',
    'Asia/Taipei' => 'Asia/Taipei',
    'Asia/Tashkent' => 'Asia/Tashkent',
    'Asia/Tbilisi' => 'Asia/Tbilisi',
    'Asia/Tehran' => 'Asia/Tehran',
    'Asia/Thimphu' => 'Asia/Thimphu',
    'Asia/Tokyo' => 'Asia/Tokyo',
    'Asia/Tomsk' => 'Asia/Tomsk',
    'Asia/Ulaanbaatar' => 'Asia/Ulaanbaatar',
    'Asia/Urumqi' => 'Asia/Urumqi',
    'Asia/Ust-Nera' => 'Asia/Ust-Nera',
    'Asia/Vientiane' => 'Asia/Vientiane',
    'Asia/Vladivostok' => 'Asia/Vladivostok',
    'Asia/Yakutsk' => 'Asia/Yakutsk',
    'Asia/Yangon' => 'Asia/Yangon',
    'Asia/Yekaterinburg' => 'Asia/Yekaterinburg',
    'Asia/Yerevan' => 'Asia/Yerevan',
    'Atlantic/Azores' => 'Atlantic/Azores',
    'Atlantic/Bermuda' => 'Atlantic/Bermuda',
    'Atlantic/Canary' => 'Atlantic/Canary',
    'Atlantic/Cape_Verde' => 'Atlantic/Cape_Verde',
    'Atlantic/Faroe' => 'Atlantic/Faroe',
    'Atlantic/Madeira' => 'Atlantic/Madeira',
    'Atlantic/Reykjavik' => 'Atlantic/Reykjavik',
    'Atlantic/South_Georgia' => 'Atlantic/South_Georgia',
    'Atlantic/St_Helena' => 'Atlantic/St_Helena',
    'Atlantic/Stanley' => 'Atlantic/Stanley',
    'Australia/Adelaide' => 'Australia/Adelaide',
    'Australia/Brisbane' => 'Australia/Brisbane',
    'Australia/Broken_Hill' => 'Australia/Broken_Hill',
    'Australia/Currie' => 'Australia/Currie',
    'Australia/Darwin' => 'Australia/Darwin',
    'Australia/Eucla' => 'Australia/Eucla',
    'Australia/Hobart' => 'Australia/Hobart',
    'Australia/Lindeman' => 'Australia/Lindeman',
    'Australia/Lord_Howe' => 'Australia/Lord_Howe',
    'Australia/Melbourne' => 'Australia/Melbourne',
    'Australia/Perth' => 'Australia/Perth',
    'Australia/Sydney' => 'Australia/Sydney',
    'Europe/Amsterdam' => 'Europe/Amsterdam',
    'Europe/Andorra' => 'Europe/Andorra',
    'Europe/Astrakhan' => 'Europe/Astrakhan',
    'Europe/Athens' => 'Europe/Athens',
    'Europe/Belgrade' => 'Europe/Belgrade',
    'Europe/Berlin' => 'Europe/Berlin',
    'Europe/Bratislava' => 'Europe/Bratislava',
    'Europe/Brussels' => 'Europe/Brussels',
    'Europe/Bucharest' => 'Europe/Bucharest',
    'Europe/Budapest' => 'Europe/Budapest',
    'Europe/Busingen' => 'Europe/Busingen',
    'Europe/Chisinau' => 'Europe/Chisinau',
    'Europe/Copenhagen' => 'Europe/Copenhagen',
    'Europe/Dublin' => 'Europe/Dublin',
    'Europe/Gibraltar' => 'Europe/Gibraltar',
    'Europe/Guernsey' => 'Europe/Guernsey',
    'Europe/Helsinki' => 'Europe/Helsinki',
    'Europe/Isle_of_Man' => 'Europe/Isle_of_Man',
    'Europe/Istanbul' => 'Europe/Istanbul',
    'Europe/Jersey' => 'Europe/Jersey',
    'Europe/Kaliningrad' => 'Europe/Kaliningrad',
    'Europe/Kiev' => 'Europe/Kiev',
    'Europe/Kirov' => 'Europe/Kirov',
    'Europe/Lisbon' => 'Europe/Lisbon',
    'Europe/Ljubljana' => 'Europe/Ljubljana',
    'Europe/London' => 'Europe/London',
    'Europe/Luxembourg' => 'Europe/Luxembourg',
    'Europe/Madrid' => 'Europe/Madrid',
    'Europe/Malta' => 'Europe/Malta',
    'Europe/Mariehamn' => 'Europe/Mariehamn',
    'Europe/Minsk' => 'Europe/Minsk',
    'Europe/Monaco' => 'Europe/Monaco',
    'Europe/Moscow' => 'Europe/Moscow',
    'Europe/Oslo' => 'Europe/Oslo',
    'Europe/Paris' => 'Europe/Paris',
    'Europe/Podgorica' => 'Europe/Podgorica',
    'Europe/Prague' => 'Europe/Prague',
    'Europe/Riga' => 'Europe/Riga',
    'Europe/Rome' => 'Europe/Rome',
    'Europe/Samara' => 'Europe/Samara',
    'Europe/San_Marino' => 'Europe/San_Marino',
    'Europe/Sarajevo' => 'Europe/Sarajevo',
    'Europe/Saratov' => 'Europe/Saratov',
    'Europe/Simferopol' => 'Europe/Simferopol',
    'Europe/Skopje' => 'Europe/Skopje',
    'Europe/Sofia' => 'Europe/Sofia',
    'Europe/Stockholm' => 'Europe/Stockholm',
    'Europe/Tallinn' => 'Europe/Tallinn',
    'Europe/Tirane' => 'Europe/Tirane',
    'Europe/Ulyanovsk' => 'Europe/Ulyanovsk',
    'Europe/Uzhgorod' => 'Europe/Uzhgorod',
    'Europe/Vaduz' => 'Europe/Vaduz',
    'Europe/Vatican' => 'Europe/Vatican',
    'Europe/Vienna' => 'Europe/Vienna',
    'Europe/Vilnius' => 'Europe/Vilnius',
    'Europe/Volgograd' => 'Europe/Volgograd',
    'Europe/Warsaw' => 'Europe/Warsaw',
    'Europe/Zagreb' => 'Europe/Zagreb',
    'Europe/Zaporozhye' => 'Europe/Zaporozhye',
    'Europe/Zurich' => 'Europe/Zurich',
    'Indian/Antananarivo' => 'Indian/Antananarivo',
    'Indian/Chagos' => 'Indian/Chagos',
    'Indian/Christmas' => 'Indian/Christmas',
    'Indian/Cocos' => 'Indian/Cocos',
    'Indian/Comoro' => 'Indian/Comoro',
    'Indian/Kerguelen' => 'Indian/Kerguelen',
    'Indian/Mahe' => 'Indian/Mahe',
    'Indian/Maldives' => 'Indian/Maldives',
    'Indian/Mauritius' => 'Indian/Mauritius',
    'Indian/Mayotte' => 'Indian/Mayotte',
    'Indian/Reunion' => 'Indian/Reunion',
    'Pacific/Apia' => 'Pacific/Apia',
    'Pacific/Auckland' => 'Pacific/Auckland',
    'Pacific/Bougainville' => 'Pacific/Bougainville',
    'Pacific/Chatham' => 'Pacific/Chatham',
    'Pacific/Chuuk' => 'Pacific/Chuuk',
    'Pacific/Easter' => 'Pacific/Easter',
    'Pacific/Efate' => 'Pacific/Efate',
    'Pacific/Enderbury' => 'Pacific/Enderbury',
    'Pacific/Fakaofo' => 'Pacific/Fakaofo',
    'Pacific/Fiji' => 'Pacific/Fiji',
    'Pacific/Funafuti' => 'Pacific/Funafuti',
    'Pacific/Galapagos' => 'Pacific/Galapagos',
    'Pacific/Gambier' => 'Pacific/Gambier',
    'Pacific/Guadalcanal' => 'Pacific/Guadalcanal',
    'Pacific/Guam' => 'Pacific/Guam',
    'Pacific/Honolulu' => 'Pacific/Honolulu',
    'Pacific/Kiritimati' => 'Pacific/Kiritimati',
    'Pacific/Kosrae' => 'Pacific/Kosrae',
    'Pacific/Kwajalein' => 'Pacific/Kwajalein',
    'Pacific/Majuro' => 'Pacific/Majuro',
    'Pacific/Marquesas' => 'Pacific/Marquesas',
    'Pacific/Midway' => 'Pacific/Midway',
    'Pacific/Nauru' => 'Pacific/Nauru',
    'Pacific/Niue' => 'Pacific/Niue',
    'Pacific/Norfolk' => 'Pacific/Norfolk',
    'Pacific/Noumea' => 'Pacific/Noumea',
    'Pacific/Pago_Pago' => 'Pacific/Pago_Pago',
    'Pacific/Palau' => 'Pacific/Palau',
    'Pacific/Pitcairn' => 'Pacific/Pitcairn',
    'Pacific/Pohnpei' => 'Pacific/Pohnpei',
    'Pacific/Port_Moresby' => 'Pacific/Port_Moresby',
    'Pacific/Rarotonga' => 'Pacific/Rarotonga',
    'Pacific/Saipan' => 'Pacific/Saipan',
    'Pacific/Tahiti' => 'Pacific/Tahiti',
    'Pacific/Tarawa' => 'Pacific/Tarawa',
    'Pacific/Tongatapu' => 'Pacific/Tongatapu',
    'Pacific/Wake' => 'Pacific/Wake',
    'Pacific/Wallis' => 'Pacific/Wallis',
    'UTC' => 'UTC',
    'Time Format' => 'Time Format',
    'Choose your default timezone' => 'Choose your default timezone',
    'Signature' => 'Signature',
    'User signature will be append at the bottom of ticket reply box' => 'Your signature will be appended to the bottom of every ticket reply you create.',
    'Password' => 'Password',
    'Password will remain same if you are not entering something in this field' => 'Password not changed!',
    'Confirm Password' => 'Confirm Password',
    'Password must contain minimum 8 character length, at least two letters (not case sensitive), one number, one special character(space is not allowed).' => 'Password must be at least 8 characters, two letters (not case-sensitive), one number, and one special character (space is not allowed).',
    'Save Changes' => 'Save Changes',
    'SAVE CHANGES' => 'SAVE CHANGES',
    'CREATE TICKET' => 'CREATE TICKET',
    'Customer full name' => 'Customer full name',
    'Customer email address' => 'Customer email address',
    'Select Type' => 'Select Type',
    'Support' => 'Support',
    'Choose ticket type' => 'Choose ticket type',
    'Ticket subject' => 'Ticket subject',
    'Message' => 'Message',
    'Query Message' => 'Query Message',
    'Add Attachment' => 'Add Attachment',
    'This field is mandatory' => 'This field is mandatory',
    'General' => 'General',
    'Designation' => 'Designation',
    'Contant Number' => 'Content Number',
    'User signature will be append in the bottom of ticket reply box' => 'Your signature will be appended to the bottom of every ticket reply you create.',
    'Account Status' => 'Account Status',
    'Account is Active' => 'Account is Active',
    'Assigning group(s) to user to view tickets regardless assignment.' => 'Add user to group to view tickets regardless of owner.',
    'Default' => 'Default',
    'Select All' => 'Select All',
    'Remove All' => 'Remove All',
    'Assigning team(s) to user to view tickets regardless assignment.' => 'Add user to team to view tickets regardless of owner.',
    'No Team added !' => 'No Team added!',
    'Permission' => 'Permission',
    'Role' => 'Role',
    'Administrator' => 'Administrator',
    'Select agent role' => 'Select agent role',
    'Add Customer' => 'Add Customer',
    'Action' => 'Action',
    'Account Owner' => 'Account Owner',
    'Active' => 'Active',
    'Edit' => 'Edit',
    'Delete' => 'Delete',
    'Disabled' => 'Disabled',
    'New Group' => 'New Group',
    'Default Privileges' => 'Default Privileges',
    'New Privileges' => 'New Privileges',
    'NEW PRIVILEGE' => 'NEW PRIVILEGE',
    'New Privilege' => 'New Privilege',
    'New Team' => 'New Team',
    'No Record Found' => 'No Record Found',
    'Order Synchronization' => 'Order Synchronization',
    'Easily integrate different ecommerce platforms with your helpdesk which can then be later used to swiftly integrate ecommerce order details with your support tickets.' => 'Easily integrate different eCommerce platforms with your helpdesk to show order details within support tickets.',
    'BigCommerce' => 'BigCommerce',
    'No channels have been added.' => 'No channels have been added.',
    'Add BigCommerce Store' => 'Add BigCommerce Store',
    'ADD BIGCOMMERCE STORE' => 'ADD BIGCOMMERCE STORE',
    'Mangento' => 'Mangento',
    'Add Magento Store' => 'Add Magento Store',
    'OpenCart' => 'OpenCart',
    'Add OpenCart Store' => 'Add OpenCart Store',
    'ADD OPENCART STORE' => 'ADD OPENCART STORE',
    'Shopify' => 'Shopify',
    'Add Shopify Store' => 'Add Shopify Store',
    'ADD SHOPIFY STORE' => 'ADD SHOPIFY STORE',
    'Integrate a new BigCommerce store' => 'Integrate a new BigCommerce store',
    'Your BigCommerce Store Name' => 'Your BigCommerce Store Name',
    'Your BigCommerce Store Hash' => 'Your BigCommerce Store Hash',
    'Your BigCommerce Api Token' => 'Your BigCommerce Api Token',
    'Your BigCommerce Api Client ID' => 'Your BigCommerce Api Client ID',
    'Enable Channel' => 'Enable Channel',
    'Add Store' => 'Add Store',
    'ADD STORE' => 'ADD STORE',
    'Integrate a new Magento store' => 'Integrate a new Magento store',
    'Your Magento Api Username' => 'Your Magento Api Username',
    'Your Magento Api Password' => 'Your Magento Api Password',
    'Integrate a new OpenCart store' => 'Integrate a new OpenCart store',
    'Your OpenCart Api Key' => 'Your OpenCart Api Key',
    'Your Shopify Store Name' => 'Your Shopify Store Name',
    'Your Shopify Api Key' => 'Your Shopify Api Key',
    'Your Shopify Api Password' => 'Your Shopify Api Password',
    'Easily embed custom form to help generate helpdesk tickets.' => 'Easily embed custom forms for creating helpdesk tickets.',
    'Form-Builder' => 'Form-Builder',
    'Add Formbuilder' => 'Add Formbuilder',
    'ADD FORMBUILDER' => 'ADD FORMBUILDER',
    'No FormBuilder have been added.' => 'No FormBuilder was added.',
    'Create a New Custom Form Below' => 'Create a New Custom Form Below',
    'Form Name' => 'Form Name',
    'It will be shown in the list of created forms' => 'Displayed in the list of created forms',
    'MANDATORY FIELDS' => 'MANDATORY FIELDS',
    'These fields will be visible in form and cant be edited' => 'These fields will be visible in this form and can\'t be edited',
    'Reply' => 'Reply',
    'OPTIONAL FIELDS' => 'OPTIONAL FIELDS',
    'Select These Fields to Add in your Form' => 'Select fields to add',
    'GDPR' => 'GDPR',
    'Order' => 'Order',
    'Categorybuilder' => 'Categorybuilder',
    'File' => 'File',
    'Add Form' => 'Add Form',
    'ADD FORM' => 'ADD FORM',
    'UPDATE FORM' => 'UPDATE FORM',
    'Update Form' => 'Update Form',
    'Embed' => 'Embed',
    'EMBED' => 'EMBED',
    'EMBED FORMBUILDER' => 'EMBED FORMBUILDER',
    'Embed Formbuilder' => 'Embed Formbuilder',
    'Visit' => 'Visit',
    'VISIT' => 'VISIT',
    'Code' => 'Code',
    'Total Ticket(s)' => 'Total Ticket(s)',
    'Ticket Count' => 'Ticket Count',
    'SwiftMailer Configurations' => 'SwiftMailer Configurations',
    'No swiftmailer configurations found' => 'No SwiftMailer configurations found',
    'CREATE CONFIGURATION' => 'CREATE CONFIGURATION',
    'Add configuration' => 'Add configuration',
    'Update configuration' => 'Update configuration',
    'Mailer ID' => 'Mailer ID',
    'Mailer ID - Leave blank to automatically create id' => 'Mailer ID - Leave blank to automatically create id',
    'Transport Type' => 'Transport Type',
    'SMTP' => 'SMTP',
    'Enable Delivery' => 'Enable Delivery',
    'Server' => 'Server',
    'Port' => 'Port',
    'Encryption Mode' => 'Encryption Mode',
    'ssl' => 'ssl',
    'tsl' => 'tsl',
    'None' => 'None',
    'Authentication Mode' => 'Authentication Mode',
    'login' => 'login',
    'API' => 'API',
    'Plain' => 'Plain',
    'CRAM-MD5' => 'CRAM-MD5',
    'Sender Address' => 'Sender Address',
    'Delivery Address' => 'Delivery Address',
    'Block Spam' => 'Block Spam',
    'Black list' => 'Black list',
    'Comma (,) separated values (Eg. support@example.com, @example.com, 68.98.31.226)' => 'Comma separated values (Eg. support@example.com, @example.com, 68.98.31.226)',
    'White list' => 'White list',
    'Mailbox Settings' => 'Mailbox Settings',
    'No mailbox configurations found' => 'No mailbox configurations found',
    'NEW MAILBOX' => 'NEW MAILBOX',
    'New Mailbox' => 'New Mailbox',
    'Update Mailbox' => 'Update Mailbox',
    'Add Mailbox' => 'Add Mailbox',
    'Mailbox ID - Leave blank to automatically create id' => 'Mailbox ID - Leave blank to automatically create id',
    'Mailbox Name' => 'Mailbox Name',
    'Enable Mailbox' => 'Enable Mailbox',
    'Incoming Mail (IMAP) Server' => 'Incoming Mail (IMAP) Server',
    'Configure your imap settings which will be used to fetch emails from your mailbox.' => 'Configure your imap settings in order to fetch new mail from your inbox.',
    'Transport' => 'Transport',
    'IMAP' => 'IMAP',
    'Gmail' => 'Gmail',
    'Yahoo' => 'Yahoo',
    'Host' => 'Host',
    'IMAP Host' => 'IMAP Host',
    'Email address' => 'Email address',
    'Associated Password' => 'Associated Password',
    'Outgoing Mail (SMTP) Server' => 'Outgoing Mail (SMTP) Server',
    'Select a valid Swift Mailer configuration which will be used to send emails through your mailbox.' => 'Select the SwiftMailer config to use for sending emails through your account.',
    'Swift Mailer ID' => 'Swift Mailer ID',
    'None Selected' => 'None Selected',
    'Create Mailbox' => 'Create Mailbox',
    'CREATE MAILBOX' => 'CREATE MAILBOX',
    'New Template' => 'New Template',
    'NEW TEMPLATE' => 'NEW TEMPLATE',
    'Customer Forgot Password' => 'Customer Forgot Password',
    'Customer Account Created' => 'Customer Account Created',
    'Ticket generated success mail to customer' => 'Ticket successfully generated and sent to customer',
    'Customer Reply To The Agent' => 'Customer reply',
    'Ticket Assign' => 'Ticket Assign',
    'Agent Forgot Password' => 'Agent Forgot Password',
    'Agent Account Created' => 'Agent Account Created',
    'Ticket generated by customer' => 'Ticket generated by customer',
    'Agent Reply To The Customers ticket' => 'Agent reply',
    'Email template name' => 'Email template name',
    'Email template subject' => 'Email template subject',
    'Template For' => 'Template For',
    'Nothing Selected' => 'Nothing Selected',
    'email template will be used for work related with selected option' => 'email template will be used for selected option',
    'Email template body' => 'Email template body',
    'Body' => 'Body',
    'placeholders' => 'placeholders',
    'Ticket Subject' => 'Ticket Subject',
    'Ticket Message' => 'Ticket Message',
    'Ticket Attachments' => 'Ticket Attachments',
    'Ticket Tags' => 'Ticket Tags',
    'Ticket Source' => 'Ticket Source',
    'Ticket Status' => 'Ticket Status',
    'Ticket Priority' => 'Ticket Priority',
    'Ticket Group' => 'Ticket Group',
    'Ticket Team' => 'Ticket Team',
    'Ticket Thread Message' => 'Ticket Thread Message',
    'Ticket Customer Name' => 'Ticket Customer Name',
    'Ticket Customer Email' => 'Ticket Customer Email',
    'Ticket Agent Name' => 'Ticket Agent Name',
    'Ticket Agent Email' => 'Ticket Agent Email',
    'Ticket Agent Link' => 'Ticket Agent Link',
    'Ticket Customer Link' => 'Ticket Customer Link',
    'Last Collaborator Name' => 'Last Collaborator Name',
    'Last Collaborator Email' => 'Last Collaborator Email',
    'Agent/ Customer Name' => 'Agent/ Customer Name',
    'Account Validation Link' => 'Account Validation Link',
    'Password Forgot Link' => 'Password Forgot Link',
    'Company Name' => 'Company Name',
    'Company Logo' => 'Company Logo',
    'Company URL' => 'Company URL',
    'Swiftmailer id (Select from drop down)' => 'Swiftmailer id (Select from drop down)',
    'SwiftMailer' => 'SwiftMailer',
    'PROCEED' => 'PROCEED',
    'Proceed' => 'Proceed',
    'Theme Color' => 'Theme Color',
    'Customer Created' => 'Customer Created',
    'Agent Created' => 'Agent Created',
    'Ticket Created' => 'Ticket Created',
    'Agent Replied on Ticket' => 'Agent replied to ticket',
    'Customer Replied on Ticket' => 'Customer replied to ticket',
    'Workflow Status' => 'Workflow status',
    'Workflow is Active' => 'Workflow is active',
    'Events' => 'Events',
    'An event automatically triggers to check conditions and perform a respective pre-defined set of actions' => 'An event automatically triggers to check conditions and perform a set of pre-defined actions',
    'Select an Event' => 'Select an Event',
    'Add More' => 'Add More',
    'Conditions' => 'Conditions',
    'Conditions are set of rules which checks for specific scenarios and are triggered on specific occasions' => 'Conditions are sets of rules which check for specific scenarios.',
    'Subject or Description' => 'Subject or description',
    'Actions' => 'Actions',
    'An action not only reduces the workload but also makes it quite easier for ticket automation' => 'Actions help you automate tickets',
    'Select an Action' => 'Select an action',
    'Add Note' => 'Add note',
    'Mail to agent' => 'Mail to agent',
    'Mail to customer' => 'Mail to customer',
    'Mail to group' => 'Mail to group',
    'Mail to last collaborator' => 'Mail to last collaborator',
    'Mail to team' => 'Mail to team',
    'Mark Spam' => 'Mark spam',
    'Assign to agent' => 'Assign to agent',
    'Assign to group' => 'Assign to group',
    'Set Priority As' => 'Set Priority As',
    'Set Status As' => 'Set Status As',
    'Set Tag As' => 'Set Tag As',
    'Set Label As' => 'Set Label As',
    'Assign to team' => 'Assign to team',
    'Set Type As' => 'Set Type As',
    'Add Workflow' => 'Add Workflow',
    'ADD WORKFLOW' => 'ADD WORKFLOW',
    'Ticket Type code' => 'Ticket Type code',
    'Ticket Type description' => 'Ticket Type description',
    'Type Status' => 'Type Status',
    'Type is Active' => 'Type is Active',
    'Add Save Reply' => 'Add Save Reply',
    'Saved reply name' => 'Saved reply name',
    'Share saved reply with user(s) in these group(s)' => 'Share saved reply with user(s) in these group(s)',
    'Share saved reply with user(s) in these teams(s)' => 'Share saved reply with user(s) in these teams(s)',
    'Saved reply Body' => 'Saved reply body',
    'New Prepared Response' => 'New Prepared Response',
    'Prepared Response Status' => 'Prepared Response Status',
    'Prepared Response is Active' => 'Prepared Response is Active',
    'Share prepared response with user(s) in these group(s)' => 'Share prepared response with user(s) in these group(s)',
    'Share prepared response with user(s) in these teams(s)' => 'Share prepared response with user(s) in these teams(s)',
    'ADD PREPARED RESPONSE' => 'ADD PREPARED RESPONSE',
    'Add Prepared Response' => 'Add Prepared Response',
    'Folder Name is shown upfront at Knowledge Base' => 'The folder name to show in the knowledge base',
    'A small text about the folder helps user to navigate more easily' => 'A bit more info about this folder',
    'Publish' => 'Publish',
    'Choose appropriate status' => 'Choose appropriate status',
    'Folder Image' => 'Folder Image',
    'An image is worth a thousands words and makes folder more accessible' => 'Help users identify the proper folder with a recognizable image.',
    'Add Category' => 'Add Category',
    'Category Name is shown upfront at Knowledge Base' => 'The category name to show in the knowledge base',
    'A small text about the category helps user to navigate more easily' => 'A bit more info about this category',
    'Using Category Order, you can decide which category should display first' => 'Using Category Order, you can decide which category should display first',
    'Sorting' => 'Sorting',
    'Ascending Order (A-Z)' => 'Ascending Order (A-Z)',
    'Descending Order (Z-A)' => 'Descending Order (Z-A)',
    'Based on Popularity' => 'Based on Popularity',
    'Article of this category will display according to selected option' => 'Articles in this category will display depending on selected option',
    'Article' => 'Article',
    'Title' => 'Title',
    'View' => 'View',
    'Make as Starred' => 'Mark as Starred',
    'Yes' => 'Yes',
    'No' => 'No',
    'Stared' => 'Stared',
    'Revisions' => 'Revisions',
    'Related Articles' => 'Related Articles',
    'Delete Article' => 'Delete Article',
    'Content' => 'Content',
    'Slug' => 'Slug',
    'Slug is the url identity of this article.' => 'The URL for this article',
    'Meta Title' => 'Meta Title',
    'Title tags and meta descriptions are bits of HTML code in the header of a web page. They help search engines understand the content on a page. A pages title tag and meta description are usually shown whenever that page appears in search engine results' => 'Title tags and meta descriptions are bits of HTML code in the header of a web page. They help search engines understand the content on a page. The title tag and meta description are usually shown in search engine results for the page.',
    'Meta Keywords' => 'Meta Keywords',
    'Meta Description' => 'Meta Description',
    'Description' => 'Description',
    'Team Status' => 'Team Status',
    'Team is Active' => 'Team is Active',
    'Edit Privilege' => 'Edit Privilege',
    'Can create ticket' => 'Can create ticket',
    'Can edit ticket' => 'Can edit ticket',
    'Can delete ticket' => 'Can delete ticket',
    'Can restore trashed ticket' => 'Can restore trashed ticket',
    'Can assign ticket' => 'Can assign ticket',
    'Can assign ticket group' => 'Can assign ticket group',
    'Can update ticket status' => 'Can update ticket status',
    'Can update ticket priority' => 'Can update ticket priority',
    'Can update ticket type' => 'Can update ticket type',
    'Can add internal notes to ticket' => 'Can add internal notes to ticket',
    'Can edit thread/notes' => 'Can edit thread/notes',
    'Can lock/unlock thread' => 'Can lock/unlock thread',
    'Can add collaborator to ticket' => 'Can add collaborator to ticket',
    'Can delete collaborator from ticket' => 'Can delete collaborator from ticket',
    'Can delete thread/notes' => 'Can delete thread/notes',
    'Can apply prepared response on ticket' => 'Can apply prepared response on ticket',
    'Can add ticket tags' => 'Can add ticket tags',
    'Can delete ticket tags' => 'Can delete ticket tags',
    'Can kick other ticket users' => 'Can kick other ticket users',
    'Can manage email templates' => 'Can manage email templates',
    'Can manage groups' => 'Can manage groups',
    'Can manage Sub-Groups/ Teams' => 'Can manage Sub-Groups/ Teams',
    'Can manage agents' => 'Can manage agents',
    'Can manage agent privileges' => 'Can manage agent privileges',
    'Can manage ticket types' => 'Can manage ticket types',
    'Can manage ticket custom fields' => 'Can manage ticket custom fields',
    'Can manage customers' => 'Can manage customers',
    'Can manage Prepared Responses' => 'Can manage Prepared Responses',
    'Can manage Automatic workflow' => 'Can manage Automatic workflow',
    'Can manage tags' => 'Can manage tags',
    'Can manage knowledgebase' => 'Can manage knowledgebase',
    'Can manage Groups Saved Reply' => 'Can manage Groups Saved Reply',
    'Add Privilege' => 'Add Privilege',
    'Choose set of privileges which will be available to the agent.' => 'Choose set of privileges which will be available to the agent.',
    'Advanced' => 'Advanced',
    'Privilege Name must have characters only' => 'Privilege Name must have characters only',
    'Maximum character length is 50' => 'Maximum character length is 50',
    'Open Tickets' => 'Open Tickets',
    'New Customer' => 'New Customer',
    'New Agent' => 'New Agent',
    'Total Article(s)' => 'Total Article(s)',
    'Please specify a valid email address' => 'Please specify a valid email address',
    'Please enter the password associated with your email address' => 'Please enter the password associated with your email address',
    'Please enter your server host address' => 'Please enter your server host address',
    'Please specify a port number to connect with your mail server' => 'Please specify the port number for your mail server',
    'Success ! Branding details saved successfully.' => 'Success! Branding details saved successfully.',
    'Success ! Time details saved successfully.' => 'Success! Time details saved successfully.',
    'Spam setting saved successfully.' => 'Spam setting saved successfully.',
    'Please specify a valid name for your mailbox.' => 'Please specify a valid name for your mailbox.',
    'Please select a valid swift-mailer configuration.' => 'Please select a valid swift-mailer configuration.',
    'Please specify a valid host address.' => 'Please specify a valid host address.',
    'Please specify a valid email address.' => 'Please specify a valid email address.',
    'Please enter the associated account password.' => 'Please enter the associated account password.',
    'New Saved Reply' => 'New Saved Reply',
    'New Category' => 'New Category',
    'Folder' => 'Folder',
    'Category' => 'Category',
    'Created' => 'Created',
    'All Articles' => 'All Articles',
    'Viewed' => 'Viewed',
    'New Article' => 'New Article',
    'Thank you for your feedback!' => 'Thank you for your feedback!',
    'Was this article helpful?' => 'Was this article helpful?',
    'Helpdesk' => 'Helpdesk',
    'Support Center' => 'Support Center',
    'Mailboxes' => 'Mailboxes',
    'By' => 'By',
    'Search Tickets' => 'Search Tickets',
    'Customer Information' => 'Customer Information',
    'Total Replies' => 'Total Replies',
    'Filter With' => 'Filter With',
    'Type email to add' => 'Type email to add',
    'Collaborators' => 'Collaborators',
    'Labels' => 'Labels',
    'Group' => 'Group',
    'group' => 'group',
    'Contact Team' => 'Contact Team',
    'Stay on ticket' => 'Stay on ticket',
    'Redirect to list' => 'Redirect to list',
    'Nothing interesting here...' => 'Nothing interesting here',
    'Previous Ticket' => 'Previous Ticket',
    'Next Ticket' => 'Next Ticket',
    'Forward' => 'Forward',
    'Note' => 'Note',
    'Write a reply' => 'Write a reply',
    'Created Ticket' => 'Created Ticket',
    'All Threads' => 'All Threads',
    'Forwards' => 'Forwards',
    'Notes' => 'Notes',
    'Pinned' => 'Pinned',
    'Edit Ticket' => 'Edit Ticket',
    'Print Ticket' => 'Print Ticket',
    'Mark as Spam' => 'Mark as Spam',
    'Mark as Closed' => 'Mark as Closed',
    'Delete Ticket' => 'Delete Ticket',
    'View order details from different eCommerce channels' => 'View order details from different eCommerce channels',
    'ECOMMERCE CHANNELS' => 'ECOMMERCE CHANNELS',
    'Select channel' => 'Select channel',
    'Order Id' => 'Order Id',
    'Fetch Order' => 'Fetch Order',
    'No orders have been integrated to this ticket yet.' => 'No orders have been associated with this ticket yet.',
    'Enter your credentials below to gain access to your helpdesk account.' => 'Enter your credentials below to sign in',
    'Keep me logged in' => 'Keep me logged in',
    'Forgot Password?' => 'Forgot Password?',
    'Log in to your' => 'Log in to your',
    'Sign In' => 'Sign In',
    'Edit Customer' => 'Edit Customer',
    'Update' => 'Update',
    'Discard' => 'Discard',
    'Cancel' => 'Cancel',
    'Not Assigned' => 'Not Assigned',
    'Submit' => 'Submit',
    'Submit And Open' => 'Submit And Open',
    'Submit And Pending' => 'Submit And Pending',
    'Submit And Answered' => 'Submit And Answered',
    'Submit And Resolved' => 'Submit And Resolved',
    'Submit And Closed' => 'Submit And Closed',
    'Choose a Color' => 'Choose a Color',
    'Create' => 'Create',
    'Edit Label' => 'Edit Label',
    'Add Label' => 'Add Label',
    'To' => 'To',
    'Ticket' => 'Ticket',
    'Your browser does not support JavaScript or You disabled JavaScript, Please enable those !' => 'Your browser does not support Javascript or Javascript is disabled. Please correct this!',
    'Confirm Action' => 'Confirm Action',
    'Confirm' => 'Confirm',
    'No result found' => 'No result found',
    'ticket delivery status' => 'ticket delivery status',
    'Warning! Select valid image file.' => 'Warning! Select valid image file.',
    'Error' => 'Error',
    'Save' => 'Save',
    'SEO' => 'SEO',
    'Edit Saved Filter' => 'Edit Saved Filter',
    'Type atleast 2 letters' => 'Type at least 2 letters',
    'Remove Label' => 'Remove Label',
    'New Saved Filter' => 'New Saved Filter',
    'Is Default' => 'Is Default',
    'Remove Saved Filter' => 'Remove Saved Filter',
    'Ticket Info' => 'Ticket Info',
    'Last Replied Agent' => 'Last Replied Agent',
    'created Ticket' => 'created Ticket',
    'Uploaded Files' => 'Uploaded Files',
    'Download (as .zip)' => 'Download ( as .zip)',
    'made last reply' => 'last reply',
    'N/A' => 'N/A',
    'Unassigned' => 'Unassigned',
    'Label' => 'Label',
    'Assigned to me' => 'Assigned to me',
    'Search Query' => 'Search Query',
    'Searching' => 'Searching',
    'Saved Filter' => 'Saved Filter',
    'No Label Created' => 'No Label Created',
    'Label with same name already exist.' => 'Label with same name already exists',
    'Create New' => 'Create New',
    'Mail status' => 'Mail status',
    'replied' => 'replied',
    'added note' => 'added note',
    'forwarded' => 'forwarded',
    'TO' => 'TO',
    'CC' => 'CC',
    'BCC' => 'BCC',
    'Locked' => 'Locked',
    'Edit Thread' => 'Edit Thread',
    'Delete Thread' => 'Delete Thread',
    'Unpin Thread' => 'Unpin Thread',
    'Pin Thread' => 'Pin Thread',
    'Unlock Thread' => 'Unlock Thread',
    'Lock Thread' => 'Lock Thread',
    'Translate Thread' => 'Translate Thread',
    'Language' => 'Language',
    'English' => 'English',
    'French' => 'French',
    'Italian' => 'Italian',
    'Arabic' => 'Arabic',
    'German' => 'German',
    'Spanish' => 'Spanish',
    'Turkish' => 'Turkish',
    'Danish' => 'Danish',
    'Chinese' => 'Chinese',
    'Polish' => 'Polish',
    'Hebrew' => 'Hebrew',
    'System' => 'System',
    'Open in Files' => 'Open in Files',
    'Email address is invalid' => 'Email address is invalid',
    'Tag with same name already exist' => 'Tag with this name already exist',
    'Text length should be less than 20 charactors' => 'Must be less than 20 characters',
    'Label with same name already exist' => 'Label with same name already exist',
    'Agent Name' => 'Agent Name',
    'Agent Email' => 'Agent Email',
    'open' => 'open',
    'Currently active agents on ticket' => 'Currently active agents on ticket',
    'Edit Customer Information' => 'Edit Customer Information',
    'Restore' => 'Restore',
    'Delete Forever' => 'Delete Forever',
    'Add Team' => 'Add Team',
    'delete' => 'delete',
    'You didnt have any folder for current filter(s).' => 'No folders match current filter(s).',
    'Add Folder' => 'Add Folder',
    'This field must have valid characters only' => 'This field must have valid characters only',
    'Can edit task' => 'Can edit task',
    'Can create task' => 'Can create task',
    'Can delete task' => 'Can delete task',
    'Can add member to task' => 'Can add member to task',
    'Can remove member from task' => 'Can remove member from task',
    'Agent Privileges' => 'Agent Privileges',
    'Agent Privilege represents overall permissions in System.' => 'Agent privilege represents overall permissions in your helpdesk.',
    'Ticket View' => 'Ticket View',
    'User can view tickets based on selected scope.' => 'User can view tickets based on selected scope.',
    'If individual access then user can View assigned Ticket(s) only, If Team access then user can view all Ticket(s) in team(s) he belongs to and so on' => 'If individual access then user can View assigned Ticket(s) only, If Team access then user can view all Ticket(s) in team(s) they belongs to, etc.',
    'Global Access' => 'Global Access',
    'Group Access' => 'Group Access',
    'Team Access' => 'Team Access',
    'Individual Access' => 'Individual Access',
    'This field must have characters only' => 'This field must have characters only',
    'Maximum character length is 40' => 'Maximum character length is 40',
    'This is not a valid email address' => 'This is not a valid email address',
    'Password must contains 8 Characters' => 'Password must contains 8 Characters',
    'The passwords does not match' => 'The passwords do not match',
    'Enabled' => 'Enabled',
    'Create Configuration' => 'Create Configuration',
    'Swift Mailer Settings' => 'Swift Mailer Settings',
    'Username' => 'Username',
    'Please select a swiftmailer id' => 'Please select a swiftmailer id',
    'Please enter a valid e-mail id' => 'Please enter a valid e-mail id',
    'Please enter a mailer id' => 'Please enter a mailer id',
    'Email Id' => 'Email Id',
    'Are you sure? You want to perform this action.' => 'Are you sure you want to perform this action?',
    'Reorder' => 'Reorder',
    'New Workflow' => 'New Workflow',
    'OR' => 'OR',
    'AND' => 'AND',
    'Please enter a valid name.' => 'Please enter a valid name.',
    'Please select a value.' => 'Please select a value.',
    'Please add a value.' => 'Please add a value.',
    'This field is required' => 'This field is required',
    'or' => 'or',
    'and' => 'and',
    'Select a Condition' => 'Select a Condition',
    'Loading...' => 'Loading...',
    'Select Option' => 'Select Option',
    'Inactive' => 'Inactive',
    'New Type' => 'New Type',
    'Placeholders' => 'Placeholders',
    'Ticket Link' => 'Ticket Link',
    'Id' => 'Id',
    'Preview' => 'Preview',
    'Sort Order' => 'Sort Order',
    'This field must be a number' => 'This field must be a number',
    'User' => 'User',
    'Edit Group' => 'Edit Group',
    'Group Status' => 'Group Status',
    'Group is Active' => 'Group is Active',
    'Add Group' => 'Add Group',
    'Contact number is invalid' => 'Contact number is invalid',
    'Edit Agent' => 'Edit Agent',
    'No Privilege added, Please add Privilege(s) first !' => 'No privilege added, please add privilege(s) first!',
    'Edit Email Template' => 'Edit Email Template',
    'Edit Workflow' => 'Edit Workflow',
    'Save Workflow' => 'Save Workflow',
    'Edit Ticket Type' => 'Edit Ticket Type',
    'Add Ticket Type' => 'Add Ticket Type',
    'Date Released' => '	Date Released',
    'Free' => 'Free',
    'Premium' => 'Premium',
    'Installed' => 'Installed',
    'Installed Applications' => 'Installed Applications',
    'Apps Dashboard' => 'Apps Dashboard',
    'Dashboard' => 'Dashboard',
    'Nothing Interesting here' => 'Nothing interesting here',
    'No Categories Added' => 'No Categories Added',
    'Error : Something went wrong, please try again later' => 'Error: Something went wrong, please try again later',
    'ticket' => 'ticket',
    'Add Email Template' => 'Add Email Template',
    'This field contain 100 characters only' => 'Max 100 characters',
    'This field contain characters only' => 'This field may contain characters only',
    'Name length must not be greater than 200 !!' => 'Name length must not be greater than 200!',
    'Warning! Correct all field values first!' => 'Warning! Correct all field values first!',
    'Warning ! This is not a valid request' => 'Warning! This is not a valid request',
    'Success ! Tag removed successfully.' => 'Success! Tag removed successfully.',
    'Success ! Tags Saved successfully.' => 'Success! Tags Saved successfully.',
    'Success ! Revision restored successfully.' => 'Success! Revision restored successfully.',
    'Success ! Categories updated successfully.' => 'Success! Categories updated successfully.',
    'Success ! Article Related removed successfully.' => 'Success! Related article removed successfully.',
    'Success ! Article Related is already added.' => 'Success! Related article added.',
    'Success ! Cannot add self as relative article.' => 'Success! Cannot add self as relative article.',
    'Success ! Article Related updated successfully.' => 'Success! Related article updated successfully.',
    'Success ! Articles removed successfully.' => 'Success! Articles removed successfully.',
    'Success ! Article status updated successfully.' => 'Success! Article status updated successfully.',
    'Success ! Article star updated successfully.' => 'Success! Article star updated successfully.',
    'Success! Article updated successfully' => 'Success! Article updated successfully',
    'Success ! Category sort  order updated successfully.' => 'Success! Category sort order updated successfully.',
    'Success ! Category status updated successfully.' => 'Success! Category status updated successfully.',
    'Success ! Folders updated successfully.' => 'Success! Folders updated successfully.',
    'Success ! Categories removed successfully.' => 'Success! Categories removed successfully.',
    'Success ! Category updated successfully.' => 'Success! Category updated successfully.',
    'Error ! Category is not exist.' => 'Error! Category does not exist.',
    'Warning ! Customer Login disabled by admin.' => 'Warning! Customer Login disabled by admin.',
    'This Email is not registered with us.' => 'This email is not registered with us.',
    'Your password has been updated successfully.' => 'Your password has been updated successfully.',
    'Password dont match.' => 'Password doesn\'t match.',
    'Error ! Profile image is not valid, please upload a valid format' => 'Error! Profile image is not valid, please upload a valid format',
    'Warning! Provide valid image file. (Recommened": "PNG, JPG or GIF Format).' => 'Warning! invalid image file. (Recommened": "PNG, JPG or GIF Format).',
    'Success! Folder has been added successfully.' => 'Success! Folder has been added successfully.',
    'Folder updated successfully.' => 'Folder updated successfully.',
    'Success ! Folder status updated successfully.' => 'Success! Folder status updated successfully.',
    'Error ! Folder is not exist.' => 'Error! Folder does not exist.',
    'Success ! Folder updated successfully.' => 'Success! Folder updated successfully.',
    'Error ! Folder does not exist.' => 'Error! Folder does not exist.',
    'Success ! Folder deleted successfully.' => 'Success! Folder deleted successfully.',
    'Warning ! Folder doesnt exists!' => 'Warning! Folder doesn\'t exists!',
    'Warning ! Cannot create ticket, given email is blocked by admin.' => 'Warning! Can\'t create ticket, given email is blocked by admin.',
    'Success ! Ticket has been created successfully.' => 'Success! Ticket has been created successfully.',
    'Warning ! Can not create ticket, invalid details.' => 'Warning! Can not create ticket, invalid details.',
    'Warning ! Post size can not exceed 25MB' => 'Warning! attachmment size can not exceed 25MB',
    'Create Ticket Request' => 'Create Ticket Request',
    'Success ! Reply added successfully.' => 'Success! Reply added successfully.',
    'Warning ! Reply field can not be blank.' => 'Warning! Reply field can not be blank.',
    'Success ! Rating has been successfully added.' => 'Success! Rating has been successfully added.',
    'Warning ! Invalid rating.' => 'Warning! Invalid rating.',
    'Error ! Can not add customer as a collaborator.' => 'Error! Can not add customer as a collaborator.',
    'Success ! Collaborator added successfully.' => 'Success! Collaborator added successfully.',
    'Error ! Collaborator is already added.' => 'Error! Collaborator is already added.',
    'Success ! Collaborator removed successfully.' => 'Success! Collaborator removed successfully.',
    'Error ! Invalid Collaborator.' => 'Error! Invalid Collaborator.',
    'An unexpected error occurred. Please try again later.' => 'An unexpected error occurred. Please try again later.',
    'Feedback saved successfully.' => 'Feedback saved successfully.',
    'Feedback updated successfully.' => 'Feedback updated successfully.',
    'Invalid feedback provided.' => 'Invalid feedback provided.',
    'Article not found.' => 'Article not found.',
    'You need to login to your account before can perform this action.' => 'You need to log in to your account before can perform this action.',
    'Warning! Please add valid Actions!' => 'Warning! Please add valid actions!',
    'Warning! In Free Plan you can not change Events!' => 'Warning! In free plan you can not change events!',
    'Success! Prepared Response has been updated successfully.' => 'Success! Prepared response has been updated successfully.',
    'Success! Prepared Response has been added successfully.' => 'Success! Prepared response has been added successfully.',
    'Warning  This is not a valid request' => 'Warning! This is not a valid request',
    'Use Default Colors' => 'Use Default Colors',
    'Masonry' => 'Masonry',
    'Popular Article' => 'Popular Article',
    'Manage Ticket Custom Fields' => 'Manage Ticket Custom Fields',
    'Mail status:' => 'Mail status:',
    'You dont have premission to edit this Prepared response' => 'You don\'t have premission to edit this prepared response',
    'Save Prepared Response' => 'Save prepared response',
    'Success ! Prepared response removed successfully.' => 'Success! Prepared response removed successfully.',
    'Warning! You are not allowed to perform this action.' => 'Warning! You are not allowed to perform this action.',
    'Success! Workflow has been updated successfully.' => 'Success! Workflow has been updated successfully.',
    'Success! Workflow has been added successfully.' => 'Success! Workflow has been added successfully.',
    'Success! Order has been updated successfully.' => 'Success! Order has been updated successfully.',
    'Success! Workflow has been removed successfully.' => 'Success! Workflow has been removed successfully.',
    'Mailbox successfully created.' => 'Mailbox successfully created.',
    'Mailbox successfully updated.' => 'Mailbox successfully updated.',
    'Warning ! Bad request !' => 'Warning! Bad request!',
    'Error! Given current password is incorrect.' => 'Error! Password is incorrect.',
    'Success ! Profile update successfully.' => 'Success! Profile update successfully.',
    'Error ! User with same email is already exist.' => 'Error! User with same email already exists.',
    'Success ! Agent updated successfully.' => 'Success! Agent updated successfully.',
    'Success ! Agent removed successfully.' => 'Success! Agent removed successfully.',
    'Warning ! You are allowed to remove account owners account.' => 'Warning! You are allowed to remove this account.',
    'Error ! Invalid user id.' => 'Error! Invalid user id.',
    'Success ! Filter has been saved successfully.' => 'Success! Filter has been saved successfully.',
    'Success ! Filter has been updated successfully.' => 'Success! Filter has been updated successfully.',
    'Success ! Filter has been removed successfully.' => 'Success! Filter has been removed successfully.',
    'Please check your mail for password update.' => 'Please check your inbox for a new password.',
    'This Email address is not registered with us.' => 'This email address is not registered with us.',
    'Success ! Customer saved successfully.' => 'Success! Customer saved successfully.',
    'Error ! User with same email already exist.' => 'Error! User with same email already exists.',
    'Success ! Customer information updated successfully.' => 'Success! Customer information updated successfully.',
    'Success ! Customer updated successfully.' => 'Success! Customer updated successfully.',
    'Error ! Customer with same email already exist.' => 'Error! Customer with same email already exists.',
    'unstarred Action Completed successfully' => 'unstarred action completed successfully',
    'starred Action Completed successfully' => 'starred action completed successfully',
    'Success ! Customer removed successfully.' => 'Success! Customer removed successfully.',
    'Error ! Invalid customer id.' => 'Error! Invalid customer id.',
    'Success! Template has been updated successfully.' => 'Success! Template has been updated successfully.',
    'Success! Template has been added successfully.' => 'Success! Template has been added successfully.',
    'Success! Template has been deleted successfully.' => 'Success! Template has been deleted successfully.',
    'Warning! resource not found.' => 'Warning! resource not found.',
    'Warning! You can not remove predefined email template which is being used in workflow(s).' => 'Warning! You can not remove an email template which is being used in workflow(s).',
    'Success ! Email settings are updated successfully.' => 'Success! Email settings successfully updated.',
    'Success ! Group information updated successfully.' => 'Success! Group information updated successfully.',
    'Success ! Group information saved successfully.' => 'Success! Group information saved successfully.',
    'Support Group removed successfully.' => 'Support Group removed successfully.',
    'Success ! Privilege information saved successfully.' => 'Success! Privilege information saved successfully.',
    'Privilege updated successfully.' => 'Privilege updated successfully.',
    'Support Privilege removed successfully.' => 'Support privilege removed successfully.',
    'Success! Reply has been updated successfully.' => 'Success! Reply has been updated successfully.',
    'Success! Reply has been added successfully.' => 'Success! Reply has been added successfully.',
    'Success! Saved Reply has been deleted successfully' => 'Success! Saved Reply has been deleted successfully',
    'SwiftMailer configuration updated successfully.' => 'SwiftMailer configuration updated successfully.',
    'Swiftmailer configuration removed successfully.' => 'Swiftmailer configuration removed successfully.',
    'Success ! Team information saved successfully.' => 'Success! Team information saved successfully.',
    'Success ! Team information updated successfully.' => 'Success! Team information updated successfully.',
    'Support Team removed successfully.' => 'Support Team removed successfully.',
    'Success! Reply has been added successfully' => 'Success! Reply has been added successfully',
    'Success ! Thread updated successfully.' => 'Success! Thread updated successfully.',
    'Error ! Reply field can not be blank.' => 'Error  Reply field can not be blank.',
    'Success ! Thread removed successfully.' => 'Success! Thread removed successfully.',
    'Success ! Thread locked successfully' => 'Success! Thread locked successfully',
    'Success ! Thread unlocked successfully' => 'Success! Thread unlocked successfully',
    'Success ! Thread pinned successfully' => 'Success! Thread unpinned successfully',
    'Error ! Invalid thread.' => 'Error! Invalid thread.',
    'Could not create ticket, invalid details.' => 'Could not create ticket, invalid details.',
    'Success ! Tag updated successfully.' => 'Success! Tag updated successfully.',
    'Error ! Customer can not be added as collaborator.' => 'Error! Customer can not be added as collaborator.',
    'Success ! Tag unassigned successfully.' => 'Success! Tag unassigned successfully.',
    'Success ! Tag added successfully.' => 'Success! Tag added successfully.',
    'Please enter tag name.' => 'Please enter tag name.',
    'Error ! Invalid tag.' => 'Error! Invalid tag.',
    'Success ! Type removed successfully.' => 'Success! Type removed successfully.',
    'Success ! Ticket to label removed successfully.' => 'Success! Ticket label removed successfully.',
    'Unable to retrieve support team details' => 'Unable to retrieve support team details',
    'Ticket support group updated successfully' => 'Ticket support group updated successfully',
    'Unable to retrieve status details' => 'Unable to retrieve status details',
    'Insufficient details provided.' => 'Insufficient details provided.',
    'Error! Subject field is mandatory' => 'Error! Subject field is mandatory',
    'Error! Reply field is mandatory' => 'Error! Reply field is mandatory',
    'Success ! Ticket has been updated successfully.' => 'Success! Ticket has been updated successfully.',
    'Success ! Label updated successfully.' => 'Success! Label updated successfully.',
    'Error ! Invalid label id.' => 'Error! Invalid label id.',
    'Success ! Label removed successfully.' => 'Success! Label removed successfully.',
    'Success ! Label created successfully.' => 'Success! Label created successfully.',
    'Error ! Label name can not be blank.' => 'Error! Label name can not be blank.',
    'Success ! Ticket moved to trash successfully.' => 'Success! Ticket moved to trash successfully.',
    'Success! Ticket type saved successfully.' => 'Success! Ticket type saved successfully.',
    'Success! Ticket type updated successfully.' => 'Success! Ticket type updated successfully.',
    'Error! Ticket type with same name already exist' => 'Error! Ticket type with same name already exist',
    'SAVE' => 'SAVE',
    'Ticket is already assigned to agent' => 'Ticket is already assigned to agent',
    'Success ! Agent assigned successfully.' => 'Success ! Agent assigned successfully.',
    'Ticket status is already set' => 'Ticket status is already set',
    'Success ! Tickets status updated successfully.' => 'Success ! Tickets status updated successfully.',
    'Ticket priority is already set' => 'Ticket priority is already set',
    'Success ! Tickets priority updated successfully.' => 'Success ! Tickets priority updated successfully.',
    'Ticket group is updated successfully' => 'Ticket group is updated successfully',
    'Ticket is already assigned to group' => 'Ticket is already assigned to group',
    'Success ! Tickets group updated successfully.' => 'Success ! Tickets group updated successfully.',
    'Ticket team is updated successfully' => 'Ticket team is updated successfully',
    'Ticket is already assigned to team' => 'Ticket is already assigned to team',
    'Success ! Tickets team updated successfully.' => 'Success ! Tickets team updated successfully.',
    'Ticket type is already set' => 'Ticket type is already set',
    'Success ! Tickets type updated successfully.' => 'Success ! Tickets type updated successfully.',
    'Success ! Tickets label updated successfully.' => 'Success ! Tickets label updated successfully.',
    'Success ! Tickets added to label successfully.' => 'Success ! Tickets added to label successfully.',
    'Success ! Tickets moved to trashed successfully.' => 'Success ! Tickets moved to trashed successfully.',
    'Success ! Tickets removed successfully.' => 'Success ! Tickets removed successfully.',
    'Success ! Tickets restored successfully.' => 'Success ! Tickets restored successfully.',
    'Unable to retrieve group details' => 'Unable to retrieve group details',
    'Unable to retrieve team details' => 'Unable to retrieve team details',
    'Tickets details have been updated successfully' => 'Tickets details have been updated successfully',
    'Label added to ticket successfully' => 'Label added to ticket successfully',
    'Label already added to ticket' => 'Label already added to ticket',
    'Howdy!' => 'Howdy!',
    'New Ticket Request' => 'New Ticket Request',
    'Ticket Requests' => 'Ticket Requests',
    'Tickets have been updated successfully' => 'Tickets have been updated successfully',
    'Please check your mail for password update' => 'Please check your inbox for a new password',
    'This email address is not registered with us' => 'This email address is not registered with us',
    'You have already update password using this link if you wish to change password again click on forget password link here from login page' => 'You have already updated your password using this link. If you wish to change your password again click on the forget password link on the login page.',
    'Your password has been successfully updated. Login using updated password' => 'Your password has been successfully updated. Please log in using your new password.',
    'Please try again, The passwords do not match' => 'Please try again, The passwords do not match',
    'Support Privilege removed successfully' => 'Support Privilege removed successfully',
    'Success! Saved Reply has been deleted successfully.' => 'Success! Saved Reply has been deleted successfully.',
    'SwiftMailer configuration created successfully.' => 'SwiftMailer configuration created successfully.',
    'No swiftmailer configurations found for mailer id:' => 'No swiftmailer configurations found for mailer id:',
    'Reply content cannot be left blank.' => 'Reply content cannot be left blank.',
    'Reply added to the ticket and forwarded successfully.' => 'Reply added to the ticket and forwarded successfully.',
    'Success ! Thread pinned successfully.' => 'Success! Thread pinned successfully.',
    'Success ! unpinned removed successfully.' => 'Success! Thread unpinned successfully.',
    'Unable to retrieve priority details' => 'Unable to retrieve priority details',
    'Ticket support team updated successfully' => 'Ticket support team updated successfully',
    'Ticket assigned to support group ' => 'Ticket assigned to support group ',
    'Mailbox configuration removed successfully.' => 'Mailbox configuration removed successfully.',
    'visit our website' => 'visit our website',
    'Cookie Usage Policy' => 'Cookie Usage Policy',
    'cookie' => 'cookie',
    'cookies' => 'cookies',
    'HELP' => 'HELP',
    'Home' => 'Home',
    'Cookie Policy' => 'Cookie Policy',
    'Prev' => 'Prev',
    'Ticket query message' => 'Ticket content',
    'Select type' => 'Select type',
    'Search KnowledgeBase' => 'Search KnowledgeBase',
    'You cant merge an account with itself.' => 'You can\'t merge an account with itself.',
    'Edit Profile' => 'Edit Profile',
    'Customer Login' => 'Customer Login',
    'Contact Us' => 'Contact Us',
    'If you have ever contacted our support previously, your account would have already been created.' => 'If you have ever contacted us previously, your account is more than likely already created.',
    'support' => 'support',
    'HelpDesk' => 'HelpDesk',
    'Enter search keyword' => 'Enter search keyword',
    'Browse via Folders' => 'Explore the knowledge base',
    'Looking for something that is queried generally? Choose a relevant folder from below to explore possible solutions' => 'Check out our knowledge base to see if your question has already been answered.',
    'Unable to find an answer?' => 'Contact Our Team',
    'Looking for anything specific article which resides in general queries? Just browse the various relevant folders and categories and then you will find the desired article.' => 'If you still can\'t find an answer to what you\'re looking for, or you have a specific question, open a new ticket and we\'d be happy to help!',
    'Popular Articles' => 'Popular Articles',
    'Here are some of the most popular articles, which helped number of users to get their queries and questions resolved.' => 'Some of the more popular articles in our knowledge base that have helped other customers.',
    'Browse via Categories' => 'Browse via Categories',
    'Looking for something specific? Choose a relevant category from below to explore possible solutions' => 'Choose a category from the list below to view articles.',
    'No Categories Found!' => 'No Categories Found!',
    'Powered by' => 'Powered by',
    'Powered by %uvdesk%, an open-source project by %webkul%.' => 'Powered by %uvdesk%, an open-source project by %webkul%.',
    'Forgot Password' => 'Forgot Password',
    'Enter your email address and we will send you an email with instructions to update your login credentials.' => 'Enter your email address and we will send you a message to update your login credentials.',
    'Send Mail' => 'Send Mail',
    'Sign In to %websitename%' => 'Sign In to %websitename%',
    'Enter your name' => 'Enter your name',
    'Enter your email' => 'Enter your email',
    'Learn more about %deliveryStatus%.' => 'Learn more about %deliveryStatus%.',
    'Some of our site pages utilize %cookies% and other tracking technologies. A %cookie% is a small text file that may be used, for example, to collect information about site activity. Some cookies and other technologies may serve to recall personal information previously indicated by a site user. You may block cookies, or delete existing cookies, by adjusting the appropriate setting on your browser. Please consult the %help% menu of your browser to learn how to do this. If you block or delete %cookies% you may find the usefulness of our site to be impaired.' => 'Some of our site pages utilize %cookies% and other tracking technologies. A %cookie% is a small text file that may be used, for example, to collect information about site activity. Some cookies and other technologies may serve to recall personal information previously indicated by a site user. You may block cookies, or delete existing cookies, by adjusting the appropriate setting on your browser. Please consult the %help% menu of your browser to learn how to do this. If you block or delete %cookies% you may find the usefulness of our site to be impaired.',
    'To know more about how our privacy policy works, please %websiteLink%.' => 'To know more about our privacy policy, please visit %websiteLink%.',
    'This field contain maximum 40 charectures.' => 'This field contain maximum 40 charectures.',
    'This field contain maximum 50 charectures.' => 'This field contain maximum 50 charectures.',
    'Time' => 'Time',
    'Links' => 'Links',
    'Broadcast Message' => 'Broadcast Message',
    'Wide Logo' => 'Wide Logo',
    'Upload an Image (200px x 48px) in</br> PNG or JPG Format' => 'Upload an Image (200px x 48px) in</br> PNG or JPG Format',
    'It will be shown as Logo on Knowledgebase and Helpdesk' => 'Your knowledge base / helpdesk logo',
    'Website Status' => 'Website Status',
    'Enable front end website and knowledgebase for customer(s)' => 'Enable front end website and knowledgebase for customer(s)',
    'Brand Color' => 'Brand Color',
    'Page Background Color' => 'Page Background Color',
    'Header Background Color' => 'Header Background Color',
    'Banner Background Color' => 'Banner Background Color',
    'Page Link Color' => 'Page Link Color',
    'Page Link Hover Color' => 'Page Link Hover Color',
    'Article Text Color' => 'Article Text Color',
    'Tag Line' => 'Tag Line',
    'Hi! how can we help?' => 'Hi! how can we help?',
    'Layout' => 'Layout',
    'Ticket Create Option' => 'Ticket Create Option',
    'Login Required To Create Tickets' => 'Login required To create tickets',
    'Remove Customer Login/Signin Button' => 'Remove customer log in / sign in button',
    'Disable Customer Login' => 'Disable Customer Login',
    'Meta Description (Recommended)' => 'Meta Description (Recommended)',
    'Meta Keywords (Recommended)' => 'Meta Keywords (Recommended)',
    'Header Link' => 'Header Link',
    'URL (with http":/"/ or https":/"/)' => 'URL (with http":/"/ or https":/"/)',
    'Footer Link' => 'Footer Link',
    'Custom CSS (Optional)' => 'Custom CSS (Optional)',
    'It will be add to the frontend knowledgebase only' => 'Displayed only in front end knowledge base',
    'Custom Javascript (Optional)' => 'Custom Javascript (Optional)',
    'Broadcast message content to show on helpdesk' => 'Broadcast message content to show on helpdesk',
    'From' => 'From',
    'Time duration between which message will be displayed(if applicable)' => 'How long should the message be displayed?',
    'Broadcasting Status' => 'Broadcasting Status',
    'Broadcasting is Active' => 'Broadcasting is Active',
    'Choose a default company timezone' => 'Choose a default companys timezone',
    'Date Time Format' => 'Date Time Format',
    'Choose a format to convert date to specified date time format' => 'Choose a format to convert date to specified date time format',
    'An empty file is not allowed.' => 'An empty file is not allowed.',
    'File size must not be greater than 200KB !!' => 'File size must not be greater than 200KB!',
    'Please upload valid Image file (Only JPEG, JPG, PNG allowed)!!' => 'Please upload valid Image file (Only JPEG, JPG, PNG allowed)!!',
    'Provide a valid url(with protocol)' => 'Provide a valid url (with protocol)',
    'ticket.message.placeHolders.info' => 'ticket.message.placeHolders.info',
    'ticket.attachments.placeHolders.info' => '	ticket.attachments.placeHolders.info',
    'ticket.threadMessage.placeHolders.info' => 'ticket.threadMessage.placeHolders.info',
    'ticket.tags.placeHolders.info' => 'ticket.tags.placeHolders.info',
    'ticket.source.placeHolders.info' => 'ticket.source.placeHolders.info',
    'ticket.collaborator.name.placeHolders.info' => 'ticket.collaborator.name.placeHolders.info',
    'ticket.collaborator.email.placeHolders.info' => 'ticket.collaborator.email.placeHolders.info',
    'user.name.info' => 'user.name.info',
    'user.email.info' => 'user.email.info',
    'user.account.validate.link.info' => 'user.account.validate.link.info',
    'user.password.forgot.link.info' => 'user.password.forgot.link.info',
    'global.companyName' => 'global.companyName',
    'global.companyLogo' => 'global.companyLogo',
    'global.companyUrl' => 'global.companyUrl',
    'ticket.priority.placeHolders.info' => '	ticket.priority.placeHolders.info',
    'ticket.group.placeHolders.info' => 'ticket.group.placeHolders.info',
    'ticket.team.placeHolders.info' => 'ticket.team.placeHolders.info',
    'ticket.customerName.placeHolders.info' => '	ticket.customerName.placeHolders.info',
    'ticket.customerEmail.placeHolders.info' => '	ticket.customerEmail.placeHolders.info',
    'ticket.agentName.placeHolders.info' => 'ticket.agentName.placeHolders.info',
    'ticket.agentEmail.placeHolders.info' => 'ticket.agentEmail.placeHolders.info',
    'ticket.link.placeHolders.info' => '	ticket.link.placeHolders.info ',
    'ticket.id.placeHolders.info' => 'ticket.id.placeHolders.info',
    'ticket.subject.placeHolders.info' => '	ticket.subject.placeHolders.info',
    'ticket.status.placeHolders.info' => 'ticket.status.placeHolders.info',
    'comma "," separated' => 'comma separated (,)',
    'Low' => 'Low',
    'Medium' => 'Medium',
    'High' => 'High',
    'Urgent' => 'Urgent',
    'Reset Password' => 'Reset Password',
    'Enter your new password below to update your login credentials' => 'Enter your new password below to update your login credentials',
    'Save Password' => 'Save Password',
    'Rate Support' => 'Rate Support',
    'I am very Sad' => 'I am very disappointed',
    'I am Sad' => 'I am disappointed',
    'I am Neutral' => 'I am satisfied',
    'I am Happy' => 'I am happy',
    'I am Very Happy' => 'I am very happy',
    'Kudos' => 'Kudos',
    'kudos' => 'Kudos',
    'Very Sad' => 'Very disappointed',
    'Sad' => 'Disappointed',
    'Neutral' => 'Satisfied',
    'Happy' => 'Happy',
    'Very Happy' => 'Very Happy',
    'Star(s)' => 'Star(s)',
    'Warning ! Swiftmailer not working. An error has occurred while sending emails!' => 'Warning ! Swiftmailer not working. An error has occurred while sending emails!',
    'Invalid credentials.' => 'Invalid credentials',
    'Success ! Project cache cleared successfully.' => 'Success! Project cache cleared successfully.',
    'clear cache' => 'clear cache',
    'Last Updated' => 'Last Updated',
    'Error! Something went wrong.' => 'Error! Something went wrong.',
    'We were not able to find the page you are looking for.' => 'We were not able to find the page you are looking for.',
    'Page not found' => 'Page not found',
    'Forbidden' => 'Forbidden',
    'You don’t have the necessary permissions to access this Web page :(' => 'You don’t have the necessary permissions to access this Web page :(',
    'Internal server error' => 'Internal server error',
    'Our system has goofed up for a while, but good part is it won\'t last long' => 'Our system has goofed up for a while, but good part is it won\'t last long',
    'Unknown Error' => 'Unknown Error',
    'We are quite confused about how did you land here:/' => 'We are quite confused about how did you land here :/',
    'Few of the links which may help you to get back on the track -' => 'Few of the links which may help you to get back on the track -',
    'Microsoft Apps' => 'Microsoft Apps',
    'Add a Microsoft app' => 'Add a Microsoft app',
    'Enable' => 'Enable',
    'App Name' => 'App Name',
    'Tenant Id' => 'Tenant Id',
    'Client Id' => 'Client Id',
    'Client Secret' => 'Client Secret',
    'NEW APP:' => 'NEW APP:',
    'UPDATE APP' => 'UPDATE APP',
    'Guide on creating a new app in Azure Active Directory:' => 'Guide on creating a new app in Azure Active Directory:',
    'To add a new Microsoft App to your azure active directory, follow the steps as given below:' => 'To add a new Microsoft App to your azure active directory, follow the steps as given below:',
    'Go to Azure Active Directory -> App registerations' => 'Go to Azure Active Directory -> App registerations',
    'Disable' => 'Disable',
    'Please enter a valid name for your app.' => 'Please enter a valid name for your app.',
    'Please enter a valid tenant id.' => 'Please enter a valid tenant id.',
    'Please enter a valid client id.' => 'Please enter a valid client id.',
    'Please enter a valid client secret.' => 'Please enter a valid client secret.',
    'Microsoft app settings' => 'Microsoft app settings',
    'Unverified' => 'Unverified',
    'Microsoft app has been updated successfully.' => 'Microsoft app has been updated successfully.',
    'No microsoft apps found' => 'No microsoft apps found',
    'Microsoft app settings could not be verifired successfully. Please check your settings and try again later.' => 'Microsoft app settings could not be verifired successfully. Please check your settings and try again later.',
    'Microsoft app has been integrated successfully.' => 'Microsoft app has been integrated successfully.',
    'Microsoft app has been deleted successfully.' => 'Microsoft app has been deleted successfully.',
    'Verified' => 'Verified',
    'Create a New Registration' => 'Create a New Registration',
    'Enter your app details as following:' => 'Enter your app details as following:',
    'App Name: Enter an app name to easily help you identify its purpose' => 'App Name: Enter an app name to easily help you identify its purpose',
    'Supported Account Types: Select whichever option works the best for you (Recommended: Accounts in any organizational directory and personal Microsoft accounts)' => 'Supported Account Types: Select whichever option works the best for you (Recommended: Accounts in any organizational directory and personal Microsoft accounts)',
    'Redirect URI:' => 'Redirect URI:',
    'Select Platform: Web' => 'Select Platform: Web',
    'Enter the following redirect uri:' => 'Enter the following redirect uri:',
    'Proceed to create your application' => 'Proceed to create your application',
    'Once your app has been created, in your app overview section, continue with adding a client credential by clicking on "Add a certificate or secret"' => 'Once your app has been created, in your app overview section, continue with adding a client credential by clicking on "Add a certificate or secret"',
    'Create a new client secret' => 'Create a new client secret',
    'Enter a description as per your preference to help identify the purpose of this client secret' => 'Enter a description as per your preference to help identify the purpose of this client secret',
    'Choose an expiration time as per your preference' => 'Choose an expiration time as per your preference',
    'Proceed to add your client secret' => 'Proceed to add your client secret',
    'Copy the client secret value which will be needed later and cannot be viewed again' => 'Copy the client secret value which will be needed later and cannot be viewed again',
    'Navigate to API permissions' => 'Navigate to API permissions',
    'Click on "Add a permission" to add a new api permission. Add the following delegated permissions by selecting Microsoft APIs > Microsoft Graph > Delegate Permissions' => 'Click on "Add a permission" to add a new api permission. Add the following delegated permissions by selecting Microsoft APIs > Microsoft Graph > Delegate Permissions',
    'Navigate to your app overview section' => 'Navigate to your app overview section',
    'Copy the Application (Client) Id' => 'Copy the Application (Client) Id',
    'Copy the Directory (Tenant) Id' => 'Copy the Directory (Tenant) Id',
    'Enter your client id, tenant id, and client secret in settings above as required.' => 'Enter your client id, tenant id, and client secret in settings above as required.',
    'offline_access' => 'offline_access',
    'openid' => 'openid',
    'profile' => 'profile',
    'User.Read' => 'User.Read',
    'IMAP.AccessAsUser.All' => 'IMAP.AccessAsUser.All',
    'SMTP.Send' => 'SMTP.Send',
    'POP.AccessAsUser.All' => 'POP.AccessAsUser.All',
    'Mail.Read' => 'Mail.Read',
    'Mail.ReadBasic' => 'Mail.ReadBasic',
    'Mail.Send' => 'Mail.Send',
    'Mail.Send.Shared' => 'Mail.Send.Shared',
    'Add App' => 'Add App',
    'New App' => 'New App',
    'Disable email delivery' => 'Disable email delivery',
    'Use as default mailbox for sending emails' => 'Use as default mailbox for sending emails',
    'Inbound Emails' => 'Inbound Emails',
    'Manage how you wish to retrieve and process emails from your mailbox.' => 'Manage how you wish to retrieve and process emails from your mailbox.',
    'Outbound Emails' => 'Outbound Emails',
    'Manage how you wish to send emails from your mailbox.' => 'Manage how you wish to send emails from your mailbox.',
    'Marketing Modules' => 'Marketing Modules',
    'New Marketing Module' => 'New Marketing Module',
    'Marketing Module' => 'Marketing Module',
    'Status:' => 'Status:',
  ),
));
$catalogue->addFallbackCatalogue($catalogueEn);

return $catalogue;
